<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;

class AgeVerificationController extends Controller
{
    public function show()
    {
        return view('age-verification');
    }

    public function verify(Request $request)
    {
        $birthdate = $request->input('birthdate');

        if (!$birthdate) {
            return redirect()->route('age-verification')->with('error', 'Please enter your birthdate.');
        }

        $age = Carbon::parse($birthdate)->age;

        if ($age >= 18) {
            // Store the birthdate in the session for future requests
            $request->session()->put('birthdate', $birthdate);
            return redirect()->route('main-content');
        } else {
            return redirect()->route('age-verification')->with('error', 'You must be 18 or older to access the content.');
        }
    }
}
