@if (theme_option('header_top_enabled'))
    {!! Theme::partial('header-top') !!}
@endif

<header class="header sticky-bar">
    <div class="container">
        <div class="main-header">
            <div class="header-left">
                <div class="header-logo">
                    <a class="d-flex" href="{{ route('public.index') }}">
                        <img alt="{{ theme_option('site_name') }}" src="{{ RvMedia::getImageUrl(theme_option('logo')) }}">
                    </a>
                </div>
                <div class="header-nav">
                    <nav class="nav-main-menu d-none d-xl-block">
                        {!!
                            Menu::renderMenuLocation('main-menu', [
                                'options' => ['class' => 'main-menu'],
                                'view' => 'main-menu',
                            ])
                        !!}
                    </nav>
                    <div class="burger-icon burger-icon-white">
                        <span class="burger-icon-top"></span>
                        <span class="burger-icon-mid"></span>
                        <span class="burger-icon-bottom"></span>
                    </div>
                </div>

                <div class="header-right">
                    @if(is_plugin_active('blog') || is_plugin_active('ecommerce'))
                        <div class="me-1 d-inline-block box-search-top">
                            <span class="font-lg icon-list search-post" data-bs-toggle="modal" data-bs-target="#search-autocomplete-modal">
                                <svg class="w-6 h-6" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
                                </svg>
                            </span>
                             

                        </div>
                         <div class="me-1 d-inline-block box-search-top">
                            <span class="font-lg icon-list search-post" data-bs-toggle="modal" data-bs-target="#qr-autocomplete-modal">
                                   <i class="fas fa-qrcode"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
</i>
                              
                            </span>
                             

                        </div>
                        <!--qr code-->
                       
    <!-- QR Code Search Icon -->
    <!--<span class="font-lg icon-list search-post" data-bs-toggle="modal" data-bs-target="#search-autocomplete-modal">-->
    <!--    <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">-->
    <!--        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>-->
    <!--    </svg>-->
    <!--</span>-->


    <!-- QR Code Search Modal -->
<!--    <div class="modal fade" id="search-autocomplete-modal" tabindex="-1" aria-labelledby="searchAutocompleteModalLabel" aria-hidden="true">-->
<!--        <div class="modal-dialog">-->
<!--            <div class="modal-content">-->
                <!-- Modal Header -->
<!--                <div class="modal-header">-->
<!--                    <h5 class="modal-title" id="searchAutocompleteModalLabel">QR Code Search</h5>-->
<!--                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
<!--                </div>-->

                <!-- Modal Body -->
<!--                <div class="modal-body">-->
                    <!-- QR Code Image (replace with your own QR code image) -->
<!--                    <img src="path/to/your/qrcode.png" alt="QR Code Image" class="img-fluid" />-->
<!--                </div>-->

                <!-- Modal Footer (optional) -->
<!--                <div class="modal-footer">-->
<!--                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->
<!--qrcode finis-->
                        
                    @endif
                    @if(is_plugin_active('language'))
                        <div class="d-none d-xl-inline-block">
                            {!! Theme::partial('language-switcher') !!}
                        </div>
                    @endif
                    @if (theme_option('action_button_text') && theme_option('action_button_url'))
                        <div class="d-none d-sm-inline-block">
                            <a class="btn btn-brand-1 hover-up" href="{{ theme_option('action_button_url') }}">{{ theme_option('action_button_text') }}</a>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
    @if(is_plugin_active('ecommerce'))
        {!! Theme::partial('ecommerce.cart-sidebar') !!}
    @endif
</header>
<div class="modal fade" id="qr-autocomplete-modal" tabindex="-1" aria-labelledby="qr-autocomplete-modalLabel" aria-hidden="true">
    <div class="qr-autocomplete-modal modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-body">
                @include(Theme::getThemeNamespace('partials.qr-form'))
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="qr-autocomplete-modal" tabindex="-1" aria-labelledby="qr-autocomplete-modalLabel" aria-hidden="true">
    <div class="qr-autocomplete-modal modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-body">
                @include(Theme::getThemeNamespace('partials.qr-form'))
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="search-autocomplete-modal" tabindex="-1" aria-labelledby="search-autocomplete-modalLabel" aria-hidden="true">
    <div class="search-autocomplete-modal modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-body">
                @include(Theme::getThemeNamespace('partials.search-form'))
            </div>
        </div>
    </div>
</div>
