<?php
    Theme::layout('full-width');
?>

<section class="cart">
    <?php echo Theme::partial('page-header'); ?>

    <div class="container">
        <div class="cart-page-content">
            <div class="loading d-none"></div>
            <div class="col-12">
                <form
                    class="form--shopping-cart cart-form"
                    method="post"
                    action="<?php echo e(route('public.cart.update')); ?>"
                >
                    <?php echo csrf_field(); ?>
                    <?php if(count($products) > 0): ?>
                        <table
                            class="table cart-form__contents table-bordered table-striped"
                            cellspacing="0"
                        >
                            <thead>
                                <tr>
                                    <th
                                        class="product-thumbnail"
                                        width="100"
                                    ></th>
                                    <th class="product-name"><?php echo e(__('Product')); ?></th>
                                    <th class="product-price product-md d-md-table-cell d-none"><?php echo e(__('Price')); ?></th>
                                    <th class="product-quantity product-md d-md-table-cell d-none"><?php echo e(__('Quantity')); ?>

                                    </th>
                                    <th class="product-subtotal product-md d-md-table-cell d-none"><?php echo e(__('Total')); ?>

                                    </th>
                                    <th class="product-remove"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = Cart::instance('cart')->content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $product = $products->find($cartItem->id);
                                    ?>

                                    <?php if(!empty($product)): ?>
                                        <tr class="cart-form__cart-item cart_item">
                                            <td class="product-thumbnail">
                                                <input
                                                    name="items[<?php echo e($key); ?>][rowId]"
                                                    type="hidden"
                                                    value="<?php echo e($cartItem->rowId); ?>"
                                                >
                                                <a href="<?php echo e($product->original_product->url); ?>">
                                                    <img
                                                        class="img-thumbnail"
                                                        src="<?php echo e(RvMedia::getImageUrl($cartItem->options['image'], 'thumb', false, RvMedia::getDefaultImage())); ?>"
                                                        alt="<?php echo e($product->original_product->name); ?>"
                                                    >
                                                </a>
                                            </td>
                                            <td
                                                class="product-name d-md-table-cell d-block"
                                                data-title="<?php echo e(__('Product')); ?>"
                                            >
                                                <a
                                                    href="<?php echo e($product->original_product->url); ?>"><?php echo e($product->original_product->name); ?></a>
                                                <?php if(is_plugin_active('marketplace') && $product->original_product->store->id): ?>
                                                    <div class="variation-group">
                                                        <span class="text-secondary"><?php echo e(__('Vendor')); ?>: </span>
                                                        <span class="text-primary ms-1">
                                                            <a
                                                                href="<?php echo e($product->original_product->store->url); ?>"><?php echo e($product->original_product->store->name); ?></a>
                                                        </span>
                                                    </div>
                                                <?php endif; ?>
                                                <p class="mb-0">
                                                    <small><?php echo e($cartItem->options['attributes'] ?? ''); ?></small>
                                                </p>

                                                <?php if(!empty($cartItem->options['options'])): ?>
                                                    <?php echo render_product_options_info($cartItem->options['options'], $product, true); ?>

                                                <?php endif; ?>

                                                <?php if(!empty($cartItem->options['extras']) && is_array($cartItem->options['extras'])): ?>
                                                    <?php $__currentLoopData = $cartItem->options['extras']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if(!empty($option['key']) && !empty($option['value'])): ?>
                                                            <p class="mb-0">
                                                                <small><?php echo e($option['key']); ?>: <strong>
                                                                        <?php echo e($option['value']); ?></strong></small>
                                                            </p>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            </td>
                                            <td
                                                class="product-price product-md d-md-table-cell d-block"
                                                data-title="Price"
                                            >
                                                <div class="box-price">
                                                    <span class="d-md-none title-price"><?php echo e(__('Price')); ?>: </span>
                                                    <?php echo Theme::partial('ecommerce.product-price', compact('product')); ?>

                                                </div>
                                            </td>
                                            <td
                                                class="product-quantity product-md d-md-table-cell d-block"
                                                data-title="<?php echo e(__('Quantity')); ?>"
                                            >
                                                <div class="product-button detail-extralink">
                                                    <?php echo Theme::partial(
                                                        'ecommerce.product-quantity',
                                                        compact('product') + [
                                                            'name' => 'items[' . $key . '][values][qty]',
                                                            'value' => $cartItem->qty,
                                                        ],
                                                    ); ?>

                                                </div>
                                            </td>
                                            <td
                                                class="product-subtotal product-md d-md-table-cell d-block"
                                                data-title="<?php echo e(__('Total')); ?>"
                                            >
                                                <div class="box-price">
                                                    <span class="d-md-none title-price"><?php echo e(__('Total')); ?>: </span>
                                                    <span class="fw-bold amount">
                                                        <span
                                                            class="price-current"><?php echo e(format_price($cartItem->price * $cartItem->qty)); ?></span>
                                                    </span>
                                                </div>
                                            </td>
                                            <td class="product-remove">
                                                <a
                                                    class="fs-4 remove remove-cart-item"
                                                    href="<?php echo e(route('public.cart.remove', $cartItem->rowId)); ?>"
                                                    aria-label="<?php echo e(__('Remove this item')); ?>"
                                                >
                                                    <svg
                                                        xmlns="http://www.w3.org/2000/svg"
                                                        fill="none"
                                                        viewBox="0 0 24 24"
                                                        stroke-width="1.5"
                                                        stroke="currentColor"
                                                        width="24px"
                                                    >
                                                        <path
                                                            stroke-linecap="round"
                                                            stroke-linejoin="round"
                                                            d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0"
                                                        />
                                                    </svg>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    <?php else: ?>
                        <p class="text-center"><?php echo e(__('Your cart is empty!')); ?></p>
                    <?php endif; ?>
                    <?php if(count($products) > 0): ?>
                        <div class="actions my-4 pb-4 border-bottom">
                            <div class="actions__button-wrapper row justify-content-between">
                                <div class="col-md-9">
                                    <div class="actions__left d-grid d-md-block">
                                        <a
                                            class="btn btn-secondary"
                                            href="<?php echo e(route('public.products')); ?>"
                                        >
                                            <i class="fi fi-rr-arrow-left me-1"></i>
                                            <span><?php echo e(__('Continue Shopping')); ?></span>
                                        </a>
                                        <a
                                            class="btn btn-secondary"
                                            href="<?php echo e(route('public.index')); ?>"
                                        >
                                            <i class="fi fi-rr-home me-1"></i>
                                            <span><?php echo e(__('Back to Home')); ?></span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col-lg-4 col-md-5 col-coupon form-coupon-wrapper py-2">
                                <div class="coupon">
                                    <label for="coupon_code">
                                        <h4><?php echo e(__('Using A Promo Code?')); ?></h4>
                                    </label>
                                    <div class="coupon-input input-group my-3">
                                        <input
                                            class="form-control coupon-code"
                                            name="coupon_code"
                                            type="text"
                                            value="<?php echo e(old('coupon_code')); ?>"
                                            placeholder="<?php echo e(__('Enter coupon code...')); ?>"
                                        >
                                        <button
                                            class="btn btn-primary lh-1 btn-apply-coupon-code"
                                            data-url="<?php echo e(route('public.coupon.apply')); ?>"
                                            type="button"
                                        ><?php echo e(__('Apply')); ?></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-2"></div>
                            <div class="col-lg-4 col-md-5">
                                <div class="cart_totals bg-light p-4 rounded">
                                    <h5 class="mb-3"><?php echo e(__('Cart totals')); ?></h5>
                                    <div class="cart_totals-table">
                                        <div
                                            class="cart-subtotal d-flex justify-content-between border-bottom pb-3 mb-3">
                                            <span class="title fw-bold"><?php echo e(__('Subtotal')); ?>:</span>
                                            <span class="amount fw-bold">
                                                <span
                                                    class="price-current"><?php echo e(format_price(Cart::instance('cart')->rawSubTotal())); ?></span>
                                            </span>
                                        </div>
                                        <?php if(EcommerceHelper::isTaxEnabled()): ?>
                                            <div
                                                class="cart-subtotal d-flex justify-content-between border-bottom pb-3 mb-3">
                                                <span class="title fw-bold"><?php echo e(__('Tax')); ?>:</span>
                                                <span class="amount fw-bold">
                                                    <span
                                                        class="price-current"><?php echo e(format_price(Cart::instance('cart')->rawTax())); ?></span>
                                                </span>
                                            </div>
                                        <?php endif; ?>
                                        <?php if($couponDiscountAmount > 0 && session('applied_coupon_code')): ?>
                                            <div
                                                class="cart-subtotal d-flex justify-content-between border-bottom pb-3 mb-3">
                                                <span class="title">
                                                    <span
                                                        class="fw-bold"><?php echo e(__('Coupon code: :code', ['code' => session('applied_coupon_code')])); ?></span>
                                                    (<small>
                                                        <a
                                                            class="btn-remove-coupon-code text-danger"
                                                            data-url="<?php echo e(route('public.coupon.remove')); ?>"
                                                            data-processing-text="<?php echo e(__('Removing...')); ?>"
                                                            href="#"
                                                        ><?php echo e(__('Remove')); ?></a>
                                                    </small>)
                                                </span>

                                                <span
                                                    class="amount fw-bold"><?php echo e(format_price($couponDiscountAmount)); ?></span>
                                            </div>
                                        <?php endif; ?>
                                        <?php if($promotionDiscountAmount): ?>
                                            <div class="ps-block__header">
                                                <p><?php echo e(__('Discount promotion')); ?> <span>
                                                        <?php echo e(format_price($promotionDiscountAmount)); ?></span></p>
                                            </div>
                                        <?php endif; ?>
                                        <div class="order-total d-flex justify-content-between pb-3 mb-3">
                                            <span class="title">
                                                <h6 class="mb-0"><?php echo e(__('Total')); ?></h6>
                                                <small><?php echo e(__('(Shipping fees not included)')); ?></small>
                                            </span>
                                            <span class="amount fw-bold fs-6 text-green">
                                                <span
                                                    class="price-current"><?php echo e($promotionDiscountAmount + $couponDiscountAmount > Cart::instance('cart')->rawTotal() ? format_price(0) : format_price(Cart::instance('cart')->rawTotal() - $promotionDiscountAmount - $couponDiscountAmount)); ?></span>
                                            </span>
                                        </div>
                                    </div>
                                    <?php if(session('tracked_start_checkout')): ?>
                                        <div class="proceed-to-checkout">
                                            <div class="d-grid gap-2">
                                                <a
                                                    class="checkout-button btn btn-primary"
                                                    href="<?php echo e(route('public.checkout.information', session('tracked_start_checkout'))); ?>"
                                                ><?php echo e(__('Proceed to checkout')); ?></a>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </form>

                <?php if(count($crossSellProducts) > 0): ?>
                    <div class="row align-items-center mb-2 widget-header">
                        <h4 class="col-auto mb-0 py-2"><?php echo e(__('Customers who bought this item also bought')); ?></h4>
                    </div>

                    <?php
                        $crossSellProducts->loadMissing(['productLabels']);
                        if (is_plugin_active('marketplace')) {
                            $crossSellProducts->loadMissing(['store', 'store.slugable']);
                        }
                    ?>
                    <div class="row mt-40 row-cols-xl-4 row-cols-lg-3 row-cols-md-2 row-cols-sm-2">
                        <?php $__currentLoopData = $crossSellProducts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crossSellProduct): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col">
                                <?php echo Theme::partial('ecommerce.product.item', ['product' => $crossSellProduct]); ?>

                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                <?php endif; ?>

            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/ecommerce/cart.blade.php ENDPATH**/ ?>