<?php if(is_plugin_active('ecommerce') && $products->isNotEmpty()): ?>
    <div class="sidebar">
        <div class="widget-title">
            <h3 class="text-heading-5 color-gray-900"><?php echo e(BaseHelper::clean(Arr::get($config, 'name'))); ?></h3>
        </div>
        <div class="widget-content">
            <ul class="list-products-sidebar">
                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                        <div class="product-item-2 product-item-4">
                            <div class="product-image">
                                <a href="<?php echo e($product->url); ?>">
                                    <img src="<?php echo e(RvMedia::getImageUrl($product->image, 'thumb', false, RvMedia::getDefaultImage())); ?>" alt="<?php echo e($product->name); ?>">
                                </a>
                            </div>
                            <div class="product-info">
                                <a href="<?php echo e($product->url); ?>">
                                    <h3 class="text-heading-7 color-gray-900"><?php echo e($product->name); ?></h3>
                                </a>
                                <div class="rating mt-5">
                                    <?php if(EcommerceHelper::isReviewEnabled()): ?>
                                        <div class="box-rating d-flex align-items-center">
                                            <a href="<?php echo e($product->url); ?>#review-tab">
                                                <div class="product-rate me-2">
                                                    <div class="product-rating" style="width: <?php echo e($product->reviews_avg * 20); ?>%;"></div>
                                                </div>
                                            </a>
                                            <span class="text-semibold">
                                                <span>(<?php echo e(number_format($product->reviews_count)); ?>)</span>
                                            </span>
                                        </div>
                                    <?php endif; ?>
                                    <div class="d-flex mt-5">
                                        <div class="box-prices">
                                            <?php if($product->front_sale_price === $product->price): ?>
                                                <span class="price-regular mr-5"><?php echo e(format_price($product->front_sale_price_with_taxes)); ?></span>
                                            <?php else: ?>
                                                <span class="price-regular mr-5"><?php echo e(format_price($product->front_sale_price_with_taxes)); ?></span>
                                                <span class="price-regular price-line"><?php echo e(format_price($product->price_with_taxes)); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/////widgets/products/templates/frontend.blade.php ENDPATH**/ ?>