<?php if(is_plugin_active('blog')): ?>
    <?php
        $limit = (int) Arr::get($config, 'limit');
        $posts = match (Arr::get($config, 'type')) {
            'recent' => get_recent_posts($limit),
            default => get_popular_posts($limit),
        };
    ?>

    <?php switch($config['style']):
        case ('sidebar'): ?>
            <div class="card blog-sidebar">
                <?php if($title = $config['name']): ?>
                    <p class="title-blog-sidebar"><?php echo e($title); ?></p>
                <?php endif; ?>

                <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="post-item">
                        <a href="<?php echo e($post->url); ?>">
                            <img class="post-image" src="<?php echo e(RvMedia::getImageUrl($post->image, 'thumb')); ?>" alt="<?php echo e($post->name); ?>"/>
                        </a>
                        <div class="post-meta">
                            <a href="<?php echo e($post->url); ?>" class="title"><?php echo e($post->name); ?></a>
                            <div class="description">
                                <?php if($author = $post->author): ?>
                                    <img class="avatar-author" src="<?php echo e($author->avatar_url); ?>" alt="<?php echo e($author->name); ?>"/>
                                    <span class="name"><?php echo BaseHelper::clean($author->name); ?></span>
                                <?php endif; ?>
                                <p class="date"><?php echo e($post->created_at->translatedFormat('M d, Y')); ?></p>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        <?php break; ?>
        <?php default: ?>
            <div class="section mt-50">
                <div class="container">
                    <?php if($title = $config['title']): ?>
                        <h3 class="color-brand-1"><?php echo e($title); ?></h3>
                    <?php endif; ?>
                    <div class="row mt-50">
                        <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-lg-4 col-md-6 mb-30 item-article featured wow animate__animated animate__fadeIn" data-wow-delay=".<?php echo e($loop->index * 2); ?>s">
                                <?php echo Theme::partial('posts.item', ['post' => $post]); ?>

                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
    <?php endswitch; ?>
<?php endif; ?>


<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/////widgets/blog-posts/templates/frontend.blade.php ENDPATH**/ ?>