<?php
    Theme::layout('empty');
?>
<section class="section mt-60">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-7 mb-40">
                <?php if($subtitle = $shortcode->subtitle): ?>
                    <span class="btn btn-tag wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean($subtitle); ?></span>
                <?php endif; ?>

                <?php if($title = $shortcode->title): ?>
                    <h1 class="color-brand-1 mt-15 mb-30 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean($title); ?></h1>
                <?php endif; ?>
                <div class="box-count box-count-square mb-50">
                    <div class="deals-countdown" data-countdown="<?php echo e($shortcode->time); ?>"></div>
                </div>

                <?php if($description = $shortcode->description): ?>
                    <p class="font-md color-grey-500 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean($description); ?></p>
                <?php endif; ?>

                <?php if(is_plugin_active('newsletter')): ?>
                    <div class="row">
                        <div class="col-lg-9">
                            <div class="box-notify-me mt-15 form-newsletter">
                                <form method="POST" action="<?php echo e(route('public.newsletter.subscribe')); ?>" class="newsletter-form">
                                    <div class="inner-notify-me wow animate__animated animate__fadeIn" data-wow-delay=".0s">
                                        <?php echo csrf_field(); ?>
                                        <input class="form-control" type="email" name="email" placeholder="<?php echo e(__('Enter your email...')); ?>">
                                        <button class="btn btn-brand-1 font-md" type="submit"><?php echo e(__('Notify Me')); ?>

                                            <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                            </svg>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="mt-45 wow animate__animated animate__fadeIn" data-wow-delay=".0s">
                    <?php if($socialLinks = json_decode(theme_option('social_links'))): ?>
                        <?php $__currentLoopData = $socialLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php ($social = collect($social)->pluck('value', 'key')); ?>
                            <a class="icon-socials" href="<?php echo e($social->get('social-url')); ?>" title="<?php echo e($social->get('social-name')); ?>">
                                <?php if($socialIcon = $social->get('social-icon')): ?>
                                    <img src="<?php echo e(RvMedia::getImageUrl($socialIcon)); ?>" alt="<?php echo e($social->get('social-name')); ?>" />
                                <?php else: ?>
                                    <?php echo e($social->get('social-name')); ?>

                                <?php endif; ?>
                            </a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-5 mb-40">
                <?php if($backgroundImage = $shortcode->background_image): ?>
                    <img src="<?php echo e(RvMedia::getImageUrl($backgroundImage)); ?>" alt="<?php echo e($shortcode->title); ?>"/>
                <?php endif; ?>
            </div>
        </div>
        <div class="border-bottom mb-0 mt-50"></div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/coming-soon/index.blade.php ENDPATH**/ ?>