<div class="mb-3">
    <label class="form-label"><?php echo e(__('Quantity')); ?></label>
    <?php echo Form::customSelect('quantity', $choices, $current, [
        'id' => $selector,
        'data-max' => $max,
        'class' => 'shortcode-tabs-quantity-select',
    ]); ?>

</div>

<div
    class="accordion"
    id="accordion-tab-shortcode mt-2"
    style="--bs-accordion-btn-padding-y: .7rem;"
>
    <?php for($i = 1; $i <= $max; $i++): ?>
        <div
            class="accordion-item <?php if($i > $current): ?> d-none <?php endif; ?>"
            data-tab-id="<?php echo e($i); ?>"
        >
            <h2
                class="accordion-header"
                id="heading-<?php echo e($i); ?>"
            >
                <button
                    class="accordion-button collapsed"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapse-<?php echo e($i); ?>"
                    type="button"
                    aria-expanded="false"
                    aria-controls="collapse-<?php echo e($i); ?>"
                >
                    <?php echo e(__('Tab #:number', ['number' => $i])); ?>

                </button>
            </h2>
            <div
                class="accordion-collapse collapse"
                id="collapse-<?php echo e($i); ?>"
                data-bs-parent="#accordion-tab-shortcode"
                aria-labelledby="heading-<?php echo e($i); ?>"
            >
                <div class="accordion-body bg-light">
                    <div class="section">
                        <?php $__currentLoopData = $fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $field): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $key = $k . '_' . $i;
                                $name = $i <= $current ? $key : '';
                            ?>
                            <div class="mb-3">
                                <label class="<?php echo \Illuminate\Support\Arr::toCssClasses(['form-label', 'required' => Arr::get($field, 'required')]); ?>"><?php echo e(Arr::get($field, 'title')); ?></label>
                                <?php switch(Arr::get($field, 'type')):
                                    case ('image'): ?>
                                        <?php echo Form::mediaImage($name, Arr::get($attributes, $key), ['data-name' => $key]); ?>

                                    <?php break; ?>

                                    <?php case ('color'): ?>
                                        <?php echo Form::customColor($name, Arr::get($attributes, $key), ['data-name' => $key]); ?>

                                    <?php break; ?>

                                    <?php case ('icon'): ?>
                                        <?php echo Form::themeIcon($name, Arr::get($attributes, $key), ['data-name' => $key]); ?>

                                    <?php break; ?>

                                    <?php case ('number'): ?>
                                        <?php echo Form::number($name, Arr::get($attributes, $key), [
                                            'class' => 'form-control',
                                            'placeholder' => Arr::get($field, 'placeholder', Arr::get($field, 'title')),
                                            'data-name' => $key,
                                        ]); ?>

                                    <?php break; ?>

                                    <?php case ('textarea'): ?>
                                        <?php echo Form::textarea($name, Arr::get($attributes, $key), [
                                            'class' => 'form-control',
                                            'placeholder' => Arr::get($field, 'placeholder', Arr::get($field, 'title')),
                                            'data-name' => $key,
                                            'rows' => 3,
                                        ]); ?>

                                    <?php break; ?>

                                    <?php case ('checkbox'): ?>
                                        <?php echo Form::customSelect($name, ['no' => __('No'), 'yes' => __('Yes')], Arr::get($attributes, $key), [
                                            'data-name' => $key,
                                        ]); ?>

                                    <?php break; ?>

                                    <?php case ('select'): ?>
                                        <?php echo Form::customSelect($name, Arr::get($field, 'options', []), Arr::get($attributes, $key), [
                                            'data-name' => $key,
                                        ]); ?>

                                    <?php break; ?>

                                    <?php default: ?>
                                        <?php echo Form::text($name, Arr::get($attributes, $key), [
                                            'class' => 'form-control',
                                            'placeholder' => Arr::get($field, 'placeholder', Arr::get($field, 'title')),
                                            'data-name' => $key,
                                        ]); ?>

                                <?php endswitch; ?>

                                <?php if($helper = Arr::get($field, 'helper')): ?>
                                    <?php echo e(Form::helper($helper)); ?>

                                <?php endif; ?>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endfor; ?>
</div>

<script src="<?php echo e(asset('vendor/core/packages/shortcode/js/shortcode-fields.js')); ?>?v=<?php echo e(time()); ?>"></script>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/packages/shortcode/resources/views/fields/tabs.blade.php ENDPATH**/ ?>