<?php
    $tags = explode(',', $shortcode->suggested);
?>

<section class="section mt-60">
    <div class="container">
        <div class="row align-items-center">
            <div class="mb-40 col-lg-5">
                <?php if($subtitle = $shortcode->subtitle): ?>
                    <span class="title-line line-48 wow animate__animated animate__fadeInUp" data-wow-delay=".0s"><?php echo BaseHelper::clean($subtitle); ?></span>
                <?php endif; ?>

                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mt-15 mb-30 wow animate__animated animate__fadeInUp" data-wow-delay=".2s"><?php echo BaseHelper::clean($title); ?></h2>
                <?php endif; ?>

                <?php if($description = $shortcode->description): ?>
                    <p class="font-md color-grey-500 wow animate__animated animate__fadeInUp" data-wow-delay=".4s"><?php echo BaseHelper::clean($description); ?></p>
                <?php endif; ?>
                <?php if(is_plugin_active('blog')): ?>
                    <div class="row mt-15">
                        <div class="col-lg-12">
                            <?php echo $__env->make(Theme::getThemeNamespace('partials.search-form'), ['formActionUrl' => route('public.search'), 'formAjaxUrl' => route('public.ajax.search')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>

                    <div class="mt-45 wow animate__animated animate__fadeInUp" data-wow-delay=".0s">
                        <p class="font-sm-bold color-brand-1"><?php echo e(__('Suggested Search:')); ?></p>
                    </div>

                    <div class="mt-10 wow animate__animated animate__fadeInUp" data-wow-delay=".0s">
                        <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <a class="mb-10 mr-10 btn btn-tag-circle" href="<?php echo e(route('public.search', ['q' => $tag])); ?>"><?php echo e($tag); ?></a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                <?php endif; ?>
            </div>
            <div class="mb-40 col-lg-7 d-none d-md-block">
                <div class="box-banner-help">
                    <?php if($image1 = $shortcode->image_1): ?>
                        <div class="banner-img-1"><img src="<?php echo e(RvMedia::getImageUrl($image1)); ?>" alt="<?php echo e(__('Banner')); ?>"></div>
                    <?php endif; ?>

                    <?php if($image2 = $shortcode->image_2): ?>
                        <div class="banner-img-2"><img src="<?php echo e(RvMedia::getImageUrl($image2)); ?>" alt="<?php echo e(__('Banner')); ?>"></div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/banner-hero-with-search/index.blade.php ENDPATH**/ ?>