<section class="section mt-50">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-5 mb-30">
                <?php if($subtitle = $shortcode->subtitle): ?>
                    <span class="title-line line-48 wow animate__animated animate__fadeInUp"><?php echo BaseHelper::clean($subtitle); ?></span>
                <?php endif; ?>

                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mt-10 mb-15 wow animate__animated animate__fadeInUp"><?php echo BaseHelper::clean($title); ?></h2>
                <?php endif; ?>

                <?php if($description = $shortcode->description): ?>
                    <p class="font-md color-grey-400 wow animate__animated animate__fadeInUp"><?php echo BaseHelper::clean($description); ?></p>
                <?php endif; ?>
                <div class="mt-40">
                    <ul class="list-ticks wow animate__animated animate__fadeInUp">
                        <?php $__currentLoopData = $tabs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tab): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <svg class="w-6 h-6 icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7"></path>
                                </svg><?php echo e($tab['title']); ?>

                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="mt-40 text-start wow animate__animated animate__fadeInUp">
                    <?php if($shortcode->button_primary_url && $shortcode->button_primary_label): ?>
                        <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_primary_url); ?>"><?php echo e($shortcode->button_primary_label); ?></a>
                    <?php endif; ?>

                    <?php if($shortcode->button_secondary_url && $shortcode->button_secondary_label): ?>
                        <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secondary_url); ?>"><?php echo e($shortcode->button_secondary_label); ?>

                            <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                            </svg>
                        </a>
                    <?php endif; ?>
                </div>
            </div>

            <div class="col-lg-7 text-center position-relative mb-30">
                <?php if($image = $shortcode->image): ?>
                    <img src="<?php echo e(RvMedia::getImageUrl($image)); ?>" alt="<?php echo e(__('Image')); ?>">
                <?php endif; ?>

                <?php if($imageSecondary = $shortcode->logo): ?>
                    <div class="shape-1 box-image-4"><img src="<?php echo e(RvMedia::getImageUrl($imageSecondary)); ?>" alt="<?php echo e(__('Image secondary')); ?>"></div>
                <?php endif; ?>

                <?php if($shortcode->counter_data && $shortcode->counter_title): ?>
                    <div class="box-number-business shape-3">
                        <div class="cardNumber bg-white">
                            <h3><span class="count"><?php echo e($shortcode->counter_data); ?></span><span><?php echo e($shortcode->counter_unit); ?></span></h3>
                            <p class="font-xs color-brand-1"><?php echo e($shortcode->counter_title); ?></p>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/branding-block/styles/style-2.blade.php ENDPATH**/ ?>