<?php
    Theme::layout('full-width');
    $layout = $layout ?? 'grid';
?>

<section>
    <?php echo Theme::partial('page-header'); ?>

</section>

<section class="section mt-50">
    <div class="container product-area">
        <div class="row align-items-start align-items-md-center">
            <div class="col-lg-3 col-md-2 col-sm-3 col-3 pe-0">
                <a
                    data-layout="grid"
                    href="#"
                    class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                        'filter-layout filter-link btn-grid',
                        'active' => request()->input('layout') === 'grid',
                    ]); ?>"
                > </a>
                <a
                    data-layout="list"
                    href="#"
                    class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                        'filter-layout filter-link btn-list',
                        'active' => request()->input('layout') === 'list',
                    ]); ?>"
                > </a>
            </div>
            <div class="col-lg-9 col-md-10 col-sm-9 col-9 text-end">
                <div class="d-inline-block">
                    <div class="d-flex align-items-center box-filter-text">
                        <div class="show-information-product">
                            <?php echo Theme::partial('ecommerce.product-count', compact('products')); ?>

                        </div>
                        <div class="box-sortby d-flex align-items-center">
                            <span class="font-md color-grey-400 d-inline-block mr-10"><?php echo e(__('Sort by')); ?>:</span>
                            <div>
                                <select
                                    class="form-select form-select-soft-by"
                                    name="sort-by"
                                    aria-label=""
                                >
                                    <?php $__currentLoopData = EcommerceHelper::getSortParams(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($key); ?>"
                                            <?php if(request()->input('sort-by') === $key): echo 'selected'; endif; ?>
                                        ><?php echo e($value); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="position-relative w-100 h-100">
            <div class="loading-spinner-wrapper">
                <div class="loading-spinner"></div>
            </div>
            <div
                class="tab-pane fade show active"
                role="tabpanel"
                aria-labelledby="nav-all-tab"
            ></div>
        </div>
        <div class="row">
            <div class="col-lg-3 order-lg-1 order-2">
                <?php echo $__env->make(Theme::getThemeNamespace('views.ecommerce.includes.filters'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php echo dynamic_sidebar('product_list_sidebar'); ?>

            </div>
            <div class="col-lg-9 order-lg-1 order-1">
                <?php if(count($products) > 0): ?>
                    <div class="product-list">
                        <div class="row mt-50 ">
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                                    'col-xl-6 col-lg-12' => $layout === 'list',
                                    'col-lg-4 col-md-6' => $layout === 'grid',
                                ]); ?>">
                                    <?php echo Theme::partial('ecommerce.product.item-' . $layout, compact('product')); ?>

                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="text-center mt-30">
                            <?php echo $products->withQueryString()->links(Theme::getThemeNamespace('partials.pagination')); ?>

                        </div>
                    </div>
                <?php else: ?>
                    <div class="my-5 text-center">
                        <p class="text-muted"><?php echo e(__('No products found!')); ?></p>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/ecommerce/search.blade.php ENDPATH**/ ?>