<section class="section mt-50">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeInUp" data-wow-delay=".0s"><?php echo BaseHelper::clean($title); ?></h2>
                <?php endif; ?>

                <?php if($subtitle = $shortcode->subtitle): ?>
                    <p class="font-lg color-gray-500 wow animate__animated animate__fadeInUp" data-wow-delay=".2s">
                        <?php echo $subtitle; ?>

                    </p>
                <?php endif; ?>
            </div>
        </div>
        <?php if($services->isNotEmpty()): ?>
            <div class="row mt-50">
                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-6 wow animate__animated animate__fadeIn" data-wow-delay=".<?php echo e($loop->even ? 0 : 2); ?>s">
                        <div class="card-offer card-we-do hover-up">
                            <?php if($logo = $service->category->getMetadata('icon', true)): ?>
                                <div class="card-image">
                                    <img src="<?php echo e(RvMedia::getImageUrl($logo)); ?>" alt="<?php echo e($service->name); ?>" />
                                </div>
                            <?php endif; ?>
                            <div class="card-info">
                                <h4 class="color-brand-1 mb-10">
                                    <a class="color-brand-1" href="<?php echo e($service->url); ?>">
                                        <?php echo e($service->name); ?>

                                    </a>
                                </h4>

                                <?php if($description = $service->description): ?>
                                    <p class="font-md color-grey-500 mb-5">
                                        <?php echo BaseHelper::clean($description); ?>

                                    </p>
                                <?php endif; ?>

                                <div class="box-button-offer">
                                    <a href="<?php echo e($service->url); ?>" class="btn btn-default font-sm-bold ps-0 color-brand-1"><?php echo e(__('View Details')); ?>

                                        <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        <?php endif; ?>

        <div class="mt-40 mb-50 text-center wow animate__animated animate__fadeIn" data-wow-delay=".0s">
            <?php if($shortcode->button_primary_url && $shortcode->button_primary_label): ?>
                <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_primary_label); ?>"><?php echo e($shortcode->button_primary_label); ?></a>
            <?php endif; ?>

            <?php if($shortcode->button_secondary_url && $shortcode->button_secondary_label): ?>
                <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secondary_url); ?>"><?php echo e($shortcode->button_secondary_label); ?>

                    <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                    </svg>
                </a>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/services/styles/style-2.blade.php ENDPATH**/ ?>