<div>
    <?php echo Theme::partial('breadcrumb'); ?>

    <section class="section mt-50">
        <div class="container product-details">
            <div class="row">
                <div class="col-lg-6 text-center mb-30">
                    <?php if($productImages): ?>
                        <div class="detail-gallery">
                            <div class="product-image-slider">
                                <?php $__currentLoopData = $productImages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <figure class="border-radius-10">
                                        <img
                                            src="<?php echo e(RvMedia::getImageUrl($image)); ?>"
                                            alt="<?php echo e(__('Product image')); ?>"
                                        >
                                    </figure>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>

                        <div class="slider-nav-thumbnails">
                            <?php $__currentLoopData = $productImages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div>
                                    <div class="item-thumb"><img
                                            src="<?php echo e(RvMedia::getImageUrl($image)); ?>"
                                            alt="<?php echo e(__('Product image')); ?>"
                                        ></div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="col-lg-6 mb-30">
                    <h1
                        class="h3 font-bold-800 color-gray-800 mb-20 wow animate__animated animate__fadeIn"
                        data-wow-delay=".0s"
                    >
                        <?php echo e($product->name); ?>

                    </h1>

                    <?php if(EcommerceHelper::isReviewEnabled()): ?>
                        <a
                            class="anchor-link"
                            href="#review-tab"
                        >
                            <div class="d-flex mb-3">
                                <div class="product-rate d-inline-block me-2">
                                    <div
                                        class="product-rating"
                                        style="width: <?php echo e($product->reviews_avg * 20); ?>%;"
                                    ></div>
                                </div>
                                <span class="text-semibold">
                                    <span>(<?php echo e(number_format($product->reviews_count)); ?>)</span>
                                </span>
                            </div>
                        </a>
                    <?php endif; ?>

                    <div class="d-flex align-items-center mb-30 box-price-banner box-price">
                        <?php if($product->front_sale_price === $product->price): ?>
                            <h3 class="color-success mr-30 price">
                                <?php echo e(format_price($product->front_sale_price_with_taxes)); ?></h3>
                        <?php else: ?>
                            <h3 class="color-success mr-30 price">
                                <?php echo e(format_price($product->front_sale_price_with_taxes)); ?></h3>
                            <h4 class="color-grey-400 mr-30 price-line price-old">
                                <?php echo e(format_price($product->price_with_taxes)); ?></h4>
                        <?php endif; ?>

                        <?php if($stockStatusLabel = $product->stockStatusLabel): ?>
                            <p class="font-md color-grey-400">(<?php echo e($stockStatusLabel); ?>)</p>
                        <?php endif; ?>
                    </div>
                    <div class="mb-50 product-description">
                        <div class="product-description-text">
                            <?php echo BaseHelper::clean(Str::limit($product->description, 320)); ?>

                        </div>

                        <?php if(strlen($product->description) > 340): ?>
                            <div
                                class="product-description-full"
                                style="display: none"
                            >
                                <?php echo BaseHelper::clean($product->description); ?>

                            </div>
                            <a
                                class="btn-view"
                                data-view="full"
                                href="#"
                            ><?php echo e(__('View more')); ?></a>
                        <?php endif; ?>
                    </div>
                    <form
                        class="cart-form"
                        action="<?php echo e(route('public.cart.add-to-cart')); ?>"
                        method="POST"
                    >
                    <div class="mb-50">
                        <?php if($product->variations()->count() > 0): ?>
                            <div class="pr_switch_wrap">
                                <?php echo render_product_swatches($product, [
                                    'selected' => $selectedAttrs,
                                    'view' => Theme::getThemeNamespace('views.ecommerce.attributes.swatches-renderer'),
                                ]); ?>

                            </div>
                            <div
                                class="number-items-available"
                                style="display: none; margin-bottom: 10px;"
                            ></div>
                        <?php endif; ?>

                        <?php echo render_product_options($product); ?>


                        <?php echo apply_filters(ECOMMERCE_PRODUCT_DETAIL_EXTRA_HTML, null, $product); ?>

                    </div>
                    <div class="box-quantity">
                        <div class="form-quantity mr-10">
                            <input
                                class="input-quantity"
                                type="text"
                                value="1"
                                min="1"
                            >
                            <span
                                class="button-quantity button-up"
                                data-type="increase"
                            ></span>
                            <span
                                class="button-quantity button-down"
                                data-type="decrease"
                            ></span>
                        </div>
                        <div
                            class="d-flex flex-wrap gap-2"
                        >
                            <?php echo csrf_field(); ?>
                            <input
                                class="hidden-product-id"
                                name="id"
                                type="hidden"
                                value="<?php echo e($product->id); ?>"
                            />
                            <input
                                name="qty"
                                type="hidden"
                                value="1"
                            >
                            <button
                                type="submit"
                                class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                                    'btn btn-brand-1 btn-cart',
                                    'disable' => $product->isOutOfStock(),
                                ]); ?>"
                            >
                                <i class="fi fi-rr-shopping-cart me-2"></i>
                                <?php echo e(__('Add To Cart')); ?>

                            </button>
                            <button
                                name="checkout"
                                type="submit"
                                value="1"
                                class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                                    'btn btn-brand-1 btn-cart',
                                    'disable' => $product->isOutOfStock(),
                                ]); ?>"
                            ><?php echo e(__('Buy Now')); ?></button>
                            <?php if(EcommerceHelper::isWishlistEnabled()): ?>
                                <a
                                    class="btn btn-brand-1 add-to-wishlist"
                                    href="<?php echo e(route('public.wishlist.add', $product->id)); ?>"
                                >
                                    <svg
                                        class="w-6 h-6 icon-16"
                                        fill="none"
                                        stroke="currentColor"
                                        viewbox="0 0 24 24"
                                        xmlns="http://www.w3.org/2000/svg"
                                    >
                                        <path
                                            stroke-linecap="round"
                                            stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M4.318 6.318a4.5 4.5 0 000 6.364L12 20.364l7.682-7.682a4.5 4.5 0 00-6.364-6.364L12 7.636l-1.318-1.318a4.5 4.5 0 00-6.364 0z"
                                        ></path>
                                    </svg>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                    </form>

                    <div class="box-categories-link mt-30">
                        <div class="item-cat meta-sku <?php if(!$product->sku): ?> d-none <?php endif; ?>">
                            <span class="text-body color-gray-900 d-inline-block"><?php echo e(__('SKU')); ?>:&nbsp;</span>
                            <span class="text-body color-gray-500 meta-value d-inline-block"><?php echo e($product->sku); ?></span>
                        </div>
                        <?php if($product->categories->isNotEmpty()): ?>
                            <div class="item-cat d-block">
                                <span
                                    class="text-body color-gray-900 d-inline-block"><?php echo e(__('Categories')); ?>:&nbsp;</span>
                                <?php $__currentLoopData = $product->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <a
                                        class="text-body meta-value d-inline-block"
                                        href="<?php echo e($category->url); ?>"
                                    ><?php echo e($category->name); ?></a><?php if(!$loop->last): ?>, <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                        <?php if($product->tags->isNotEmpty()): ?>
                            <div class="item-cat d-block">
                                <span class="text-body color-gray-900 d-inline-block"><?php echo e(__('Tags')); ?>:&nbsp;</span>
                                <?php $__currentLoopData = $product->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <a
                                        class="text-body meta-value d-inline-block"
                                        href="<?php echo e($tag->url); ?>"
                                    ><?php echo e($tag->name); ?></a><?php if(!$loop->last): ?>, <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="border-bottom bd-grey-80 mt-50"></div>
    </section>

    <div class="text-center">
        <ul
            class="tabs-plan product-tabs"
            id="product-tabs"
            role="tablist"
        >
            <li
                class="wow animate__animated animate__fadeIn me-2"
                data-wow-delay=".0s"
            >
                <a
                    class="active"
                    id="description-tab"
                    data-bs-toggle="tab"
                    data-bs-target="#description-tab-pane"
                    type="button"
                    role="tab"
                    aria-controls="description-tab-pane"
                    aria-selected="true"
                >
                    <?php echo e(__('Description')); ?>

                </a>
            </li>
            <?php if(EcommerceHelper::isReviewEnabled()): ?>
                <li
                    class="wow animate__animated animate__fadeIn"
                    data-wow-delay=".1s"
                >
                    <a
                        id="review-tab"
                        data-bs-toggle="tab"
                        data-bs-target="#review-tab-pane"
                        type="button"
                        role="tab"
                        aria-controls="review-tab-pane"
                        aria-selected="false"
                    >
                        <?php echo e(__('Reviews')); ?>

                        (<span><?php echo e($product->reviews_count); ?></span>)
                    </a>
                </li>
            <?php endif; ?>
        </ul>
    </div>

    <div
        class="tab-content"
        id="product-tabs-content"
    >
        <div
            class="tab-pane fade show active"
            id="description-tab-pane"
            role="tabpanel"
            aria-labelledby="description-tab"
            tabindex="0"
        >
            <div class="ck-content font-md">
                <?php echo BaseHelper::clean($product->content); ?>

            </div>
        </div>
        <?php if(EcommerceHelper::isReviewEnabled()): ?>
            <div
                class="tab-pane fade"
                id="review-tab-pane"
                role="tabpanel"
                aria-labelledby="review-tab"
                tabindex="0"
            >
                <?php echo $__env->make('plugins/ecommerce::themes.includes.reviews', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        <?php endif; ?>
    </div>
</div>

<?php if(($products = get_related_products($product)) && $products->isNotEmpty()): ?>
    <section class="section-box mt-40">
        <div class="container">
            <h2 class="text-heading-4 color-gray-900"><?php echo e(__('You may also like')); ?></h2>
            <p class="text-body color-gray-600 mt-10"><?php echo e(__('Take it to your cart')); ?></p>
        </div>
        <div class="container mt-50">
            <div class="row">
                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-3 col-md-4">
                        <?php echo Theme::partial('ecommerce.product.item-grid', compact('product')); ?>

                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/ecommerce/product.blade.php ENDPATH**/ ?>