<?php $__env->startSection('title', __('Checkout')); ?>

<?php $__env->startSection('content'); ?>
    <?php if(Cart::instance('cart')->isNotEmpty()): ?>
        <?php
            $rawTotal = Cart::instance('cart')->rawTotal();
            $orderAmount = max($rawTotal - $promotionDiscountAmount - $couponDiscountAmount, 0);
            $orderAmount += (float) $shippingAmount;
        ?>

        <?php if(is_plugin_active('payment') && $orderAmount): ?>
            <?php echo $__env->make('plugins/payment::partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>

        <?php if (isset($component)) { $__componentOriginald83dae5750a07af1a413e54a0071b325 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginald83dae5750a07af1a413e54a0071b325 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'a74ad8dfacd4f985eb3977517615ce25::form.index','data' => ['url' => route('public.checkout.process', $token),'id' => 'checkout-form','class' => 'checkout-form payment-checkout-form']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('core::form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['url' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('public.checkout.process', $token)),'id' => 'checkout-form','class' => 'checkout-form payment-checkout-form']); ?>
            <input id="checkout-token" name="checkout-token" type="hidden" value="<?php echo e($token); ?>">

            <div class="container" id="main-checkout-product-info">
                <div class="row">
                    <div class="order-1 order-md-2 col-lg-5 col-md-6 right">
                        <div class="d-block d-sm-none">
                            <?php echo $__env->make('plugins/ecommerce::orders.partials.logo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                        <div class="position-relative" id="cart-item">
                            <div class="payment-info-loading" style="display: none;">
                                <div class="payment-info-loading-content">
                                    <i class="fas fa-spinner fa-spin"></i>
                                </div>
                            </div>

                            <?php echo apply_filters(RENDER_PRODUCTS_IN_CHECKOUT_PAGE, $products); ?>


                            <div class="mt-2 p-2">
                                <div class="row">
                                    <div class="col-6">
                                        <p><?php echo e(__('Subtotal')); ?>:</p>
                                    </div>
                                    <div class="col-6">
                                        <p class="price-text sub-total-text text-end">
                                            <?php echo e(format_price(Cart::instance('cart')->rawSubTotal())); ?>

                                        </p>
                                    </div>
                                </div>
                                <?php if(EcommerceHelper::isTaxEnabled()): ?>
                                    <div class="row">
                                        <div class="col-6">
                                            <p><?php echo e(__('Tax')); ?>:</p>
                                        </div>
                                        <div class="col-6 float-end">
                                            <p class="price-text tax-price-text">
                                                <?php echo e(format_price(Cart::instance('cart')->rawTax())); ?>

                                            </p>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if(session('applied_coupon_code')): ?>
                                    <div class="row coupon-information">
                                        <div class="col-6">
                                            <p><?php echo e(__('Coupon code')); ?>:</p>
                                        </div>
                                        <div class="col-6">
                                            <p class="price-text coupon-code-text">
                                                <?php echo e(session('applied_coupon_code')); ?>

                                            </p>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if($couponDiscountAmount > 0): ?>
                                    <div class="row price discount-amount">
                                        <div class="col-6">
                                            <p><?php echo e(__('Coupon code discount amount')); ?>:</p>
                                        </div>
                                        <div class="col-6">
                                            <p class="price-text total-discount-amount-text">
                                                <?php echo e(format_price($couponDiscountAmount)); ?>

                                            </p>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if($promotionDiscountAmount > 0): ?>
                                    <div class="row">
                                        <div class="col-6">
                                            <p><?php echo e(__('Promotion discount amount')); ?>:</p>
                                        </div>
                                        <div class="col-6">
                                            <p class="price-text">
                                                <?php echo e(format_price($promotionDiscountAmount)); ?>

                                            </p>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if(!empty($shipping) && Arr::get($sessionCheckoutData, 'is_available_shipping', true)): ?>
                                    <div class="row">
                                        <div class="col-6">
                                            <p><?php echo e(__('Shipping fee')); ?>:</p>
                                        </div>
                                        <div class="col-6 float-end">
                                            <p class="price-text shipping-price-text"><?php echo e(format_price($shippingAmount)); ?></p>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div class="row">
                                    <div class="col-6">
                                        <p><strong><?php echo e(__('Total')); ?></strong>:</p>
                                    </div>
                                    <div class="col-6 float-end">
                                        <p class="total-text raw-total-text" data-price="<?php echo e(format_price($rawTotal, null, true)); ?>">
                                            <?php echo e(format_price($orderAmount)); ?>

                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <hr>

                        <div class="mt-3 mb-5">
                            <?php echo $__env->make('plugins/ecommerce::themes.discounts.partials.form', compact('discounts'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>

                    <div class="col-lg-7 col-md-6 left">
                        <div class="d-none d-sm-block">
                            <?php echo $__env->make('plugins/ecommerce::orders.partials.logo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                        <div class="form-checkout">
                            <?php echo apply_filters('ecommerce_checkout_form_before', null, $products); ?>


                            <?php if($isShowAddressForm): ?>
                                <div class="mb-4">
                                    <h5 class="checkout-payment-title"><?php echo e(__('Shipping information')); ?></h5>
                                    <input
                                        id="save-shipping-information-url"
                                        type="hidden"
                                        value="<?php echo e(route('public.checkout.save-information', $token)); ?>"
                                    >
                                    <?php echo $__env->make(
                                        'plugins/ecommerce::orders.partials.address-form',
                                        compact('sessionCheckoutData')
                                    , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>

                                <?php echo apply_filters('ecommerce_checkout_form_after_shipping_address_form', null, $products); ?>

                            <?php endif; ?>

                            <?php if(EcommerceHelper::isBillingAddressEnabled()): ?>
                                <div class="mb-4">
                                    <h5 class="checkout-payment-title"><?php echo e(__('Billing information')); ?></h5>
                                    <?php echo $__env->make(
                                        'plugins/ecommerce::orders.partials.billing-address-form',
                                        compact('sessionCheckoutData')
                                    , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>

                                <?php echo apply_filters('ecommerce_checkout_form_after_billing_address_form', null, $products); ?>

                            <?php endif; ?>

                            <?php if(!is_plugin_active('marketplace')): ?>
                                <?php if(Arr::get($sessionCheckoutData, 'is_available_shipping', true)): ?>
                                    <div id="shipping-method-wrapper" class="mb-4">
                                        <h5 class="checkout-payment-title"><?php echo e(__('Shipping method')); ?></h5>
                                        <div class="shipping-info-loading" style="display: none;">
                                            <div class="shipping-info-loading-content">
                                                <i class="fas fa-spinner fa-spin"></i>
                                            </div>
                                        </div>
                                        <?php if(!empty($shipping)): ?>
                                            <div class="payment-checkout-form">
                                                <input
                                                    name="shipping_option"
                                                    type="hidden"
                                                    value="<?php echo e(BaseHelper::stringify(old('shipping_option', $defaultShippingOption))); ?>"
                                                >
                                                <ul class="list-group list_payment_method">
                                                    <?php $__currentLoopData = $shipping; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shippingKey => $shippingItems): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php $__currentLoopData = $shippingItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shippingOption => $shippingItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php echo $__env->make(
                                                                'plugins/ecommerce::orders.partials.shipping-option',
                                                                [
                                                                    'shippingItem' => $shippingItem,
                                                                    'attributes' => [
                                                                        'id' =>
                                                                            'shipping-method-' .
                                                                            $shippingKey .
                                                                            '-' .
                                                                            $shippingOption,
                                                                        'name' => 'shipping_method',
                                                                        'class' => 'magic-radio shipping_method_input',
                                                                        'checked' =>
                                                                            old(
                                                                                'shipping_method',
                                                                                $defaultShippingMethod) == $shippingKey &&
                                                                            old(
                                                                                'shipping_option',
                                                                                $defaultShippingOption) == $shippingOption,
                                                                        'disabled' => Arr::get(
                                                                            $shippingItem,
                                                                            'disabled'),
                                                                        'data-option' => $shippingOption,
                                                                    ],
                                                                ]
                                                            , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                        <?php else: ?>
                                            <p><?php echo e(__('No shipping methods available!')); ?></p>
                                        <?php endif; ?>
                                    </div>

                                    <?php echo apply_filters('ecommerce_checkout_form_after_shipping_address_form', null, $products); ?>

                                <?php endif; ?>
                            <?php endif; ?>

                            <?php echo apply_filters('ecommerce_checkout_form_before_payment_form', null, $products); ?>


                            <input
                                name="amount"
                                type="hidden"
                                value="<?php echo e(format_price($orderAmount, null, true)); ?>"
                            >

                            <?php if(is_plugin_active('payment') && $orderAmount): ?>
                                <?php
                                    $paymentMethods = apply_filters(PAYMENT_FILTER_ADDITIONAL_PAYMENT_METHODS, null, [
                                            'amount' => format_price($orderAmount, null, true),
                                            'currency' => strtoupper(get_application_currency()->title),
                                            'name' => null,
                                            'selected' => PaymentMethods::getSelectedMethod(),
                                            'default' => PaymentMethods::getDefaultMethod(),
                                            'selecting' => PaymentMethods::getSelectingMethod(),
                                        ]) . PaymentMethods::render();
                                ?>

                                <input
                                    name="currency"
                                    type="hidden"
                                    value="<?php echo e(strtoupper(get_application_currency()->title)); ?>"
                                >

                                <?php if($paymentMethods): ?>
                                    <div class="position-relative mb-4">
                                        <div class="payment-info-loading" style="display: none;">
                                            <div class="payment-info-loading-content">
                                                <i class="fas fa-spinner fa-spin"></i>
                                            </div>
                                        </div>
                                        <h5 class="checkout-payment-title"><?php echo e(__('Payment method')); ?></h5>

                                        <?php echo apply_filters(PAYMENT_FILTER_PAYMENT_PARAMETERS, null); ?>


                                        <ul class="list-group list_payment_method">
                                            <?php echo $paymentMethods; ?>

                                        </ul>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>

                            <?php echo apply_filters('ecommerce_checkout_form_after_payment_form', null, $products); ?>


                            <div class="<?php echo \Illuminate\Support\Arr::toCssClasses(['form-group mb-3', 'has-error' => $errors->has('description')]); ?>">
                                <label class="form-label" for="description"><?php echo e(__('Order notes')); ?></label>
                                <textarea
                                    class="form-control"
                                    id="description"
                                    name="description"
                                    rows="3"
                                    placeholder="<?php echo e(__('Notes about your order, e.g. special notes for delivery.')); ?>"
                                ><?php echo e(old('description')); ?></textarea>
                                <?php echo Form::error('description', $errors); ?>

                            </div>

                            <?php if(EcommerceHelper::getMinimumOrderAmount() > Cart::instance('cart')->rawSubTotal()): ?>
                                <div role="alert" class="alert alert-warning">
                                    <?php echo e(__('Minimum order amount is :amount, you need to buy more :more to place an order!', ['amount' => format_price(EcommerceHelper::getMinimumOrderAmount()), 'more' => format_price(EcommerceHelper::getMinimumOrderAmount() - Cart::instance('cart')->rawSubTotal())])); ?>

                                </div>
                            <?php endif; ?>

                            <?php if(EcommerceHelper::isDisplayTaxFieldsAtCheckoutPage()): ?>
                                <?php echo $__env->make(
                                    'plugins/ecommerce::orders.partials.tax-information',
                                    compact('sessionCheckoutData')
                                , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                                <?php echo apply_filters('ecommerce_checkout_form_after_tax_information_form', null, $products); ?>

                            <?php endif; ?>

                            <?php echo apply_filters('ecommerce_checkout_form_after', null, $products); ?>


                            <div class="row align-items-center g-3">
                                <div class="order-2 order-md-1 col-md-6 text-center text-md-start mb-4 mb-md-0">
                                    <a class="text-info" href="<?php echo e(route('public.cart')); ?>">
                                        <i class="fas fa-long-arrow-alt-left"></i>
                                        <span class="d-inline-block back-to-cart"><?php echo e(__('Back to cart')); ?></span>
                                    </a>

                                    <?php echo apply_filters('ecommerce_checkout_form_after_back_to_cart_link', null, $products); ?>

                                </div>
                                <div class="order-1 order-md-2 col-md-6">
                                    <?php if(EcommerceHelper::isValidToProcessCheckout()): ?>
                                        <button
                                            class="btn payment-checkout-btn payment-checkout-btn-step float-end"
                                            data-processing-text="<?php echo e(__('Processing. Please wait...')); ?>"
                                            data-error-header="<?php echo e(__('Error')); ?>"
                                            type="submit"
                                        >
                                            <?php echo e(__('Checkout')); ?>

                                        </button>
                                    <?php else: ?>
                                        <span class="btn payment-checkout-btn-step float-end disabled">
                                            <?php echo e(__('Checkout')); ?>

                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginald83dae5750a07af1a413e54a0071b325)): ?>
<?php $attributes = $__attributesOriginald83dae5750a07af1a413e54a0071b325; ?>
<?php unset($__attributesOriginald83dae5750a07af1a413e54a0071b325); ?>
<?php endif; ?>
<?php if (isset($__componentOriginald83dae5750a07af1a413e54a0071b325)): ?>
<?php $component = $__componentOriginald83dae5750a07af1a413e54a0071b325; ?>
<?php unset($__componentOriginald83dae5750a07af1a413e54a0071b325); ?>
<?php endif; ?>

        <?php if(is_plugin_active('payment')): ?>
            <?php echo $__env->make('plugins/payment::partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>
    <?php else: ?>
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="alert alert-warning my-5">
                        <span><?php echo __('No products in cart. :link!', ['link' => Html::link(route('public.index'), __('Back to shopping'))]); ?></span>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer'); ?>
    <script type="text/javascript" src="<?php echo e(asset('vendor/core/core/js-validation/js/js-validation.js')); ?>"></script>

    <?php echo JsValidator::formRequest(
        Botble\Ecommerce\Http\Requests\SaveCheckoutInformationRequest::class,
        '#checkout-form',
    ); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('plugins/ecommerce::orders.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/plugins/ecommerce/resources/views/orders/checkout.blade.php ENDPATH**/ ?>