<?php echo Theme::partial('breadcrumb'); ?>


<div class="section mt-40">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-7">
                <div class="content-single">
                    <h1 class="h3 font-bold-800 color-brand-1 mb-20"><?php echo e($post->name); ?></h1>
                    <div>
                        <?php $__currentLoopData = $post->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <a class="btn btn-border mr-10 mb-10 btn-tag"
                               href="<?php echo e($category->url); ?>"><?php echo e($category->name); ?></a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <div class="box-author mb-20">
                        <div class="author-info">
                            <span
                                class="font-xs color-grey-500 department"><?php echo e($post->created_at->translatedFormat('M d, Y')); ?></span>
                            <span
                                class="font-xs color-grey-500 icon-read"><?php echo e(__(':number mins read', ['number' => number_format(strlen(strip_tags($post->content)) / 300)])); ?></span>
                        </div>
                    </div>
                    <p class="color-grey-900 font-lg-bold mb-25"><?php echo e($post->description); ?></p>
                    <div class="ck-content font-md color-grey-500"><?php echo BaseHelper::clean($post->content); ?></div>
                    <div class="border-bottom bd-grey-80"></div>
                    <div class="row">
                        <div class="col-lg-8">
                            <?php $__currentLoopData = $post->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a class="btn btn-border mr-10 mb-10 btn-tag"
                                   href="<?php echo e($tag->url); ?>">#<?php echo e($tag->name); ?></a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="col-lg-4">
                            <div class="d-flex align-item-center float-end share-posts">
                                <strong class="title font-xs-bold color-brand-1 mr-20"><?php echo e(__('Share')); ?></strong>
                                <div class="list-socials mt-0 d-inline-block">
                                    <a class="icon-socials"
                                       href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(urlencode($post->url)); ?>">
                                        <svg viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <g clip-path="url(#clip0_1_5057)">
                                                <path d="M17.5642 0H2.43582C1.0927 0 0 1.0927 0 2.43582V17.5641C0 18.9073 1.0927 20 2.43582 20H10.1898C10.516 20 10.7804 19.7356 10.7804 19.4095V12.2489C10.7804 11.9228 10.516 11.6584 10.1898 11.6584H8.06715V9.97738H10.1898C10.516 9.97738 10.7804 9.71297 10.7804 9.38684V6.99652C10.7804 5.70293 11.8328 4.65051 13.1264 4.65051H15.1746V6.33148H13.1264C12.7598 6.33148 12.4614 6.62988 12.4614 6.99656V9.38688C12.4614 9.71301 12.7258 9.97742 13.052 9.97742H15.1746V11.6584H13.052C12.7258 11.6584 12.4614 11.9228 12.4614 12.2489V19.4095C12.4614 19.7356 12.7258 20 13.052 20H17.5642C18.9073 20 20 18.9073 20 17.5642V2.43582C20 1.0927 18.9073 0 17.5642 0ZM18.8189 17.5642C18.8189 18.2561 18.2561 18.8189 17.5641 18.8189H13.6425H13.6424V12.8395H15.7651C16.0912 12.8395 16.3557 12.575 16.3557 12.2489V9.38688C16.3557 9.06074 16.0912 8.79633 15.7651 8.79633H13.6424V7.51258H15.7651C16.0912 7.51258 16.3557 7.24816 16.3557 6.92203V4.06C16.3557 3.73387 16.0912 3.46945 15.7651 3.46945H13.1264C11.1816 3.46945 9.5993 5.05172 9.5993 6.99656V8.79633H7.4766C7.15047 8.79633 6.88605 9.06074 6.88605 9.38688V12.2489C6.88605 12.575 7.15047 12.8395 7.4766 12.8395H9.5993V18.8189H2.43582C1.74395 18.8189 1.18105 18.2561 1.18105 17.5641V2.43582C1.18105 1.74395 1.74391 1.18105 2.43582 1.18105H17.5641C18.256 1.18105 18.8189 1.74391 18.8189 2.43582V17.5642Z" fill="currentColor"/>
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_1_5057">
                                                    <rect width="20" height="20" fill="white"/>
                                                </clipPath>
                                            </defs>
                                        </svg>

                                    </a>
                                    <a class="icon-socials"
                                       href="https://twitter.com/intent/tweet?url=<?php echo e(urlencode($post->url)); ?>&text=<?php echo e(strip_tags($post->description)); ?>">
                                        <svg viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <g clip-path="url(#clip0_1_5061)">
                                                <path d="M19.9116 4.27886C19.7934 4.08652 19.577 3.97749 19.3518 3.99702L18.3545 4.0839L19.3078 2.16229C19.4213 1.93343 19.3764 1.65768 19.1963 1.47655C19.016 1.29542 18.7406 1.24924 18.5112 1.36159L15.9882 2.59718C14.4295 1.77428 12.4821 2.01854 11.1421 3.23921C10.0238 4.25796 9.43591 5.82464 9.54552 7.38699C6.62251 7.09402 4.14828 5.42093 2.68523 2.71757C2.58816 2.53823 2.40617 2.42093 2.20277 2.40651C1.99898 2.39233 1.80265 2.48265 1.68132 2.64659C0.7739 3.87245 0.710228 5.55324 1.4216 6.93601C1.2255 6.88648 1.01683 6.81945 0.785424 6.74215C0.587181 6.67586 0.368626 6.71832 0.209524 6.85394C0.0504223 6.98957 -0.0260622 7.19859 0.00796127 7.40488C0.289446 9.11145 1.2846 10.423 2.85664 11.1993C2.65195 11.2706 2.44308 11.3285 2.2307 11.3728C2.01968 11.4168 1.84882 11.5711 1.78379 11.7766C1.71875 11.9821 1.76961 12.2067 1.91687 12.3641C3.04894 13.5742 4.68426 14.1698 5.84582 14.4555C4.52512 15.4897 3.09945 15.6628 1.02781 15.5917C0.788002 15.5844 0.567064 15.7195 0.466243 15.9369C0.365462 16.1543 0.404564 16.411 0.565619 16.5885C1.42921 17.5404 4.57555 18.6138 7.88306 18.6942C8.01388 18.6974 8.14731 18.6991 8.28356 18.6991C10.6059 18.6991 13.6751 18.2013 15.8781 15.9983C17.5455 14.3308 18.5885 12.4113 18.9779 10.2931C19.2925 8.58223 19.0937 7.21222 18.9982 6.55379C18.9911 6.50539 18.9836 6.45402 18.9775 6.4091L19.9104 4.90558C20.0294 4.71378 20.0299 4.4712 19.9116 4.27886ZM17.8176 6.72504C17.9946 7.94473 18.5331 11.6563 15.0346 15.1548C13.001 17.1883 10.039 17.5535 7.91204 17.5018C6.09715 17.4577 4.47379 17.1106 3.29723 16.7147C3.77492 16.6561 4.20063 16.5657 4.60246 16.4408C5.71024 16.0965 6.6461 15.4769 7.54759 14.491C7.69786 14.3267 7.74403 14.0924 7.66743 13.8833C7.59083 13.6743 7.40411 13.5253 7.18325 13.497C6.61454 13.4241 4.90571 13.1365 3.56008 12.2083C3.94785 12.0497 4.32184 11.8512 4.67895 11.6143C4.87485 11.4843 4.97617 11.2514 4.93758 11.0195C4.89903 10.7876 4.72789 10.5999 4.50047 10.5403C3.3991 10.2516 2.06988 9.60547 1.45695 8.16316C1.84836 8.23176 2.27394 8.24836 2.72785 8.1466C2.93824 8.09949 3.10683 7.94246 3.16871 7.7359C3.23062 7.52933 3.17625 7.30543 3.02648 7.15035C2.26383 6.36043 1.97863 5.22206 2.22332 4.24796C3.02465 5.4191 4.03984 6.40472 5.20297 7.13344C6.6909 8.06566 8.42755 8.58086 10.2252 8.62317C10.4082 8.62703 10.5836 8.54719 10.7001 8.40547C10.8165 8.26379 10.8613 8.07641 10.8215 7.89738C10.5122 6.50695 10.9533 5.02468 11.9454 4.12105C12.9743 3.18374 14.4949 3.04155 15.6433 3.7755C15.8186 3.88757 16.0398 3.90011 16.2268 3.80855L17.4589 3.20511L16.814 4.50515C16.7182 4.69831 16.734 4.92816 16.8556 5.10624C16.9771 5.28433 17.1849 5.3832 17.4 5.36433L18.2689 5.28867L17.8686 5.93379C17.7343 6.15031 17.7621 6.34242 17.8176 6.72504Z" fill="currentColor"/>
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_1_5061">
                                                    <rect width="20" height="20" fill="white"/>
                                                </clipPath>
                                            </defs>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-5">
                <div class="sidebar-author">
                    <div class="mt-25">
                        <?php echo dynamic_sidebar('blog_sidebar'); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/post.blade.php ENDPATH**/ ?>