<?php if(is_plugin_active('newsletter')): ?>
    <?php switch($config['style']):
        case (2): ?>
            <section class="section mt-50">
                <div class="box-newsletter box-newsletter-2 wow animate__animated animate__fadeIn" <?php if($image = Arr::get($config, 'image')): ?> style="background-image: url('<?php echo e(RvMedia::getImageUrl($image)); ?>')" <?php endif; ?>>
                    <div class="container">
                        <div class="row align-items-center">
                            <div class="col-lg-6 col-md-7 m-auto text-center"><span class="font-lg color-brand-1 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean(__('Newsletter')); ?></span>
                                <?php if($title = $config['title']): ?>
                                    <h2 class="color-brand-1 mb-15 mt-5 wow animate__animated animate__fadeIn" data-wow-delay=".1s">
                                        <?php echo e($title); ?>

                                    </h2>
                                <?php endif; ?>

                                <?php if($subtitle = $config['subtitle']): ?>
                                    <p class="font-md color-grey-500 wow animate__animated animate__fadeIn" data-wow-delay=".2s"><?php echo e($subtitle); ?></p>
                                <?php endif; ?>
                                <div class="form-newsletter mt-30 wow animate__animated animate__fadeIn position-relative" data-wow-delay=".3s">
                                    <form action="<?php echo e(route('public.newsletter.subscribe')); ?>" class="newsletter-form">
                                        <?php echo csrf_field(); ?>

                                        <input type="email" name="email" placeholder="<?php echo e(__('Enter your email...')); ?>">

                                        <button class="btn btn-submit-newsletter" type="submit">
                                            <svg id="btn-arrow" class="w-6 h-6 icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                            </svg>
                                            <div id="loading" style="display: none" class="spinner-border text-white loading-newsletter" role="status">
                                            </div>
                                        </button>

                                        <?php if(setting('enable_captcha') && is_plugin_active('captcha')): ?>
                                            <div class="mb-3 form-recaptcha position-absolute">
                                                <?php echo Captcha::display(); ?>

                                            </div>
                                        <?php endif; ?>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <?php break; ?>
        <?php default: ?>
            <section class="section mt-50">
                <div class="box-newsletter">
                    <div class="container">
                        <div class="row align-items-center">
                            <div class="col-lg-5 col-md-12">
                                <div class="box-image-newsletter">
                                    <div class="wow animate__animated animate__zoomIn" data-wow-delay=".0s">
                                        <?php if($image = Arr::get($config, 'image')): ?>
                                            <img class="img-main" src="<?php echo e(RvMedia::getImageUrl($image)); ?>" alt="<?php echo e(__('Image NewsLetter')); ?>">
                                        <?php endif; ?>
                                    </div>

                                    <?php if($iconPrimary = Arr::get($config, 'icon_primary')): ?>
                                        <div class="shape-2 image-1">
                                            <img src="<?php echo e(RvMedia::getImageUrl($iconPrimary)); ?>" alt="<?php echo e(__('Icon primary')); ?>">
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-12"><span class="font-lg color-brand-1 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo e(__('Newsletter')); ?></span>
                                <?php if($title = Arr::get($config, 'title')): ?>
                                    <h2 class="color-brand-1 mb-15 mt-5 wow animate__animated animate__fadeIn" data-wow-delay=".1s">
                                        <?php echo BaseHelper::clean(($title)); ?></h2>
                                <?php endif; ?>

                                <?php if($subtitle = Arr::get($config, 'subtitle')): ?>
                                    <p class="font-md color-grey-500 wow animate__animated animate__fadeIn" data-wow-delay=".2s"><?php echo e($subtitle); ?></p>
                                <?php endif; ?>
                                <div class="form-newsletter mt-30 wow animate__animated animate__fadeIn d-block position-relative" data-wow-delay=".3s">
                                    <form action="<?php echo e(route('public.newsletter.subscribe')); ?>" class="newsletter-form">
                                        <?php echo csrf_field(); ?>
                                        <input type="email" name="email" placeholder="<?php echo e(__('Enter your email...')); ?>">

                                        <button class="btn btn-submit-newsletter" type="submit">
                                            <svg id="btn-arrow" class="w-6 h-6 icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                            </svg>
                                            <div id="loading" style="display: none" class="spinner-border text-white loading-newsletter" role="status">
                                            </div>
                                        </button>

                                        <?php if(setting('enable_captcha') && is_plugin_active('captcha')): ?>
                                            <div class="mb-3 form-recaptcha position-absolute">
                                                <?php echo Captcha::display(); ?>

                                            </div>
                                        <?php endif; ?>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
    <?php endswitch; ?>
<?php endif; ?>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/////widgets/newsletter-subscribe/templates/frontend.blade.php ENDPATH**/ ?>