<?php
    [$categories, $brands, $tags, $rand, $categoriesRequest, $urlCurrent, $categoryId, $maxFilterPrice] = EcommerceHelper::dataForFilter($category ?? null);
?>

<form action="<?php echo e(route('public.ajax.products')); ?>" data-action="<?php echo e(route('public.ajax.products')); ?>"
    method="GET" id="products-filter-form" class="mt-50">

    <input type="hidden" name="sort-by" class="product-filter-item" value="<?php echo e(BaseHelper::stringify(request()->input('sort-by'))); ?>">
    <input type="hidden" name="layout" class="product-filter-item" value="<?php echo e(BaseHelper::stringify(request()->input('layout'))); ?>">
    <input type="hidden" name="page" value="<?php echo e(BaseHelper::stringify(request()->integer('page', 1))); ?>">

    <?php echo Theme::partial('ecommerce.product.search-box'); ?>


    <div class="sidebar">
        <div class="widget-title">
            <h3 class="text-heading-5 color-gray-900"><?php echo e(__('Filter items')); ?></h3>
        </div>
        <div class="widget-content">
            <?php if($maxFilterPrice): ?>
                <div class="nonlinear-wrapper">
                    <div class="mt-30">
                        <span class="color-gray-500 d-inline-block mr-5"><?php echo e(__('Price Range')); ?>:</span>
                        <span class="text-heading-6 text-primary d-inline-block">
                            <span class="slider__value">
                                <?php if(get_application_currency()->is_prefix_symbol): ?>
                                    <span><?php echo e(get_application_currency()->symbol); ?><span class="slider__min"></span></span>
                                <?php else: ?>
                                    <span><span class="slider__min"></span><?php echo e(get_application_currency()->symbol); ?></span>
                                <?php endif; ?>
                            </span> -
                            <span class="slider__value">
                                <?php if(get_application_currency()->is_prefix_symbol): ?>
                                    <span><?php echo e(get_application_currency()->symbol); ?><span class="slider__max"></span></span>
                                <?php else: ?>
                                    <span><span class="slider__max"></span><?php echo e(get_application_currency()->symbol); ?></span>
                                <?php endif; ?>
                            </span>
                        </span>
                        <input class="product-filter-item product-filter-item-price-0" name="min_price"
                            data-min="0" value="<?php echo e(BaseHelper::stringify(request()->input('min_price', 0))); ?>" type="hidden">
                        <input class="product-filter-item product-filter-item-price-1" name="max_price"
                            data-max="<?php echo e($maxFilterPrice); ?>" value="<?php echo e(BaseHelper::stringify(request()->input('max_price', $maxFilterPrice))); ?>"
                            type="hidden">
                    </div>
                    <div class="filter-block mb-50 mt-35">
                        <div class="row mb-20">
                            <div class="col-sm-12">
                                <div class="nonlinear" data-min="0" data-max="<?php echo e($maxFilterPrice); ?>"></div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <?php if($brands->isNotEmpty()): ?>
                <h4 class="text-heading-6 text-primary"><?php echo e(__('Brand')); ?></h4>
                <ul class="list-type">
                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <div class="form-check color-gray-500">
                                <input class="form-check-input product-filter-item" type="checkbox" name="brands[]" id="attribute-brand-<?php echo e($rand); ?>-<?php echo e($brand->id); ?>"
                                    value="<?php echo e($brand->id); ?>" <?php if(in_array($brand->id, request()->input('brands', []))): ?> checked <?php endif; ?> />
                                <label class="form-check-label" for="attribute-brand-<?php echo e($rand); ?>-<?php echo e($brand->id); ?>"><?php echo e($brand->name); ?></label>
                            </div>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            <?php endif; ?>

            <?php if($tags->isNotEmpty()): ?>
                <h4 class="text-heading-6 text-primary"><?php echo e(__('Tag')); ?></h4>
                <ul class="list-type">
                    <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <div class="form-check color-gray-500">
                                <input class="form-check-input product-filter-item" type="checkbox" name="tags[]" id="attribute-tag-<?php echo e($rand); ?>-<?php echo e($tag->id); ?>"
                                    value="<?php echo e($tag->id); ?>" <?php if(in_array($tag->id, request()->input('tags', []))): ?> checked <?php endif; ?> />
                                <label class="form-check-label" for="attribute-tag-<?php echo e($rand); ?>-<?php echo e($tag->id); ?>"><?php echo e($tag->name); ?></label>
                            </div>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            <?php endif; ?>

            <?php echo render_product_swatches_filter([
                'view' => Theme::getThemeNamespace('views.ecommerce.attributes.attributes-filter-renderer')
            ]); ?>

        </div>
    </div>
</form>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/ecommerce/includes/filters.blade.php ENDPATH**/ ?>