<?php
    Theme::layout('full-width');
?>

<?php echo Theme::partial('page-header'); ?>


<div class="section-box mt-40"></div>
<section class="section-box">
    <div class="container">
        <div class="row compare-page-content py-5 mt-3">
            <div class="col-12">
                <?php if($products->isNotEmpty()): ?>
                    <div class="table-responsive">
                        <table
                            class="table table-bordered table-striped"
                            role="grid"
                            cellpadding="0"
                            cellspacing="0"
                        >
                            <thead>
                                <tr
                                    role="row"
                                    style="height: 0px;"
                                >
                                    <th
                                        style="padding-top: 0; padding-bottom: 0; border-top-width: 0; border-bottom-width: 0; height: 0; width: 0;"
                                        rowspan="1"
                                        colspan="1"
                                    ></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td
                                            style="padding-top: 0; padding-bottom: 0; border-top-width: 0; border-bottom-width: 0; height: 0; width: 0;"
                                            rowspan="1"
                                            colspan="1"
                                        ></td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </thead>
                            <tbody class="border-top-0">
                                <tr class="d-none">
                                    <th></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td></td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr>
                                    <th></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td>
                                            <div style="max-width: 150px">
                                                <div class="img-fluid-eq">
                                                    <div class="img-fluid-eq__dummy"></div>
                                                    <div class="img-fluid-eq__wrap">
                                                        <img
                                                            src="<?php echo e(RvMedia::getImageUrl($product->image, 'thumb', false, RvMedia::getDefaultImage())); ?>"
                                                            alt="<?php echo e($product->name); ?>"
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr>
                                    <th><?php echo e(__('Title')); ?></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td><?php echo e($product->name); ?></td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr class="price">
                                    <th><?php echo e(__('Price')); ?></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td>
                                            <?php echo Theme::partial('ecommerce.product-price', compact('product')); ?>

                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr class="description">
                                    <th><?php echo e(__('Description')); ?></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td>
                                            <?php echo BaseHelper::clean($product->description); ?>

                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr class="sku">
                                    <th><?php echo e(__('SKU')); ?></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td><?php echo e($product->sku ? '#' . $product->sku : ''); ?></td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <tr>
                                    <th><?php echo e(__('Availability')); ?></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td>
                                            <div
                                                class="without-bg product-stock <?php if($product->isOutOfStock()): ?> out-of-stock <?php else: ?> in-stock <?php endif; ?>">
                                                <?php if($product->isOutOfStock()): ?>
                                                    <?php echo e(__('Out of stock')); ?>

                                                <?php else: ?>
                                                    <?php echo e(__('In stock')); ?>

                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <?php $__currentLoopData = $attributeSets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attributeSet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($attributeSet->is_comparable): ?>
                                        <tr>
                                            <th class="heading">
                                                <?php echo e($attributeSet->title); ?>

                                            </th>

                                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $attributes = app(\Botble\Ecommerce\Repositories\Interfaces\ProductInterface::class)
                                                        ->getRelatedProductAttributes($product)
                                                        ->where('attribute_set_id', $attributeSet->id)
                                                        ->sortBy('order');
                                                ?>

                                                <?php if($attributes->isNotEmpty()): ?>
                                                    <?php if($attributeSet->display_layout == 'dropdown'): ?>
                                                        <td>
                                                            <?php echo e($attributes->pluck('title')->implode(', ')); ?>

                                                        </td>
                                                    <?php elseif($attributeSet->display_layout == 'text'): ?>
                                                        <td>
                                                            <div class="attribute-values">
                                                                <ul class="text-swatch attribute-swatch color-swatch">
                                                                    <?php $__currentLoopData = $attributes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attribute): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <li
                                                                            class="attribute-swatch-item"
                                                                            style="display: inline-block"
                                                                        >
                                                                            <label>
                                                                                <input
                                                                                    class="form-control product-filter-item"
                                                                                    type="radio"
                                                                                    disabled
                                                                                >
                                                                                <span
                                                                                    style="cursor: default"><?php echo e($attribute->title); ?></span>
                                                                            </label>
                                                                        </li>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </ul>
                                                            </div>
                                                        </td>
                                                    <?php else: ?>
                                                        <td>
                                                            <div class="attribute-values">
                                                                <ul class="visual-swatch color-swatch attribute-swatch">
                                                                    <?php $__currentLoopData = $attributes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attribute): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <li
                                                                            class="attribute-swatch-item"
                                                                            style="display: inline-block"
                                                                        >
                                                                            <div class="custom-radio">
                                                                                <label>
                                                                                    <input
                                                                                        class="form-control product-filter-item"
                                                                                        type="radio"
                                                                                        disabled
                                                                                    >
                                                                                    <span
                                                                                        style="<?php echo e($attribute->image ? 'background-image: url(' . RvMedia::getImageUrl($attribute->image) . ');' : 'background-color: ' . $attribute->color . ';'); ?>; cursor: default;"
                                                                                    ></span>
                                                                                </label>
                                                                            </div>
                                                                        </li>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </ul>
                                                            </div>
                                                        </td>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <td>&mdash;</td>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                <?php if(EcommerceHelper::isCartEnabled()): ?>
                                    <tr>
                                        <th><?php echo e(__('Add to cart')); ?></th>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <td>
                                                <form
                                                    class="cart-form"
                                                    action="<?php echo e(route('public.cart.add-to-cart')); ?>"
                                                    method="POST"
                                                >
                                                    <?php echo csrf_field(); ?>
                                                    <input
                                                        class="hidden-product-id"
                                                        name="id"
                                                        type="hidden"
                                                        value="<?php echo e($product->is_variation || !$product->defaultVariation->product_id ? $product->id : $product->defaultVariation->product_id); ?>"
                                                    />
                                                    <input
                                                        name="qty"
                                                        type="hidden"
                                                        value="1"
                                                    >
                                                    <div class="button-add">
                                                        <button
                                                            class="btn btn-cart <?php if($product->isOutOfStock()): ?> disabled <?php endif; ?>"
                                                            type="submit"
                                                            <?php if($product->isOutOfStock()): ?> disabled <?php endif; ?>
                                                        ><?php echo e(__('Add')); ?></button>
                                                    </div>
                                                </form>
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                <?php endif; ?>

                                <tr>
                                    <th></th>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td>
                                            <a
                                                class="fs-4 remove remove-compare-item"
                                                href="<?php echo e(route('public.compare.remove', $product->id)); ?>"
                                                aria-label="<?php echo e(__('Remove this item')); ?>"
                                            >
                                                <svg
                                                    xmlns="http://www.w3.org/2000/svg"
                                                    fill="none"
                                                    viewBox="0 0 24 24"
                                                    stroke-width="1.5"
                                                    stroke="currentColor"
                                                    width="24px"
                                                >
                                                    <path
                                                        stroke-linecap="round"
                                                        stroke-linejoin="round"
                                                        d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0"
                                                    />
                                                </svg>
                                            </a>
                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <p class="text-center"><?php echo e(__('No products in compare list!')); ?></p>
                <?php endif; ?>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/views/ecommerce/compare.blade.php ENDPATH**/ ?>