<div class="header-top">
    <div class="header-wrap">
        <div class="container">
            <div class="top-bar">
                <div class="text-white header-top-left">
                    <?php if($hotline = theme_option('hotline')): ?>
                        <a class="hotline" href="tel:<?php echo e($hotline); ?>"><?php echo e($hotline); ?></a>
                    <?php endif; ?>

                    <?php if(is_plugin_active('ecommerce') && EcommerceHelper::isOrderTrackingEnabled()): ?>
                        <a class="tracking d-none d-md-inline-block" href="<?php echo e(route('public.orders.tracking')); ?>"><?php echo e(__('Order Tracking')); ?></a>
                    <?php endif; ?>
                </div>
                <div class="text-white header-top-right">
                    <?php if(count($currencies) > 1): ?>
                        <div class="d-none d-xl-inline-flex currencies-switcher ms-3 align-items-center">
                            <button class="btn btn-sm dropdown-toggle" type="button" id="dropdown-currencies" data-bs-toggle="dropdown" aria-expanded="false">
                                <?php echo e(get_application_currency()->title); ?>

                            </button>
                            <ul class="dropdown-menu" aria-labelledby="dropdown-currencies">
                                <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($currency->id !== get_application_currency_id()): ?>
                                        <li>
                                            <a class="dropdown-item" href="<?php echo e(route('public.change-currency', $currency->title)); ?>"><?php echo e($currency->title); ?></a>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>

                    <?php if(is_plugin_active('ecommerce')): ?>
                        <?php if(EcommerceHelper::isCartEnabled()): ?>
                            <a href="<?php echo e(route('public.cart')); ?>" class="ms-3 cart d-inline-flex align-items-center btn-cart-sidebar">
                                <svg class="me-1" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" width="20px">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 00-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 00-16.536-1.84M7.5 14.25L5.106 5.272M6 20.25a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm12.75 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z" />
                                </svg>
                                <span class="name"><?php echo e(__('Cart')); ?></span>
                                (<span class="cart-counter"><?php echo e(Cart::instance('cart')->count()); ?></span>)
                            </a>
                        <?php endif; ?>
                        <?php if(EcommerceHelper::isCompareEnabled()): ?>
                            <a href="<?php echo e(route('public.compare')); ?>" class="ms-3 compare d-inline-flex align-items-center">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" width="20px" class="me-1">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0l3.181 3.183a8.25 8.25 0 0013.803-3.7M4.031 9.865a8.25 8.25 0 0113.803-3.7l3.181 3.182m0-4.991v4.99" />
                                </svg>
                                <span class="name"><?php echo e(__('Compare')); ?></span>
                                (<span class="compare-counter"><?php echo e(Cart::instance('compare')->count()); ?></span>)
                            </a>
                        <?php endif; ?>
                        <?php if(EcommerceHelper::isWishlistEnabled()): ?>
                            <a href="<?php echo e(route('public.wishlist')); ?>" class="ms-3 wishlist d-inline-flex align-items-center">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" width="20px" class="me-1">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M21 8.25c0-2.485-2.099-4.5-4.688-4.5-1.935 0-3.597 1.126-4.312 2.733-.715-1.607-2.377-2.733-4.313-2.733C5.1 3.75 3 5.765 3 8.25c0 7.22 9 12 9 12s9-4.78 9-12z" />
                                </svg>
                                <span class="name"><?php echo e(__('Wishlist')); ?></span>
                                (<span class="wishlist-counter"><?php echo e(Cart::instance('wishlist')->count()); ?></span>)
                            </a>
                        <?php endif; ?>
                        <?php if(auth('customer')->check()): ?>
                            <a href="<?php echo e(route('customer.overview')); ?>" style="display: flex; align-items: center">
                                <img src="<?php echo e(auth('customer')->user()->avatar_url); ?>" class="rounded-circle ms-3 text-white" title="<?php echo e(auth('customer')->user()->name); ?>" width="16" alt="<?php echo e(auth('customer')->user()->name); ?>">
                                <span class="customer-name text-white ms-1"><?php echo e(auth('customer')->user()->name); ?></span>
                            </a>
                        <?php else: ?>
                            <a href="<?php echo e(route('customer.login')); ?>" class="ms-3">
                                <i class="fa fa-sign-in-alt"></i>&nbsp;<span class="text-white"><?php echo e(__('Login')); ?></span>
                            </a>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/header-top.blade.php ENDPATH**/ ?>