<section class="section banner-team">
    <div class="container">
        <div class="banner-1">
            <div class="row align-items-center">
                <div class="col-lg-5">
                    <?php if($title = $shortcode->title): ?>
                        <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo e($shortcode->title); ?></h2>
                    <?php endif; ?>


                    <div class="box-button mt-30 mb-60 wow animate__animated animate__fadeIn" data-wow-delay=".2s">
                        <?php if($shortcode->button_primary_label && $shortcode->button_primary_url): ?>
                            <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_primary_url); ?>"><?php echo e($shortcode->button_primary_label); ?></a>
                        <?php endif; ?>

                        <?php if($shortcode->button_secondary_label && $shortcode->button_secondary_url): ?>
                            <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secodndary_url); ?>"><?php echo e($shortcode->button_secondary_label); ?>

                                <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                </svg>
                            </a>
                        <?php endif; ?>
                    </div>

                    <?php if($description = $shortcode->description): ?>
                        <p class="font-md color-grey-500 mb-25 wow animate__animated animate__fadeIn" data-wow-delay=".4s"><?php echo BaseHelper::clean($description); ?></p>
                    <?php endif; ?>

                    <?php if(count($teams) > 0): ?>
                        <div class="box-author wow animate__animated animate__fadeIn" data-wow-delay=".6s">
                            <img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>">
                            <div class="author-info"><span class="font-md-bold color-brand-1 author-name"><?php echo e($teams[0]->name); ?></span>
                                <div class="rating d-inline-block">
                                    <?php $__currentLoopData = range(1, 5); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <img src="<?php echo e(Theme::asset()->url('imgs/template/icons/star.svg')); ?>" alt="<?php echo e(__('Star')); ?>">
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>

                </div>
                <?php if(count($teams) > 0): ?>
                    <div class="col-lg-7 d-none d-lg-block">
                        <div class="box-banner-team">
                            <div class="arrow-down-banner shape-1"></div>
                            <div class="arrow-right-banner shape-2"></div>

                            <?php switch(count($teams)):
                                case (1): ?>
                                    <div class="banner-col-1">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>"></div>
                                    </div>
                                <?php break; ?>

                                <?php case (2): ?>
                                    <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="banner-col-<?php echo e($loop->iteration); ?>">
                                            <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($team->photo)); ?>" alt="<?php echo e($team->name); ?>"></div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php break; ?>

                                <?php case (3): ?>
                                    <div class="banner-col-1">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-2">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[1]->photo)); ?>" alt="<?php echo e($teams[1]->name); ?>"></div>
                                        <div class="img-banner hasBorder wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[2]->photo)); ?>" alt="<?php echo e($teams[2]->name); ?>"></div>
                                    </div>
                                <?php break; ?>

                                <?php case (4): ?>
                                    <div class="banner-col-1">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-2">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[1]->photo)); ?>" alt="<?php echo e($teams[1]->name); ?>"></div>
                                        <div class="img-banner hasBorder wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[2]->photo)); ?>" alt="<?php echo e($teams[2]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-3">
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[3]->photo)); ?>" alt="<?php echo e($teams[3]->name); ?>"></div>
                                    </div>
                                <?php break; ?>

                                <?php case (5): ?>
                                    <div class="banner-col-1">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-2">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[1]->photo)); ?>" alt="<?php echo e($teams[1]->name); ?>"></div>
                                        <div class="img-banner hasBorder wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[2]->photo)); ?>" alt="<?php echo e($teams[2]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-3">
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[3]->photo)); ?>" alt="<?php echo e($teams[3]->name); ?>"></div>
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[4]->photo)); ?>" alt="<?php echo e($teams[4]->name); ?>"></div>
                                    </div>
                                <?php break; ?>

                                <?php case (6): ?>
                                    <div class="banner-col-1">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[0]->photo)); ?>" alt="<?php echo e($teams[0]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-2">
                                        <div class="img-banner wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[1]->photo)); ?>" alt="<?php echo e($teams[1]->name); ?>"></div>
                                        <div class="img-banner hasBorder wow animate__animated animate__zoomIn" data-wow-delay=".0s"><img src="<?php echo e(RvMedia::getImageUrl($teams[2]->photo)); ?>" alt="<?php echo e($teams[2]->name); ?>"></div>
                                    </div>
                                    <div class="banner-col-3">
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[3]->photo)); ?>" alt="<?php echo e($teams[3]->name); ?>"></div>
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[4]->photo)); ?>" alt="<?php echo e($teams[4]->name); ?>"></div>
                                        <div class="img-banner hasBorder2 wow animate__animated animate__zoomIn" data-wow-delay=".6s"><img src="<?php echo e(RvMedia::getImageUrl($teams[5]->photo)); ?>" alt="<?php echo e($teams[5]->name); ?>"></div>
                                    </div>
                                <?php break; ?>
                            <?php endswitch; ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/banner-hero-with-teams/styles/style-2.blade.php ENDPATH**/ ?>