<section class="section mt-50">
    <div class="container">
        <div class="row align-items-center mt-50">
            <div class="col-lg-4 col-md-12 col-sm-12 mb-30">
                <?php if($subtitle = $shortcode->subtitle): ?>
                    <span class="title-line line-48 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean($subtitle); ?></span>
                <?php endif; ?>

                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mt-10 mb-20 wow animate__animated animate__fadeIn" data-wow-delay=".2s">
                        <?php echo BaseHelper::clean($title); ?>

                    </h2>
                <?php endif; ?>

                <?php if($description = $shortcode->description): ?>
                    <p class="color-grey-500 font-sm wow animate__animated animate__fadeIn" data-wow-delay=".4s">
                        <?php echo BaseHelper::clean($description); ?>

                    </p>
                <?php endif; ?>

                <div class="mt-45 wow animate__animated animate__fadeIn" data-wow-delay=".6s">
                    <?php if($shortcode->button_primary_url || $shortcode->button_primary_label): ?>
                        <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_primary_url); ?>"><?php echo e($shortcode->button_primary_label ?: __('Download App')); ?></a>
                    <?php endif; ?>

                    <?php if($shortcode->button_secondary_url && $shortcode->button_secondary_label): ?>
                        <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secondary_url); ?>">
                            <?php echo e($shortcode->button_secondary_label); ?>

                            <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                            </svg>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
            <?php $__currentLoopData = $tabs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tab): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($tab['display'] == 'show_full'): ?>
                    <div class="col-lg-4 col-md-6 col-sm-6 wow animate__animated animate__fadeIn" data-wow-delay=".<?php echo e($loop->index + 2); ?>s">
                        <div class="<?php echo \Illuminate\Support\Arr::toCssClasses(['card-offer-style-2 card-left bg-white', 'bg-grey-60' => $loop->index == 1]); ?>">
                            <div class="card-offer hover-up">
                                <?php if($tab['icon_image']): ?>
                                    <div class="card-image">
                                        <img src="<?php echo e(RvMedia::getImageUrl($tab['icon_image'])); ?>" alt="<?php echo e($tab['title']); ?>" />
                                    </div>
                                <?php endif; ?>

                                <div class="card-info">
                                    <?php if($tab['title']): ?>
                                        <h4 class="color-brand-1 mb-15"><?php echo e($tab['title']); ?></h4>
                                    <?php endif; ?>

                                    <?php if($tab['description']): ?>
                                        <p class="font-md color-grey-500 mb-15">
                                            <?php echo e($tab['description']); ?>

                                        </p>
                                    <?php endif; ?>
                                    <div class="box-button-offer">
                                        <?php if($tab['label'] && $tab['url']): ?>
                                            <a href="<?php echo e($tab['url']); ?>" class="btn btn-default font-sm-bold ps-0 color-brand-1">
                                                <?php echo e($tab['label']); ?>

                                                <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                                </svg>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <div class="row">
            <?php $__currentLoopData = $tabs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tab): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($tab['display'] == 'show_title'): ?>
                    <div class="col-lg-2 col-md-4 col-sm-6 col-12 wow animate__animated animate__fadeIn" data-wow-delay=".<?php echo e($loop->index + 1); ?>s">
                        <div class="card-small">
                            <div class="card-image">
                                <?php if($tab['icon_image'] && $tab['url']): ?>
                                    <a href="<?php echo e($tab['url']); ?>">
                                        <div class="box-image"><img src="<?php echo e(RvMedia::getImageUrl($tab['icon_image'])); ?>" alt="<?php echo e($tab['title']); ?>" /></div>
                                    </a>
                                <?php endif; ?>
                            </div>
                            <div class="card-info">
                                <?php if($tab['title'] && $tab['url']): ?>
                                    <a href="<?php echo e($tab['url']); ?>">
                                        <h6 class="color-brand-1 icon-up"><?php echo e($tab['title']); ?></h6>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php /**PATH /home/tbltechye/vape.tb-tech.io/platform/themes/iori/partials/shortcodes/how-it-work/index.blade.php ENDPATH**/ ?>