-- MySQL dump 10.13  Distrib 8.1.0, for macos14.0 (arm64)
--
-- Host: localhost    Database: iori
-- ------------------------------------------------------
-- Server version	8.1.0

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'xmjM2elKSLKtQgQlJBCXI5JVSmKYuuWv',1,'2024-01-07 22:00:51','2024-01-07 22:00:51','2024-01-07 22:00:51'),(2,2,'AztVEwlH0wjEHwcIJL0tpP2sBCBVph0H',1,'2024-01-07 22:00:51','2024-01-07 22:00:51','2024-01-07 22:00:51');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `has_action` tinyint(1) NOT NULL DEFAULT '0',
  `action_label` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_open_new_tab` tinyint(1) NOT NULL DEFAULT '0',
  `dismissible` tinyint(1) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'Announcement 1','Cyber Monday: Save big on the Creative Cloud All Apps plan for individuals through 2 Dec',0,NULL,NULL,0,1,'2024-01-08 05:01:22',NULL,1,'2024-01-07 22:01:22','2024-01-07 22:01:22'),(2,'Announcement 2','Students and teachers save a massive 71% on Creative Cloud All Apps',0,NULL,NULL,0,1,'2024-01-08 05:01:22',NULL,1,'2024-01-07 22:01:22','2024-01-07 22:01:22'),(3,'Announcement 3','Black Friday and Cyber Monday 2023 Deals for Motion Designers, grab it now!',0,NULL,NULL,0,1,'2024-01-08 05:01:22',NULL,1,'2024-01-07 22:01:22','2024-01-07 22:01:22');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements_translations`
--

DROP TABLE IF EXISTS `announcements_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announcements_id` bigint unsigned NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`announcements_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements_translations`
--

LOCK TABLES `announcements_translations` WRITE;
/*!40000 ALTER TABLE `announcements_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcements_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_packages`
--

DROP TABLE IF EXISTS `bs_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_packages`
--

LOCK TABLES `bs_packages` WRITE;
/*!40000 ALTER TABLE `bs_packages` DISABLE KEYS */;
INSERT INTO `bs_packages` VALUES (1,'Trial Plan','Protect for testing','<section class=\"package\">\n    <h2>Comprehensive Growth Package</h2>\n    <p class=\"description\">Experience unparalleled business growth with our Comprehensive Growth Package. This package is designed to elevate your business to new heights by providing a range of strategic and creative services.</p>\n\n    <h3>Services Included:</h3>\n    <ul>\n        <li><strong>Custom Branding:</strong> Our team of experts will work closely with you to develop a unique and compelling brand identity that resonates with your target audience.</li>\n        <li><strong>Website Overhaul:</strong> Your existing website will undergo a complete makeover to enhance user experience, improve functionality, and drive conversions.</li>\n        <li><strong>Content Strategy:</strong> We will develop a content strategy that aligns with your business goals, creating engaging and relevant content to attract and retain customers.</li>\n        <li><strong>Search Engine Optimization (SEO):</strong> Our SEO specialists will optimize your website to ensure it ranks high on search engine results pages, driving organic traffic.</li>\n        <li><strong>Social Media Mastery:</strong> We\'ll manage your social media platforms, creating compelling posts, engaging with your audience, and running targeted ad campaigns.</li>\n        <li><strong>Email Marketing Campaigns:</strong> We\'ll design and execute effective email marketing campaigns to nurture leads and keep your customers informed.</li>\n        <li><strong>Performance Analytics:</strong> Gain insights into your business\'s performance through in-depth analytics, helping you make informed decisions.</li>\n    </ul>\n\n    <h3>Package Benefits:</h3>\n    <ul>\n        <li>Strategic business growth tailored to your unique needs.</li>\n        <li>Increased brand visibility and recognition.</li>\n        <li>Higher website traffic and improved user engagement.</li>\n        <li>Effective customer engagement through various channels.</li>\n        <li>Measurable results with data-driven insights.</li>\n    </ul>\n</section>\n','FREE','FREE','monthly','+ Brand Awareness Ads\n+ Retargeting Ads\n+ Contextual, Demographic\n+ Facebook Advertising\n- Global Certificates\n- Snapchat Advertising\n- TikTok Advertising\n- Advanced List Building','published',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,'Standard','Advanced project','<section class=\"package\">\n    <h2>Comprehensive Growth Package</h2>\n    <p class=\"description\">Experience unparalleled business growth with our Comprehensive Growth Package. This package is designed to elevate your business to new heights by providing a range of strategic and creative services.</p>\n\n    <h3>Services Included:</h3>\n    <ul>\n        <li><strong>Custom Branding:</strong> Our team of experts will work closely with you to develop a unique and compelling brand identity that resonates with your target audience.</li>\n        <li><strong>Website Overhaul:</strong> Your existing website will undergo a complete makeover to enhance user experience, improve functionality, and drive conversions.</li>\n        <li><strong>Content Strategy:</strong> We will develop a content strategy that aligns with your business goals, creating engaging and relevant content to attract and retain customers.</li>\n        <li><strong>Search Engine Optimization (SEO):</strong> Our SEO specialists will optimize your website to ensure it ranks high on search engine results pages, driving organic traffic.</li>\n        <li><strong>Social Media Mastery:</strong> We\'ll manage your social media platforms, creating compelling posts, engaging with your audience, and running targeted ad campaigns.</li>\n        <li><strong>Email Marketing Campaigns:</strong> We\'ll design and execute effective email marketing campaigns to nurture leads and keep your customers informed.</li>\n        <li><strong>Performance Analytics:</strong> Gain insights into your business\'s performance through in-depth analytics, helping you make informed decisions.</li>\n    </ul>\n\n    <h3>Package Benefits:</h3>\n    <ul>\n        <li>Strategic business growth tailored to your unique needs.</li>\n        <li>Increased brand visibility and recognition.</li>\n        <li>Higher website traffic and improved user engagement.</li>\n        <li>Effective customer engagement through various channels.</li>\n        <li>Measurable results with data-driven insights.</li>\n    </ul>\n</section>\n','$29','$348','monthly','+ Brand Awareness Ads\n+ Retargeting Ads\n+ Contextual, Demographic\n+ Facebook Advertising\n+ Global Certificates\n- Snapchat Advertising\n- TikTok Advertising\n- Advanced List Building','published',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,'Business','Protect for testing','<section class=\"package\">\n    <h2>Comprehensive Growth Package</h2>\n    <p class=\"description\">Experience unparalleled business growth with our Comprehensive Growth Package. This package is designed to elevate your business to new heights by providing a range of strategic and creative services.</p>\n\n    <h3>Services Included:</h3>\n    <ul>\n        <li><strong>Custom Branding:</strong> Our team of experts will work closely with you to develop a unique and compelling brand identity that resonates with your target audience.</li>\n        <li><strong>Website Overhaul:</strong> Your existing website will undergo a complete makeover to enhance user experience, improve functionality, and drive conversions.</li>\n        <li><strong>Content Strategy:</strong> We will develop a content strategy that aligns with your business goals, creating engaging and relevant content to attract and retain customers.</li>\n        <li><strong>Search Engine Optimization (SEO):</strong> Our SEO specialists will optimize your website to ensure it ranks high on search engine results pages, driving organic traffic.</li>\n        <li><strong>Social Media Mastery:</strong> We\'ll manage your social media platforms, creating compelling posts, engaging with your audience, and running targeted ad campaigns.</li>\n        <li><strong>Email Marketing Campaigns:</strong> We\'ll design and execute effective email marketing campaigns to nurture leads and keep your customers informed.</li>\n        <li><strong>Performance Analytics:</strong> Gain insights into your business\'s performance through in-depth analytics, helping you make informed decisions.</li>\n    </ul>\n\n    <h3>Package Benefits:</h3>\n    <ul>\n        <li>Strategic business growth tailored to your unique needs.</li>\n        <li>Increased brand visibility and recognition.</li>\n        <li>Higher website traffic and improved user engagement.</li>\n        <li>Effective customer engagement through various channels.</li>\n        <li>Measurable results with data-driven insights.</li>\n    </ul>\n</section>\n','$99','$1,188','monthly','+ Brand Awareness Ads\n+ Retargeting Ads\n+ Contextual, Demographic\n+ Facebook Advertising\n+ Global Certificates\n+ Snapchat Advertising\n- TikTok Advertising\n- Advanced List Building','published',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,'Enterprise','Protect for testing','<section class=\"package\">\n    <h2>Comprehensive Growth Package</h2>\n    <p class=\"description\">Experience unparalleled business growth with our Comprehensive Growth Package. This package is designed to elevate your business to new heights by providing a range of strategic and creative services.</p>\n\n    <h3>Services Included:</h3>\n    <ul>\n        <li><strong>Custom Branding:</strong> Our team of experts will work closely with you to develop a unique and compelling brand identity that resonates with your target audience.</li>\n        <li><strong>Website Overhaul:</strong> Your existing website will undergo a complete makeover to enhance user experience, improve functionality, and drive conversions.</li>\n        <li><strong>Content Strategy:</strong> We will develop a content strategy that aligns with your business goals, creating engaging and relevant content to attract and retain customers.</li>\n        <li><strong>Search Engine Optimization (SEO):</strong> Our SEO specialists will optimize your website to ensure it ranks high on search engine results pages, driving organic traffic.</li>\n        <li><strong>Social Media Mastery:</strong> We\'ll manage your social media platforms, creating compelling posts, engaging with your audience, and running targeted ad campaigns.</li>\n        <li><strong>Email Marketing Campaigns:</strong> We\'ll design and execute effective email marketing campaigns to nurture leads and keep your customers informed.</li>\n        <li><strong>Performance Analytics:</strong> Gain insights into your business\'s performance through in-depth analytics, helping you make informed decisions.</li>\n    </ul>\n\n    <h3>Package Benefits:</h3>\n    <ul>\n        <li>Strategic business growth tailored to your unique needs.</li>\n        <li>Increased brand visibility and recognition.</li>\n        <li>Higher website traffic and improved user engagement.</li>\n        <li>Effective customer engagement through various channels.</li>\n        <li>Measurable results with data-driven insights.</li>\n    </ul>\n</section>\n','$299','$3,588','monthly','+ Brand Awareness Ads\n+ Retargeting Ads\n+ Contextual, Demographic\n+ Facebook Advertising\n+ Global Certificates\n+ Snapchat Advertising\n+ TikTok Advertising\n+ Advanced List Building','published',0,'2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `bs_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_packages_translations`
--

DROP TABLE IF EXISTS `bs_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bs_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`bs_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_packages_translations`
--

LOCK TABLES `bs_packages_translations` WRITE;
/*!40000 ALTER TABLE `bs_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `bs_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_service_categories`
--

DROP TABLE IF EXISTS `bs_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bs_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_service_categories`
--

LOCK TABLES `bs_service_categories` WRITE;
/*!40000 ALTER TABLE `bs_service_categories` DISABLE KEYS */;
INSERT INTO `bs_service_categories` VALUES (1,NULL,'Cross platform',NULL,NULL,1,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,NULL,'Digital marketing',NULL,NULL,2,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,NULL,'Social media',NULL,NULL,3,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,NULL,'Standard',NULL,NULL,4,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(5,NULL,'Creation',NULL,NULL,5,'published','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `bs_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_service_categories_translations`
--

DROP TABLE IF EXISTS `bs_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bs_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`bs_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_service_categories_translations`
--

LOCK TABLES `bs_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `bs_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `bs_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_services`
--

DROP TABLE IF EXISTS `bs_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bs_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_services`
--

LOCK TABLES `bs_services` WRITE;
/*!40000 ALTER TABLE `bs_services` DISABLE KEYS */;
INSERT INTO `bs_services` VALUES (1,1,'TechBoost Solutions','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',0,'general/banner-help-center-1.png','[\"general\\/banner-help-center-1.png\"]',9475,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,2,'EcoGreen Landscaping','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',1,'general/banner-help-center-2.png','[\"general\\/banner-help-center-2.png\"]',5723,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,4,'Precision Financial Advisors','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',0,'general/box-image-1.png','[\"general\\/box-image-1.png\"]',7301,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,4,'HealthHub Wellness Programs','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',0,'general/box-image-2.png','[\"general\\/box-image-2.png\"]',231,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(5,3,'SwiftDelivery Logistics','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',1,'general/branding-img-1.png','[\"general\\/branding-img-1.png\"]',1838,'published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(6,4,'In-house Logistics Services','We offer specialized departments for continental transports.','<h3>Description:</h3>\n<p>Precision Financial Advisors is a trusted partner dedicated to optimizing your financial future. Our team of\n    certified financial experts is committed to providing comprehensive and personalized financial planning and\n    investment management services. With years of experience and a deep understanding of the financial landscape, we\n    tailor strategies to align with your unique goals and aspirations.</p>\n\n<img src=\"https://iori.test/storage/general/question1.png\" alt=\"Precision Financial Advisors\">\n\n<h3>Our Approach:</h3>\n<p>At Precision Financial Advisors, we believe that each individual\'s financial journey is unique. That\'s why we take\n    a holistic approach, starting with an in-depth analysis of your current financial situation and understanding your\n    long-term objectives. Our advisors will work closely with you to develop a customized roadmap that encompasses all\n    aspects of wealth management.</p>\n\n<h3>Comprehensive Financial Planning:</h3>\n<p>Our comprehensive financial planning services cover a wide range of areas, including retirement planning, college\n    funding, estate planning, tax strategies, and risk management. We focus on understanding your short-term needs and\n    long-term aspirations to create a roadmap that will guide you through life\'s financial milestones.</p>\n\n<h3>Investment Management:</h3>\n<p>With access to an array of investment options, we design a tailored investment portfolio that aligns with your risk\n    tolerance and financial goals. Our disciplined investment approach combines research, diversification, and ongoing\n    monitoring to optimize your portfolio\'s performance.</p>\n\n<h3>Retirement Planning:</h3>\n<p>We understand the importance of a secure retirement. Our retirement planning services assess your current savings,\n    estimate future retirement expenses, and strategize to build a retirement corpus that can sustain your desired\n    lifestyle.</p>\n\n<h3>Tax Optimization:</h3>\n<p>Our tax experts work to minimize your tax liabilities while staying compliant with all relevant laws and\n    regulations. We analyze your financial situation to identify opportunities for tax savings and implement strategies\n    to optimize your tax efficiency.</p>\n\n<h3>Estate Planning:</h3>\n<p>Preserving and passing on your wealth efficiently is crucial. Our estate planning services ensure your assets are\n    distributed according to your wishes, minimize estate taxes, and protect your legacy for future generations.</p>\n\n<h3>Risk Management:</h3>\n<p>Life is full of uncertainties, and we help you prepare for unexpected events. We assess your risk exposure and\n    recommend insurance solutions, including life insurance, disability insurance, and long-term care insurance, to\n    safeguard your financial well-being.</p>\n\n<h3>Ongoing Guidance and Support:</h3>\n<p>At Precision Financial Advisors, our commitment to your financial success doesn\'t end with a plan or an investment\n    portfolio. We provide ongoing monitoring, regular reviews, and adjustments as needed to keep your financial strategy\n    on track amidst changing circumstances.</p>\n\n<h3>Your Financial Partner:</h3>\n<p>As your dedicated financial partner, we prioritize transparency, integrity, and a client-centric approach. Our goal\n    is to build a long-term relationship based on trust and confidence, helping you navigate through life\'s financial\n    complexities and achieve your dreams.</p>\n\n<h3>Contact Us:</h3>\n<p>If you\'re ready to take control of your financial future, get in touch with us today. Our team of experienced\n    financial advisors is here to guide you on your journey towards financial prosperity and security.</p>\n\n<img src=\"https://iori.test/storage/general/question2.png\" alt=\"Financial Success\">\n',0,'general/connect-with-us-1.png','[\"general\\/connect-with-us-1.png\"]',5820,'published','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `bs_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bs_services_translations`
--

DROP TABLE IF EXISTS `bs_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bs_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bs_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`bs_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bs_services_translations`
--

LOCK TABLES `bs_services_translations` WRITE;
/*!40000 ALTER TABLE `bs_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `bs_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers`
--

DROP TABLE IF EXISTS `careers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers`
--

LOCK TABLES `careers` WRITE;
/*!40000 ALTER TABLE `careers` DISABLE KEYS */;
INSERT INTO `careers` VALUES (1,'Senior Full Stack Engineer, Creator Success Full Time','Cristland, Montserrat','$6,452.00','Constantly changing work patterns and norms, and the need for organizational resiliency','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(2,'Data Science Specialist, Analytics Division','Jalonstad, Myanmar','$5,861.00','Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit laborum — semper quis lectus nulla','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(3,'Product Marketing Manager, Growth Team','Port Otha, Cook Islands','$2,056.00','Crafting compelling marketing strategies to drive user acquisition and retention','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(4,'UX/UI Designer, User Experience Team','South Brigitte, Antarctica (the territory South of 60 deg S)','$4,704.00','Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(5,'Operations Manager, Supply Chain Division','North Pinkshire, Guinea','$4,503.00','Ensuring smooth and efficient supply chain operations for timely product delivery','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(6,'Financial Analyst, Investment Group','Zoilaview, Sweden','$3,615.00','Analyzing market trends and investment opportunities for optimal financial outcomes','<h4 class=\"color-brand-1\">Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `careers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers_translations`
--

DROP TABLE IF EXISTS `careers_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `careers_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`careers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers_translations`
--

LOCK TABLES `careers_translations` WRITE;
/*!40000 ALTER TABLE `careers_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `careers_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Design',0,'Voluptas maxime dolor earum quasi placeat sequi. Maiores necessitatibus dolorem aut. Sed sapiente excepturi vitae consequatur odit quaerat porro. Debitis aut saepe dolore explicabo cum dolores ipsa.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,1,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(2,'Lifestyle',0,'Aut quo et in at dolore et. Voluptatum modi ad amet enim non maiores sit. Et quaerat incidunt voluptatem dolores eos sed.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(3,'Travel Tips',2,'Cumque soluta odio qui ad quibusdam. Et et sit adipisci id blanditiis maiores. Voluptatum rerum odit dolorem voluptatem porro debitis. Ut vel quia quis ea nesciunt tempore et.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(4,'Healthy',0,'Enim maiores beatae non et non. Ex quis ducimus nisi illo recusandae laudantium labore. Explicabo iste temporibus eos et maiores accusantium. Nemo perferendis nobis illum eos.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(5,'Travel Tips',4,'Id quisquam enim accusantium alias. Neque rerum temporibus eos eos. Ut consequatur nihil corporis ipsa libero molestias.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(6,'Hotel',0,'Omnis et minus quod. Quo labore ad error hic aliquam. Et tempore corrupti expedita occaecati. Et ut magni alias vero beatae nihil.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(7,'Nature',6,'Est minima aperiam suscipit cupiditate veniam in magni. Nesciunt incidunt et tempore ducimus enim. Quisquam porro aut sunt.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-01-07 22:01:18','2024-01-07 22:01:18');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `record_id` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cities_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities_translations`
--

DROP TABLE IF EXISTS `cities_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cities_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`cities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities_translations`
--

LOCK TABLES `cities_translations` WRITE;
/*!40000 ALTER TABLE `cities_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_translations`
--

DROP TABLE IF EXISTS `countries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `countries_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`countries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_translations`
--

LOCK TABLES `countries_translations` WRITE;
/*!40000 ALTER TABLE `countries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands`
--

DROP TABLE IF EXISTS `ec_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands`
--

LOCK TABLES `ec_brands` WRITE;
/*!40000 ALTER TABLE `ec_brands` DISABLE KEYS */;
INSERT INTO `ec_brands` VALUES (1,'FoodPound','New Snacks Release',NULL,'brands/1.png','published',0,1,'2024-01-07 22:01:02','2024-01-07 22:01:02'),(2,'iTea JSC','Happy Tea 100% Organic. From $29.9',NULL,'brands/2.png','published',1,1,'2024-01-07 22:01:02','2024-01-07 22:01:02'),(3,'Soda Brand','Soda is a brand that lets your inner-dive out through creative makeup and cool makeup tips! Whichever product you choose, you will see that it is a perfect ...',NULL,'brands/3.png','published',2,1,'2024-01-07 22:01:02','2024-01-07 22:01:02'),(4,'Farmart','Fresh Meat Sausage. BUY 2 GET 1!',NULL,'brands/4.png','published',3,1,'2024-01-07 22:01:02','2024-01-07 22:01:02');
/*!40000 ALTER TABLE `ec_brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands_translations`
--

DROP TABLE IF EXISTS `ec_brands_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_brands_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_brands_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands_translations`
--

LOCK TABLES `ec_brands_translations` WRITE;
/*!40000 ALTER TABLE `ec_brands_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_brands_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_cart`
--

DROP TABLE IF EXISTS `ec_cart`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_cart` (
  `identifier` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `instance` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`identifier`,`instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_cart`
--

LOCK TABLES `ec_cart` WRITE;
/*!40000 ALTER TABLE `ec_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_currencies`
--

DROP TABLE IF EXISTS `ec_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_currencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_prefix_symbol` tinyint unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint unsigned DEFAULT '0',
  `order` int unsigned DEFAULT '0',
  `is_default` tinyint NOT NULL DEFAULT '0',
  `exchange_rate` double NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_currencies`
--

LOCK TABLES `ec_currencies` WRITE;
/*!40000 ALTER TABLE `ec_currencies` DISABLE KEYS */;
INSERT INTO `ec_currencies` VALUES (1,'USD','$',1,2,0,1,1,'2024-01-07 22:01:01','2024-01-07 22:01:01'),(2,'EUR','€',0,2,1,0,0.84,'2024-01-07 22:01:01','2024-01-07 22:01:01'),(3,'VND','₫',0,0,2,0,23203,'2024-01-07 22:01:01','2024-01-07 22:01:01');
/*!40000 ALTER TABLE `ec_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_addresses`
--

DROP TABLE IF EXISTS `ec_customer_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_addresses`
--

LOCK TABLES `ec_customer_addresses` WRITE;
/*!40000 ALTER TABLE `ec_customer_addresses` DISABLE KEYS */;
INSERT INTO `ec_customer_addresses` VALUES (1,'Herman Dooley','customer@archielite.com','+14706676759','TJ','New Mexico','East Linwood','1900 Elyssa Fields Apt. 077',1,1,'2024-01-07 22:01:20','2024-01-07 22:01:20','43776-5058'),(2,'Herman Dooley','customer@archielite.com','+14307019682','SJ','Florida','Jackieshire','38279 Domenica Bypass',1,0,'2024-01-07 22:01:20','2024-01-07 22:01:20','46769'),(3,'Prof. Elroy Bauch','zoey.gutkowski@example.org','+17048028131','GH','Massachusetts','Jaskolskiport','9337 Odessa Course Apt. 228',2,1,'2024-01-07 22:01:20','2024-01-07 22:01:20','92201'),(4,'Norma VonRueden','erin.huel@example.com','+18189904159','PH','North Carolina','Kingmouth','374 Luella Extension Suite 316',3,1,'2024-01-07 22:01:21','2024-01-07 22:01:21','15490'),(5,'Elody Yundt MD','sipes.elsie@example.org','+16573923618','RE','Tennessee','Strosinberg','1338 Elody Spur Suite 497',4,1,'2024-01-07 22:01:21','2024-01-07 22:01:21','75018-1034'),(6,'Evan Lemke','pstokes@example.com','+16802288679','FO','New Hampshire','Lake Kirstinside','565 Melyssa Mission Suite 356',5,1,'2024-01-07 22:01:21','2024-01-07 22:01:21','87534'),(7,'Dr. Drew Simonis','moen.mervin@example.net','+17205361369','GB','Utah','Lake Irvingbury','84146 Henderson Mountains',6,1,'2024-01-07 22:01:21','2024-01-07 22:01:21','47795'),(8,'Mrs. Oleta Wiegand MD','pearl.wintheiser@example.org','+17706205096','NL','Illinois','Cathrineburgh','550 Kub Manors Apt. 607',7,1,'2024-01-07 22:01:22','2024-01-07 22:01:22','48532-0476'),(9,'Lue Price','ischaefer@example.org','+12092827110','SE','Wyoming','Miachester','2460 Rolfson Shoal',8,1,'2024-01-07 22:01:22','2024-01-07 22:01:22','32484-5909'),(10,'Enrique Nolan','kshlerin.milford@example.org','+17324164353','SN','Nebraska','Madelynville','83189 Hane Parkways Suite 597',9,1,'2024-01-07 22:01:22','2024-01-07 22:01:22','99519-7249');
/*!40000 ALTER TABLE `ec_customer_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_password_resets`
--

DROP TABLE IF EXISTS `ec_customer_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `ec_customer_password_resets_email_index` (`email`),
  KEY `ec_customer_password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_password_resets`
--

LOCK TABLES `ec_customer_password_resets` WRITE;
/*!40000 ALTER TABLE `ec_customer_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_recently_viewed_products`
--

DROP TABLE IF EXISTS `ec_customer_recently_viewed_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_recently_viewed_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_recently_viewed_products`
--

LOCK TABLES `ec_customer_recently_viewed_products` WRITE;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_used_coupons`
--

DROP TABLE IF EXISTS `ec_customer_used_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_used_coupons` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_used_coupons`
--

LOCK TABLES `ec_customer_used_coupons` WRITE;
/*!40000 ALTER TABLE `ec_customer_used_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_used_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customers`
--

DROP TABLE IF EXISTS `ec_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `email_verify_token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'activated',
  `private_notes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customers`
--

LOCK TABLES `ec_customers` WRITE;
/*!40000 ALTER TABLE `ec_customers` DISABLE KEYS */;
INSERT INTO `ec_customers` VALUES (1,'Herman Dooley','customer@archielite.com','$2y$12$OurxzfWtEL73sTFUkqprGeDIoq/C9eBrIwkItfIrCI/Rqq.nb4YbC','customers/5.jpg','1985-01-03','+18204879032',NULL,'2024-01-07 22:01:20','2024-01-07 22:01:20','2024-01-08 05:01:20',NULL,'activated',NULL),(2,'Prof. Elroy Bauch','zoey.gutkowski@example.org','$2y$12$UIhrdL7yOL4R9zlFiJ0sguSRfhgrvmTZLKHU0gKK.rXpakZisBxiS','customers/1.jpg','1987-12-22','+15596345050',NULL,'2024-01-07 22:01:20','2024-01-07 22:01:20','2024-01-08 05:01:20',NULL,'activated',NULL),(3,'Norma VonRueden','erin.huel@example.com','$2y$12$e0k/GQk8q/VCyxc7Qp38r.SJKOog2xplGw.k08D3okFQK7eZfGzKm','customers/2.jpg','1985-01-05','+14759070848',NULL,'2024-01-07 22:01:21','2024-01-07 22:01:21','2024-01-08 05:01:20',NULL,'activated',NULL),(4,'Elody Yundt MD','sipes.elsie@example.org','$2y$12$wP4RKk8EfJWmBsjuoRHtGOUK4rhrj1eZJaned7uRI/NA42hQkWmSG','customers/3.jpg','1995-12-28','+17692015500',NULL,'2024-01-07 22:01:21','2024-01-07 22:01:21','2024-01-08 05:01:20',NULL,'activated',NULL),(5,'Evan Lemke','pstokes@example.com','$2y$12$uqVCK4/cUjhyd5/75zbBy.ymPRGwnMzQTFmOzwC7RybaS3ZEAIO5S','customers/4.jpg','1989-12-22','+15627834473',NULL,'2024-01-07 22:01:21','2024-01-07 22:01:21','2024-01-08 05:01:20',NULL,'activated',NULL),(6,'Dr. Drew Simonis','moen.mervin@example.net','$2y$12$NTMGC.CbkKfvo5H/Ey1PjeYOsuAtsEVZ8lcjjXluP.pnn/QKJv9tu','customers/5.jpg','1973-12-20','+16059542144',NULL,'2024-01-07 22:01:21','2024-01-07 22:01:21','2024-01-08 05:01:20',NULL,'activated',NULL),(7,'Mrs. Oleta Wiegand MD','pearl.wintheiser@example.org','$2y$12$wM7ZbOEVk8dFtatp4DUKgeWZqOgm7c/QScuvfoBN38ZYr9tBWHXZK','customers/6.jpg','1979-01-03','+13855389245',NULL,'2024-01-07 22:01:21','2024-01-07 22:01:21','2024-01-08 05:01:20',NULL,'activated',NULL),(8,'Lue Price','ischaefer@example.org','$2y$12$/519FEBu6FveyCuByjL5uuQokMMJsAZtXbDa/McC83JMWfArGyjly','customers/7.jpg','1996-12-24','+13522425249',NULL,'2024-01-07 22:01:22','2024-01-07 22:01:22','2024-01-08 05:01:20',NULL,'activated',NULL),(9,'Enrique Nolan','kshlerin.milford@example.org','$2y$12$t64Lq6ljri3ZhBImYiNkLupCiQ161v5vcCRTgFzSpuZWB641PvT/i','customers/8.jpg','2002-12-22','+15674241782',NULL,'2024-01-07 22:01:22','2024-01-07 22:01:22','2024-01-08 05:01:20',NULL,'activated',NULL);
/*!40000 ALTER TABLE `ec_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_customers`
--

DROP TABLE IF EXISTS `ec_discount_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_customers` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_customers`
--

LOCK TABLES `ec_discount_customers` WRITE;
/*!40000 ALTER TABLE `ec_discount_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_categories`
--

DROP TABLE IF EXISTS `ec_discount_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_categories` (
  `discount_id` bigint unsigned NOT NULL,
  `product_category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_categories`
--

LOCK TABLES `ec_discount_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_collections`
--

DROP TABLE IF EXISTS `ec_discount_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_collections` (
  `discount_id` bigint unsigned NOT NULL,
  `product_collection_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_collections`
--

LOCK TABLES `ec_discount_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_products`
--

DROP TABLE IF EXISTS `ec_discount_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_products` (
  `discount_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_products`
--

LOCK TABLES `ec_discount_products` WRITE;
/*!40000 ALTER TABLE `ec_discount_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discounts`
--

DROP TABLE IF EXISTS `ec_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discounts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `total_used` int unsigned NOT NULL DEFAULT '0',
  `value` double DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'coupon',
  `can_use_with_promotion` tinyint(1) NOT NULL DEFAULT '0',
  `discount_on` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_quantity` int unsigned DEFAULT NULL,
  `type_option` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'amount',
  `target` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'all-orders',
  `min_order_price` decimal(15,2) DEFAULT NULL,
  `apply_via_url` tinyint(1) NOT NULL DEFAULT '0',
  `display_at_checkout` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_discounts_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discounts`
--

LOCK TABLES `ec_discounts` WRITE;
/*!40000 ALTER TABLE `ec_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sale_products`
--

DROP TABLE IF EXISTS `ec_flash_sale_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sale_products` (
  `flash_sale_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `price` double unsigned DEFAULT NULL,
  `quantity` int unsigned DEFAULT NULL,
  `sold` int unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sale_products`
--

LOCK TABLES `ec_flash_sale_products` WRITE;
/*!40000 ALTER TABLE `ec_flash_sale_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sale_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales`
--

DROP TABLE IF EXISTS `ec_flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` datetime NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales`
--

LOCK TABLES `ec_flash_sales` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales_translations`
--

DROP TABLE IF EXISTS `ec_flash_sales_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_flash_sales_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_flash_sales_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales_translations`
--

LOCK TABLES `ec_flash_sales_translations` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value`
--

DROP TABLE IF EXISTS `ec_global_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value` (
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value`
--

LOCK TABLES `ec_global_option_value` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value_translations`
--

DROP TABLE IF EXISTS `ec_global_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value_translations`
--

LOCK TABLES `ec_global_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options`
--

DROP TABLE IF EXISTS `ec_global_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'option type',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options`
--

LOCK TABLES `ec_global_options` WRITE;
/*!40000 ALTER TABLE `ec_global_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options_translations`
--

DROP TABLE IF EXISTS `ec_global_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_options_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options_translations`
--

LOCK TABLES `ec_global_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_grouped_products`
--

DROP TABLE IF EXISTS `ec_grouped_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_grouped_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_product_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `fixed_qty` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_grouped_products`
--

LOCK TABLES `ec_grouped_products` WRITE;
/*!40000 ALTER TABLE `ec_grouped_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_grouped_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoice_items`
--

DROP TABLE IF EXISTS `ec_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoice_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL DEFAULT '0.00',
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `amount` decimal(15,2) unsigned NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_invoice_items_reference_type_reference_id_index` (`reference_type`,`reference_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoice_items`
--

LOCK TABLES `ec_invoice_items` WRITE;
/*!40000 ALTER TABLE `ec_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoices`
--

DROP TABLE IF EXISTS `ec_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoices` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `payment_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_invoices_code_unique` (`code`),
  KEY `ec_invoices_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `ec_invoices_payment_id_index` (`payment_id`),
  KEY `ec_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoices`
--

LOCK TABLES `ec_invoices` WRITE;
/*!40000 ALTER TABLE `ec_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value`
--

DROP TABLE IF EXISTS `ec_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value` (
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value`
--

LOCK TABLES `ec_option_value` WRITE;
/*!40000 ALTER TABLE `ec_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value_translations`
--

DROP TABLE IF EXISTS `ec_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value_translations`
--

LOCK TABLES `ec_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options`
--

DROP TABLE IF EXISTS `ec_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'option type',
  `product_id` bigint unsigned NOT NULL DEFAULT '0',
  `order` int NOT NULL DEFAULT '9999',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options`
--

LOCK TABLES `ec_options` WRITE;
/*!40000 ALTER TABLE `ec_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options_translations`
--

DROP TABLE IF EXISTS `ec_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_options_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options_translations`
--

LOCK TABLES `ec_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_addresses`
--

DROP TABLE IF EXISTS `ec_order_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'shipping_address',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_addresses`
--

LOCK TABLES `ec_order_addresses` WRITE;
/*!40000 ALTER TABLE `ec_order_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_histories`
--

DROP TABLE IF EXISTS `ec_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `extras` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_histories`
--

LOCK TABLES `ec_order_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_product`
--

DROP TABLE IF EXISTS `ec_order_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_product` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `qty` int NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `product_options` text COLLATE utf8mb4_unicode_ci COMMENT 'product option data',
  `product_id` bigint unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `restock_quantity` int unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'physical',
  `times_downloaded` int NOT NULL DEFAULT '0',
  `license_code` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_product`
--

LOCK TABLES `ec_order_product` WRITE;
/*!40000 ALTER TABLE `ec_order_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_referrals`
--

DROP TABLE IF EXISTS `ec_order_referrals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_referrals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_domain` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_page` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_params` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referral` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gclid` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fclid` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_source` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_campaign` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_medium` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_term` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_content` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer_url` text COLLATE utf8mb4_unicode_ci,
  `referrer_domain` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_referrals_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_referrals`
--

LOCK TABLES `ec_order_referrals` WRITE;
/*!40000 ALTER TABLE `ec_order_referrals` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_items`
--

DROP TABLE IF EXISTS `ec_order_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_return_id` bigint unsigned NOT NULL COMMENT 'Order return id',
  `order_product_id` bigint unsigned NOT NULL COMMENT 'Order product id',
  `product_id` bigint unsigned NOT NULL COMMENT 'Product id',
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int NOT NULL COMMENT 'Quantity return',
  `price` decimal(15,2) NOT NULL COMMENT 'Price Product',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `refund_amount` decimal(12,2) DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_items`
--

LOCK TABLES `ec_order_return_items` WRITE;
/*!40000 ALTER TABLE `ec_order_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_returns`
--

DROP TABLE IF EXISTS `ec_order_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_returns` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL COMMENT 'Order ID',
  `store_id` bigint unsigned DEFAULT NULL COMMENT 'Store ID',
  `user_id` bigint unsigned NOT NULL COMMENT 'Customer ID',
  `reason` text COLLATE utf8mb4_unicode_ci COMMENT 'Reason return order',
  `order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Order current status',
  `return_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Return status',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_order_returns_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_returns`
--

LOCK TABLES `ec_order_returns` WRITE;
/*!40000 ALTER TABLE `ec_order_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_tax_information`
--

DROP TABLE IF EXISTS `ec_order_tax_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_tax_information` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `company_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_tax_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_tax_information_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_tax_information`
--

LOCK TABLES `ec_order_tax_information` WRITE;
/*!40000 ALTER TABLE `ec_order_tax_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_tax_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_orders`
--

DROP TABLE IF EXISTS `ec_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `amount` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) DEFAULT NULL,
  `shipping_amount` decimal(15,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(15,2) DEFAULT NULL,
  `sub_total` decimal(15,2) NOT NULL,
  `is_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `discount_description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_finished` tinyint(1) DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_orders_code_unique` (`code`),
  KEY `ec_orders_user_id_status_created_at_index` (`user_id`,`status`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_orders`
--

LOCK TABLES `ec_orders` WRITE;
/*!40000 ALTER TABLE `ec_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `display_layout` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'swatch_dropdown',
  `is_searchable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_comparable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_use_in_product_listing` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `use_image_from_product_variation` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets`
--

LOCK TABLES `ec_product_attribute_sets` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets` DISABLE KEYS */;
INSERT INTO `ec_product_attribute_sets` VALUES (1,'Color','color','visual',1,1,1,'published',0,'2024-01-07 22:01:16','2024-01-07 22:01:16',0),(2,'Size','size','text',1,1,1,'published',1,'2024-01-07 22:01:17','2024-01-07 22:01:17',0),(3,'Weight','weight','text',1,1,1,'published',0,'2024-01-07 22:01:17','2024-01-07 22:01:17',0),(4,'Boxes','boxes','text',1,1,1,'published',1,'2024-01-07 22:01:17','2024-01-07 22:01:17',0);
/*!40000 ALTER TABLE `ec_product_attribute_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets_translations`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attribute_sets_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attribute_sets_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets_translations`
--

LOCK TABLES `ec_product_attribute_sets_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes`
--

DROP TABLE IF EXISTS `ec_product_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_set_id` bigint unsigned NOT NULL,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_set_status_index` (`attribute_set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes`
--

LOCK TABLES `ec_product_attributes` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes` DISABLE KEYS */;
INSERT INTO `ec_product_attributes` VALUES (1,1,'Green','green','#5FB7D4',NULL,1,1,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(2,1,'Blue','blue','#333333',NULL,0,2,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(3,1,'Red','red','#DA323F',NULL,0,3,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(4,1,'Black','black','#2F366C',NULL,0,4,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(5,1,'Brown','brown','#87554B',NULL,0,5,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(6,2,'S','s',NULL,NULL,1,1,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(7,2,'M','m',NULL,NULL,0,2,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(8,2,'L','l',NULL,NULL,0,3,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(9,2,'XL','xl',NULL,NULL,0,4,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(10,2,'XXL','xxl',NULL,NULL,0,5,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(11,3,'1KG','1kg',NULL,NULL,1,1,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(12,3,'2KG','2kg',NULL,NULL,0,2,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(13,3,'3KG','3kg',NULL,NULL,0,3,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(14,3,'4KG','4kg',NULL,NULL,0,4,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(15,3,'5KG','5kg',NULL,NULL,0,5,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(16,4,'1 Box','1-box',NULL,NULL,1,1,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(17,4,'2 Boxes','2-boxes',NULL,NULL,0,2,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(18,4,'3 Boxes','3-boxes',NULL,NULL,0,3,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(19,4,'4 Boxes','4-boxes',NULL,NULL,0,4,'2024-01-07 22:01:17','2024-01-07 22:01:17'),(20,4,'5 Boxes','5-boxes',NULL,NULL,0,5,'2024-01-07 22:01:17','2024-01-07 22:01:17');
/*!40000 ALTER TABLE `ec_product_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes_translations`
--

DROP TABLE IF EXISTS `ec_product_attributes_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attributes_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attributes_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes_translations`
--

LOCK TABLES `ec_product_attributes_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attributes_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories`
--

DROP TABLE IF EXISTS `ec_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` int unsigned NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_categories_parent_id_status_created_at_index` (`parent_id`,`status`,`created_at`),
  KEY `ec_product_categories_parent_id_status_index` (`parent_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories`
--

LOCK TABLES `ec_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_product_categories` DISABLE KEYS */;
INSERT INTO `ec_product_categories` VALUES (1,'Desktop PC',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',1,'product-categories/1.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(2,'Headphone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',2,'product-categories/2.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(3,'Laptop',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',3,'product-categories/3.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(4,'Mobile Phone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',4,'product-categories/4.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(5,'Printer',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',5,'product-categories/5.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(6,'Books',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',6,'product-categories/6.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(7,'Tablet',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',7,'product-categories/7.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(8,'USB Flash',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',8,'product-categories/8.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(9,'Game Mouse',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',9,'product-categories/9.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(10,'Security',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',10,'product-categories/10.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(11,'Watch',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',11,'product-categories/11.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL),(12,'Scanner',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',12,'product-categories/12.png',1,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL,NULL);
/*!40000 ALTER TABLE `ec_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories_translations`
--

DROP TABLE IF EXISTS `ec_product_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_product_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories_translations`
--

LOCK TABLES `ec_product_categories_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categorizables`
--

DROP TABLE IF EXISTS `ec_product_categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categorizables` (
  `category_id` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`category_id`,`reference_id`,`reference_type`),
  KEY `ec_product_categorizables_category_id_index` (`category_id`),
  KEY `ec_product_categorizables_reference_id_index` (`reference_id`),
  KEY `ec_product_categorizables_reference_type_index` (`reference_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categorizables`
--

LOCK TABLES `ec_product_categorizables` WRITE;
/*!40000 ALTER TABLE `ec_product_categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categorizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_category_product`
--

DROP TABLE IF EXISTS `ec_product_category_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_category_product` (
  `category_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `ec_product_category_product_category_id_index` (`category_id`),
  KEY `ec_product_category_product_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_category_product`
--

LOCK TABLES `ec_product_category_product` WRITE;
/*!40000 ALTER TABLE `ec_product_category_product` DISABLE KEYS */;
INSERT INTO `ec_product_category_product` VALUES (1,17),(1,20),(1,22),(1,31),(1,34),(2,22),(3,28),(3,34),(3,49),(4,5),(4,11),(4,29),(4,43),(4,49),(4,52),(4,55),(5,19),(6,18),(6,37),(6,40),(6,49),(6,51),(6,56),(6,64),(7,2),(7,4),(7,10),(7,23),(7,30),(7,45),(7,65),(8,9),(8,16),(8,18),(8,24),(8,35),(8,57),(9,10),(9,16),(9,38),(9,43),(9,47),(9,59),(10,4),(10,13),(10,14),(10,32),(10,36),(10,37),(10,53),(10,54),(11,1),(11,40),(12,6),(12,11),(12,17),(12,25),(12,26),(12,27),(12,30),(12,42),(12,48),(12,51),(13,15),(13,37),(13,56),(13,57),(13,59),(13,65),(14,7),(14,8),(14,13),(14,38),(14,60),(15,1),(15,4),(15,12),(15,14),(15,15),(15,17),(15,30),(15,31),(15,35),(15,44),(15,56),(16,29),(16,36),(16,49),(16,61),(17,5),(17,7),(17,33),(17,48),(17,50),(17,52),(17,64),(18,23),(18,25),(18,31),(18,44),(18,46),(18,54),(18,55),(19,12),(19,20),(19,21),(19,31),(19,38),(19,41),(19,59),(20,5),(20,10),(20,24),(20,32),(20,39),(20,42),(20,46),(20,50),(20,54),(21,7),(21,9),(21,13),(21,25),(21,39),(21,41),(21,44),(21,63),(22,12),(22,14),(22,18),(22,24),(22,28),(22,39),(22,52),(22,57),(23,1),(23,11),(23,21),(23,29),(23,32),(23,45),(23,63),(24,2),(24,3),(24,4),(24,5),(24,9),(24,11),(24,15),(24,20),(24,21),(24,26),(25,9),(25,13),(25,26),(25,34),(25,36),(25,43),(25,64),(26,6),(26,8),(26,23),(26,30),(26,40),(26,46),(26,53),(26,58),(26,61),(26,62),(27,17),(27,34),(27,35),(27,55),(27,57),(27,59),(27,60),(27,62),(28,6),(28,18),(28,19),(28,23),(28,24),(28,27),(28,40),(28,51),(28,65),(29,28),(29,33),(29,35),(29,41),(29,42),(29,46),(29,60),(30,3),(30,12),(30,15),(30,47),(30,48),(30,54),(30,55),(30,58),(31,16),(31,28),(31,47),(31,58),(31,60),(31,63),(32,2),(32,7),(32,8),(32,44),(32,62),(32,63),(32,65),(33,6),(33,19),(33,21),(33,27),(33,32),(33,36),(33,43),(33,53),(34,2),(34,20),(34,26),(34,41),(34,48),(34,50),(34,62),(35,1),(35,19),(35,27),(36,3),(36,14),(36,22),(36,37),(36,39),(36,50),(36,58),(37,10),(37,16),(37,25),(37,38),(37,45),(37,47),(37,51),(37,56),(37,61),(37,64);
/*!40000 ALTER TABLE `ec_product_category_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collection_products`
--

DROP TABLE IF EXISTS `ec_product_collection_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collection_products` (
  `product_collection_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`product_collection_id`),
  KEY `ec_product_collection_products_product_collection_id_index` (`product_collection_id`),
  KEY `ec_product_collection_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collection_products`
--

LOCK TABLES `ec_product_collection_products` WRITE;
/*!40000 ALTER TABLE `ec_product_collection_products` DISABLE KEYS */;
INSERT INTO `ec_product_collection_products` VALUES (1,2),(1,3),(1,10),(1,15),(1,20),(1,23),(1,24),(1,30),(1,32),(1,34),(1,36),(1,37),(1,42),(1,43),(1,45),(1,52),(1,54),(1,55),(1,57),(1,59),(1,60),(1,65),(2,4),(2,5),(2,6),(2,8),(2,14),(2,16),(2,21),(2,29),(2,31),(2,41),(2,44),(2,47),(2,50),(2,51),(2,53),(2,63),(3,1),(3,7),(3,9),(3,11),(3,12),(3,13),(3,17),(3,18),(3,19),(3,22),(3,25),(3,26),(3,27),(3,28),(3,33),(3,35),(3,38),(3,39),(3,40),(3,46),(3,48),(3,49),(3,56),(3,58),(3,61),(3,62),(3,64);
/*!40000 ALTER TABLE `ec_product_collection_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections`
--

DROP TABLE IF EXISTS `ec_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections`
--

LOCK TABLES `ec_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_product_collections` DISABLE KEYS */;
INSERT INTO `ec_product_collections` VALUES (1,'New Arrival','new-arrival',NULL,NULL,'published','2024-01-07 22:01:02','2024-01-07 22:01:02',0),(2,'Best Sellers','best-sellers',NULL,NULL,'published','2024-01-07 22:01:02','2024-01-07 22:01:02',0),(3,'Special Offer','special-offer',NULL,NULL,'published','2024-01-07 22:01:02','2024-01-07 22:01:02',0);
/*!40000 ALTER TABLE `ec_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections_translations`
--

DROP TABLE IF EXISTS `ec_product_collections_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_collections_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_collections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections_translations`
--

LOCK TABLES `ec_product_collections_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_collections_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_collections_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_cross_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_cross_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_cross_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  `is_variant` tinyint(1) NOT NULL DEFAULT '0',
  `price` decimal(15,2) DEFAULT '0.00',
  `price_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed',
  `apply_to_all_variations` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_cross_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_cross_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_cross_sale_relations`
--

LOCK TABLES `ec_product_cross_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` DISABLE KEYS */;
INSERT INTO `ec_product_cross_sale_relations` VALUES (1,2,0,0.00,'fixed',1),(1,6,0,0.00,'fixed',1),(1,7,0,0.00,'fixed',1),(1,16,0,0.00,'fixed',1),(1,18,0,0.00,'fixed',1),(1,20,0,0.00,'fixed',1),(2,4,0,0.00,'fixed',1),(2,8,0,0.00,'fixed',1),(2,12,0,0.00,'fixed',1),(2,14,0,0.00,'fixed',1),(2,15,0,0.00,'fixed',1),(2,20,0,0.00,'fixed',1),(3,1,0,0.00,'fixed',1),(3,2,0,0.00,'fixed',1),(3,5,0,0.00,'fixed',1),(3,7,0,0.00,'fixed',1),(3,10,0,0.00,'fixed',1),(3,12,0,0.00,'fixed',1),(4,1,0,0.00,'fixed',1),(4,2,0,0.00,'fixed',1),(4,10,0,0.00,'fixed',1),(4,11,0,0.00,'fixed',1),(4,16,0,0.00,'fixed',1),(4,17,0,0.00,'fixed',1),(5,3,0,0.00,'fixed',1),(5,4,0,0.00,'fixed',1),(5,8,0,0.00,'fixed',1),(5,11,0,0.00,'fixed',1),(5,13,0,0.00,'fixed',1),(5,15,0,0.00,'fixed',1),(5,20,0,0.00,'fixed',1),(6,1,0,0.00,'fixed',1),(6,7,0,0.00,'fixed',1),(6,12,0,0.00,'fixed',1),(6,14,0,0.00,'fixed',1),(6,16,0,0.00,'fixed',1),(6,20,0,0.00,'fixed',1),(7,1,0,0.00,'fixed',1),(7,2,0,0.00,'fixed',1),(7,6,0,0.00,'fixed',1),(7,8,0,0.00,'fixed',1),(7,10,0,0.00,'fixed',1),(7,12,0,0.00,'fixed',1),(8,5,0,0.00,'fixed',1),(8,7,0,0.00,'fixed',1),(8,9,0,0.00,'fixed',1),(8,11,0,0.00,'fixed',1),(8,13,0,0.00,'fixed',1),(8,17,0,0.00,'fixed',1),(8,20,0,0.00,'fixed',1),(9,6,0,0.00,'fixed',1),(9,8,0,0.00,'fixed',1),(9,14,0,0.00,'fixed',1),(9,15,0,0.00,'fixed',1),(9,18,0,0.00,'fixed',1),(9,19,0,0.00,'fixed',1),(10,1,0,0.00,'fixed',1),(10,7,0,0.00,'fixed',1),(10,11,0,0.00,'fixed',1),(10,12,0,0.00,'fixed',1),(10,15,0,0.00,'fixed',1),(10,18,0,0.00,'fixed',1),(11,4,0,0.00,'fixed',1),(11,5,0,0.00,'fixed',1),(11,9,0,0.00,'fixed',1),(11,16,0,0.00,'fixed',1),(11,18,0,0.00,'fixed',1),(12,4,0,0.00,'fixed',1),(12,8,0,0.00,'fixed',1),(12,13,0,0.00,'fixed',1),(12,14,0,0.00,'fixed',1),(12,15,0,0.00,'fixed',1),(12,18,0,0.00,'fixed',1),(12,20,0,0.00,'fixed',1),(13,2,0,0.00,'fixed',1),(13,10,0,0.00,'fixed',1),(13,12,0,0.00,'fixed',1),(13,14,0,0.00,'fixed',1),(13,15,0,0.00,'fixed',1),(13,16,0,0.00,'fixed',1),(14,5,0,0.00,'fixed',1),(14,10,0,0.00,'fixed',1),(14,15,0,0.00,'fixed',1),(14,16,0,0.00,'fixed',1),(14,18,0,0.00,'fixed',1),(15,1,0,0.00,'fixed',1),(15,7,0,0.00,'fixed',1),(15,9,0,0.00,'fixed',1),(15,10,0,0.00,'fixed',1),(15,19,0,0.00,'fixed',1),(16,5,0,0.00,'fixed',1),(16,6,0,0.00,'fixed',1),(16,13,0,0.00,'fixed',1),(16,14,0,0.00,'fixed',1),(16,15,0,0.00,'fixed',1),(16,20,0,0.00,'fixed',1),(17,4,0,0.00,'fixed',1),(17,5,0,0.00,'fixed',1),(17,6,0,0.00,'fixed',1),(17,12,0,0.00,'fixed',1),(17,14,0,0.00,'fixed',1),(17,16,0,0.00,'fixed',1),(17,20,0,0.00,'fixed',1),(18,1,0,0.00,'fixed',1),(18,8,0,0.00,'fixed',1),(18,9,0,0.00,'fixed',1),(18,10,0,0.00,'fixed',1),(18,14,0,0.00,'fixed',1),(18,17,0,0.00,'fixed',1),(19,5,0,0.00,'fixed',1),(19,6,0,0.00,'fixed',1),(19,7,0,0.00,'fixed',1),(19,9,0,0.00,'fixed',1),(19,14,0,0.00,'fixed',1),(20,4,0,0.00,'fixed',1),(20,7,0,0.00,'fixed',1),(20,10,0,0.00,'fixed',1),(20,11,0,0.00,'fixed',1),(20,12,0,0.00,'fixed',1),(20,13,0,0.00,'fixed',1),(21,2,0,0.00,'fixed',1),(21,4,0,0.00,'fixed',1),(21,7,0,0.00,'fixed',1),(21,8,0,0.00,'fixed',1),(21,13,0,0.00,'fixed',1),(21,14,0,0.00,'fixed',1),(22,1,0,0.00,'fixed',1),(22,2,0,0.00,'fixed',1),(22,11,0,0.00,'fixed',1),(22,13,0,0.00,'fixed',1),(22,17,0,0.00,'fixed',1),(22,19,0,0.00,'fixed',1),(23,3,0,0.00,'fixed',1),(23,8,0,0.00,'fixed',1),(23,11,0,0.00,'fixed',1),(23,14,0,0.00,'fixed',1),(23,15,0,0.00,'fixed',1),(23,16,0,0.00,'fixed',1),(24,2,0,0.00,'fixed',1),(24,3,0,0.00,'fixed',1),(24,9,0,0.00,'fixed',1),(24,13,0,0.00,'fixed',1),(24,17,0,0.00,'fixed',1),(24,19,0,0.00,'fixed',1),(25,5,0,0.00,'fixed',1),(25,9,0,0.00,'fixed',1),(25,12,0,0.00,'fixed',1),(25,13,0,0.00,'fixed',1),(25,16,0,0.00,'fixed',1),(25,18,0,0.00,'fixed',1),(26,4,0,0.00,'fixed',1),(26,6,0,0.00,'fixed',1),(26,11,0,0.00,'fixed',1),(26,14,0,0.00,'fixed',1),(26,16,0,0.00,'fixed',1),(26,17,0,0.00,'fixed',1),(27,1,0,0.00,'fixed',1),(27,2,0,0.00,'fixed',1),(27,7,0,0.00,'fixed',1),(27,8,0,0.00,'fixed',1),(27,10,0,0.00,'fixed',1),(27,16,0,0.00,'fixed',1),(27,19,0,0.00,'fixed',1),(28,4,0,0.00,'fixed',1),(28,8,0,0.00,'fixed',1),(28,11,0,0.00,'fixed',1),(28,12,0,0.00,'fixed',1),(28,16,0,0.00,'fixed',1),(28,19,0,0.00,'fixed',1),(29,2,0,0.00,'fixed',1),(29,6,0,0.00,'fixed',1),(29,10,0,0.00,'fixed',1),(29,14,0,0.00,'fixed',1),(29,15,0,0.00,'fixed',1),(29,18,0,0.00,'fixed',1),(30,1,0,0.00,'fixed',1),(30,3,0,0.00,'fixed',1),(30,7,0,0.00,'fixed',1),(30,11,0,0.00,'fixed',1),(30,13,0,0.00,'fixed',1),(30,15,0,0.00,'fixed',1),(30,19,0,0.00,'fixed',1),(31,8,0,0.00,'fixed',1),(31,13,0,0.00,'fixed',1),(31,14,0,0.00,'fixed',1),(32,1,0,0.00,'fixed',1),(32,8,0,0.00,'fixed',1),(32,9,0,0.00,'fixed',1),(32,10,0,0.00,'fixed',1),(32,15,0,0.00,'fixed',1),(32,17,0,0.00,'fixed',1),(33,2,0,0.00,'fixed',1),(33,7,0,0.00,'fixed',1),(33,9,0,0.00,'fixed',1),(33,12,0,0.00,'fixed',1),(33,13,0,0.00,'fixed',1),(33,15,0,0.00,'fixed',1),(34,1,0,0.00,'fixed',1),(34,5,0,0.00,'fixed',1),(34,15,0,0.00,'fixed',1),(34,16,0,0.00,'fixed',1),(34,19,0,0.00,'fixed',1),(35,1,0,0.00,'fixed',1),(35,2,0,0.00,'fixed',1),(35,3,0,0.00,'fixed',1),(35,7,0,0.00,'fixed',1),(35,11,0,0.00,'fixed',1),(35,13,0,0.00,'fixed',1),(35,15,0,0.00,'fixed',1),(36,2,0,0.00,'fixed',1),(36,7,0,0.00,'fixed',1),(36,13,0,0.00,'fixed',1),(36,14,0,0.00,'fixed',1),(36,15,0,0.00,'fixed',1),(36,19,0,0.00,'fixed',1),(37,3,0,0.00,'fixed',1),(37,4,0,0.00,'fixed',1),(37,5,0,0.00,'fixed',1),(37,9,0,0.00,'fixed',1),(37,13,0,0.00,'fixed',1),(37,18,0,0.00,'fixed',1),(37,19,0,0.00,'fixed',1),(38,7,0,0.00,'fixed',1),(38,8,0,0.00,'fixed',1),(38,11,0,0.00,'fixed',1),(38,12,0,0.00,'fixed',1),(38,17,0,0.00,'fixed',1),(38,18,0,0.00,'fixed',1),(39,3,0,0.00,'fixed',1),(39,7,0,0.00,'fixed',1),(39,9,0,0.00,'fixed',1),(39,11,0,0.00,'fixed',1),(39,12,0,0.00,'fixed',1),(39,14,0,0.00,'fixed',1),(40,5,0,0.00,'fixed',1),(40,11,0,0.00,'fixed',1),(40,13,0,0.00,'fixed',1),(40,14,0,0.00,'fixed',1),(40,16,0,0.00,'fixed',1),(40,17,0,0.00,'fixed',1),(41,3,0,0.00,'fixed',1),(41,4,0,0.00,'fixed',1),(41,5,0,0.00,'fixed',1),(41,6,0,0.00,'fixed',1),(41,8,0,0.00,'fixed',1),(41,12,0,0.00,'fixed',1),(42,5,0,0.00,'fixed',1),(42,8,0,0.00,'fixed',1),(42,14,0,0.00,'fixed',1),(42,15,0,0.00,'fixed',1),(42,17,0,0.00,'fixed',1),(42,19,0,0.00,'fixed',1),(43,2,0,0.00,'fixed',1),(43,7,0,0.00,'fixed',1),(43,14,0,0.00,'fixed',1),(43,15,0,0.00,'fixed',1),(43,17,0,0.00,'fixed',1),(43,18,0,0.00,'fixed',1),(43,19,0,0.00,'fixed',1),(44,3,0,0.00,'fixed',1),(44,8,0,0.00,'fixed',1),(44,9,0,0.00,'fixed',1),(44,10,0,0.00,'fixed',1),(44,16,0,0.00,'fixed',1),(45,6,0,0.00,'fixed',1),(45,7,0,0.00,'fixed',1),(45,9,0,0.00,'fixed',1),(45,12,0,0.00,'fixed',1),(45,14,0,0.00,'fixed',1),(45,16,0,0.00,'fixed',1),(45,17,0,0.00,'fixed',1),(46,9,0,0.00,'fixed',1),(46,10,0,0.00,'fixed',1),(46,11,0,0.00,'fixed',1),(46,12,0,0.00,'fixed',1),(46,13,0,0.00,'fixed',1),(46,15,0,0.00,'fixed',1),(47,4,0,0.00,'fixed',1),(47,5,0,0.00,'fixed',1),(47,10,0,0.00,'fixed',1),(47,12,0,0.00,'fixed',1),(47,18,0,0.00,'fixed',1),(48,3,0,0.00,'fixed',1),(48,6,0,0.00,'fixed',1),(48,12,0,0.00,'fixed',1),(48,13,0,0.00,'fixed',1),(48,14,0,0.00,'fixed',1),(48,15,0,0.00,'fixed',1),(48,17,0,0.00,'fixed',1),(49,1,0,0.00,'fixed',1),(49,3,0,0.00,'fixed',1),(49,5,0,0.00,'fixed',1),(49,6,0,0.00,'fixed',1),(49,11,0,0.00,'fixed',1),(49,17,0,0.00,'fixed',1),(50,1,0,0.00,'fixed',1),(50,3,0,0.00,'fixed',1),(50,6,0,0.00,'fixed',1),(50,7,0,0.00,'fixed',1),(50,9,0,0.00,'fixed',1),(50,10,0,0.00,'fixed',1),(51,1,0,0.00,'fixed',1),(51,5,0,0.00,'fixed',1),(51,7,0,0.00,'fixed',1),(51,11,0,0.00,'fixed',1),(51,12,0,0.00,'fixed',1),(51,13,0,0.00,'fixed',1),(52,6,0,0.00,'fixed',1),(52,7,0,0.00,'fixed',1),(52,10,0,0.00,'fixed',1),(52,14,0,0.00,'fixed',1),(52,15,0,0.00,'fixed',1),(52,18,0,0.00,'fixed',1),(53,1,0,0.00,'fixed',1),(53,3,0,0.00,'fixed',1),(53,6,0,0.00,'fixed',1),(53,8,0,0.00,'fixed',1),(53,9,0,0.00,'fixed',1),(53,10,0,0.00,'fixed',1),(54,10,0,0.00,'fixed',1),(54,13,0,0.00,'fixed',1),(54,14,0,0.00,'fixed',1),(54,18,0,0.00,'fixed',1),(54,19,0,0.00,'fixed',1),(55,1,0,0.00,'fixed',1),(55,5,0,0.00,'fixed',1),(55,8,0,0.00,'fixed',1),(55,9,0,0.00,'fixed',1),(55,10,0,0.00,'fixed',1),(55,13,0,0.00,'fixed',1),(55,17,0,0.00,'fixed',1),(56,5,0,0.00,'fixed',1),(56,8,0,0.00,'fixed',1),(56,14,0,0.00,'fixed',1),(56,16,0,0.00,'fixed',1),(56,17,0,0.00,'fixed',1),(56,18,0,0.00,'fixed',1),(56,19,0,0.00,'fixed',1),(57,1,0,0.00,'fixed',1),(57,2,0,0.00,'fixed',1),(57,7,0,0.00,'fixed',1),(57,10,0,0.00,'fixed',1),(57,16,0,0.00,'fixed',1),(58,3,0,0.00,'fixed',1),(58,5,0,0.00,'fixed',1),(58,9,0,0.00,'fixed',1),(58,11,0,0.00,'fixed',1),(58,13,0,0.00,'fixed',1),(59,1,0,0.00,'fixed',1),(59,8,0,0.00,'fixed',1),(59,10,0,0.00,'fixed',1),(59,15,0,0.00,'fixed',1),(59,16,0,0.00,'fixed',1),(59,17,0,0.00,'fixed',1),(60,1,0,0.00,'fixed',1),(60,2,0,0.00,'fixed',1),(60,11,0,0.00,'fixed',1),(60,12,0,0.00,'fixed',1),(60,17,0,0.00,'fixed',1),(61,3,0,0.00,'fixed',1),(61,5,0,0.00,'fixed',1),(61,6,0,0.00,'fixed',1),(61,7,0,0.00,'fixed',1),(61,11,0,0.00,'fixed',1),(61,18,0,0.00,'fixed',1),(62,3,0,0.00,'fixed',1),(62,7,0,0.00,'fixed',1),(62,13,0,0.00,'fixed',1),(62,14,0,0.00,'fixed',1),(62,16,0,0.00,'fixed',1),(62,19,0,0.00,'fixed',1),(63,4,0,0.00,'fixed',1),(63,6,0,0.00,'fixed',1),(63,9,0,0.00,'fixed',1),(63,12,0,0.00,'fixed',1),(63,13,0,0.00,'fixed',1),(63,16,0,0.00,'fixed',1),(64,3,0,0.00,'fixed',1),(64,10,0,0.00,'fixed',1),(64,12,0,0.00,'fixed',1),(64,13,0,0.00,'fixed',1),(64,14,0,0.00,'fixed',1),(64,19,0,0.00,'fixed',1),(65,1,0,0.00,'fixed',1),(65,5,0,0.00,'fixed',1),(65,6,0,0.00,'fixed',1),(65,9,0,0.00,'fixed',1),(65,11,0,0.00,'fixed',1),(65,14,0,0.00,'fixed',1);
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_files`
--

DROP TABLE IF EXISTS `ec_product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extras` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_files_product_id_index` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=120 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_files`
--

LOCK TABLES `ec_product_files` WRITE;
/*!40000 ALTER TABLE `ec_product_files` DISABLE KEYS */;
INSERT INTO `ec_product_files` VALUES (1,66,'product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(2,73,'product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(3,73,'product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(4,73,'product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(5,73,'product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(6,82,'product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(7,82,'product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(8,82,'product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(9,83,'product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(10,83,'product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(11,83,'product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:13\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:13','2024-01-07 22:01:13'),(12,92,'product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(13,92,'product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(14,93,'product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(15,93,'product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(16,101,'product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(17,101,'product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(18,101,'product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(19,101,'product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(20,110,'product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(21,110,'product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(22,110,'product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(23,111,'product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(24,111,'product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(25,111,'product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(26,117,'product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(27,117,'product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(28,117,'product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(29,118,'product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(30,118,'product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(31,118,'product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(32,119,'product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(33,119,'product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(34,119,'product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(35,120,'product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(36,120,'product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(37,120,'product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(38,131,'product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(39,131,'product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(40,131,'product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(41,132,'product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(42,132,'product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(43,132,'product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(44,133,'product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(45,133,'product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(46,133,'product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:14\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:14','2024-01-07 22:01:14'),(47,145,'product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(48,145,'product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(49,145,'product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(50,146,'product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(51,146,'product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(52,146,'product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(53,157,'product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(54,157,'product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(55,157,'product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(56,158,'product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(57,158,'product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(58,158,'product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(59,159,'product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(60,159,'product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(61,159,'product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(62,160,'product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(63,160,'product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(64,160,'product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(65,161,'product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(66,161,'product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(67,161,'product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(68,169,'product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(69,169,'product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(70,169,'product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(71,170,'product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(72,170,'product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(73,170,'product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(74,171,'product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(75,171,'product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(76,171,'product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(77,172,'product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(78,172,'product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(79,172,'product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(80,179,'product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(81,179,'product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(82,180,'product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(83,180,'product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:15\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:15','2024-01-07 22:01:15'),(84,187,'product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(85,187,'product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(86,187,'product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(87,188,'product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(88,188,'product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(89,188,'product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(90,189,'product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(91,189,'product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(92,189,'product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(93,199,'product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(94,199,'product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(95,200,'product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(96,200,'product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(97,201,'product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(98,201,'product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(99,202,'product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(100,202,'product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(101,214,'product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(102,214,'product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(103,215,'product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(104,215,'product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(105,216,'product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(106,216,'product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(107,217,'product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(108,217,'product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(109,225,'product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(110,225,'product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(111,233,'product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(112,233,'product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(113,233,'product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(114,234,'product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(115,234,'product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(116,234,'product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(117,235,'product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(118,235,'product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16'),(119,235,'product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":9730,\"modified\":\"2024-01-08 05:01:16\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-01-07 22:01:16','2024-01-07 22:01:16');
/*!40000 ALTER TABLE `ec_product_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_label_products`
--

DROP TABLE IF EXISTS `ec_product_label_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_label_products` (
  `product_label_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_label_id`,`product_id`),
  KEY `ec_product_label_products_product_label_id_index` (`product_label_id`),
  KEY `ec_product_label_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_label_products`
--

LOCK TABLES `ec_product_label_products` WRITE;
/*!40000 ALTER TABLE `ec_product_label_products` DISABLE KEYS */;
INSERT INTO `ec_product_label_products` VALUES (1,3),(1,12),(1,27),(1,45),(2,15),(2,21),(2,36),(2,39),(2,42),(3,6),(3,9),(3,18),(3,24),(3,30),(3,33),(3,48),(3,51),(3,54),(3,57),(3,60),(3,63);
/*!40000 ALTER TABLE `ec_product_label_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels`
--

DROP TABLE IF EXISTS `ec_product_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels`
--

LOCK TABLES `ec_product_labels` WRITE;
/*!40000 ALTER TABLE `ec_product_labels` DISABLE KEYS */;
INSERT INTO `ec_product_labels` VALUES (1,'Hot','#ec2434','published','2024-01-07 22:01:02','2024-01-07 22:01:02'),(2,'New','#00c9a7','published','2024-01-07 22:01:02','2024-01-07 22:01:02'),(3,'Sale','#fe9931','published','2024-01-07 22:01:02','2024-01-07 22:01:02');
/*!40000 ALTER TABLE `ec_product_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels_translations`
--

DROP TABLE IF EXISTS `ec_product_labels_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_labels_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels_translations`
--

LOCK TABLES `ec_product_labels_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_labels_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_labels_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_related_relations`
--

DROP TABLE IF EXISTS `ec_product_related_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_related_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_related_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_related_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_related_relations`
--

LOCK TABLES `ec_product_related_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_related_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_related_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tag_product`
--

DROP TABLE IF EXISTS `ec_product_tag_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tag_product` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `ec_product_tag_product_product_id_index` (`product_id`),
  KEY `ec_product_tag_product_tag_id_index` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tag_product`
--

LOCK TABLES `ec_product_tag_product` WRITE;
/*!40000 ALTER TABLE `ec_product_tag_product` DISABLE KEYS */;
INSERT INTO `ec_product_tag_product` VALUES (1,1),(1,2),(2,2),(2,3),(2,5),(3,1),(3,3),(3,6),(4,2),(4,3),(4,6),(5,2),(5,4),(5,6),(6,1),(6,3),(6,5),(7,2),(7,4),(7,5),(8,4),(8,6),(9,2),(9,3),(9,5),(10,2),(11,1),(11,4),(11,6),(12,4),(12,6),(13,1),(13,3),(13,5),(14,3),(14,5),(14,6),(15,1),(15,5),(16,4),(16,6),(17,3),(17,5),(17,6),(18,1),(18,4),(18,6),(19,1),(19,2),(19,6),(20,3),(20,6),(21,1),(21,2),(21,6),(22,1),(22,4),(23,1),(23,5),(23,6),(24,2),(24,3),(24,6),(25,1),(25,4),(25,6),(26,3),(26,6),(27,2),(27,4),(28,2),(28,5),(28,6),(29,3),(29,5),(29,6),(30,2),(30,5),(30,6),(31,2),(31,3),(32,1),(32,2),(32,5),(33,2),(33,6),(34,1),(34,4),(34,6),(35,2),(35,4),(36,1),(36,5),(37,1),(37,5),(37,6),(38,4),(38,5),(38,6),(39,1),(39,6),(40,4),(40,5),(41,2),(41,3),(41,5),(42,1),(42,4),(43,2),(43,3),(44,1),(44,2),(45,2),(45,5),(45,6),(46,2),(46,4),(46,6),(47,2),(47,6),(48,1),(48,4),(49,3),(49,5),(50,2),(50,5),(51,5),(51,6),(52,1),(52,4),(52,5),(53,1),(53,2),(53,5),(54,1),(54,4),(55,4),(55,5),(56,3),(56,5),(57,1),(57,2),(57,5),(58,3),(58,5),(58,6),(59,3),(59,4),(59,6),(60,4),(60,5),(60,6),(61,1),(61,5),(61,6),(62,4),(62,5),(63,2),(63,3),(63,4),(64,2),(64,3),(64,4),(65,1),(65,3);
/*!40000 ALTER TABLE `ec_product_tag_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags`
--

DROP TABLE IF EXISTS `ec_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags`
--

LOCK TABLES `ec_product_tags` WRITE;
/*!40000 ALTER TABLE `ec_product_tags` DISABLE KEYS */;
INSERT INTO `ec_product_tags` VALUES (1,'Electronic',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(2,'Mobile',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(3,'Iphone',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(4,'Printer',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(5,'Office',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(6,'IT',NULL,'published','2024-01-07 22:01:17','2024-01-07 22:01:17');
/*!40000 ALTER TABLE `ec_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags_translations`
--

DROP TABLE IF EXISTS `ec_product_tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags_translations`
--

LOCK TABLES `ec_product_tags_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_up_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_up_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_up_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_up_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_up_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_up_sale_relations`
--

LOCK TABLES `ec_product_up_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variation_items`
--

DROP TABLE IF EXISTS `ec_product_variation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variation_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_variation_index` (`attribute_id`,`variation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=341 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variation_items`
--

LOCK TABLES `ec_product_variation_items` WRITE;
/*!40000 ALTER TABLE `ec_product_variation_items` DISABLE KEYS */;
INSERT INTO `ec_product_variation_items` VALUES (1,1,1),(15,1,8),(19,1,10),(43,1,22),(51,1,26),(57,1,29),(79,1,40),(5,2,3),(13,2,7),(17,2,9),(21,2,11),(29,2,15),(35,2,18),(37,2,19),(69,2,35),(83,2,42),(85,2,43),(95,2,48),(97,2,49),(3,3,2),(9,3,5),(25,3,13),(27,3,14),(49,3,25),(55,3,28),(59,3,30),(67,3,34),(71,3,36),(81,3,41),(87,3,44),(89,3,45),(7,4,4),(11,4,6),(23,4,12),(31,4,16),(33,4,17),(39,4,20),(61,4,31),(63,4,32),(65,4,33),(77,4,39),(93,4,47),(41,5,21),(45,5,23),(47,5,24),(53,5,27),(73,5,37),(75,5,38),(91,5,46),(8,6,4),(28,6,14),(32,6,16),(42,6,21),(46,6,23),(48,6,24),(54,6,27),(74,6,37),(76,6,38),(78,6,39),(84,6,42),(98,6,49),(18,7,9),(22,7,11),(26,7,13),(36,7,18),(44,7,22),(68,7,34),(86,7,43),(90,7,45),(16,8,8),(38,8,19),(40,8,20),(50,8,25),(60,8,30),(62,8,31),(72,8,36),(88,8,44),(2,9,1),(30,9,15),(52,9,26),(66,9,33),(94,9,47),(4,10,2),(6,10,3),(10,10,5),(12,10,6),(14,10,7),(20,10,10),(24,10,12),(34,10,17),(56,10,28),(58,10,29),(64,10,32),(70,10,35),(80,10,40),(82,10,41),(92,10,46),(96,10,48),(117,11,59),(135,11,68),(137,11,69),(157,11,79),(159,11,80),(171,11,86),(175,11,88),(187,11,94),(211,11,106),(217,11,109),(223,11,112),(255,11,128),(261,11,131),(273,11,137),(277,11,139),(287,11,144),(299,11,150),(321,11,161),(327,11,164),(329,11,165),(115,12,58),(129,12,65),(131,12,66),(133,12,67),(141,12,71),(153,12,77),(155,12,78),(169,12,85),(179,12,90),(181,12,91),(197,12,99),(201,12,101),(213,12,107),(227,12,114),(229,12,115),(239,12,120),(253,12,127),(257,12,129),(269,12,135),(279,12,140),(281,12,141),(293,12,147),(317,12,159),(333,12,167),(101,13,51),(105,13,53),(107,13,54),(125,13,63),(127,13,64),(139,13,70),(143,13,72),(147,13,74),(149,13,75),(185,13,93),(189,13,95),(191,13,96),(193,13,97),(199,13,100),(215,13,108),(219,13,110),(225,13,113),(235,13,118),(237,13,119),(251,13,126),(265,13,133),(289,13,145),(303,13,152),(309,13,155),(331,13,166),(339,13,170),(99,14,50),(119,14,60),(121,14,61),(151,14,76),(163,14,82),(165,14,83),(167,14,84),(177,14,89),(183,14,92),(195,14,98),(207,14,104),(233,14,117),(243,14,122),(247,14,124),(249,14,125),(271,14,136),(283,14,142),(285,14,143),(291,14,146),(297,14,149),(305,14,153),(311,14,156),(313,14,157),(315,14,158),(323,14,162),(103,15,52),(109,15,55),(111,15,56),(113,15,57),(123,15,62),(145,15,73),(161,15,81),(173,15,87),(203,15,102),(205,15,103),(209,15,105),(221,15,111),(231,15,116),(241,15,121),(245,15,123),(259,15,130),(263,15,132),(267,15,134),(275,15,138),(295,15,148),(301,15,151),(307,15,154),(319,15,160),(325,15,163),(335,15,168),(337,15,169),(102,16,51),(108,16,54),(120,16,60),(136,16,68),(154,16,77),(158,16,79),(172,16,86),(190,16,95),(198,16,99),(200,16,100),(206,16,103),(216,16,108),(228,16,114),(236,16,118),(242,16,121),(244,16,122),(254,16,127),(266,16,133),(268,16,134),(276,16,138),(278,16,139),(284,16,142),(286,16,143),(296,16,148),(300,16,150),(302,16,151),(326,16,163),(330,16,165),(332,16,166),(104,17,52),(114,17,57),(126,17,63),(128,17,64),(134,17,67),(144,17,72),(152,17,76),(156,17,78),(162,17,81),(166,17,83),(174,17,87),(182,17,91),(188,17,94),(208,17,104),(224,17,112),(232,17,116),(234,17,117),(238,17,119),(258,17,129),(260,17,130),(272,17,136),(290,17,145),(292,17,146),(298,17,149),(304,17,152),(312,17,156),(314,17,157),(316,17,158),(324,17,162),(336,17,168),(100,18,50),(112,18,56),(116,18,58),(122,18,61),(138,18,69),(140,18,70),(146,18,73),(176,18,88),(186,18,93),(194,18,97),(204,18,102),(214,18,107),(226,18,113),(230,18,115),(246,18,123),(264,18,132),(270,18,135),(280,18,140),(282,18,141),(288,18,144),(318,18,159),(320,18,160),(322,18,161),(328,18,164),(340,18,170),(110,19,55),(130,19,65),(132,19,66),(160,19,80),(164,19,82),(168,19,84),(170,19,85),(192,19,96),(196,19,98),(202,19,101),(212,19,106),(218,19,109),(220,19,110),(222,19,111),(240,19,120),(248,19,124),(252,19,126),(256,19,128),(306,19,153),(308,19,154),(310,19,155),(334,19,167),(338,19,169),(106,20,53),(118,20,59),(124,20,62),(142,20,71),(148,20,74),(150,20,75),(178,20,89),(180,20,90),(184,20,92),(210,20,105),(250,20,125),(262,20,131),(274,20,137),(294,20,147);
/*!40000 ALTER TABLE `ec_product_variation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variations`
--

DROP TABLE IF EXISTS `ec_product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `configurable_product_id` bigint unsigned NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variations_product_id_configurable_product_id_unique` (`product_id`,`configurable_product_id`),
  KEY `configurable_product_index` (`product_id`,`configurable_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=171 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variations`
--

LOCK TABLES `ec_product_variations` WRITE;
/*!40000 ALTER TABLE `ec_product_variations` DISABLE KEYS */;
INSERT INTO `ec_product_variations` VALUES (1,66,1,1),(2,67,2,1),(3,68,2,0),(4,69,3,1),(5,70,4,1),(6,71,4,0),(7,72,4,0),(8,73,5,1),(9,74,6,1),(10,75,6,0),(11,76,7,1),(12,77,7,0),(13,78,7,0),(14,79,7,0),(15,80,8,1),(16,81,8,0),(17,82,9,1),(18,83,9,0),(19,84,10,1),(20,85,10,0),(21,86,10,0),(22,87,10,0),(23,88,11,1),(24,89,11,0),(25,90,12,1),(26,91,12,0),(27,92,13,1),(28,93,13,0),(29,94,14,1),(30,95,14,0),(31,96,14,0),(32,97,15,1),(33,98,15,0),(34,99,16,1),(35,100,16,0),(36,101,17,1),(37,102,18,1),(38,103,18,0),(39,104,18,0),(40,105,19,1),(41,106,19,0),(42,107,19,0),(43,108,19,0),(44,109,20,1),(45,110,21,1),(46,111,21,0),(47,112,22,1),(48,113,22,0),(49,114,23,1),(50,115,24,1),(51,116,24,0),(52,117,25,1),(53,118,25,0),(54,119,25,0),(55,120,25,0),(56,121,26,1),(57,122,26,0),(58,123,26,0),(59,124,26,0),(60,125,26,0),(61,126,27,1),(62,127,27,0),(63,128,28,1),(64,129,28,0),(65,130,28,0),(66,131,29,1),(67,132,29,0),(68,133,29,0),(69,134,30,1),(70,135,30,0),(71,136,30,0),(72,137,30,0),(73,138,31,1),(74,139,31,0),(75,140,31,0),(76,141,31,0),(77,142,32,1),(78,143,32,0),(79,144,32,0),(80,145,33,1),(81,146,33,0),(82,147,34,1),(83,148,34,0),(84,149,34,0),(85,150,35,1),(86,151,35,0),(87,152,35,0),(88,153,35,0),(89,154,36,1),(90,155,36,0),(91,156,36,0),(92,157,37,1),(93,158,37,0),(94,159,37,0),(95,160,37,0),(96,161,37,0),(97,162,38,1),(98,163,39,1),(99,164,39,0),(100,165,40,1),(101,166,40,0),(102,167,40,0),(103,168,40,0),(104,169,41,1),(105,170,41,0),(106,171,41,0),(107,172,41,0),(108,173,42,1),(109,174,42,0),(110,175,42,0),(111,176,43,1),(112,177,44,1),(113,178,44,0),(114,179,45,1),(115,180,45,0),(116,181,46,1),(117,182,47,1),(118,183,47,0),(119,184,48,1),(120,185,48,0),(121,186,48,0),(122,187,49,1),(123,188,49,0),(124,189,49,0),(125,190,50,1),(126,191,50,0),(127,192,50,0),(128,193,51,1),(129,194,51,0),(130,195,51,0),(131,196,51,0),(132,197,52,1),(133,198,52,0),(134,199,53,1),(135,200,53,0),(136,201,53,0),(137,202,53,0),(138,203,54,1),(139,204,54,0),(140,205,54,0),(141,206,54,0),(142,207,55,1),(143,208,55,0),(144,209,55,0),(145,210,55,0),(146,211,55,0),(147,212,56,1),(148,213,56,0),(149,214,57,1),(150,215,57,0),(151,216,57,0),(152,217,57,0),(153,218,58,1),(154,219,58,0),(155,220,58,0),(156,221,59,1),(157,222,59,0),(158,223,59,0),(159,224,60,1),(160,225,61,1),(161,226,62,1),(162,227,62,0),(163,228,63,1),(164,229,63,0),(165,230,63,0),(166,231,64,1),(167,232,64,0),(168,233,65,1),(169,234,65,0),(170,235,65,0);
/*!40000 ALTER TABLE `ec_product_variations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_views`
--

DROP TABLE IF EXISTS `ec_product_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `views` int NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '2024-01-08',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_views_product_id_date_unique` (`product_id`,`date`),
  KEY `ec_product_views_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_views`
--

LOCK TABLES `ec_product_views` WRITE;
/*!40000 ALTER TABLE `ec_product_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_with_attribute_set`
--

DROP TABLE IF EXISTS `ec_product_with_attribute_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_with_attribute_set` (
  `attribute_set_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`attribute_set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_with_attribute_set`
--

LOCK TABLES `ec_product_with_attribute_set` WRITE;
/*!40000 ALTER TABLE `ec_product_with_attribute_set` DISABLE KEYS */;
INSERT INTO `ec_product_with_attribute_set` VALUES (1,1,0),(2,1,0),(1,2,0),(2,2,0),(1,3,0),(2,3,0),(1,4,0),(2,4,0),(1,5,0),(2,5,0),(1,6,0),(2,6,0),(1,7,0),(2,7,0),(1,8,0),(2,8,0),(1,9,0),(2,9,0),(1,10,0),(2,10,0),(1,11,0),(2,11,0),(1,12,0),(2,12,0),(1,13,0),(2,13,0),(1,14,0),(2,14,0),(1,15,0),(2,15,0),(1,16,0),(2,16,0),(1,17,0),(2,17,0),(1,18,0),(2,18,0),(1,19,0),(2,19,0),(1,20,0),(2,20,0),(1,21,0),(2,21,0),(1,22,0),(2,22,0),(1,23,0),(2,23,0),(3,24,0),(4,24,0),(3,25,0),(4,25,0),(3,26,0),(4,26,0),(3,27,0),(4,27,0),(3,28,0),(4,28,0),(3,29,0),(4,29,0),(3,30,0),(4,30,0),(3,31,0),(4,31,0),(3,32,0),(4,32,0),(3,33,0),(4,33,0),(3,34,0),(4,34,0),(3,35,0),(4,35,0),(3,36,0),(4,36,0),(3,37,0),(4,37,0),(3,38,0),(4,38,0),(3,39,0),(4,39,0),(3,40,0),(4,40,0),(3,41,0),(4,41,0),(3,42,0),(4,42,0),(3,43,0),(4,43,0),(3,44,0),(4,44,0),(3,45,0),(4,45,0),(3,46,0),(4,46,0),(3,47,0),(4,47,0),(3,48,0),(4,48,0),(3,49,0),(4,49,0),(3,50,0),(4,50,0),(3,51,0),(4,51,0),(3,52,0),(4,52,0),(3,53,0),(4,53,0),(3,54,0),(4,54,0),(3,55,0),(4,55,0),(3,56,0),(4,56,0),(3,57,0),(4,57,0),(3,58,0),(4,58,0),(3,59,0),(4,59,0),(3,60,0),(4,60,0),(3,61,0),(4,61,0),(3,62,0),(4,62,0),(3,63,0),(4,63,0),(3,64,0),(4,64,0),(3,65,0),(4,65,0);
/*!40000 ALTER TABLE `ec_product_with_attribute_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products`
--

DROP TABLE IF EXISTS `ec_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `images` text COLLATE utf8mb4_unicode_ci,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `quantity` int unsigned DEFAULT NULL,
  `allow_checkout_when_out_of_stock` tinyint unsigned NOT NULL DEFAULT '0',
  `with_storehouse_management` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `brand_id` bigint unsigned DEFAULT NULL,
  `is_variation` tinyint NOT NULL DEFAULT '0',
  `sale_type` tinyint NOT NULL DEFAULT '0',
  `price` double unsigned DEFAULT NULL,
  `sale_price` double unsigned DEFAULT NULL,
  `start_date` timestamp NULL DEFAULT NULL,
  `end_date` timestamp NULL DEFAULT NULL,
  `length` double(8,2) DEFAULT NULL,
  `wide` double(8,2) DEFAULT NULL,
  `height` double(8,2) DEFAULT NULL,
  `weight` double(8,2) DEFAULT NULL,
  `tax_id` bigint unsigned DEFAULT NULL,
  `views` bigint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `stock_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'in_stock',
  `created_by_id` bigint unsigned DEFAULT '0',
  `created_by_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'physical',
  `barcode` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_per_item` double DEFAULT NULL,
  `generate_license_code` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ec_products_brand_id_status_is_variation_created_at_index` (`brand_id`,`status`,`is_variation`,`created_at`),
  KEY `sale_type_index` (`sale_type`),
  KEY `start_date_index` (`start_date`),
  KEY `end_date_index` (`end_date`),
  KEY `sale_price_index` (`sale_price`),
  KEY `is_variation_index` (`is_variation`),
  KEY `ec_products_sku_index` (`sku`)
) ENGINE=InnoDB AUTO_INCREMENT=236 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products`
--

LOCK TABLES `ec_products` WRITE;
/*!40000 ALTER TABLE `ec_products` DISABLE KEYS */;
INSERT INTO `ec_products` VALUES (1,'Dual Camera 20MP (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/1.jpg\"]','SW-157-A0',0,12,0,1,1,5,0,0,80.25,NULL,NULL,NULL,17.00,19.00,10.00,689.00,NULL,63840,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(2,'Smart Watches','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/2.jpg\",\"products\\/2-1.jpg\",\"products\\/2-2.jpg\",\"products\\/2-3.jpg\"]','SW-105-A0',0,16,0,1,1,3,0,0,40.5,NULL,NULL,NULL,12.00,12.00,20.00,871.00,NULL,28337,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(3,'Beat Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/3.jpg\"]','SW-164-A0',0,15,0,1,1,3,0,0,20,NULL,NULL,NULL,20.00,19.00,16.00,538.00,NULL,185272,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(4,'Red &amp; Black Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/4.jpg\",\"products\\/4-1.jpg\",\"products\\/4-2.jpg\",\"products\\/4-3.jpg\"]','SW-122-A0',0,13,0,1,1,4,0,0,589,518.32,NULL,NULL,18.00,15.00,19.00,744.00,NULL,122617,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(5,'Smart Watch External (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/5.jpg\",\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/5-3.jpg\"]','SW-136-A0',0,17,0,1,1,5,0,0,822,NULL,NULL,NULL,12.00,17.00,16.00,813.00,NULL,172006,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(6,'Nikon HD camera','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/6.jpg\"]','SW-183-A0',0,13,0,1,1,1,0,0,427,NULL,NULL,NULL,10.00,14.00,17.00,877.00,NULL,130749,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(7,'Audio Equipment','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/7.jpg\"]','SW-167-A0',0,15,0,1,1,1,0,0,547,NULL,NULL,NULL,14.00,16.00,11.00,597.00,NULL,194956,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(8,'Smart Televisions','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/8.jpg\",\"products\\/8-1.jpg\",\"products\\/8-2.jpg\",\"products\\/8-3.jpg\"]','SW-161-A0',0,20,0,1,1,2,0,0,1179,978.57,NULL,NULL,10.00,17.00,18.00,720.00,NULL,126493,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(9,'Samsung Smart Phone (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/9.jpg\",\"products\\/9-1.jpg\",\"products\\/9-2.jpg\"]','SW-113-A0',0,18,0,1,1,3,0,0,576,NULL,NULL,NULL,13.00,16.00,13.00,733.00,NULL,13259,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(10,'Herschel Leather Duffle Bag In Brown Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/10.jpg\",\"products\\/10-1.jpg\",\"products\\/10-2.jpg\"]','SW-131-A0',0,17,0,1,0,3,0,0,1236,NULL,NULL,NULL,12.00,15.00,10.00,604.00,NULL,2512,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(11,'Xbox One Wireless Controller Black Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/11.jpg\",\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/11-3.jpg\"]','SW-118-A0',0,13,0,1,0,1,0,0,1184,NULL,NULL,NULL,15.00,15.00,13.00,595.00,NULL,46239,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(12,'EPSION Plaster Printer','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/12.jpg\",\"products\\/12-1.jpg\",\"products\\/12-2.jpg\",\"products\\/12-3.jpg\"]','SW-168-A0',0,15,0,1,0,5,0,0,582,465.6,NULL,NULL,18.00,13.00,11.00,735.00,NULL,47542,'2024-01-07 22:01:12','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(13,'Sound Intone I65 Earphone White Version (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/13.jpg\",\"products\\/13-1.jpg\"]','SW-123-A0',0,13,0,1,0,3,0,0,562,NULL,NULL,NULL,10.00,15.00,16.00,553.00,NULL,198221,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(14,'B&amp;O Play Mini Bluetooth Speaker','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/14.jpg\"]','SW-196-A0',0,14,0,1,0,4,0,0,552,NULL,NULL,NULL,16.00,12.00,20.00,630.00,NULL,138353,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(15,'Apple MacBook Air Retina 13.3-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/15.jpg\",\"products\\/15-1.jpg\"]','SW-118-A0',0,13,0,1,0,4,0,0,559,NULL,NULL,NULL,19.00,10.00,13.00,629.00,NULL,78160,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(16,'Apple MacBook Air Retina 12-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/16.jpg\"]','SW-156-A0',0,16,0,1,0,3,0,0,575,471.5,NULL,NULL,15.00,19.00,12.00,536.00,NULL,145289,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(17,'Samsung Gear VR Virtual Reality Headset (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/17.jpg\",\"products\\/17-1.jpg\",\"products\\/17-2.jpg\",\"products\\/17-3.jpg\"]','SW-163-A0',0,16,0,1,0,5,0,0,538,NULL,NULL,NULL,12.00,18.00,19.00,703.00,NULL,68099,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(18,'Aveeno Moisturizing Body Shower 450ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/18.jpg\",\"products\\/18-1.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\"]','SW-167-A0',0,12,0,1,0,4,0,0,1277,NULL,NULL,NULL,19.00,20.00,17.00,526.00,NULL,194186,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(19,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/19.jpg\",\"products\\/19-1.jpg\",\"products\\/19-2.jpg\",\"products\\/19-3.jpg\"]','SW-156-A0',0,17,0,1,0,2,0,0,978,NULL,NULL,NULL,19.00,11.00,15.00,568.00,NULL,199230,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(20,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/20.jpg\",\"products\\/20-1.jpg\",\"products\\/20-2.jpg\",\"products\\/20-3.jpg\"]','SW-130-A0',0,13,0,1,0,1,0,0,948,767.88,NULL,NULL,15.00,16.00,19.00,515.00,NULL,96396,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(21,'MVMTH Classical Leather Watch In Black (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/21.jpg\",\"products\\/21-1.jpg\",\"products\\/21-2.jpg\"]','SW-168-A0',0,17,0,1,0,1,0,0,605,NULL,NULL,NULL,15.00,12.00,12.00,826.00,NULL,119187,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(22,'Baxter Care Hair Kit For Bearded Mens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/22.jpg\",\"products\\/22-1.jpg\",\"products\\/22-2.jpg\",\"products\\/22-3.jpg\"]','SW-110-A0',0,20,0,1,0,5,0,0,643,NULL,NULL,NULL,17.00,14.00,12.00,520.00,NULL,120480,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(23,'Ciate Palemore Lipstick Bold Red Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/23.jpg\",\"products\\/23-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\"]','SW-118-A0',0,17,0,1,0,4,0,0,1188,NULL,NULL,NULL,17.00,16.00,14.00,608.00,NULL,104445,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(24,'Vimto Squash Remix Apple 1.5 Litres','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/24.jpg\",\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]','SW-190-A0',0,19,0,1,0,3,0,0,582,488.88,NULL,NULL,20.00,10.00,16.00,844.00,NULL,45922,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(25,'Crock Pot Slow Cooker (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/25.jpg\",\"products\\/25-1.jpg\",\"products\\/25-2.jpg\"]','SW-138-A0',0,18,0,1,0,5,0,0,1036,NULL,NULL,NULL,19.00,17.00,12.00,558.00,NULL,140789,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(26,'Taylors of Harrogate Yorkshire Coffee','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/26.jpg\",\"products\\/26-1.jpg\"]','SW-184-A0',0,14,0,1,0,1,0,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,64343,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(27,'Soft Mochi &amp; Galeto Ice Cream','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/27.jpg\",\"products\\/27-1.jpg\"]','SW-102-A0',0,15,0,1,0,4,0,0,618,NULL,NULL,NULL,19.00,16.00,16.00,855.00,NULL,7862,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(28,'Naked Noodle Egg Noodles Singapore','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/28.jpg\",\"products\\/28-1.jpg\",\"products\\/28-2.jpg\"]','SW-165-A0',0,17,0,1,0,2,0,0,1210,1064.8,NULL,NULL,12.00,16.00,10.00,584.00,NULL,134256,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(29,'Saute Pan Silver (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/29.jpg\",\"products\\/29-1.jpg\",\"products\\/29-2.jpg\"]','SW-110-A0',0,12,0,1,0,5,0,0,1066,NULL,NULL,NULL,19.00,16.00,11.00,694.00,NULL,66756,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(30,'Bar S – Classic Bun Length Franks','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/30.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]','SW-170-A0',0,13,0,1,0,5,0,0,1053,NULL,NULL,NULL,10.00,12.00,19.00,784.00,NULL,171434,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(31,'Broccoli Crowns','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/31.jpg\",\"products\\/31-1.jpg\"]','SW-113-A0',0,10,0,1,0,2,0,0,968,NULL,NULL,NULL,16.00,17.00,12.00,638.00,NULL,147381,'2024-01-07 22:01:12','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(32,'Slimming World Vegan Mac Greens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/32.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]','SW-110-A0',0,19,0,1,0,4,0,0,553,492.17,NULL,NULL,17.00,17.00,13.00,539.00,NULL,136083,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(33,'Häagen-Dazs Salted Caramel (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/33.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]','SW-122-A0',0,11,0,1,0,4,0,0,860,NULL,NULL,NULL,17.00,13.00,17.00,856.00,NULL,70567,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(34,'Iceland 3 Solo Exotic Burst','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/34.jpg\",\"products\\/34-1.jpg\"]','SW-118-A0',0,10,0,1,0,1,0,0,664,NULL,NULL,NULL,17.00,12.00,11.00,754.00,NULL,105103,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(35,'Extreme Budweiser Light Can','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/35.jpg\",\"products\\/35-1.jpg\"]','SW-181-A0',0,13,0,1,0,2,0,0,627,NULL,NULL,NULL,20.00,12.00,12.00,699.00,NULL,11235,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(36,'Iceland Macaroni Cheese Traybake','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/36.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]','SW-198-A0',0,17,0,1,0,1,0,0,1297,1011.66,NULL,NULL,14.00,13.00,18.00,885.00,NULL,163461,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(37,'Dolmio Bolognese Pasta Sauce (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/37.jpg\",\"products\\/37-1.jpg\",\"products\\/37-2.jpg\"]','SW-143-A0',0,12,0,1,0,1,0,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,165191,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(38,'Sitema BakeIT Plastic Box','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/38.jpg\",\"products\\/38-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]','SW-147-A0',0,15,0,1,0,5,0,0,1086,NULL,NULL,NULL,17.00,10.00,18.00,777.00,NULL,97279,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(39,'Wayfair Basics Dinner Plate Storage','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/39.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\"]','SW-101-A0',0,19,0,1,0,5,0,0,1196,NULL,NULL,NULL,11.00,10.00,16.00,825.00,NULL,109960,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(40,'Miko The Panda Water Bottle','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/40.jpg\",\"products\\/40-1.jpg\"]','SW-194-A0',0,19,0,1,0,1,0,0,737,552.75,NULL,NULL,19.00,15.00,19.00,756.00,NULL,7907,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(41,'Sesame Seed Bread (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/41.jpg\",\"products\\/41-1.jpg\",\"products\\/41-2.jpg\"]','SW-115-A0',0,13,0,1,0,3,0,0,1165,NULL,NULL,NULL,17.00,14.00,12.00,823.00,NULL,127614,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(42,'Morrisons The Best Beef','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/42.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\"]','SW-155-A0',0,13,0,1,0,3,0,0,522,NULL,NULL,NULL,15.00,19.00,10.00,672.00,NULL,11074,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(43,'Avocado, Hass Large','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/43.jpg\",\"products\\/43-1.jpg\",\"products\\/43-2.jpg\"]','SW-149-A0',0,12,0,1,0,2,0,0,622,NULL,NULL,NULL,18.00,16.00,13.00,596.00,NULL,100844,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(44,'Italia Beef Lasagne','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/44.jpg\",\"products\\/44-1.jpg\",\"products\\/44-2.jpg\"]','SW-156-A0',0,18,0,1,0,5,0,0,894,750.96,NULL,NULL,18.00,19.00,14.00,866.00,NULL,62797,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(45,'Maxwell House Classic Roast Mocha (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/45.jpg\",\"products\\/45-1.jpg\"]','SW-102-A0',0,11,0,1,0,3,0,0,774,NULL,NULL,NULL,11.00,12.00,19.00,674.00,NULL,132299,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(46,'Bottled Pure Water 500ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/46.jpg\",\"products\\/46-1.jpg\"]','SW-190-A0',0,14,0,1,0,3,0,0,684,NULL,NULL,NULL,11.00,10.00,11.00,704.00,NULL,103020,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(47,'Famart Farmhouse Soft White','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/47.jpg\",\"products\\/47-1.jpg\"]','SW-106-A0',0,17,0,1,0,5,0,0,1126,NULL,NULL,NULL,20.00,10.00,13.00,578.00,NULL,97916,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(48,'Coca-Cola Original Taste','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/48.jpg\",\"products\\/48-1.jpg\",\"products\\/48-2.jpg\"]','SW-160-A0',0,15,0,1,0,1,0,0,930,744,NULL,NULL,20.00,16.00,11.00,604.00,NULL,126298,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(49,'Casillero Diablo Cabernet Sauvignon (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/49.jpg\",\"products\\/49-1.jpg\",\"products\\/49-2.jpg\"]','SW-188-A0',0,20,0,1,0,1,0,0,580,NULL,NULL,NULL,10.00,13.00,17.00,814.00,NULL,26542,'2024-01-07 22:01:12','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(50,'Arla Organic Free Range Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/50.jpg\",\"products\\/50-1.jpg\"]','SW-104-A0',0,14,0,1,0,1,0,0,617,NULL,NULL,NULL,19.00,15.00,11.00,683.00,NULL,95403,'2024-01-07 22:01:12','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(51,'Aptamil Follow On Baby Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/51.jpg\"]','SW-166-A0',0,19,0,1,0,2,0,0,811,NULL,NULL,NULL,15.00,13.00,12.00,669.00,NULL,127144,'2024-01-07 22:01:12','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(52,'Cuisinart Chef’S Classic Hard-Anodized','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/52.jpg\",\"products\\/52-1.jpg\",\"products\\/52-2.jpg\"]','SW-171-A0',0,11,0,1,0,1,0,0,591,413.7,NULL,NULL,17.00,19.00,14.00,562.00,NULL,28910,'2024-01-07 22:01:12','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(53,'Corn, Yellow Sweet (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/53.jpg\",\"products\\/53-1.jpg\"]','SW-174-A0',0,12,0,1,0,4,0,0,1126,NULL,NULL,NULL,18.00,17.00,10.00,859.00,NULL,113286,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(54,'Hobnobs The Nobbly Biscuit','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/54.jpg\",\"products\\/54-1.jpg\"]','SW-179-A0',0,18,0,1,0,3,0,0,549,NULL,NULL,NULL,11.00,20.00,19.00,690.00,NULL,174727,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(55,'Honest Organic Still Lemonade','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/55.jpg\",\"products\\/55-1.jpg\",\"products\\/55-2.jpg\"]','SW-169-A0',0,15,0,1,0,1,0,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,87186,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(56,'Ice Beck’s Beer 350ml x 24 Pieces','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/56.jpg\",\"products\\/56-1.jpg\",\"products\\/56-2.jpg\"]','SW-106-A0',0,18,0,1,0,2,0,0,561,448.8,NULL,NULL,20.00,15.00,17.00,606.00,NULL,65729,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(57,'Iceland 6 Hot Cross Buns (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/57.jpg\",\"products\\/57-1.jpg\"]','SW-124-A0',0,16,0,1,0,3,0,0,1010,NULL,NULL,NULL,14.00,19.00,13.00,847.00,NULL,147777,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(58,'Iceland Luxury 4 Panini Rolls','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/58.jpg\",\"products\\/58-1.jpg\",\"products\\/58-2.jpg\"]','SW-123-A0',0,15,0,1,0,2,0,0,1253,NULL,NULL,NULL,15.00,13.00,18.00,777.00,NULL,72910,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(59,'Iceland Soft Scoop Vanilla','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/59.jpg\",\"products\\/59-1.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\"]','SW-138-A0',0,10,0,1,0,3,0,0,1158,NULL,NULL,NULL,16.00,11.00,10.00,733.00,NULL,180745,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(60,'Iceland Spaghetti Bolognese','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/60.jpg\",\"products\\/60-1.jpg\",\"products\\/60-2.jpg\"]','SW-125-A0',0,19,0,1,0,2,0,0,680,516.8,NULL,NULL,16.00,18.00,14.00,787.00,NULL,15341,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(61,'Kellogg’s Coco Pops Cereal (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/61.jpg\",\"products\\/61-1.jpg\"]','SW-107-A0',0,13,0,1,0,5,0,0,862,NULL,NULL,NULL,15.00,17.00,11.00,861.00,NULL,22568,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(62,'Kit Kat Chunky Milk Chocolate','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/62.jpg\",\"products\\/62-1.jpg\"]','SW-190-A0',0,16,0,1,0,5,0,0,1012,NULL,NULL,NULL,12.00,11.00,14.00,688.00,NULL,103184,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(63,'Large Green Bell Pepper','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/63.jpg\",\"products\\/63-1.jpg\"]','SW-195-A0',0,11,0,1,0,2,0,0,582,NULL,NULL,NULL,19.00,13.00,18.00,662.00,NULL,180283,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(64,'Pice 94w Beasley Journal','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/64.jpg\",\"products\\/64-1.jpg\"]','SW-177-A0',0,17,0,1,0,1,0,0,987,779.73,NULL,NULL,18.00,15.00,10.00,861.00,NULL,53811,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(65,'Province Piece Glass Drinking Glass (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p><div>[get-in-touch title=\"Beautiful Pictures For All\" description=\"You don’t need to be a photographer to know a great photo when you see one. And you don’t need to be a photographer to take a great photo—you just need the D3500. It s as easy to use as a point-and-shoot, but it takes beautiful DSLR photos and videos that get noticed. It feels outstanding in your hands, sturdy and balanced with controls where you want them\" image=\"general/banner-product-1.png\" button_primary_label=\"View collections\" button_primary_url=\"products\" button_secondary_label=\"Learn more\" button_secondary_url=\"/products\"][/get-in-touch]</div><div>[about-product title=\"Easy. Portable. Amazing\" description=\"Take more memorable images. The photos you take with the D3500 capture more than the moment—they capture the feeling of the moment, a feeling that can be shared immediately with your friends and family and then relived for a lifetime.\" image=\"general/product-feature.png\" quantity=\"6\" title_1=\"Less thinking. More shooting\" title_2=\"Picture after amazing picture\" title_3=\"The day tripper\" title_4=\"Newbies welcome\" title_5=\"Colors that pop in any light\" title_6=\"Fast, accurate focusing\"][/about-product]</div><div>[intro-video title=\"Your camera’s bridge to your world\" subtitle=\"The D3500 Two Lens Kit includes two matched lenses to help you cover all the angles. The AF-P DX NIKKOR 18-55mm f/3.5-5.6G VR lens is great for portraits, landscapes, videos and other wide perspective shots. The AF-P DX NIKKOR 70-300mm f/4.5-6.3G ED is a versatile telephoto zoom lens that’s great for sports, concerts, nature and more.\" image=\"general/intro-video-product.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=HZ3XumHDDwA\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"367\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"19\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"604\" unit_3=\"K+\" title_4=\"Global branch\" data_4=\"96\"][/site-statistics]</div>','published','[\"products\\/65.jpg\",\"products\\/65-1.jpg\",\"products\\/65-2.jpg\"]','SW-141-A0',0,15,0,1,0,1,0,0,533,NULL,NULL,NULL,12.00,11.00,10.00,882.00,NULL,93998,'2024-01-07 22:01:13','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(66,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]','SW-157-A0',0,12,0,1,0,5,1,0,80.25,NULL,NULL,NULL,17.00,19.00,10.00,689.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(67,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]','SW-105-A0',0,16,0,1,0,3,1,0,40.5,NULL,NULL,NULL,12.00,12.00,20.00,871.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(68,'Smart Watches',NULL,NULL,'published','[\"products\\/2-1.jpg\"]','SW-105-A0-A1',0,16,0,1,0,3,1,0,40.5,NULL,NULL,NULL,12.00,12.00,20.00,871.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(69,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]','SW-164-A0',0,15,0,1,0,3,1,0,20,NULL,NULL,NULL,20.00,19.00,16.00,538.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(70,'Red & Black Headphone',NULL,NULL,'published','[\"products\\/4.jpg\"]','SW-122-A0',0,13,0,1,0,4,1,0,589,518.32,NULL,NULL,18.00,15.00,19.00,744.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(71,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-1.jpg\"]','SW-122-A0-A1',0,13,0,1,0,4,1,0,589,494.76,NULL,NULL,18.00,15.00,19.00,744.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(72,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-2.jpg\"]','SW-122-A0-A2',0,13,0,1,0,4,1,0,589,488.87,NULL,NULL,18.00,15.00,19.00,744.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(73,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5.jpg\"]','SW-136-A0',0,17,0,1,0,5,1,0,822,NULL,NULL,NULL,12.00,17.00,16.00,813.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(74,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]','SW-183-A0',0,13,0,1,0,1,1,0,427,NULL,NULL,NULL,10.00,14.00,17.00,877.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(75,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]','SW-183-A0-A1',0,13,0,1,0,1,1,0,427,NULL,NULL,NULL,10.00,14.00,17.00,877.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(76,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]','SW-167-A0',0,15,0,1,0,1,1,0,547,NULL,NULL,NULL,14.00,16.00,11.00,597.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(77,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]','SW-167-A0-A1',0,15,0,1,0,1,1,0,547,NULL,NULL,NULL,14.00,16.00,11.00,597.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(78,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]','SW-167-A0-A2',0,15,0,1,0,1,1,0,547,NULL,NULL,NULL,14.00,16.00,11.00,597.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(79,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]','SW-167-A0-A3',0,15,0,1,0,1,1,0,547,NULL,NULL,NULL,14.00,16.00,11.00,597.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(80,'Smart Televisions',NULL,NULL,'published','[\"products\\/8.jpg\"]','SW-161-A0',0,20,0,1,0,2,1,0,1179,978.57,NULL,NULL,10.00,17.00,18.00,720.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(81,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-1.jpg\"]','SW-161-A0-A1',0,20,0,1,0,2,1,0,1179,1037.52,NULL,NULL,10.00,17.00,18.00,720.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(82,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9.jpg\"]','SW-113-A0',0,18,0,1,0,3,1,0,576,NULL,NULL,NULL,13.00,16.00,13.00,733.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(83,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-1.jpg\"]','SW-113-A0-A1',0,18,0,1,0,3,1,0,576,NULL,NULL,NULL,13.00,16.00,13.00,733.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(84,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]','SW-131-A0',0,17,0,1,0,3,1,0,1236,NULL,NULL,NULL,12.00,15.00,10.00,604.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(85,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-1.jpg\"]','SW-131-A0-A1',0,17,0,1,0,3,1,0,1236,NULL,NULL,NULL,12.00,15.00,10.00,604.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(86,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-2.jpg\"]','SW-131-A0-A2',0,17,0,1,0,3,1,0,1236,NULL,NULL,NULL,12.00,15.00,10.00,604.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(87,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]','SW-131-A0-A3',0,17,0,1,0,3,1,0,1236,NULL,NULL,NULL,12.00,15.00,10.00,604.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(88,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11.jpg\"]','SW-118-A0',0,13,0,1,0,1,1,0,1184,NULL,NULL,NULL,15.00,15.00,13.00,595.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(89,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-1.jpg\"]','SW-118-A0-A1',0,13,0,1,0,1,1,0,1184,NULL,NULL,NULL,15.00,15.00,13.00,595.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(90,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]','SW-168-A0',0,15,0,1,0,5,1,0,582,465.6,NULL,NULL,18.00,13.00,11.00,735.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(91,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-1.jpg\"]','SW-168-A0-A1',0,15,0,1,0,5,1,0,582,442.32,NULL,NULL,18.00,13.00,11.00,735.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:13','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(92,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]','SW-123-A0',0,13,0,1,0,3,1,0,562,NULL,NULL,NULL,10.00,15.00,16.00,553.00,NULL,0,'2024-01-07 22:01:13','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(93,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13-1.jpg\"]','SW-123-A0-A1',0,13,0,1,0,3,1,0,562,NULL,NULL,NULL,10.00,15.00,16.00,553.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(94,'B&O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]','SW-196-A0',0,14,0,1,0,4,1,0,552,NULL,NULL,NULL,16.00,12.00,20.00,630.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(95,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]','SW-196-A0-A1',0,14,0,1,0,4,1,0,552,NULL,NULL,NULL,16.00,12.00,20.00,630.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(96,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]','SW-196-A0-A2',0,14,0,1,0,4,1,0,552,NULL,NULL,NULL,16.00,12.00,20.00,630.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(97,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]','SW-118-A0',0,13,0,1,0,4,1,0,559,NULL,NULL,NULL,19.00,10.00,13.00,629.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(98,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15-1.jpg\"]','SW-118-A0-A1',0,13,0,1,0,4,1,0,559,NULL,NULL,NULL,19.00,10.00,13.00,629.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(99,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]','SW-156-A0',0,16,0,1,0,3,1,0,575,471.5,NULL,NULL,15.00,19.00,12.00,536.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(100,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]','SW-156-A0-A1',0,16,0,1,0,3,1,0,575,471.5,NULL,NULL,15.00,19.00,12.00,536.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(101,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17.jpg\"]','SW-163-A0',0,16,0,1,0,5,1,0,538,NULL,NULL,NULL,12.00,18.00,19.00,703.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(102,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18.jpg\"]','SW-167-A0',0,12,0,1,0,4,1,0,1277,NULL,NULL,NULL,19.00,20.00,17.00,526.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(103,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-1.jpg\"]','SW-167-A0-A1',0,12,0,1,0,4,1,0,1277,NULL,NULL,NULL,19.00,20.00,17.00,526.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(104,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-2.jpg\"]','SW-167-A0-A2',0,12,0,1,0,4,1,0,1277,NULL,NULL,NULL,19.00,20.00,17.00,526.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(105,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19.jpg\"]','SW-156-A0',0,17,0,1,0,2,1,0,978,NULL,NULL,NULL,19.00,11.00,15.00,568.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(106,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-1.jpg\"]','SW-156-A0-A1',0,17,0,1,0,2,1,0,978,NULL,NULL,NULL,19.00,11.00,15.00,568.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(107,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-2.jpg\"]','SW-156-A0-A2',0,17,0,1,0,2,1,0,978,NULL,NULL,NULL,19.00,11.00,15.00,568.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(108,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-3.jpg\"]','SW-156-A0-A3',0,17,0,1,0,2,1,0,978,NULL,NULL,NULL,19.00,11.00,15.00,568.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(109,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20.jpg\"]','SW-130-A0',0,13,0,1,0,1,1,0,948,767.88,NULL,NULL,15.00,16.00,19.00,515.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(110,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]','SW-168-A0',0,17,0,1,0,1,1,0,605,NULL,NULL,NULL,15.00,12.00,12.00,826.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(111,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-1.jpg\"]','SW-168-A0-A1',0,17,0,1,0,1,1,0,605,NULL,NULL,NULL,15.00,12.00,12.00,826.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(112,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22.jpg\"]','SW-110-A0',0,20,0,1,0,5,1,0,643,NULL,NULL,NULL,17.00,14.00,12.00,520.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(113,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-1.jpg\"]','SW-110-A0-A1',0,20,0,1,0,5,1,0,643,NULL,NULL,NULL,17.00,14.00,12.00,520.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(114,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23.jpg\"]','SW-118-A0',0,17,0,1,0,4,1,0,1188,NULL,NULL,NULL,17.00,16.00,14.00,608.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(115,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24.jpg\"]','SW-190-A0',0,19,0,1,0,3,1,0,582,488.88,NULL,NULL,20.00,10.00,16.00,844.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(116,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-1.jpg\"]','SW-190-A0-A1',0,19,0,1,0,3,1,0,582,477.24,NULL,NULL,20.00,10.00,16.00,844.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(117,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]','SW-138-A0',0,18,0,1,0,5,1,0,1036,NULL,NULL,NULL,19.00,17.00,12.00,558.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(118,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-1.jpg\"]','SW-138-A0-A1',0,18,0,1,0,5,1,0,1036,NULL,NULL,NULL,19.00,17.00,12.00,558.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(119,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-2.jpg\"]','SW-138-A0-A2',0,18,0,1,0,5,1,0,1036,NULL,NULL,NULL,19.00,17.00,12.00,558.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(120,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]','SW-138-A0-A3',0,18,0,1,0,5,1,0,1036,NULL,NULL,NULL,19.00,17.00,12.00,558.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(121,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]','SW-184-A0',0,14,0,1,0,1,1,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(122,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26-1.jpg\"]','SW-184-A0-A1',0,14,0,1,0,1,1,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(123,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]','SW-184-A0-A2',0,14,0,1,0,1,1,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(124,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]','SW-184-A0-A3',0,14,0,1,0,1,1,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(125,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]','SW-184-A0-A4',0,14,0,1,0,1,1,0,993,NULL,NULL,NULL,13.00,14.00,14.00,742.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(126,'Soft Mochi & Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]','SW-102-A0',0,15,0,1,0,4,1,0,618,NULL,NULL,NULL,19.00,16.00,16.00,855.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(127,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27-1.jpg\"]','SW-102-A0-A1',0,15,0,1,0,4,1,0,618,NULL,NULL,NULL,19.00,16.00,16.00,855.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(128,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]','SW-165-A0',0,17,0,1,0,2,1,0,1210,1064.8,NULL,NULL,12.00,16.00,10.00,584.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(129,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28-1.jpg\"]','SW-165-A0-A1',0,17,0,1,0,2,1,0,1210,992.2,NULL,NULL,12.00,16.00,10.00,584.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(130,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28-2.jpg\"]','SW-165-A0-A2',0,17,0,1,0,2,1,0,1210,907.5,NULL,NULL,12.00,16.00,10.00,584.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(131,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]','SW-110-A0',0,12,0,1,0,5,1,0,1066,NULL,NULL,NULL,19.00,16.00,11.00,694.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(132,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-1.jpg\"]','SW-110-A0-A1',0,12,0,1,0,5,1,0,1066,NULL,NULL,NULL,19.00,16.00,11.00,694.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(133,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-2.jpg\"]','SW-110-A0-A2',0,12,0,1,0,5,1,0,1066,NULL,NULL,NULL,19.00,16.00,11.00,694.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(134,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]','SW-170-A0',0,13,0,1,0,5,1,0,1053,NULL,NULL,NULL,10.00,12.00,19.00,784.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(135,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-1.jpg\"]','SW-170-A0-A1',0,13,0,1,0,5,1,0,1053,NULL,NULL,NULL,10.00,12.00,19.00,784.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(136,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-2.jpg\"]','SW-170-A0-A2',0,13,0,1,0,5,1,0,1053,NULL,NULL,NULL,10.00,12.00,19.00,784.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(137,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]','SW-170-A0-A3',0,13,0,1,0,5,1,0,1053,NULL,NULL,NULL,10.00,12.00,19.00,784.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(138,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]','SW-113-A0',0,10,0,1,0,2,1,0,968,NULL,NULL,NULL,16.00,17.00,12.00,638.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(139,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31-1.jpg\"]','SW-113-A0-A1',0,10,0,1,0,2,1,0,968,NULL,NULL,NULL,16.00,17.00,12.00,638.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(140,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]','SW-113-A0-A2',0,10,0,1,0,2,1,0,968,NULL,NULL,NULL,16.00,17.00,12.00,638.00,NULL,0,'2024-01-07 22:01:14','2024-01-07 22:01:14','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(141,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]','SW-113-A0-A3',0,10,0,1,0,2,1,0,968,NULL,NULL,NULL,16.00,17.00,12.00,638.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(142,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32.jpg\"]','SW-110-A0',0,19,0,1,0,4,1,0,553,492.17,NULL,NULL,17.00,17.00,13.00,539.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(143,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32-1.jpg\"]','SW-110-A0-A1',0,19,0,1,0,4,1,0,553,470.05,NULL,NULL,17.00,17.00,13.00,539.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(144,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32-2.jpg\"]','SW-110-A0-A2',0,19,0,1,0,4,1,0,553,387.1,NULL,NULL,17.00,17.00,13.00,539.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(145,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33.jpg\"]','SW-122-A0',0,11,0,1,0,4,1,0,860,NULL,NULL,NULL,17.00,13.00,17.00,856.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(146,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-1.jpg\"]','SW-122-A0-A1',0,11,0,1,0,4,1,0,860,NULL,NULL,NULL,17.00,13.00,17.00,856.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(147,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]','SW-118-A0',0,10,0,1,0,1,1,0,664,NULL,NULL,NULL,17.00,12.00,11.00,754.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(148,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34-1.jpg\"]','SW-118-A0-A1',0,10,0,1,0,1,1,0,664,NULL,NULL,NULL,17.00,12.00,11.00,754.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(149,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]','SW-118-A0-A2',0,10,0,1,0,1,1,0,664,NULL,NULL,NULL,17.00,12.00,11.00,754.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(150,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]','SW-181-A0',0,13,0,1,0,2,1,0,627,NULL,NULL,NULL,20.00,12.00,12.00,699.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(151,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35-1.jpg\"]','SW-181-A0-A1',0,13,0,1,0,2,1,0,627,NULL,NULL,NULL,20.00,12.00,12.00,699.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(152,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]','SW-181-A0-A2',0,13,0,1,0,2,1,0,627,NULL,NULL,NULL,20.00,12.00,12.00,699.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(153,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]','SW-181-A0-A3',0,13,0,1,0,2,1,0,627,NULL,NULL,NULL,20.00,12.00,12.00,699.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(154,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]','SW-198-A0',0,17,0,1,0,1,1,0,1297,1011.66,NULL,NULL,14.00,13.00,18.00,885.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(155,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36-1.jpg\"]','SW-198-A0-A1',0,17,0,1,0,1,1,0,1297,972.75,NULL,NULL,14.00,13.00,18.00,885.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(156,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36-2.jpg\"]','SW-198-A0-A2',0,17,0,1,0,1,1,0,1297,972.75,NULL,NULL,14.00,13.00,18.00,885.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(157,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]','SW-143-A0',0,12,0,1,0,1,1,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(158,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-1.jpg\"]','SW-143-A0-A1',0,12,0,1,0,1,1,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(159,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-2.jpg\"]','SW-143-A0-A2',0,12,0,1,0,1,1,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(160,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]','SW-143-A0-A3',0,12,0,1,0,1,1,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(161,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]','SW-143-A0-A4',0,12,0,1,0,1,1,0,751,NULL,NULL,NULL,11.00,15.00,16.00,854.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(162,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38.jpg\"]','SW-147-A0',0,15,0,1,0,5,1,0,1086,NULL,NULL,NULL,17.00,10.00,18.00,777.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(163,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]','SW-101-A0',0,19,0,1,0,5,1,0,1196,NULL,NULL,NULL,11.00,10.00,16.00,825.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(164,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-1.jpg\"]','SW-101-A0-A1',0,19,0,1,0,5,1,0,1196,NULL,NULL,NULL,11.00,10.00,16.00,825.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(165,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]','SW-194-A0',0,19,0,1,0,1,1,0,737,552.75,NULL,NULL,19.00,15.00,19.00,756.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(166,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40-1.jpg\"]','SW-194-A0-A1',0,19,0,1,0,1,1,0,737,641.19,NULL,NULL,19.00,15.00,19.00,756.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(167,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]','SW-194-A0-A2',0,19,0,1,0,1,1,0,737,633.82,NULL,NULL,19.00,15.00,19.00,756.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(168,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]','SW-194-A0-A3',0,19,0,1,0,1,1,0,737,589.6,NULL,NULL,19.00,15.00,19.00,756.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(169,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]','SW-115-A0',0,13,0,1,0,3,1,0,1165,NULL,NULL,NULL,17.00,14.00,12.00,823.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(170,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41-1.jpg\"]','SW-115-A0-A1',0,13,0,1,0,3,1,0,1165,NULL,NULL,NULL,17.00,14.00,12.00,823.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(171,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41-2.jpg\"]','SW-115-A0-A2',0,13,0,1,0,3,1,0,1165,NULL,NULL,NULL,17.00,14.00,12.00,823.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(172,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]','SW-115-A0-A3',0,13,0,1,0,3,1,0,1165,NULL,NULL,NULL,17.00,14.00,12.00,823.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(173,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]','SW-155-A0',0,13,0,1,0,3,1,0,522,NULL,NULL,NULL,15.00,19.00,10.00,672.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(174,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-1.jpg\"]','SW-155-A0-A1',0,13,0,1,0,3,1,0,522,NULL,NULL,NULL,15.00,19.00,10.00,672.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(175,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-2.jpg\"]','SW-155-A0-A2',0,13,0,1,0,3,1,0,522,NULL,NULL,NULL,15.00,19.00,10.00,672.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(176,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]','SW-149-A0',0,12,0,1,0,2,1,0,622,NULL,NULL,NULL,18.00,16.00,13.00,596.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(177,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]','SW-156-A0',0,18,0,1,0,5,1,0,894,750.96,NULL,NULL,18.00,19.00,14.00,866.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(178,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44-1.jpg\"]','SW-156-A0-A1',0,18,0,1,0,5,1,0,894,625.8,NULL,NULL,18.00,19.00,14.00,866.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(179,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]','SW-102-A0',0,11,0,1,0,3,1,0,774,NULL,NULL,NULL,11.00,12.00,19.00,674.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(180,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45-1.jpg\"]','SW-102-A0-A1',0,11,0,1,0,3,1,0,774,NULL,NULL,NULL,11.00,12.00,19.00,674.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(181,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]','SW-190-A0',0,14,0,1,0,3,1,0,684,NULL,NULL,NULL,11.00,10.00,11.00,704.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(182,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]','SW-106-A0',0,17,0,1,0,5,1,0,1126,NULL,NULL,NULL,20.00,10.00,13.00,578.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(183,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47-1.jpg\"]','SW-106-A0-A1',0,17,0,1,0,5,1,0,1126,NULL,NULL,NULL,20.00,10.00,13.00,578.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(184,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48.jpg\"]','SW-160-A0',0,15,0,1,0,1,1,0,930,744,NULL,NULL,20.00,16.00,11.00,604.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(185,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-1.jpg\"]','SW-160-A0-A1',0,15,0,1,0,1,1,0,930,669.6,NULL,NULL,20.00,16.00,11.00,604.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(186,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-2.jpg\"]','SW-160-A0-A2',0,15,0,1,0,1,1,0,930,837,NULL,NULL,20.00,16.00,11.00,604.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(187,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49.jpg\"]','SW-188-A0',0,20,0,1,0,1,1,0,580,NULL,NULL,NULL,10.00,13.00,17.00,814.00,NULL,0,'2024-01-07 22:01:15','2024-01-07 22:01:15','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(188,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49-1.jpg\"]','SW-188-A0-A1',0,20,0,1,0,1,1,0,580,NULL,NULL,NULL,10.00,13.00,17.00,814.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(189,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49-2.jpg\"]','SW-188-A0-A2',0,20,0,1,0,1,1,0,580,NULL,NULL,NULL,10.00,13.00,17.00,814.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(190,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]','SW-104-A0',0,14,0,1,0,1,1,0,617,NULL,NULL,NULL,19.00,15.00,11.00,683.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(191,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50-1.jpg\"]','SW-104-A0-A1',0,14,0,1,0,1,1,0,617,NULL,NULL,NULL,19.00,15.00,11.00,683.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(192,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]','SW-104-A0-A2',0,14,0,1,0,1,1,0,617,NULL,NULL,NULL,19.00,15.00,11.00,683.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(193,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]','SW-166-A0',0,19,0,1,0,2,1,0,811,NULL,NULL,NULL,15.00,13.00,12.00,669.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(194,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]','SW-166-A0-A1',0,19,0,1,0,2,1,0,811,NULL,NULL,NULL,15.00,13.00,12.00,669.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(195,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]','SW-166-A0-A2',0,19,0,1,0,2,1,0,811,NULL,NULL,NULL,15.00,13.00,12.00,669.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(196,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]','SW-166-A0-A3',0,19,0,1,0,2,1,0,811,NULL,NULL,NULL,15.00,13.00,12.00,669.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(197,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]','SW-171-A0',0,11,0,1,0,1,1,0,591,413.7,NULL,NULL,17.00,19.00,14.00,562.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(198,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-1.jpg\"]','SW-171-A0-A1',0,11,0,1,0,1,1,0,591,431.43,NULL,NULL,17.00,19.00,14.00,562.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(199,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]','SW-174-A0',0,12,0,1,0,4,1,0,1126,NULL,NULL,NULL,18.00,17.00,10.00,859.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(200,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53-1.jpg\"]','SW-174-A0-A1',0,12,0,1,0,4,1,0,1126,NULL,NULL,NULL,18.00,17.00,10.00,859.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(201,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]','SW-174-A0-A2',0,12,0,1,0,4,1,0,1126,NULL,NULL,NULL,18.00,17.00,10.00,859.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(202,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]','SW-174-A0-A3',0,12,0,1,0,4,1,0,1126,NULL,NULL,NULL,18.00,17.00,10.00,859.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(203,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]','SW-179-A0',0,18,0,1,0,3,1,0,549,NULL,NULL,NULL,11.00,20.00,19.00,690.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(204,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54-1.jpg\"]','SW-179-A0-A1',0,18,0,1,0,3,1,0,549,NULL,NULL,NULL,11.00,20.00,19.00,690.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(205,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]','SW-179-A0-A2',0,18,0,1,0,3,1,0,549,NULL,NULL,NULL,11.00,20.00,19.00,690.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(206,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]','SW-179-A0-A3',0,18,0,1,0,3,1,0,549,NULL,NULL,NULL,11.00,20.00,19.00,690.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(207,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]','SW-169-A0',0,15,0,1,0,1,1,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(208,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-1.jpg\"]','SW-169-A0-A1',0,15,0,1,0,1,1,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(209,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-2.jpg\"]','SW-169-A0-A2',0,15,0,1,0,1,1,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(210,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]','SW-169-A0-A3',0,15,0,1,0,1,1,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(211,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]','SW-169-A0-A4',0,15,0,1,0,1,1,0,1191,NULL,NULL,NULL,10.00,17.00,18.00,745.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(212,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]','SW-106-A0',0,18,0,1,0,2,1,0,561,448.8,NULL,NULL,20.00,15.00,17.00,606.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(213,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-1.jpg\"]','SW-106-A0-A1',0,18,0,1,0,2,1,0,561,443.19,NULL,NULL,20.00,15.00,17.00,606.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(214,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]','SW-124-A0',0,16,0,1,0,3,1,0,1010,NULL,NULL,NULL,14.00,19.00,13.00,847.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(215,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57-1.jpg\"]','SW-124-A0-A1',0,16,0,1,0,3,1,0,1010,NULL,NULL,NULL,14.00,19.00,13.00,847.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(216,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]','SW-124-A0-A2',0,16,0,1,0,3,1,0,1010,NULL,NULL,NULL,14.00,19.00,13.00,847.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(217,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]','SW-124-A0-A3',0,16,0,1,0,3,1,0,1010,NULL,NULL,NULL,14.00,19.00,13.00,847.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(218,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]','SW-123-A0',0,15,0,1,0,2,1,0,1253,NULL,NULL,NULL,15.00,13.00,18.00,777.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(219,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-1.jpg\"]','SW-123-A0-A1',0,15,0,1,0,2,1,0,1253,NULL,NULL,NULL,15.00,13.00,18.00,777.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(220,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-2.jpg\"]','SW-123-A0-A2',0,15,0,1,0,2,1,0,1253,NULL,NULL,NULL,15.00,13.00,18.00,777.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(221,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59.jpg\"]','SW-138-A0',0,10,0,1,0,3,1,0,1158,NULL,NULL,NULL,16.00,11.00,10.00,733.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(222,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59-1.jpg\"]','SW-138-A0-A1',0,10,0,1,0,3,1,0,1158,NULL,NULL,NULL,16.00,11.00,10.00,733.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(223,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59-2.jpg\"]','SW-138-A0-A2',0,10,0,1,0,3,1,0,1158,NULL,NULL,NULL,16.00,11.00,10.00,733.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(224,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]','SW-125-A0',0,19,0,1,0,2,1,0,680,516.8,NULL,NULL,16.00,18.00,14.00,787.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(225,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]','SW-107-A0',0,13,0,1,0,5,1,0,862,NULL,NULL,NULL,15.00,17.00,11.00,861.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(226,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]','SW-190-A0',0,16,0,1,0,5,1,0,1012,NULL,NULL,NULL,12.00,11.00,14.00,688.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(227,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62-1.jpg\"]','SW-190-A0-A1',0,16,0,1,0,5,1,0,1012,NULL,NULL,NULL,12.00,11.00,14.00,688.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(228,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]','SW-195-A0',0,11,0,1,0,2,1,0,582,NULL,NULL,NULL,19.00,13.00,18.00,662.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(229,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63-1.jpg\"]','SW-195-A0-A1',0,11,0,1,0,2,1,0,582,NULL,NULL,NULL,19.00,13.00,18.00,662.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(230,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]','SW-195-A0-A2',0,11,0,1,0,2,1,0,582,NULL,NULL,NULL,19.00,13.00,18.00,662.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(231,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]','SW-177-A0',0,17,0,1,0,1,1,0,987,779.73,NULL,NULL,18.00,15.00,10.00,861.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(232,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64-1.jpg\"]','SW-177-A0-A1',0,17,0,1,0,1,1,0,987,690.9,NULL,NULL,18.00,15.00,10.00,861.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0),(233,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65.jpg\"]','SW-141-A0',0,15,0,1,0,1,1,0,533,NULL,NULL,NULL,12.00,11.00,10.00,882.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(234,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-1.jpg\"]','SW-141-A0-A1',0,15,0,1,0,1,1,0,533,NULL,NULL,NULL,12.00,11.00,10.00,882.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0),(235,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-2.jpg\"]','SW-141-A0-A2',0,15,0,1,0,1,1,0,533,NULL,NULL,NULL,12.00,11.00,10.00,882.00,NULL,0,'2024-01-07 22:01:16','2024-01-07 22:01:16','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0);
/*!40000 ALTER TABLE `ec_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products_translations`
--

DROP TABLE IF EXISTS `ec_products_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_products_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products_translations`
--

LOCK TABLES `ec_products_translations` WRITE;
/*!40000 ALTER TABLE `ec_products_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_products_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_review_replies`
--

DROP TABLE IF EXISTS `ec_review_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_review_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `review_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_review_replies_review_id_user_id_unique` (`review_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_review_replies`
--

LOCK TABLES `ec_review_replies` WRITE;
/*!40000 ALTER TABLE `ec_review_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_review_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_reviews`
--

DROP TABLE IF EXISTS `ec_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `star` double(8,2) NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_reviews_product_id_customer_id_unique` (`product_id`,`customer_id`),
  KEY `ec_reviews_product_id_customer_id_status_created_at_index` (`product_id`,`customer_id`,`status`,`created_at`),
  KEY `review_relation_index` (`product_id`,`customer_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_reviews`
--

LOCK TABLES `ec_reviews` WRITE;
/*!40000 ALTER TABLE `ec_reviews` DISABLE KEYS */;
INSERT INTO `ec_reviews` VALUES (1,4,2,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/19.jpg\"]'),(2,9,37,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19.jpg\",\"products\\/54.jpg\"]'),(3,8,32,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/40.jpg\"]'),(4,4,16,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-1.jpg\",\"products\\/61.jpg\"]'),(5,6,15,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/32.jpg\"]'),(6,4,44,1.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\",\"products\\/57.jpg\"]'),(7,3,50,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/55-1.jpg\"]'),(8,3,40,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\",\"products\\/28-2.jpg\",\"products\\/29-2.jpg\",\"products\\/61-1.jpg\"]'),(9,2,41,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-2.jpg\",\"products\\/42.jpg\",\"products\\/45.jpg\",\"products\\/64.jpg\"]'),(10,8,56,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/28-2.jpg\",\"products\\/64-1.jpg\"]'),(11,8,7,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/43-2.jpg\",\"products\\/59-2.jpg\"]'),(12,6,32,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\"]'),(13,9,40,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-2.jpg\",\"products\\/18-2.jpg\",\"products\\/48.jpg\"]'),(14,6,12,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/17-1.jpg\",\"products\\/28.jpg\",\"products\\/50.jpg\"]'),(15,8,49,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/39-1.jpg\"]'),(16,6,14,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-1.jpg\",\"products\\/60.jpg\"]'),(17,1,28,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\"]'),(18,8,64,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11.jpg\",\"products\\/21-2.jpg\",\"products\\/43-2.jpg\",\"products\\/48-2.jpg\"]'),(19,2,33,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/14.jpg\",\"products\\/19-2.jpg\",\"products\\/31-1.jpg\"]'),(20,6,24,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/25-1.jpg\",\"products\\/46.jpg\"]'),(21,3,27,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-3.jpg\",\"products\\/21-1.jpg\",\"products\\/24-2.jpg\",\"products\\/65-1.jpg\"]'),(22,6,37,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/12.jpg\"]'),(23,9,35,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\"]'),(24,7,44,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-2.jpg\",\"products\\/11-3.jpg\",\"products\\/12-2.jpg\",\"products\\/28-2.jpg\"]'),(25,4,50,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31-1.jpg\",\"products\\/56-2.jpg\"]'),(26,9,57,4.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/26-1.jpg\",\"products\\/61-1.jpg\"]'),(27,9,28,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/13.jpg\",\"products\\/49-2.jpg\",\"products\\/50-1.jpg\"]'),(28,5,65,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/42-2.jpg\",\"products\\/59.jpg\"]'),(29,6,31,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/42-2.jpg\"]'),(30,8,11,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21.jpg\",\"products\\/36-1.jpg\",\"products\\/39.jpg\",\"products\\/57-1.jpg\"]'),(31,5,56,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-1.jpg\",\"products\\/45-1.jpg\"]'),(32,5,36,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/7.jpg\",\"products\\/28-1.jpg\",\"products\\/59.jpg\"]'),(33,1,39,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-1.jpg\",\"products\\/35.jpg\",\"products\\/47-1.jpg\",\"products\\/50-1.jpg\"]'),(34,8,37,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/25-2.jpg\",\"products\\/38.jpg\",\"products\\/44-2.jpg\",\"products\\/55.jpg\"]'),(35,6,53,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/16.jpg\",\"products\\/42-1.jpg\",\"products\\/56-1.jpg\"]'),(36,3,38,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-3.jpg\",\"products\\/36-2.jpg\",\"products\\/48.jpg\"]'),(37,4,47,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/49.jpg\",\"products\\/62.jpg\"]'),(38,9,22,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/20.jpg\",\"products\\/24-1.jpg\",\"products\\/65-1.jpg\"]'),(39,3,58,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/17-1.jpg\",\"products\\/34-1.jpg\",\"products\\/39-1.jpg\"]'),(41,3,25,4.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/7.jpg\",\"products\\/8-2.jpg\",\"products\\/30-2.jpg\",\"products\\/33-2.jpg\"]'),(42,6,40,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/42-2.jpg\",\"products\\/43-1.jpg\",\"products\\/56-2.jpg\"]'),(43,7,3,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/43.jpg\",\"products\\/64-1.jpg\"]'),(44,6,43,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-1.jpg\",\"products\\/43.jpg\",\"products\\/55-1.jpg\"]'),(45,6,17,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-1.jpg\",\"products\\/11.jpg\",\"products\\/33.jpg\",\"products\\/47.jpg\"]'),(46,4,33,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-1.jpg\",\"products\\/43-1.jpg\",\"products\\/49-1.jpg\"]'),(47,5,4,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/7.jpg\",\"products\\/12-1.jpg\",\"products\\/15-1.jpg\"]'),(48,7,55,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\",\"products\\/25-1.jpg\"]'),(49,3,65,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/42-1.jpg\",\"products\\/58-1.jpg\"]'),(50,6,10,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13.jpg\",\"products\\/18-3.jpg\",\"products\\/34.jpg\",\"products\\/60-1.jpg\"]'),(51,5,3,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\"]'),(52,5,43,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-3.jpg\",\"products\\/2.jpg\",\"products\\/56.jpg\",\"products\\/58-2.jpg\"]'),(53,9,18,3.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/49-2.jpg\"]'),(54,6,5,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-2.jpg\",\"products\\/41-1.jpg\",\"products\\/48-2.jpg\",\"products\\/59.jpg\"]'),(55,5,24,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13-1.jpg\",\"products\\/30-2.jpg\",\"products\\/46.jpg\",\"products\\/54.jpg\"]'),(57,2,17,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\",\"products\\/37-1.jpg\"]'),(58,3,13,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-2.jpg\",\"products\\/37-1.jpg\",\"products\\/56-1.jpg\"]'),(59,1,30,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36-2.jpg\",\"products\\/54-1.jpg\",\"products\\/60.jpg\"]'),(60,7,16,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24-1.jpg\",\"products\\/44.jpg\"]'),(61,9,65,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-2.jpg\",\"products\\/49.jpg\"]'),(63,6,49,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\"]'),(64,7,11,2.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/42-2.jpg\"]'),(65,4,9,2.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/8.jpg\",\"products\\/18-2.jpg\",\"products\\/37.jpg\"]'),(66,6,33,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34.jpg\",\"products\\/36-1.jpg\",\"products\\/49-1.jpg\"]'),(67,1,25,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/50-1.jpg\"]'),(68,2,14,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\",\"products\\/12-1.jpg\",\"products\\/24-2.jpg\",\"products\\/36-2.jpg\"]'),(69,4,32,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/65-1.jpg\"]'),(70,7,30,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/16.jpg\"]'),(71,2,22,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/27-1.jpg\"]'),(73,7,49,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-2.jpg\",\"products\\/49-2.jpg\"]'),(74,4,65,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\",\"products\\/41-1.jpg\",\"products\\/52-2.jpg\"]'),(75,8,65,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37.jpg\"]'),(76,5,33,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/17-2.jpg\",\"products\\/42.jpg\"]'),(77,7,57,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/25.jpg\",\"products\\/47-1.jpg\"]'),(78,3,20,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54-1.jpg\"]'),(79,2,46,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-3.jpg\",\"products\\/49.jpg\",\"products\\/51.jpg\"]'),(80,2,25,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27-1.jpg\",\"products\\/39-1.jpg\",\"products\\/41-2.jpg\"]'),(81,5,26,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/12-1.jpg\"]'),(82,6,38,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/12-3.jpg\"]'),(83,9,58,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-1.jpg\",\"products\\/23.jpg\"]'),(84,1,31,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-1.jpg\",\"products\\/30.jpg\",\"products\\/32-2.jpg\",\"products\\/61.jpg\"]'),(90,6,22,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54.jpg\",\"products\\/58-2.jpg\"]'),(94,6,29,1.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-1.jpg\",\"products\\/17-3.jpg\"]'),(95,9,61,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27.jpg\"]'),(96,2,9,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\",\"products\\/12-2.jpg\",\"products\\/15.jpg\",\"products\\/17-1.jpg\"]'),(97,7,60,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\"]'),(98,7,10,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/59-3.jpg\"]'),(99,3,34,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\",\"products\\/58.jpg\"]'),(100,3,41,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\"]'),(101,2,7,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/18-3.jpg\",\"products\\/19-3.jpg\"]'),(102,9,59,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-1.jpg\",\"products\\/18-3.jpg\"]'),(104,3,59,2.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-2.jpg\",\"products\\/13.jpg\",\"products\\/18.jpg\",\"products\\/53-1.jpg\"]'),(106,9,62,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11.jpg\"]'),(107,9,12,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\"]'),(108,4,42,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/33.jpg\",\"products\\/44-1.jpg\",\"products\\/58.jpg\"]'),(109,5,39,4.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\"]'),(110,7,48,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-2.jpg\",\"products\\/49-2.jpg\"]'),(111,5,46,5.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36.jpg\"]'),(112,1,21,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24.jpg\",\"products\\/44-1.jpg\",\"products\\/64.jpg\"]'),(113,1,47,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-2.jpg\"]'),(115,8,41,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-2.jpg\",\"products\\/36.jpg\",\"products\\/60.jpg\"]'),(116,6,35,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48-1.jpg\",\"products\\/60-2.jpg\",\"products\\/65.jpg\"]'),(117,7,62,5.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/38.jpg\",\"products\\/45.jpg\",\"products\\/65-2.jpg\"]'),(118,7,54,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/37-1.jpg\",\"products\\/38-1.jpg\",\"products\\/59-2.jpg\"]'),(119,5,45,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\"]'),(121,3,19,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/20.jpg\",\"products\\/49-1.jpg\"]'),(122,6,27,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/57.jpg\"]'),(123,1,1,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-2.jpg\"]'),(124,8,31,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/50.jpg\",\"products\\/60-2.jpg\",\"products\\/63.jpg\"]'),(125,3,8,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36-2.jpg\",\"products\\/64.jpg\"]'),(126,2,21,2.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/56-1.jpg\"]'),(127,3,26,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-1.jpg\"]'),(128,8,60,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5.jpg\",\"products\\/25.jpg\",\"products\\/39-1.jpg\",\"products\\/41-2.jpg\"]'),(130,8,4,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/47.jpg\",\"products\\/48-1.jpg\"]'),(131,6,42,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-3.jpg\"]'),(133,2,16,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-3.jpg\",\"products\\/33-2.jpg\",\"products\\/57.jpg\",\"products\\/61-1.jpg\"]'),(136,1,55,3.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/9-2.jpg\",\"products\\/22-2.jpg\",\"products\\/35-1.jpg\"]'),(137,3,10,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/38-3.jpg\"]'),(139,5,25,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12.jpg\"]'),(140,9,2,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21.jpg\",\"products\\/40-1.jpg\"]'),(144,6,1,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/38.jpg\",\"products\\/47-1.jpg\"]'),(145,1,49,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\",\"products\\/12-1.jpg\",\"products\\/45-1.jpg\"]'),(146,3,45,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/3.jpg\",\"products\\/10-2.jpg\",\"products\\/19-1.jpg\"]'),(147,3,57,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/23.jpg\",\"products\\/55-1.jpg\"]'),(148,7,31,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-2.jpg\",\"products\\/27-1.jpg\",\"products\\/46.jpg\",\"products\\/65-2.jpg\"]'),(150,9,44,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48-1.jpg\"]'),(151,8,19,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21-2.jpg\",\"products\\/40-1.jpg\",\"products\\/56-1.jpg\"]'),(152,7,19,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21.jpg\"]'),(154,4,58,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/14.jpg\",\"products\\/15-1.jpg\",\"products\\/58-1.jpg\"]'),(155,5,10,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24-1.jpg\"]'),(158,9,33,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/44-2.jpg\"]'),(160,7,58,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-2.jpg\",\"products\\/38-1.jpg\",\"products\\/47.jpg\",\"products\\/55-1.jpg\"]'),(161,8,36,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/65-2.jpg\"]'),(162,8,28,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/49.jpg\"]'),(163,8,38,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-1.jpg\",\"products\\/46.jpg\",\"products\\/47.jpg\",\"products\\/56.jpg\"]'),(164,5,27,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/55-1.jpg\",\"products\\/58-2.jpg\",\"products\\/59-2.jpg\"]'),(165,1,46,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-2.jpg\",\"products\\/31-1.jpg\"]'),(166,3,14,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36-1.jpg\"]'),(168,9,31,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/34.jpg\"]'),(169,5,9,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31-1.jpg\"]'),(172,2,60,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-3.jpg\",\"products\\/19-1.jpg\",\"products\\/30.jpg\"]'),(173,9,4,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-2.jpg\",\"products\\/20-3.jpg\",\"products\\/62-1.jpg\"]'),(175,4,24,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\"]'),(176,9,20,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/26.jpg\",\"products\\/33-1.jpg\"]'),(178,7,63,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24-2.jpg\"]'),(179,4,37,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/14.jpg\",\"products\\/28.jpg\",\"products\\/52-2.jpg\",\"products\\/57-1.jpg\"]'),(180,5,6,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/20-1.jpg\",\"products\\/37.jpg\",\"products\\/64.jpg\"]'),(181,8,58,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/36-2.jpg\",\"products\\/55.jpg\"]'),(182,8,21,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-2.jpg\",\"products\\/17.jpg\"]'),(184,8,25,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23.jpg\",\"products\\/38-3.jpg\",\"products\\/52-2.jpg\"]'),(186,5,48,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\",\"products\\/18-1.jpg\"]'),(188,2,6,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-3.jpg\"]'),(189,6,20,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\",\"products\\/32-2.jpg\",\"products\\/44.jpg\"]'),(190,7,64,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/21-2.jpg\",\"products\\/34-1.jpg\",\"products\\/52-2.jpg\"]'),(191,2,57,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27.jpg\"]'),(192,3,48,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8.jpg\",\"products\\/20.jpg\",\"products\\/25-2.jpg\",\"products\\/38-2.jpg\"]'),(193,3,60,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/14.jpg\",\"products\\/15.jpg\",\"products\\/38-3.jpg\",\"products\\/53.jpg\"]'),(194,9,45,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-3.jpg\",\"products\\/20-2.jpg\",\"products\\/34-1.jpg\",\"products\\/61.jpg\"]'),(195,3,35,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24.jpg\",\"products\\/35.jpg\",\"products\\/52-1.jpg\",\"products\\/63.jpg\"]'),(196,7,24,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11.jpg\",\"products\\/21-2.jpg\",\"products\\/23-3.jpg\",\"products\\/43-2.jpg\"]'),(197,1,27,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/17-3.jpg\",\"products\\/36.jpg\",\"products\\/37-1.jpg\"]'),(199,4,19,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54.jpg\",\"products\\/55-1.jpg\",\"products\\/58-2.jpg\"]'),(200,3,47,2.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-3.jpg\",\"products\\/20-2.jpg\",\"products\\/22-3.jpg\",\"products\\/36.jpg\"]'),(201,1,20,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24-2.jpg\",\"products\\/51.jpg\",\"products\\/55.jpg\"]'),(202,7,22,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/19-1.jpg\",\"products\\/20-2.jpg\",\"products\\/60.jpg\"]'),(204,9,34,5.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/40-1.jpg\"]'),(205,5,58,4.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24-2.jpg\"]'),(206,8,23,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27-1.jpg\",\"products\\/52-2.jpg\"]'),(208,4,18,4.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/14.jpg\",\"products\\/23.jpg\",\"products\\/24.jpg\",\"products\\/52.jpg\"]'),(210,5,54,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/19.jpg\",\"products\\/24-2.jpg\"]'),(211,5,53,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-3.jpg\",\"products\\/41-2.jpg\"]'),(213,4,54,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13.jpg\",\"products\\/16.jpg\"]'),(214,8,17,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-1.jpg\",\"products\\/20-2.jpg\"]'),(215,2,48,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/38-3.jpg\",\"products\\/59-1.jpg\"]'),(216,5,42,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34.jpg\"]'),(217,7,39,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-2.jpg\",\"products\\/39-2.jpg\",\"products\\/43-1.jpg\"]'),(218,9,55,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-3.jpg\",\"products\\/22-1.jpg\",\"products\\/49.jpg\",\"products\\/52-1.jpg\"]'),(219,8,51,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/30-2.jpg\",\"products\\/42.jpg\"]'),(220,7,2,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12.jpg\",\"products\\/25-1.jpg\",\"products\\/65-1.jpg\"]'),(221,5,13,3.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/18-2.jpg\",\"products\\/44-1.jpg\"]'),(222,6,65,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-3.jpg\",\"products\\/42-1.jpg\"]'),(223,6,7,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\",\"products\\/31-1.jpg\",\"products\\/31.jpg\"]'),(224,8,5,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/32-2.jpg\"]'),(225,4,59,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-3.jpg\",\"products\\/49-2.jpg\",\"products\\/50.jpg\",\"products\\/64.jpg\"]'),(226,9,9,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\",\"products\\/45-1.jpg\",\"products\\/45.jpg\",\"products\\/62.jpg\"]'),(227,8,44,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/12-1.jpg\",\"products\\/17-1.jpg\"]'),(228,1,54,1.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21-2.jpg\",\"products\\/44-2.jpg\",\"products\\/60-1.jpg\",\"products\\/64.jpg\"]'),(229,1,32,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-2.jpg\",\"products\\/59-3.jpg\",\"products\\/65-2.jpg\"]'),(230,3,15,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-2.jpg\",\"products\\/20-1.jpg\",\"products\\/37.jpg\",\"products\\/62.jpg\"]'),(231,3,52,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/55-1.jpg\"]'),(233,5,32,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/20-3.jpg\",\"products\\/47-1.jpg\",\"products\\/48.jpg\"]'),(234,3,54,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/38-1.jpg\",\"products\\/40.jpg\",\"products\\/49-2.jpg\"]'),(235,2,35,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-1.jpg\",\"products\\/41.jpg\"]'),(237,5,5,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/57-1.jpg\"]'),(238,9,24,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/49-1.jpg\"]'),(239,1,14,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-1.jpg\",\"products\\/22.jpg\",\"products\\/23-2.jpg\"]'),(240,6,2,3.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-1.jpg\",\"products\\/33.jpg\",\"products\\/49-2.jpg\"]'),(241,5,18,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/48.jpg\"]'),(243,8,46,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\",\"products\\/50.jpg\"]'),(244,3,23,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/18-3.jpg\",\"products\\/32-2.jpg\",\"products\\/61.jpg\"]'),(245,6,4,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13-1.jpg\",\"products\\/23-1.jpg\",\"products\\/25-1.jpg\",\"products\\/38-1.jpg\"]'),(247,6,23,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-3.jpg\",\"products\\/21.jpg\",\"products\\/33.jpg\",\"products\\/50.jpg\"]'),(248,4,63,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19.jpg\",\"products\\/41-1.jpg\",\"products\\/55-2.jpg\"]'),(249,3,53,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13-1.jpg\"]'),(250,3,61,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/52-1.jpg\",\"products\\/58-2.jpg\"]'),(251,4,43,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-3.jpg\",\"products\\/45-1.jpg\",\"products\\/65-2.jpg\"]'),(252,3,16,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-1.jpg\",\"products\\/59.jpg\",\"products\\/65.jpg\"]'),(253,3,43,4.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\",\"products\\/43-2.jpg\",\"products\\/50.jpg\",\"products\\/61.jpg\"]'),(254,4,5,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/31.jpg\",\"products\\/52.jpg\",\"products\\/55-2.jpg\"]'),(255,1,26,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/41-2.jpg\",\"products\\/59-2.jpg\"]'),(257,8,62,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/18.jpg\"]'),(259,9,48,4.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-3.jpg\",\"products\\/22.jpg\",\"products\\/35-1.jpg\",\"products\\/52-2.jpg\"]'),(261,1,8,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5.jpg\",\"products\\/45.jpg\",\"products\\/55.jpg\"]'),(263,9,63,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-1.jpg\",\"products\\/24-1.jpg\",\"products\\/51.jpg\"]'),(264,1,57,2.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\"]'),(265,3,29,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\"]'),(266,4,46,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-1.jpg\"]'),(267,5,50,4.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/64.jpg\"]'),(268,2,28,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/40-1.jpg\"]'),(269,9,13,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/25-2.jpg\",\"products\\/36.jpg\"]'),(270,4,13,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-2.jpg\",\"products\\/38-3.jpg\",\"products\\/48.jpg\"]'),(271,5,60,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/12.jpg\"]'),(272,7,7,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11.jpg\"]'),(273,7,20,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/38-2.jpg\"]'),(274,6,59,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\",\"products\\/23-1.jpg\",\"products\\/59-2.jpg\"]'),(279,9,39,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48.jpg\",\"products\\/60-1.jpg\",\"products\\/64.jpg\"]'),(280,6,26,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\",\"products\\/46.jpg\",\"products\\/65-2.jpg\"]'),(282,2,20,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\"]'),(285,2,61,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/54.jpg\",\"products\\/56-2.jpg\",\"products\\/61.jpg\"]'),(286,7,8,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-2.jpg\",\"products\\/24.jpg\"]'),(287,1,58,2.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-2.jpg\"]'),(288,5,34,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\"]'),(290,2,13,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36-1.jpg\",\"products\\/36.jpg\"]'),(292,4,23,3.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\",\"products\\/39.jpg\"]'),(296,2,23,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\"]'),(297,8,61,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/52-2.jpg\",\"products\\/58-1.jpg\",\"products\\/59-2.jpg\"]'),(298,5,62,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26.jpg\"]'),(299,8,59,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\",\"products\\/22-2.jpg\",\"products\\/28.jpg\"]'),(300,3,33,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\",\"products\\/10-1.jpg\",\"products\\/40.jpg\"]'),(301,8,24,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/23-1.jpg\",\"products\\/23.jpg\",\"products\\/32.jpg\"]'),(303,5,44,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/42-1.jpg\"]'),(304,1,40,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-2.jpg\",\"products\\/28.jpg\",\"products\\/33-2.jpg\",\"products\\/54.jpg\"]'),(306,6,9,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-2.jpg\"]'),(307,6,62,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/7.jpg\",\"products\\/22-2.jpg\",\"products\\/22.jpg\",\"products\\/50.jpg\"]'),(308,2,43,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-2.jpg\",\"products\\/23-3.jpg\",\"products\\/59-3.jpg\",\"products\\/65-2.jpg\"]'),(314,2,30,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/26-1.jpg\",\"products\\/37.jpg\",\"products\\/49-2.jpg\"]'),(315,7,41,4.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/23-1.jpg\",\"products\\/30.jpg\",\"products\\/60-2.jpg\"]'),(316,6,56,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8.jpg\",\"products\\/15.jpg\",\"products\\/23-3.jpg\",\"products\\/25-2.jpg\"]'),(317,1,12,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\"]'),(318,1,41,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-1.jpg\",\"products\\/8.jpg\"]'),(319,4,1,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/18-1.jpg\",\"products\\/21.jpg\"]'),(320,8,35,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/7.jpg\",\"products\\/13-1.jpg\",\"products\\/35.jpg\"]'),(321,2,32,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/16.jpg\",\"products\\/54.jpg\",\"products\\/65-2.jpg\"]'),(322,2,36,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/57.jpg\"]'),(324,4,61,1.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/46.jpg\"]'),(325,2,10,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/8.jpg\",\"products\\/28-2.jpg\",\"products\\/34.jpg\"]'),(327,9,10,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/5-2.jpg\",\"products\\/8-1.jpg\",\"products\\/20-1.jpg\"]'),(328,4,27,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\",\"products\\/42-2.jpg\",\"products\\/64.jpg\"]'),(329,9,17,5.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-2.jpg\"]'),(331,6,41,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-1.jpg\",\"products\\/48-1.jpg\"]'),(332,3,63,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-1.jpg\",\"products\\/33-2.jpg\",\"products\\/49.jpg\",\"products\\/54.jpg\"]'),(333,6,45,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\",\"products\\/65.jpg\"]'),(337,2,49,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-1.jpg\",\"products\\/32-1.jpg\"]'),(339,2,24,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54-1.jpg\"]'),(340,7,52,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/13-1.jpg\",\"products\\/47.jpg\"]'),(341,4,34,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\"]'),(344,5,19,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/16.jpg\",\"products\\/18-1.jpg\",\"products\\/28.jpg\"]'),(346,5,2,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-3.jpg\",\"products\\/48-2.jpg\"]'),(348,4,38,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/29-1.jpg\",\"products\\/41-2.jpg\",\"products\\/52-1.jpg\"]'),(350,4,7,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-2.jpg\",\"products\\/33.jpg\",\"products\\/50.jpg\"]'),(353,1,34,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5.jpg\",\"products\\/29-1.jpg\",\"products\\/47-1.jpg\",\"products\\/57-1.jpg\"]'),(354,2,62,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/10.jpg\",\"products\\/28-1.jpg\",\"products\\/30-2.jpg\"]'),(356,5,57,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/47.jpg\"]'),(357,4,62,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-2.jpg\",\"products\\/60.jpg\"]'),(360,9,64,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-1.jpg\",\"products\\/29-1.jpg\",\"products\\/32-1.jpg\",\"products\\/54-1.jpg\"]'),(362,3,12,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-1.jpg\",\"products\\/42.jpg\"]'),(364,9,16,1.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/35.jpg\"]'),(365,1,62,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-3.jpg\",\"products\\/27.jpg\",\"products\\/39.jpg\"]'),(369,2,34,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/13.jpg\",\"products\\/14.jpg\",\"products\\/24-2.jpg\"]'),(370,6,36,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/49.jpg\"]'),(371,6,61,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-2.jpg\"]'),(374,1,64,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24.jpg\",\"products\\/50-1.jpg\"]'),(375,7,32,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-2.jpg\"]'),(376,7,59,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\",\"products\\/22-1.jpg\",\"products\\/62.jpg\"]'),(377,5,20,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/11.jpg\"]'),(379,2,47,1.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/33.jpg\",\"products\\/49.jpg\"]'),(380,4,10,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/39.jpg\"]'),(383,1,15,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-2.jpg\"]'),(385,1,24,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/60-1.jpg\"]'),(387,1,22,5.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12.jpg\",\"products\\/23-1.jpg\"]'),(388,6,39,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/18.jpg\"]'),(393,7,43,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26.jpg\"]'),(396,3,51,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/33-1.jpg\",\"products\\/61-1.jpg\"]'),(398,7,42,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/39-2.jpg\",\"products\\/46.jpg\"]'),(399,4,57,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/61.jpg\"]'),(401,1,18,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/24.jpg\",\"products\\/25-2.jpg\"]'),(402,8,14,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/39-1.jpg\",\"products\\/42.jpg\"]'),(404,7,18,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/5.jpg\",\"products\\/8.jpg\",\"products\\/32-1.jpg\"]'),(405,9,23,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27-1.jpg\",\"products\\/34.jpg\",\"products\\/42-1.jpg\",\"products\\/45-1.jpg\"]'),(406,8,52,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/4.jpg\",\"products\\/19-2.jpg\",\"products\\/20-3.jpg\"]'),(408,3,6,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\",\"products\\/32-2.jpg\",\"products\\/37-2.jpg\",\"products\\/38-2.jpg\"]'),(413,5,52,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\"]'),(415,2,50,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/46-1.jpg\"]'),(416,1,7,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/23-3.jpg\"]'),(417,9,53,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-1.jpg\",\"products\\/22-1.jpg\",\"products\\/65.jpg\"]'),(418,9,21,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-1.jpg\",\"products\\/59.jpg\",\"products\\/60.jpg\"]'),(419,3,24,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/25.jpg\",\"products\\/43-2.jpg\"]'),(420,3,55,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-1.jpg\",\"products\\/10-1.jpg\",\"products\\/17.jpg\",\"products\\/21-1.jpg\"]'),(421,3,31,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\"]'),(422,8,63,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/36.jpg\",\"products\\/60-1.jpg\",\"products\\/63.jpg\"]'),(423,4,49,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26.jpg\",\"products\\/30-1.jpg\",\"products\\/52-2.jpg\",\"products\\/65-2.jpg\"]'),(428,4,20,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2.jpg\",\"products\\/15-1.jpg\"]'),(429,9,38,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/23-1.jpg\",\"products\\/54.jpg\",\"products\\/56.jpg\"]'),(430,3,49,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/52-2.jpg\",\"products\\/60-2.jpg\"]'),(433,1,56,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/59-1.jpg\"]'),(436,7,51,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/35-1.jpg\"]'),(438,2,27,5.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48.jpg\",\"products\\/52-2.jpg\"]'),(439,1,53,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/60.jpg\"]'),(443,5,23,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-2.jpg\"]'),(444,6,46,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5.jpg\",\"products\\/18-2.jpg\",\"products\\/20.jpg\",\"products\\/42-1.jpg\"]'),(449,1,38,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/38.jpg\",\"products\\/56.jpg\",\"products\\/57.jpg\"]'),(450,7,46,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\",\"products\\/35-1.jpg\",\"products\\/61.jpg\"]'),(451,9,54,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/25-2.jpg\",\"products\\/49.jpg\"]'),(457,1,19,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\",\"products\\/45-1.jpg\"]'),(459,6,21,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/37-2.jpg\",\"products\\/38.jpg\"]'),(461,1,5,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\",\"products\\/24.jpg\"]'),(464,3,2,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\",\"products\\/37-1.jpg\"]'),(465,6,51,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18.jpg\",\"products\\/44-2.jpg\",\"products\\/55.jpg\"]'),(468,2,56,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/12.jpg\",\"products\\/18-2.jpg\",\"products\\/44-2.jpg\"]'),(473,8,48,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36.jpg\"]'),(475,1,13,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15.jpg\"]'),(476,2,15,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/36-1.jpg\"]'),(479,1,4,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-3.jpg\"]'),(487,6,25,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-1.jpg\",\"products\\/24-2.jpg\",\"products\\/40-1.jpg\",\"products\\/46.jpg\"]'),(492,9,60,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/33-1.jpg\",\"products\\/42.jpg\"]'),(493,5,21,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-3.jpg\",\"products\\/24.jpg\",\"products\\/25-2.jpg\",\"products\\/35.jpg\"]'),(494,2,18,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/33.jpg\",\"products\\/56.jpg\"]'),(495,7,33,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-3.jpg\",\"products\\/26.jpg\",\"products\\/43-1.jpg\"]'),(498,9,51,3.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/15.jpg\",\"products\\/24-2.jpg\",\"products\\/54.jpg\"]'),(499,3,21,5.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/14.jpg\",\"products\\/37.jpg\",\"products\\/41-1.jpg\",\"products\\/60-2.jpg\"]'),(501,8,34,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/4-1.jpg\",\"products\\/48-1.jpg\"]'),(503,9,14,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/19.jpg\",\"products\\/56-2.jpg\"]'),(510,2,31,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34.jpg\",\"products\\/47-1.jpg\"]'),(511,3,36,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-3.jpg\",\"products\\/44-1.jpg\"]'),(514,8,3,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21.jpg\",\"products\\/48-2.jpg\",\"products\\/53.jpg\",\"products\\/59-3.jpg\"]'),(516,1,33,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/21-2.jpg\",\"products\\/23-3.jpg\",\"products\\/50.jpg\"]'),(517,6,28,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/36-1.jpg\"]'),(518,9,5,3.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/47-1.jpg\",\"products\\/57.jpg\"]'),(519,9,15,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-1.jpg\",\"products\\/40-1.jpg\",\"products\\/58.jpg\"]'),(520,2,37,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\"]'),(522,6,50,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/39.jpg\"]'),(524,4,60,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17.jpg\",\"products\\/27-1.jpg\",\"products\\/43-1.jpg\",\"products\\/44-2.jpg\"]'),(527,4,29,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54.jpg\",\"products\\/59.jpg\"]'),(529,8,40,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17.jpg\",\"products\\/28.jpg\",\"products\\/44.jpg\",\"products\\/59-1.jpg\"]'),(531,6,44,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/52-2.jpg\"]'),(532,9,1,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/62.jpg\"]'),(534,1,63,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12.jpg\",\"products\\/42.jpg\",\"products\\/43-2.jpg\"]'),(536,3,22,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26.jpg\",\"products\\/39.jpg\",\"products\\/58-1.jpg\"]'),(538,7,61,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-2.jpg\"]'),(539,4,14,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35.jpg\",\"products\\/60.jpg\"]'),(540,8,50,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\",\"products\\/36-2.jpg\",\"products\\/41-1.jpg\",\"products\\/57-1.jpg\"]'),(546,3,18,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15.jpg\"]'),(549,8,2,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/56-1.jpg\"]'),(551,6,58,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\"]'),(554,3,7,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-1.jpg\"]'),(556,4,41,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\",\"products\\/22-1.jpg\",\"products\\/45-1.jpg\",\"products\\/46.jpg\"]'),(560,2,5,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-3.jpg\",\"products\\/20-2.jpg\",\"products\\/26-1.jpg\",\"products\\/49.jpg\"]'),(563,1,42,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/57.jpg\"]'),(566,4,45,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\",\"products\\/48.jpg\",\"products\\/58-1.jpg\"]'),(569,7,45,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13-1.jpg\"]'),(572,8,53,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/33.jpg\",\"products\\/42.jpg\"]'),(582,7,23,2.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-2.jpg\",\"products\\/32.jpg\",\"products\\/44-1.jpg\"]'),(583,7,4,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/18-2.jpg\",\"products\\/22-3.jpg\",\"products\\/35-1.jpg\"]'),(585,7,15,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22.jpg\",\"products\\/52-1.jpg\"]'),(590,3,42,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26-1.jpg\",\"products\\/40-1.jpg\",\"products\\/49.jpg\",\"products\\/58-1.jpg\"]'),(596,7,13,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29.jpg\",\"products\\/38-2.jpg\",\"products\\/45.jpg\",\"products\\/59-2.jpg\"]'),(597,2,53,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\",\"products\\/38-2.jpg\",\"products\\/48-1.jpg\",\"products\\/64.jpg\"]'),(600,5,40,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-3.jpg\",\"products\\/20-1.jpg\",\"products\\/37.jpg\"]'),(601,2,64,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-3.jpg\",\"products\\/49-2.jpg\"]'),(602,3,1,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/26-1.jpg\",\"products\\/53-1.jpg\",\"products\\/59.jpg\"]'),(604,9,30,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/15.jpg\",\"products\\/24-2.jpg\",\"products\\/49.jpg\"]'),(609,3,64,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/22-2.jpg\",\"products\\/45.jpg\"]'),(612,6,3,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/25-1.jpg\",\"products\\/49.jpg\"]'),(613,7,5,4.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/32-1.jpg\",\"products\\/42.jpg\"]'),(617,5,17,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-1.jpg\"]'),(622,3,44,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31-1.jpg\",\"products\\/59-3.jpg\"]'),(623,2,59,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-2.jpg\",\"products\\/49.jpg\",\"products\\/60-2.jpg\"]'),(625,1,37,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28.jpg\",\"products\\/40.jpg\"]'),(626,4,36,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/59-2.jpg\"]'),(628,4,26,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/18-1.jpg\",\"products\\/38-1.jpg\",\"products\\/38-3.jpg\"]'),(629,7,53,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-3.jpg\",\"products\\/29-1.jpg\",\"products\\/43-2.jpg\"]'),(630,1,10,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/46-1.jpg\"]'),(631,3,37,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/10-1.jpg\",\"products\\/41-1.jpg\",\"products\\/50.jpg\"]'),(633,3,17,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\",\"products\\/32-1.jpg\",\"products\\/37.jpg\"]'),(637,2,45,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48.jpg\"]'),(638,1,61,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\"]'),(639,7,27,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/36.jpg\"]'),(641,3,62,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/49-1.jpg\"]'),(646,4,39,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/18-1.jpg\"]'),(647,2,65,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34-1.jpg\"]'),(650,1,36,1.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-3.jpg\",\"products\\/53.jpg\"]'),(652,8,12,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-2.jpg\"]'),(655,8,54,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/48-1.jpg\"]'),(658,1,45,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/21-1.jpg\",\"products\\/40.jpg\",\"products\\/53-1.jpg\"]'),(659,8,29,1.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/29-2.jpg\",\"products\\/65-2.jpg\"]'),(660,6,13,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-2.jpg\"]'),(662,6,48,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/45-1.jpg\",\"products\\/52-1.jpg\"]'),(663,4,31,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19.jpg\",\"products\\/42-2.jpg\",\"products\\/56-1.jpg\"]'),(667,6,19,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-1.jpg\",\"products\\/25.jpg\"]'),(669,6,57,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/7.jpg\",\"products\\/63.jpg\",\"products\\/64.jpg\"]'),(672,7,36,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10.jpg\",\"products\\/26-1.jpg\",\"products\\/47.jpg\",\"products\\/59-3.jpg\"]'),(677,9,7,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-1.jpg\",\"products\\/13-1.jpg\",\"products\\/25-1.jpg\",\"products\\/28-2.jpg\"]'),(685,1,11,1.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/15.jpg\",\"products\\/30-1.jpg\"]'),(686,8,13,5.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/10-1.jpg\",\"products\\/18-2.jpg\",\"products\\/41.jpg\",\"products\\/49.jpg\"]'),(688,6,64,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-1.jpg\",\"products\\/20-2.jpg\",\"products\\/23-1.jpg\",\"products\\/60-2.jpg\"]'),(692,2,52,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/54-1.jpg\"]'),(699,1,6,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\"]'),(700,2,26,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/10-2.jpg\",\"products\\/18-3.jpg\"]'),(702,1,52,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\",\"products\\/18-2.jpg\",\"products\\/38-2.jpg\"]'),(706,6,63,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/15-1.jpg\",\"products\\/16.jpg\",\"products\\/17-1.jpg\",\"products\\/24-2.jpg\"]'),(713,4,11,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9.jpg\",\"products\\/11-1.jpg\",\"products\\/36-1.jpg\",\"products\\/42.jpg\"]'),(719,9,36,2.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-2.jpg\",\"products\\/46.jpg\",\"products\\/59-1.jpg\",\"products\\/64.jpg\"]'),(720,6,6,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34-1.jpg\",\"products\\/62.jpg\"]'),(723,6,52,3.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/28-2.jpg\",\"products\\/33-1.jpg\",\"products\\/54.jpg\",\"products\\/60-2.jpg\"]'),(726,6,11,1.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-2.jpg\",\"products\\/42-1.jpg\",\"products\\/59.jpg\"]'),(727,7,21,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4.jpg\",\"products\\/16.jpg\",\"products\\/43-1.jpg\"]'),(730,7,37,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31-1.jpg\",\"products\\/36.jpg\",\"products\\/41-1.jpg\",\"products\\/55-1.jpg\"]'),(738,3,11,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/9-1.jpg\",\"products\\/58-1.jpg\"]'),(739,4,3,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/18-2.jpg\",\"products\\/38-1.jpg\"]'),(741,5,11,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-2.jpg\",\"products\\/57-1.jpg\"]'),(744,8,18,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-2.jpg\",\"products\\/20.jpg\",\"products\\/21.jpg\",\"products\\/62.jpg\"]'),(752,1,2,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-1.jpg\"]'),(755,5,31,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34-1.jpg\",\"products\\/58-2.jpg\"]'),(760,5,29,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\",\"products\\/56-2.jpg\",\"products\\/65-1.jpg\"]'),(765,1,50,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-1.jpg\",\"products\\/20-1.jpg\",\"products\\/41-1.jpg\"]'),(767,2,38,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-3.jpg\",\"products\\/22.jpg\",\"products\\/65.jpg\"]'),(771,3,28,4.00,'Clean & perfect source code','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/24-1.jpg\",\"products\\/59-1.jpg\",\"products\\/62-1.jpg\"]'),(776,1,43,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-1.jpg\"]'),(778,9,27,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17.jpg\",\"products\\/32.jpg\",\"products\\/55-2.jpg\"]'),(790,9,26,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19.jpg\",\"products\\/23.jpg\"]'),(797,2,2,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-1.jpg\",\"products\\/23-1.jpg\",\"products\\/23-3.jpg\"]'),(806,2,39,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-1.jpg\",\"products\\/34-1.jpg\",\"products\\/37-2.jpg\",\"products\\/64.jpg\"]'),(807,7,9,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/60-1.jpg\"]'),(811,9,32,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\",\"products\\/16.jpg\",\"products\\/23.jpg\",\"products\\/39-1.jpg\"]'),(816,8,42,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-2.jpg\",\"products\\/30.jpg\"]'),(817,5,22,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/23-2.jpg\",\"products\\/30-1.jpg\",\"products\\/48-1.jpg\",\"products\\/49-1.jpg\"]'),(828,1,17,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/26-1.jpg\",\"products\\/44.jpg\"]'),(831,4,53,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-2.jpg\"]'),(833,4,25,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31.jpg\",\"products\\/32-2.jpg\"]'),(842,9,47,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-1.jpg\",\"products\\/36-1.jpg\",\"products\\/37.jpg\"]'),(843,5,1,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/12-2.jpg\",\"products\\/38-3.jpg\"]'),(848,4,40,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31-1.jpg\",\"products\\/59.jpg\"]'),(849,8,8,5.00,'Best ecommerce CMS online store!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/26.jpg\",\"products\\/30.jpg\",\"products\\/39-2.jpg\"]'),(853,6,16,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/8-1.jpg\",\"products\\/18.jpg\",\"products\\/27-1.jpg\"]'),(858,2,1,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-1.jpg\",\"products\\/55-2.jpg\",\"products\\/59.jpg\"]'),(862,9,46,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-1.jpg\",\"products\\/19-3.jpg\",\"products\\/19.jpg\",\"products\\/26-1.jpg\"]'),(866,7,35,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/4-1.jpg\",\"products\\/24-1.jpg\"]'),(867,8,47,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-1.jpg\",\"products\\/33-2.jpg\",\"products\\/43.jpg\",\"products\\/47.jpg\"]'),(873,2,12,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/25.jpg\",\"products\\/29-1.jpg\",\"products\\/33-2.jpg\"]'),(876,9,25,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/3.jpg\"]'),(879,4,4,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-3.jpg\",\"products\\/37-2.jpg\",\"products\\/44-2.jpg\"]'),(881,2,29,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/29-2.jpg\"]'),(889,3,3,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20-2.jpg\"]'),(891,4,56,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/29-1.jpg\",\"products\\/57.jpg\",\"products\\/58-1.jpg\"]'),(892,4,15,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5-3.jpg\",\"products\\/6.jpg\",\"products\\/8-1.jpg\",\"products\\/23.jpg\"]'),(900,4,51,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/13-1.jpg\",\"products\\/15.jpg\",\"products\\/33-1.jpg\"]'),(912,1,9,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/30-1.jpg\",\"products\\/37.jpg\",\"products\\/47-1.jpg\"]'),(914,8,55,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/34-1.jpg\"]'),(933,1,59,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/42-1.jpg\"]'),(935,4,52,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/27-1.jpg\",\"products\\/54.jpg\"]'),(944,8,6,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\",\"products\\/62-1.jpg\"]'),(945,6,18,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/31.jpg\",\"products\\/33-1.jpg\"]'),(949,2,51,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/6.jpg\"]'),(956,5,16,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/22-1.jpg\",\"products\\/33.jpg\",\"products\\/39-1.jpg\",\"products\\/57-1.jpg\"]'),(968,9,56,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/35-1.jpg\"]'),(971,1,48,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/11-2.jpg\",\"products\\/43-2.jpg\"]'),(980,5,8,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/1.jpg\",\"products\\/9-2.jpg\",\"products\\/43-2.jpg\"]'),(983,4,48,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/19-2.jpg\"]'),(985,7,1,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/17-3.jpg\",\"products\\/59-3.jpg\"]'),(986,7,25,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/2-2.jpg\",\"products\\/4.jpg\",\"products\\/21-2.jpg\",\"products\\/60-2.jpg\"]'),(988,6,34,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/5.jpg\",\"products\\/43-2.jpg\",\"products\\/47.jpg\",\"products\\/64.jpg\"]'),(991,4,17,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/18-3.jpg\",\"products\\/37-2.jpg\"]'),(999,4,8,3.00,'Good app, good backup service and support. Good documentation.','published','2024-01-07 22:01:22','2024-01-07 22:01:22','[\"products\\/20.jpg\",\"products\\/21-1.jpg\"]');
/*!40000 ALTER TABLE `ec_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipment_histories`
--

DROP TABLE IF EXISTS `ec_shipment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipment_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `shipment_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipment_histories`
--

LOCK TABLES `ec_shipment_histories` WRITE;
/*!40000 ALTER TABLE `ec_shipment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipments`
--

DROP TABLE IF EXISTS `ec_shipments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `shipment_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cod_amount` decimal(15,2) DEFAULT '0.00',
  `cod_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cross_checking_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `price` decimal(15,2) DEFAULT '0.00',
  `store_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tracking_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimate_date_shipped` datetime DEFAULT NULL,
  `date_shipped` datetime DEFAULT NULL,
  `label_url` text COLLATE utf8mb4_unicode_ci,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipments`
--

LOCK TABLES `ec_shipments` WRITE;
/*!40000 ALTER TABLE `ec_shipments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping`
--

DROP TABLE IF EXISTS `ec_shipping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping`
--

LOCK TABLES `ec_shipping` WRITE;
/*!40000 ALTER TABLE `ec_shipping` DISABLE KEYS */;
INSERT INTO `ec_shipping` VALUES (1,'All',NULL,'2024-01-07 22:01:22','2024-01-07 22:01:22');
/*!40000 ALTER TABLE `ec_shipping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rule_items`
--

DROP TABLE IF EXISTS `ec_shipping_rule_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rule_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_rule_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_price` decimal(15,2) DEFAULT '0.00',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rule_items`
--

LOCK TABLES `ec_shipping_rule_items` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rule_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipping_rule_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rules`
--

DROP TABLE IF EXISTS `ec_shipping_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `shipping_id` bigint unsigned NOT NULL,
  `type` varchar(24) COLLATE utf8mb4_unicode_ci DEFAULT 'based_on_price',
  `from` decimal(15,2) DEFAULT '0.00',
  `to` decimal(15,2) DEFAULT '0.00',
  `price` decimal(15,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rules`
--

LOCK TABLES `ec_shipping_rules` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rules` DISABLE KEYS */;
INSERT INTO `ec_shipping_rules` VALUES (1,'Free delivery',1,'based_on_price',0.00,NULL,0.00,'2024-01-07 22:01:22','2024-01-07 22:01:22');
/*!40000 ALTER TABLE `ec_shipping_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_store_locators`
--

DROP TABLE IF EXISTS `ec_store_locators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_store_locators` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_primary` tinyint(1) DEFAULT '0',
  `is_shipping_location` tinyint(1) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_store_locators`
--

LOCK TABLES `ec_store_locators` WRITE;
/*!40000 ALTER TABLE `ec_store_locators` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_store_locators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_products`
--

DROP TABLE IF EXISTS `ec_tax_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_products` (
  `tax_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tax_id`),
  KEY `ec_tax_products_tax_id_index` (`tax_id`),
  KEY `ec_tax_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_products`
--

LOCK TABLES `ec_tax_products` WRITE;
/*!40000 ALTER TABLE `ec_tax_products` DISABLE KEYS */;
INSERT INTO `ec_tax_products` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65);
/*!40000 ALTER TABLE `ec_tax_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_rules`
--

DROP TABLE IF EXISTS `ec_tax_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_rules`
--

LOCK TABLES `ec_tax_rules` WRITE;
/*!40000 ALTER TABLE `ec_tax_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_tax_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_taxes`
--

DROP TABLE IF EXISTS `ec_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_taxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_taxes`
--

LOCK TABLES `ec_taxes` WRITE;
/*!40000 ALTER TABLE `ec_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_wish_lists`
--

DROP TABLE IF EXISTS `ec_wish_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_wish_lists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `wishlist_relation_index` (`product_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_wish_lists`
--

LOCK TABLES `ec_wish_lists` WRITE;
/*!40000 ALTER TABLE `ec_wish_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_wish_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
INSERT INTO `faq_categories` VALUES (1,'General',0,'published','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(2,'Buying',1,'published','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(3,'Payment',2,'published','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(4,'Support',3,'published','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL);
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
INSERT INTO `faqs` VALUES (1,'Can I see the demo before purchasing?','Etiam amet mauris suscipit in odio integer congue metus vitae arcu mollis blandit ultrice ligula egestas and magna suscipit lectus magna suscipit luctus blandit vitae',1,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(2,'Can I use your system on different devices?','Etiam amet mauris suscipit in odio integer congue metus vitae arcu mollis blandit ultrice ligula egestas and magna suscipit lectus magna suscipit luctus blandit vitae',1,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(3,'Can I import my sitemap to your system?','An enim nullam tempor sapien gravida a donec ipsum enim an porta justo integer at velna vitae auctor integer congue undo magna at pretium purus pretium',1,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(4,'Can I cancel my subscription at any time?','An enim nullam tempor sapien gravida a donec ipsum enim an porta justo integer at velna vitae auctor integer congue undo magna at pretium purus pretium',2,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(5,'How can I switch my subscription between essential, and premium plan','Cubilia laoreet augue egestas and luctus donec curabite diam vitae dapibus libero and quisque gravida donec and neque.',2,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(6,'Is there an additional discount when paid annually?','Cubilia laoreet augue egestas and luctus donec curabite diam vitae dapibus libero and quisque gravida donec and neque. Blandit justo aliquam molestie nunc sapien',2,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(7,'Where does it come from ?','If several languages coalesce, the grammar of the resulting language is more simple and regular than that of the individual languages. The new common language will be more simple and regular than the existing European languages.',3,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(8,'I have an issue with my account','<ul>\n                    <li>Etiam amet mauris suscipit sit amet in odio. Integer congue leo metus. Vitae arcu mollis blandit ultrice ligula</li>\n                    <li>An enim nullam tempor sapien gravida donec congue leo metus. Vitae arcu mollis blandit integer at velna</li>\n                </ul>',3,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(9,'What happens if I don’t renew my license after one year?','<ul>\n                    <li>Etiam amet mauris suscipit sit amet in odio. Integer congue leo metus. Vitae arcu mollis blandit ultrice ligula</li>\n                    <li>An enim nullam tempor sapien gravida donec congue leo metus. Vitae arcu mollis blandit integer at velna</li>\n                </ul>',3,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(10,'Do you have a free trial?','<ul class=\"text-body-text\">\n                    <li>Fringilla risus, luctus mauris orci auctor purus</li>\n                    <li>Quaerat sodales sapien euismod blandit purus and ipsum primis in cubilia laoreet augue luctus</li>\n                </ul>',4,'published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(11,'What kind of payment methods do you provide?','<ul class=\"text-body-text\">\n                <li>Fringilla risus, luctus mauris orci auctor purus</li>\n                <li>Quaerat sodales sapien euismoda laoreet augue luctus</li>\n              </ul>',4,'published','2024-01-07 22:01:17','2024-01-07 22:01:17');
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','a2b5aeca0e9d83a8d645d278536dc9b7',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','f40d249f75de81263b4b43168b2779f4',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','c3a2ded15681dc9e031b12841dface03',2,'Botble\\Menu\\Models\\Menu'),(4,'en_US','330a77f045eb3903515402af6aeccd7d',3,'Botble\\Menu\\Models\\Menu'),(5,'en_US','47a4ccd9453e07a214d1bc5578512c44',4,'Botble\\Menu\\Models\\Menu'),(6,'en_US','bb809122be60f7319cc00bcb65f270c4',2,'Botble\\Menu\\Models\\MenuLocation'),(7,'en_US','53c92d9df6abfc86c2d1bcffd2fe5158',5,'Botble\\Menu\\Models\\Menu'),(8,'en_US','3aa9618b530f8b42792f24c0540ef82c',3,'Botble\\Menu\\Models\\MenuLocation'),(9,'en_US','f471e9e2e1f10bce5af9b491cc388099',6,'Botble\\Menu\\Models\\Menu'),(10,'en_US','163d7dfefb78c29783b4f54bd9bb9daf',4,'Botble\\Menu\\Models\\MenuLocation'),(11,'en_US','14651651c77afc71a7e83da3ea6aa4ff',7,'Botble\\Menu\\Models\\Menu');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=387 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'account','account',1,'image/png',10686,'general/account.png','[]','2024-01-07 22:00:51','2024-01-07 22:00:51',NULL),(2,0,'answer','answer',1,'image/png',29926,'general/answer.png','[]','2024-01-07 22:00:51','2024-01-07 22:00:51',NULL),(3,0,'apple','apple',1,'image/png',892,'general/apple.png','[]','2024-01-07 22:00:51','2024-01-07 22:00:51',NULL),(4,0,'appstore-btn','appstore-btn',1,'image/png',841,'general/appstore-btn.png','[]','2024-01-07 22:00:51','2024-01-07 22:00:51',NULL),(5,0,'automated','automated',1,'image/png',7006,'general/automated.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(6,0,'banner-authentication','banner-authentication',1,'image/png',87110,'general/banner-authentication.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(7,0,'banner-blog','banner-blog',1,'image/png',14312,'general/banner-blog.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(8,0,'banner-career','banner-career',1,'image/png',56285,'general/banner-career.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(9,0,'banner-help-center-1','banner-help-center-1',1,'image/png',17518,'general/banner-help-center-1.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(10,0,'banner-help-center-2','banner-help-center-2',1,'image/png',37388,'general/banner-help-center-2.png','[]','2024-01-07 22:00:52','2024-01-07 22:00:52',NULL),(11,0,'banner-homepage-10','banner-homepage-10',1,'image/png',12074,'general/banner-homepage-10.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(12,0,'banner-homepage-3','banner-homepage-3',1,'image/png',15479,'general/banner-homepage-3.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(13,0,'banner-homepage-5','banner-homepage-5',1,'image/png',15567,'general/banner-homepage-5.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(14,0,'banner-homepage-6','banner-homepage-6',1,'image/png',14559,'general/banner-homepage-6.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(15,0,'banner-homepage-7-1','banner-homepage-7-1',1,'image/png',5298,'general/banner-homepage-7-1.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(16,0,'banner-homepage-7-2','banner-homepage-7-2',1,'image/png',5665,'general/banner-homepage-7-2.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(17,0,'banner-homepage-7-3','banner-homepage-7-3',1,'image/png',5805,'general/banner-homepage-7-3.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(18,0,'banner-homepage-7-4','banner-homepage-7-4',1,'image/png',4515,'general/banner-homepage-7-4.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(19,0,'banner-homepage-7-5','banner-homepage-7-5',1,'image/png',4985,'general/banner-homepage-7-5.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(20,0,'banner-homepage-7-6','banner-homepage-7-6',1,'image/png',4985,'general/banner-homepage-7-6.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(21,0,'banner-homepage-9','banner-homepage-9',1,'image/png',12736,'general/banner-homepage-9.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(22,0,'banner-how-to-start','banner-how-to-start',1,'image/png',35534,'general/banner-how-to-start.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(23,0,'banner-product-1','banner-product-1',1,'image/png',36859,'general/banner-product-1.png','[]','2024-01-07 22:00:53','2024-01-07 22:00:53',NULL),(24,0,'banner-product','banner-product',1,'image/png',9606,'general/banner-product.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(25,0,'banner-services','banner-services',1,'image/png',14751,'general/banner-services.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(26,0,'banner-term-and-conditions','banner-term-and-conditions',1,'image/png',17696,'general/banner-term-and-conditions.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(27,0,'banner','banner',1,'image/png',11779,'general/banner.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(28,0,'bg-banner-secondary','bg-banner-secondary',1,'image/png',8476,'general/bg-banner-secondary.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(29,0,'bg-faqs','bg-faqs',1,'image/png',5942,'general/bg-faqs.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(30,0,'box-image-1','box-image-1',1,'image/png',59030,'general/box-image-1.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(31,0,'box-image-2','box-image-2',1,'image/png',55841,'general/box-image-2.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(32,0,'brand-services-1','brand-services-1',1,'image/png',1588,'general/brand-services-1.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(33,0,'brand-services-2','brand-services-2',1,'image/png',3425,'general/brand-services-2.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(34,0,'brand-services-3','brand-services-3',1,'image/png',6740,'general/brand-services-3.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(35,0,'branding-image','branding-image',1,'image/png',12695,'general/branding-image.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(36,0,'branding-img-1','branding-img-1',1,'image/png',11749,'general/branding-img-1.png','[]','2024-01-07 22:00:54','2024-01-07 22:00:54',NULL),(37,0,'branding-img-2','branding-img-2',1,'image/png',6921,'general/branding-img-2.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(38,0,'certify','certify',1,'image/png',2081,'general/certify.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(39,0,'chart-homepage-5','chart-homepage-5',1,'image/png',6379,'general/chart-homepage-5.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(40,0,'chart','chart',1,'image/png',3879,'general/chart.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(41,0,'chart1','chart1',1,'image/png',4853,'general/chart1.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(42,0,'chart2','chart2',1,'image/png',4208,'general/chart2.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(43,0,'connect-with-us-1','connect-with-us-1',1,'image/png',41732,'general/connect-with-us-1.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(44,0,'connect-with-us-2','connect-with-us-2',1,'image/png',41732,'general/connect-with-us-2.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(45,0,'connect-with-us-3','connect-with-us-3',1,'image/png',41732,'general/connect-with-us-3.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(46,0,'contact-banner','contact-banner',1,'image/png',11974,'general/contact-banner.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(47,0,'customer','customer',1,'image/png',23290,'general/customer.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(48,0,'follower','follower',1,'image/png',57770,'general/follower.png','[]','2024-01-07 22:00:55','2024-01-07 22:00:55',NULL),(49,0,'google-play-btn','google-play-btn',1,'image/png',987,'general/google-play-btn.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(50,0,'google','google',1,'image/png',892,'general/google.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(51,0,'hero-1','hero-1',1,'image/png',24885,'general/hero-1.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(52,0,'hero-2','hero-2',1,'image/png',24885,'general/hero-2.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(53,0,'hero-3','hero-3',1,'image/png',24885,'general/hero-3.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(54,0,'hero-banner','hero-banner',1,'image/png',11140,'general/hero-banner.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(55,0,'human1','human1',1,'image/png',9230,'general/human1.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(56,0,'human2','human2',1,'image/png',9230,'general/human2.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(57,0,'human3','human3',1,'image/png',9230,'general/human3.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(58,0,'image-branding','image-branding',1,'image/png',10988,'general/image-branding.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(59,0,'img-financial','img-financial',1,'image/png',8168,'general/img-financial.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(60,0,'img-marketing','img-marketing',1,'image/png',49951,'general/img-marketing.png','[]','2024-01-07 22:00:56','2024-01-07 22:00:56',NULL),(61,0,'img-project','img-project',1,'image/png',11699,'general/img-project.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(62,0,'img-project2','img-project2',1,'image/png',11565,'general/img-project2.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(63,0,'img-tab-1','img-tab-1',1,'image/png',11929,'general/img-tab-1.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(64,0,'img-tab-2','img-tab-2',1,'image/png',48363,'general/img-tab-2.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(65,0,'img-tab-3','img-tab-3',1,'image/png',6921,'general/img-tab-3.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(66,0,'img-tab-4','img-tab-4',1,'image/png',12736,'general/img-tab-4.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(67,0,'img-video-2','img-video-2',1,'image/png',51683,'general/img-video-2.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(68,0,'intro-video-product','intro-video-product',1,'image/png',56988,'general/intro-video-product.png','[]','2024-01-07 22:00:57','2024-01-07 22:00:57',NULL),(69,0,'intro-video','intro-video',1,'image/png',12239,'general/intro-video.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(70,0,'job-details-thumb','job-details-thumb',1,'image/png',34862,'general/job-details-thumb.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(71,0,'members','members',1,'image/png',11734,'general/members.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(72,0,'newsletter-image','newsletter-image',1,'image/png',6353,'general/newsletter-image.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(73,0,'phone-app','phone-app',1,'image/png',7837,'general/phone-app.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(74,0,'phone1','phone1',1,'image/png',7205,'general/phone1.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(75,0,'phone2','phone2',1,'image/png',7837,'general/phone2.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(76,0,'plants-1','plants-1',1,'image/png',4607,'general/plants-1.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(77,0,'plants','plants',1,'image/png',11522,'general/plants.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(78,0,'platform-social','platform-social',1,'image/png',8400,'general/platform-social.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(79,0,'product-feature','product-feature',1,'image/png',36859,'general/product-feature.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(80,0,'question1','question1',1,'image/png',36770,'general/question1.png','[]','2024-01-07 22:00:58','2024-01-07 22:00:58',NULL),(81,0,'question2','question2',1,'image/png',19413,'general/question2.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(82,0,'question3','question3',1,'image/png',16747,'general/question3.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(83,0,'social-homepage','social-homepage',1,'image/png',7251,'general/social-homepage.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(84,0,'testimonial','testimonial',1,'image/png',3290,'general/testimonial.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(85,0,'testimonial1','testimonial1',1,'image/png',3290,'general/testimonial1.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(86,0,'we-what-offer-1','we-what-offer-1',1,'image/png',15025,'general/we-what-offer-1.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(87,0,'we-what-offer-2','we-what-offer-2',1,'image/png',19357,'general/we-what-offer-2.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(88,0,'we-what-offer-3','we-what-offer-3',1,'image/png',15025,'general/we-what-offer-3.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(89,0,'author','author',2,'image/png',2775,'accounts/author.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(90,0,'author2','author2',2,'image/png',4211,'accounts/author2.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(91,0,'author3','author3',2,'image/png',2482,'accounts/author3.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(92,0,'404','404',3,'image/png',17884,'icons/404.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(93,0,'bg-plan','bg-plan',3,'image/png',2708,'icons/bg-plan.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(94,0,'boat-circle','boat-circle',3,'image/jpeg',29044,'icons/boat-circle.jpg','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(95,0,'brand-identity','brand-identity',3,'image/png',1802,'icons/brand-identity.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(96,0,'building','building',3,'image/png',529,'icons/building.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(97,0,'business-strategy','business-strategy',3,'image/png',1925,'icons/business-strategy.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(98,0,'business','business',3,'image/png',662,'icons/business.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(99,0,'case-study','case-study',3,'image/png',16153,'icons/case-study.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(100,0,'certification','certification',3,'image/png',481,'icons/certification.png','[]','2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(101,0,'certify','certify',3,'image/png',5006,'icons/certify.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(102,0,'chart-1','chart-1',3,'image/png',1305,'icons/chart-1.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(103,0,'coming-soon','coming-soon',3,'image/png',28613,'icons/coming-soon.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(104,0,'conference','conference',3,'image/png',505,'icons/conference.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(105,0,'creation','creation',3,'image/png',755,'icons/creation.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(106,0,'cross-platform','cross-platform',3,'image/png',2010,'icons/cross-platform.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(107,0,'digital-marketing','digital-marketing',3,'image/png',3631,'icons/digital-marketing.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(108,0,'dispersal','dispersal',3,'image/png',539,'icons/dispersal.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(109,0,'document','document',3,'image/png',2398,'icons/document.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(110,0,'earth','earth',3,'image/png',2308,'icons/earth.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(111,0,'facebook','facebook',3,'image/png',520,'icons/facebook.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(112,0,'fly','fly',3,'image/png',1014,'icons/fly.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(113,0,'forums','forums',3,'image/png',3885,'icons/forums.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(114,0,'free','free',3,'image/png',1302,'icons/free.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(115,0,'headphone','headphone',3,'image/png',1556,'icons/headphone.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(116,0,'icon1','icon1',3,'image/png',1638,'icons/icon1.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(117,0,'icon2','icon2',3,'image/png',2524,'icons/icon2.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(118,0,'icon3','icon3',3,'image/png',1407,'icons/icon3.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(119,0,'icon4','icon4',3,'image/png',1895,'icons/icon4.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(120,0,'icon5','icon5',3,'image/png',1073,'icons/icon5.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(121,0,'icon6','icon6',3,'image/png',1954,'icons/icon6.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(122,0,'icon7','icon7',3,'image/png',1503,'icons/icon7.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(123,0,'icon8','icon8',3,'image/png',1739,'icons/icon8.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(124,0,'identity','identity',3,'image/png',420,'icons/identity.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(125,0,'img1','img1',3,'image/png',1525,'icons/img1.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(126,0,'img2','img2',3,'image/png',1565,'icons/img2.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(127,0,'img3','img3',3,'image/png',1533,'icons/img3.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(128,0,'instagram','instagram',3,'image/png',591,'icons/instagram.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(129,0,'knowledge','knowledge',3,'image/png',1160,'icons/knowledge.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(130,0,'line','line',3,'image/png',144,'icons/line.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(131,0,'linkedin','linkedin',3,'image/png',579,'icons/linkedin.png','[]','2024-01-07 22:01:00','2024-01-07 22:01:00',NULL),(132,0,'money','money',3,'image/png',3380,'icons/money.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(133,0,'payment','payment',3,'image/png',2599,'icons/payment.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(134,0,'personal','personal',3,'image/png',1093,'icons/personal.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(135,0,'persuasion','persuasion',3,'image/png',862,'icons/persuasion.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(136,0,'phone','phone',3,'image/png',1635,'icons/phone.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(137,0,'report','report',3,'image/png',4680,'icons/report.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(138,0,'research','research',3,'image/png',546,'icons/research.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(139,0,'social-media','social-media',3,'image/png',2207,'icons/social-media.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(140,0,'social','social',3,'image/png',2795,'icons/social.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(141,0,'standard','standard',3,'image/png',1743,'icons/standard.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(142,0,'support','support',3,'image/png',3150,'icons/support.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(143,0,'sync','sync',3,'image/png',8465,'icons/sync.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(144,0,'trial-plan','trial-plan',3,'image/png',1271,'icons/trial-plan.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(145,0,'twitter','twitter',3,'image/png',791,'icons/twitter.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(146,0,'unlimited','unlimited',3,'image/png',15292,'icons/unlimited.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(147,0,'user','user',3,'image/png',15493,'icons/user.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(148,0,'we-do','we-do',3,'image/png',15521,'icons/we-do.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(149,0,'write','write',3,'image/png',14653,'icons/write.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(150,0,'favicon','favicon',4,'image/png',2341,'logo/favicon.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(151,0,'finger','finger',4,'image/png',1922,'logo/finger.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(152,0,'logo-circle','logo-circle',4,'image/png',5514,'logo/logo-circle.png','[]','2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(153,0,'logo-white','logo-white',4,'image/png',7574,'logo/logo-white.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(154,0,'logo','logo',4,'image/png',2365,'logo/logo.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(155,0,'1','1',5,'image/png',475,'product-categories/1.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(156,0,'10','10',5,'image/png',475,'product-categories/10.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(157,0,'11','11',5,'image/png',475,'product-categories/11.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(158,0,'12','12',5,'image/png',475,'product-categories/12.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(159,0,'13','13',5,'image/png',475,'product-categories/13.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(160,0,'2','2',5,'image/png',475,'product-categories/2.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(161,0,'3','3',5,'image/png',475,'product-categories/3.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(162,0,'4','4',5,'image/png',475,'product-categories/4.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(163,0,'5','5',5,'image/png',475,'product-categories/5.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(164,0,'6','6',5,'image/png',475,'product-categories/6.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(165,0,'7','7',5,'image/png',475,'product-categories/7.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(166,0,'8','8',5,'image/png',475,'product-categories/8.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(167,0,'9','9',5,'image/png',475,'product-categories/9.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(168,0,'1','1',6,'image/png',9730,'brands/1.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(169,0,'2','2',6,'image/png',9730,'brands/2.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(170,0,'3','3',6,'image/png',9730,'brands/3.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(171,0,'4','4',6,'image/png',9730,'brands/4.png','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(172,0,'1','1',7,'image/jpeg',9730,'products/1.jpg','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(173,0,'10-1','10-1',7,'image/jpeg',9730,'products/10-1.jpg','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(174,0,'10-2','10-2',7,'image/jpeg',9730,'products/10-2.jpg','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(175,0,'10','10',7,'image/jpeg',9730,'products/10.jpg','[]','2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(176,0,'11-1','11-1',7,'image/jpeg',9730,'products/11-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(177,0,'11-2','11-2',7,'image/jpeg',9730,'products/11-2.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(178,0,'11-3','11-3',7,'image/jpeg',9730,'products/11-3.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(179,0,'11','11',7,'image/jpeg',9730,'products/11.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(180,0,'12-1','12-1',7,'image/jpeg',9730,'products/12-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(181,0,'12-2','12-2',7,'image/jpeg',9730,'products/12-2.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(182,0,'12-3','12-3',7,'image/jpeg',9730,'products/12-3.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(183,0,'12','12',7,'image/jpeg',9730,'products/12.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(184,0,'13-1','13-1',7,'image/jpeg',9730,'products/13-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(185,0,'13','13',7,'image/jpeg',9730,'products/13.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(186,0,'14','14',7,'image/jpeg',9730,'products/14.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(187,0,'15-1','15-1',7,'image/jpeg',9730,'products/15-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(188,0,'15','15',7,'image/jpeg',9730,'products/15.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(189,0,'16','16',7,'image/jpeg',9730,'products/16.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(190,0,'17-1','17-1',7,'image/jpeg',9730,'products/17-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(191,0,'17-2','17-2',7,'image/jpeg',9730,'products/17-2.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(192,0,'17-3','17-3',7,'image/jpeg',9730,'products/17-3.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(193,0,'17','17',7,'image/jpeg',9730,'products/17.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(194,0,'18-1','18-1',7,'image/jpeg',9730,'products/18-1.jpg','[]','2024-01-07 22:01:03','2024-01-07 22:01:03',NULL),(195,0,'18-2','18-2',7,'image/jpeg',9730,'products/18-2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(196,0,'18-3','18-3',7,'image/jpeg',9730,'products/18-3.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(197,0,'18','18',7,'image/jpeg',9730,'products/18.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(198,0,'19-1','19-1',7,'image/jpeg',9730,'products/19-1.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(199,0,'19-2','19-2',7,'image/jpeg',9730,'products/19-2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(200,0,'19-3','19-3',7,'image/jpeg',9730,'products/19-3.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(201,0,'19','19',7,'image/jpeg',9730,'products/19.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(202,0,'2-1','2-1',7,'image/jpeg',9730,'products/2-1.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(203,0,'2-2','2-2',7,'image/jpeg',9730,'products/2-2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(204,0,'2-3','2-3',7,'image/jpeg',9730,'products/2-3.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(205,0,'2','2',7,'image/jpeg',9730,'products/2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(206,0,'20-1','20-1',7,'image/jpeg',9730,'products/20-1.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(207,0,'20-2','20-2',7,'image/jpeg',9730,'products/20-2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(208,0,'20-3','20-3',7,'image/jpeg',9730,'products/20-3.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(209,0,'20','20',7,'image/jpeg',9730,'products/20.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(210,0,'21-1','21-1',7,'image/jpeg',9730,'products/21-1.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(211,0,'21-2','21-2',7,'image/jpeg',9730,'products/21-2.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(212,0,'21','21',7,'image/jpeg',9730,'products/21.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(213,0,'22-1','22-1',7,'image/jpeg',9730,'products/22-1.jpg','[]','2024-01-07 22:01:04','2024-01-07 22:01:04',NULL),(214,0,'22-2','22-2',7,'image/jpeg',9730,'products/22-2.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(215,0,'22-3','22-3',7,'image/jpeg',9730,'products/22-3.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(216,0,'22','22',7,'image/jpeg',9730,'products/22.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(217,0,'23-1','23-1',7,'image/jpeg',9730,'products/23-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(218,0,'23-2','23-2',7,'image/jpeg',9730,'products/23-2.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(219,0,'23-3','23-3',7,'image/jpeg',9730,'products/23-3.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(220,0,'23','23',7,'image/jpeg',9730,'products/23.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(221,0,'24-1','24-1',7,'image/jpeg',9730,'products/24-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(222,0,'24-2','24-2',7,'image/jpeg',9730,'products/24-2.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(223,0,'24','24',7,'image/jpeg',9730,'products/24.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(224,0,'25-1','25-1',7,'image/jpeg',9730,'products/25-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(225,0,'25-2','25-2',7,'image/jpeg',9730,'products/25-2.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(226,0,'25','25',7,'image/jpeg',9730,'products/25.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(227,0,'26-1','26-1',7,'image/jpeg',9730,'products/26-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(228,0,'26','26',7,'image/jpeg',9730,'products/26.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(229,0,'27-1','27-1',7,'image/jpeg',9730,'products/27-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(230,0,'27','27',7,'image/jpeg',9730,'products/27.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(231,0,'28-1','28-1',7,'image/jpeg',9730,'products/28-1.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(232,0,'28-2','28-2',7,'image/jpeg',9730,'products/28-2.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(233,0,'28','28',7,'image/jpeg',9730,'products/28.jpg','[]','2024-01-07 22:01:05','2024-01-07 22:01:05',NULL),(234,0,'29-1','29-1',7,'image/jpeg',9730,'products/29-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(235,0,'29-2','29-2',7,'image/jpeg',9730,'products/29-2.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(236,0,'29','29',7,'image/jpeg',9730,'products/29.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(237,0,'3','3',7,'image/jpeg',9730,'products/3.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(238,0,'30-1','30-1',7,'image/jpeg',9730,'products/30-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(239,0,'30-2','30-2',7,'image/jpeg',9730,'products/30-2.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(240,0,'30','30',7,'image/jpeg',9730,'products/30.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(241,0,'31-1','31-1',7,'image/jpeg',9730,'products/31-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(242,0,'31','31',7,'image/jpeg',9730,'products/31.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(243,0,'32-1','32-1',7,'image/jpeg',9730,'products/32-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(244,0,'32-2','32-2',7,'image/jpeg',9730,'products/32-2.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(245,0,'32','32',7,'image/jpeg',9730,'products/32.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(246,0,'33-1','33-1',7,'image/jpeg',9730,'products/33-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(247,0,'33-2','33-2',7,'image/jpeg',9730,'products/33-2.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(248,0,'33','33',7,'image/jpeg',9730,'products/33.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(249,0,'34-1','34-1',7,'image/jpeg',9730,'products/34-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(250,0,'34','34',7,'image/jpeg',9730,'products/34.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(251,0,'35-1','35-1',7,'image/jpeg',9730,'products/35-1.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(252,0,'35','35',7,'image/jpeg',9730,'products/35.jpg','[]','2024-01-07 22:01:06','2024-01-07 22:01:06',NULL),(253,0,'36-1','36-1',7,'image/jpeg',9730,'products/36-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(254,0,'36-2','36-2',7,'image/jpeg',9730,'products/36-2.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(255,0,'36','36',7,'image/jpeg',9730,'products/36.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(256,0,'37-1','37-1',7,'image/jpeg',9730,'products/37-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(257,0,'37-2','37-2',7,'image/jpeg',9730,'products/37-2.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(258,0,'37','37',7,'image/jpeg',9730,'products/37.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(259,0,'38-1','38-1',7,'image/jpeg',9730,'products/38-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(260,0,'38-2','38-2',7,'image/jpeg',9730,'products/38-2.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(261,0,'38-3','38-3',7,'image/jpeg',9730,'products/38-3.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(262,0,'38','38',7,'image/jpeg',9730,'products/38.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(263,0,'39-1','39-1',7,'image/jpeg',9730,'products/39-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(264,0,'39-2','39-2',7,'image/jpeg',9730,'products/39-2.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(265,0,'39','39',7,'image/jpeg',9730,'products/39.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(266,0,'4-1','4-1',7,'image/jpeg',9730,'products/4-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(267,0,'4-2','4-2',7,'image/jpeg',9730,'products/4-2.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(268,0,'4-3','4-3',7,'image/jpeg',9730,'products/4-3.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(269,0,'4','4',7,'image/jpeg',9730,'products/4.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(270,0,'40-1','40-1',7,'image/jpeg',9730,'products/40-1.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(271,0,'40','40',7,'image/jpeg',9730,'products/40.jpg','[]','2024-01-07 22:01:07','2024-01-07 22:01:07',NULL),(272,0,'41-1','41-1',7,'image/jpeg',9730,'products/41-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(273,0,'41-2','41-2',7,'image/jpeg',9730,'products/41-2.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(274,0,'41','41',7,'image/jpeg',9730,'products/41.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(275,0,'42-1','42-1',7,'image/jpeg',9730,'products/42-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(276,0,'42-2','42-2',7,'image/jpeg',9730,'products/42-2.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(277,0,'42','42',7,'image/jpeg',9730,'products/42.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(278,0,'43-1','43-1',7,'image/jpeg',9730,'products/43-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(279,0,'43-2','43-2',7,'image/jpeg',9730,'products/43-2.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(280,0,'43','43',7,'image/jpeg',9730,'products/43.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(281,0,'44-1','44-1',7,'image/jpeg',9730,'products/44-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(282,0,'44-2','44-2',7,'image/jpeg',9730,'products/44-2.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(283,0,'44','44',7,'image/jpeg',9730,'products/44.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(284,0,'45-1','45-1',7,'image/jpeg',9730,'products/45-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(285,0,'45','45',7,'image/jpeg',9730,'products/45.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(286,0,'46-1','46-1',7,'image/jpeg',9730,'products/46-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(287,0,'46','46',7,'image/jpeg',9730,'products/46.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(288,0,'47-1','47-1',7,'image/jpeg',9730,'products/47-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(289,0,'47','47',7,'image/jpeg',9730,'products/47.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(290,0,'48-1','48-1',7,'image/jpeg',9730,'products/48-1.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(291,0,'48-2','48-2',7,'image/jpeg',9730,'products/48-2.jpg','[]','2024-01-07 22:01:08','2024-01-07 22:01:08',NULL),(292,0,'48','48',7,'image/jpeg',9730,'products/48.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(293,0,'49-1','49-1',7,'image/jpeg',9730,'products/49-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(294,0,'49-2','49-2',7,'image/jpeg',9730,'products/49-2.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(295,0,'49','49',7,'image/jpeg',9730,'products/49.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(296,0,'5-1','5-1',7,'image/jpeg',9730,'products/5-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(297,0,'5-2','5-2',7,'image/jpeg',9730,'products/5-2.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(298,0,'5-3','5-3',7,'image/jpeg',9730,'products/5-3.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(299,0,'5','5',7,'image/jpeg',9730,'products/5.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(300,0,'50-1','50-1',7,'image/jpeg',9730,'products/50-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(301,0,'50','50',7,'image/jpeg',9730,'products/50.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(302,0,'51','51',7,'image/jpeg',9730,'products/51.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(303,0,'52-1','52-1',7,'image/jpeg',9730,'products/52-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(304,0,'52-2','52-2',7,'image/jpeg',9730,'products/52-2.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(305,0,'52','52',7,'image/jpeg',9730,'products/52.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(306,0,'53-1','53-1',7,'image/jpeg',9730,'products/53-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(307,0,'53','53',7,'image/jpeg',9730,'products/53.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(308,0,'54-1','54-1',7,'image/jpeg',9730,'products/54-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(309,0,'54','54',7,'image/jpeg',9730,'products/54.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(310,0,'55-1','55-1',7,'image/jpeg',9730,'products/55-1.jpg','[]','2024-01-07 22:01:09','2024-01-07 22:01:09',NULL),(311,0,'55-2','55-2',7,'image/jpeg',9730,'products/55-2.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(312,0,'55','55',7,'image/jpeg',9730,'products/55.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(313,0,'56-1','56-1',7,'image/jpeg',9730,'products/56-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(314,0,'56-2','56-2',7,'image/jpeg',9730,'products/56-2.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(315,0,'56','56',7,'image/jpeg',9730,'products/56.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(316,0,'57-1','57-1',7,'image/jpeg',9730,'products/57-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(317,0,'57','57',7,'image/jpeg',9730,'products/57.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(318,0,'58-1','58-1',7,'image/jpeg',9730,'products/58-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(319,0,'58-2','58-2',7,'image/jpeg',9730,'products/58-2.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(320,0,'58','58',7,'image/jpeg',9730,'products/58.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(321,0,'59-1','59-1',7,'image/jpeg',9730,'products/59-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(322,0,'59-2','59-2',7,'image/jpeg',9730,'products/59-2.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(323,0,'59-3','59-3',7,'image/jpeg',9730,'products/59-3.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(324,0,'59','59',7,'image/jpeg',9730,'products/59.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(325,0,'6','6',7,'image/jpeg',9730,'products/6.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(326,0,'60-1','60-1',7,'image/jpeg',9730,'products/60-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(327,0,'60-2','60-2',7,'image/jpeg',9730,'products/60-2.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(328,0,'60','60',7,'image/jpeg',9730,'products/60.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(329,0,'61-1','61-1',7,'image/jpeg',9730,'products/61-1.jpg','[]','2024-01-07 22:01:10','2024-01-07 22:01:10',NULL),(330,0,'61','61',7,'image/jpeg',9730,'products/61.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(331,0,'62-1','62-1',7,'image/jpeg',9730,'products/62-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(332,0,'62','62',7,'image/jpeg',9730,'products/62.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(333,0,'63-1','63-1',7,'image/jpeg',9730,'products/63-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(334,0,'63','63',7,'image/jpeg',9730,'products/63.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(335,0,'64-1','64-1',7,'image/jpeg',9730,'products/64-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(336,0,'64','64',7,'image/jpeg',9730,'products/64.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(337,0,'65-1','65-1',7,'image/jpeg',9730,'products/65-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(338,0,'65-2','65-2',7,'image/jpeg',9730,'products/65-2.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(339,0,'65','65',7,'image/jpeg',9730,'products/65.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(340,0,'7','7',7,'image/jpeg',9730,'products/7.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(341,0,'8-1','8-1',7,'image/jpeg',9730,'products/8-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(342,0,'8-2','8-2',7,'image/jpeg',9730,'products/8-2.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(343,0,'8-3','8-3',7,'image/jpeg',9730,'products/8-3.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(344,0,'8','8',7,'image/jpeg',9730,'products/8.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(345,0,'9-1','9-1',7,'image/jpeg',9730,'products/9-1.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(346,0,'9-2','9-2',7,'image/jpeg',9730,'products/9-2.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(347,0,'9','9',7,'image/jpeg',9730,'products/9.jpg','[]','2024-01-07 22:01:11','2024-01-07 22:01:11',NULL),(348,0,'1','1',8,'image/png',9730,'testimonials/1.png','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(349,0,'2','2',8,'image/png',9730,'testimonials/2.png','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(350,0,'3','3',8,'image/png',9730,'testimonials/3.png','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(351,0,'4','4',8,'image/png',9730,'testimonials/4.png','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(352,0,'1','1',9,'image/jpeg',9730,'news/1.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(353,0,'10','10',9,'image/jpeg',9730,'news/10.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(354,0,'11','11',9,'image/jpeg',9730,'news/11.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(355,0,'12','12',9,'image/jpeg',9730,'news/12.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(356,0,'13','13',9,'image/jpeg',9730,'news/13.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(357,0,'14','14',9,'image/jpeg',9730,'news/14.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(358,0,'15','15',9,'image/jpeg',9730,'news/15.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(359,0,'16','16',9,'image/jpeg',9730,'news/16.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(360,0,'2','2',9,'image/jpeg',9730,'news/2.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(361,0,'3','3',9,'image/jpeg',9730,'news/3.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(362,0,'4','4',9,'image/jpeg',9730,'news/4.jpg','[]','2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(363,0,'5','5',9,'image/jpeg',9730,'news/5.jpg','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(364,0,'6','6',9,'image/jpeg',9730,'news/6.jpg','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(365,0,'7','7',9,'image/jpeg',9730,'news/7.jpg','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(366,0,'8','8',9,'image/jpeg',9730,'news/8.jpg','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(367,0,'9','9',9,'image/jpeg',9730,'news/9.jpg','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(368,0,'1','1',10,'image/png',9730,'teams/1.png','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(369,0,'2','2',10,'image/png',9730,'teams/2.png','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(370,0,'3','3',10,'image/png',9730,'teams/3.png','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(371,0,'4','4',10,'image/png',9730,'teams/4.png','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(372,0,'5','5',10,'image/png',9730,'teams/5.png','[]','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(373,0,'business','business',11,'image/png',664,'business-services/business.png','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(374,0,'enterprise','enterprise',11,'image/png',1165,'business-services/enterprise.png','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(375,0,'free','free',11,'image/png',1302,'business-services/free.png','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(376,0,'standard','standard',11,'image/png',1750,'business-services/standard.png','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(377,0,'1','1',12,'image/jpeg',9730,'customers/1.jpg','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(378,0,'10','10',12,'image/jpeg',9730,'customers/10.jpg','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(379,0,'2','2',12,'image/jpeg',9730,'customers/2.jpg','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(380,0,'3','3',12,'image/jpeg',9730,'customers/3.jpg','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(381,0,'4','4',12,'image/jpeg',9730,'customers/4.jpg','[]','2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(382,0,'5','5',12,'image/jpeg',9730,'customers/5.jpg','[]','2024-01-07 22:01:20','2024-01-07 22:01:20',NULL),(383,0,'6','6',12,'image/jpeg',9730,'customers/6.jpg','[]','2024-01-07 22:01:20','2024-01-07 22:01:20',NULL),(384,0,'7','7',12,'image/jpeg',9730,'customers/7.jpg','[]','2024-01-07 22:01:20','2024-01-07 22:01:20',NULL),(385,0,'8','8',12,'image/jpeg',9730,'customers/8.jpg','[]','2024-01-07 22:01:20','2024-01-07 22:01:20',NULL),(386,0,'9','9',12,'image/jpeg',9730,'customers/9.jpg','[]','2024-01-07 22:01:20','2024-01-07 22:01:20',NULL);
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'general',NULL,'general',0,'2024-01-07 22:00:51','2024-01-07 22:00:51',NULL),(2,0,'accounts',NULL,'accounts',0,'2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(3,0,'icons',NULL,'icons',0,'2024-01-07 22:00:59','2024-01-07 22:00:59',NULL),(4,0,'logo',NULL,'logo',0,'2024-01-07 22:01:01','2024-01-07 22:01:01',NULL),(5,0,'product-categories',NULL,'product-categories',0,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(6,0,'brands',NULL,'brands',0,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(7,0,'products',NULL,'products',0,'2024-01-07 22:01:02','2024-01-07 22:01:02',NULL),(8,0,'testimonials',NULL,'testimonials',0,'2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(9,0,'news',NULL,'news',0,'2024-01-07 22:01:17','2024-01-07 22:01:17',NULL),(10,0,'teams',NULL,'teams',0,'2024-01-07 22:01:18','2024-01-07 22:01:18',NULL),(11,0,'business-services',NULL,'business-services',0,'2024-01-07 22:01:19','2024-01-07 22:01:19',NULL),(12,0,'customers',NULL,'customers',0,'2024-01-07 22:01:19','2024-01-07 22:01:19',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,5,'footer-bottom-menu','2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,6,'footer-menu','2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,7,'footer-menu','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,'#',NULL,0,'Home',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,1,1,NULL,NULL,'/','fi fi-rr-home',0,'Homepage 1',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,1,1,2,'Botble\\Page\\Models\\Page','/homepage-2','fi fi-rr-home',1,'Homepage 2',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,1,1,3,'Botble\\Page\\Models\\Page','/homepage-3','fi fi-rr-home',2,'Homepage 3',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(5,1,1,4,'Botble\\Page\\Models\\Page','/homepage-4','fi fi-rr-home',3,'Homepage 4',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(6,1,1,5,'Botble\\Page\\Models\\Page','/homepage-5','fi fi-rr-home',4,'Homepage 5',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(7,1,1,6,'Botble\\Page\\Models\\Page','/homepage-6','fi fi-rr-home',5,'Homepage 6',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(8,1,1,7,'Botble\\Page\\Models\\Page','/homepage-7','fi fi-rr-home',6,'Homepage 7',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(9,1,1,8,'Botble\\Page\\Models\\Page','/homepage-8','fi fi-rr-home',7,'Homepage 8',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(10,1,1,9,'Botble\\Page\\Models\\Page','/homepage-9','fi fi-rr-home',8,'Homepage 9',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(11,1,1,10,'Botble\\Page\\Models\\Page','/homepage-10','fi fi-rr-home',9,'Homepage 10',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(12,1,1,11,'Botble\\Page\\Models\\Page','/homepage-11','fi fi-rr-home',10,'Homepage 11',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(13,1,1,12,'Botble\\Page\\Models\\Page','/homepage-12','fi fi-rr-home',11,'Homepage 12',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(14,1,0,NULL,NULL,'#',NULL,1,'Company',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(15,1,14,17,'Botble\\Page\\Models\\Page','/services',NULL,0,'Our Service',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(16,1,14,21,'Botble\\Page\\Models\\Page','/term-and-conditions',NULL,1,'Term and Conditions',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(17,1,14,19,'Botble\\Page\\Models\\Page','/pricing',NULL,2,'Pricing Plan',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(18,1,14,20,'Botble\\Page\\Models\\Page','/teams',NULL,3,'Meet Our Team',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(19,1,14,18,'Botble\\Page\\Models\\Page','/help-center',NULL,4,'Help Center',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(20,1,0,NULL,NULL,'#',NULL,2,'Career',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(21,1,20,24,'Botble\\Page\\Models\\Page','/career-listing',NULL,0,'Career Listing',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(22,1,20,NULL,NULL,'/careers/senior-full-stack-engineer-creator-success-full-time',NULL,1,'Career Details',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(23,1,0,NULL,NULL,'#',NULL,3,'Pages',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(24,1,23,13,'Botble\\Page\\Models\\Page','/about-us',NULL,0,'About Us',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(25,1,23,15,'Botble\\Page\\Models\\Page','/contact',NULL,1,'Contact',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(26,1,23,16,'Botble\\Page\\Models\\Page','/coming-soon',NULL,2,'Coming Soon',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(27,1,0,NULL,NULL,'#',NULL,4,'Blog',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(28,1,27,14,'Botble\\Page\\Models\\Page','/blog',NULL,0,'Blog listing',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(29,1,27,NULL,NULL,'/blog/the-top-2020-handbag-trends-to-know',NULL,1,'Blog detail',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(30,1,0,NULL,NULL,'#',NULL,5,'Products',NULL,'_self',1,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(31,1,30,NULL,NULL,'/products',NULL,0,'Product listing',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(32,1,30,NULL,NULL,'/products/dual-camera-20mp-digital',NULL,1,'Product detail',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(33,2,0,NULL,NULL,'/',NULL,0,'Mission & Vision',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(34,2,0,20,'Botble\\Page\\Models\\Page','/teams',NULL,1,'Our Team',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(35,2,0,NULL,NULL,'/',NULL,2,'Press & Media',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(36,2,0,NULL,NULL,'/',NULL,3,'Advertising',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(37,2,0,NULL,NULL,'/',NULL,4,'Testimonials',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(38,3,0,18,'Botble\\Page\\Models\\Page','/help-center',NULL,0,'FAQs',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(39,3,0,NULL,NULL,'/',NULL,1,'Editor Help',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(40,3,0,NULL,NULL,'/',NULL,2,'Community',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(41,3,0,NULL,NULL,'/',NULL,3,'Live Chatting',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(42,3,0,15,'Botble\\Page\\Models\\Page','/contact',NULL,4,'Contact Us',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(43,3,0,18,'Botble\\Page\\Models\\Page','/help-center',NULL,5,'Support Center',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(44,4,0,NULL,NULL,'/',NULL,0,'Request an offer',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(45,4,0,NULL,NULL,'/',NULL,1,'How it works',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(46,4,0,19,'Botble\\Page\\Models\\Page','/pricing',NULL,2,'Pricing',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(47,4,0,NULL,NULL,'/',NULL,3,'Reviews',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(48,4,0,NULL,NULL,'/',NULL,4,'Stories',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(49,5,0,23,'Botble\\Page\\Models\\Page','/privacy-policy',NULL,0,'Privacy policy',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(50,5,0,22,'Botble\\Page\\Models\\Page','/cookie-policy',NULL,1,'Cookies',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(51,5,0,21,'Botble\\Page\\Models\\Page','/term-and-conditions',NULL,2,'Terms of service',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(52,6,0,NULL,NULL,'/',NULL,0,'Project management',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(53,6,0,NULL,NULL,'/',NULL,1,'Solutions',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(54,6,0,NULL,NULL,'/',NULL,2,'Customers',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(55,6,0,14,'Botble\\Page\\Models\\Page','/blog',NULL,3,'News & Events',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(56,6,0,NULL,NULL,'/',NULL,4,'Careers',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(57,6,0,18,'Botble\\Page\\Models\\Page','/help-center',NULL,5,'Support',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(58,7,0,NULL,NULL,'/',NULL,0,'Project software',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(59,7,0,NULL,NULL,'/',NULL,1,'Resource software',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(60,7,0,NULL,NULL,'/',NULL,2,'Workflow automation',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(61,7,0,NULL,NULL,'/',NULL,3,'Gantt chart makers',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(62,7,0,NULL,NULL,'/',NULL,4,'Project dashboards',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19'),(63,7,0,NULL,NULL,'/',NULL,5,'Task software',NULL,'_self',0,'2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,'About Us','about-us','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,'Support','support','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,'Useful links','useful-links','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(5,'Footer bottom menu','footer-bottom-menu','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(6,'Resources','resources','published','2024-01-07 22:01:19','2024-01-07 22:01:19'),(7,'We offer','we-offer','published','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'header_breadcrumb_style','[\"default\"]',22,'Botble\\Page\\Models\\Page','2024-01-07 22:01:01','2024-01-07 22:01:01'),(2,'header_breadcrumb_style','[\"default\"]',23,'Botble\\Page\\Models\\Page','2024-01-07 22:01:01','2024-01-07 22:01:01'),(3,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',1,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(4,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',2,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(5,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',3,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(6,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',4,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(7,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',5,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(8,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',6,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(9,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',7,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(10,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',8,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(11,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',9,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(12,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',10,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(13,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',11,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(14,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',12,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(15,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',13,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(16,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',14,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(17,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',15,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(18,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',16,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(19,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',17,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(20,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',18,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(21,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',19,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(22,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',20,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(23,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',21,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(24,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',22,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(25,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',23,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(26,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',24,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(27,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',25,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(28,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',26,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(29,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',27,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(30,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',28,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(31,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',29,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(32,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',30,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(33,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',31,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(34,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',32,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(35,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',33,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(36,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',34,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(37,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',35,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(38,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',36,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(39,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',37,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(40,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',38,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(41,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',39,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(42,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',40,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(43,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',41,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(44,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',42,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(45,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',43,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(46,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',44,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(47,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',45,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(48,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',46,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(49,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',47,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(50,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',48,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(51,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',49,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(52,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',50,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(53,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',51,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:12','2024-01-07 22:01:12'),(54,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',52,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(55,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',53,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(56,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',54,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(57,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',55,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(58,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',56,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(59,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',57,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(60,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',58,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(61,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',59,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(62,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',60,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(63,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',61,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(64,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',62,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(65,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',63,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(66,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',64,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(67,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',65,'Botble\\Ecommerce\\Models\\Product','2024-01-07 22:01:13','2024-01-07 22:01:13'),(68,'title','[\"Satisfied client testimonial\"]',1,'Botble\\Testimonial\\Models\\Testimonial','2024-01-07 22:01:17','2024-01-07 22:01:17'),(69,'title','[\"98% of residents recommend us\"]',2,'Botble\\Testimonial\\Models\\Testimonial','2024-01-07 22:01:17','2024-01-07 22:01:17'),(70,'title','[\"Our success stories\"]',3,'Botble\\Testimonial\\Models\\Testimonial','2024-01-07 22:01:17','2024-01-07 22:01:17'),(71,'title','[\"This is simply unbelievable\"]',4,'Botble\\Testimonial\\Models\\Testimonial','2024-01-07 22:01:17','2024-01-07 22:01:17'),(72,'description','[\"Quo velit dolores et et sapiente perferendis veniam consequatur. Iste voluptate molestiae quia.\"]',1,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(73,'description','[\"Et et temporibus tempore assumenda perspiciatis repudiandae sed.\"]',2,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(74,'description','[\"A numquam eum eius. Laboriosam magni qui labore.\"]',3,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(75,'description','[\"Impedit dolorem optio est cupiditate minima odit a. Quia quae et corrupti dicta.\"]',4,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(76,'description','[\"Ut eum quae cupiditate autem nihil architecto ut facere.\"]',5,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(77,'description','[\"Id in velit modi sunt. Quia minus ipsam aut incidunt.\"]',6,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(78,'description','[\"Cumque veniam voluptas velit esse totam ex.\"]',7,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(79,'description','[\"Sunt dicta eos enim natus animi. Ea voluptatibus voluptas nostrum quis sequi.\"]',8,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(80,'description','[\"Quam ut non necessitatibus natus ex et. Et enim sapiente unde.\"]',9,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(81,'description','[\"Et impedit animi ut tenetur est tempora.\"]',10,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(82,'description','[\"Cumque facilis vero voluptatem cupiditate placeat laborum. Ut voluptas rerum non similique.\"]',11,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(83,'description','[\"Enim similique veniam magni et fugit.\"]',12,'Botble\\Team\\Models\\Team','2024-01-07 22:01:18','2024-01-07 22:01:18'),(84,'image','[\"general\\/job-details-thumb.png\"]',1,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(85,'icon','[\"icons\\/icon1.png\"]',1,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(86,'apply_url','[\"\\/contact\"]',1,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(87,'image','[\"general\\/job-details-thumb.png\"]',2,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(88,'icon','[\"icons\\/icon2.png\"]',2,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(89,'apply_url','[\"\\/contact\"]',2,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(90,'image','[\"general\\/job-details-thumb.png\"]',3,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(91,'icon','[\"icons\\/icon3.png\"]',3,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(92,'apply_url','[\"\\/contact\"]',3,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(93,'image','[\"general\\/job-details-thumb.png\"]',4,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(94,'icon','[\"icons\\/icon4.png\"]',4,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:18','2024-01-07 22:01:18'),(95,'apply_url','[\"\\/contact\"]',4,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(96,'image','[\"general\\/job-details-thumb.png\"]',5,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(97,'icon','[\"icons\\/icon5.png\"]',5,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(98,'apply_url','[\"\\/contact\"]',5,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(99,'image','[\"general\\/job-details-thumb.png\"]',6,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(100,'icon','[\"icons\\/icon6.png\"]',6,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(101,'apply_url','[\"\\/contact\"]',6,'ArchiElite\\Career\\Models\\Career','2024-01-07 22:01:19','2024-01-07 22:01:19'),(102,'icon','[\"icons\\/cross-platform.png\"]',1,'Botble\\BusinessService\\Models\\ServiceCategory','2024-01-07 22:01:19','2024-01-07 22:01:19'),(103,'icon','[\"icons\\/brand-identity.png\"]',2,'Botble\\BusinessService\\Models\\ServiceCategory','2024-01-07 22:01:19','2024-01-07 22:01:19'),(104,'icon','[\"icons\\/social-media.png\"]',3,'Botble\\BusinessService\\Models\\ServiceCategory','2024-01-07 22:01:19','2024-01-07 22:01:19'),(105,'icon','[\"icons\\/business.png\"]',4,'Botble\\BusinessService\\Models\\ServiceCategory','2024-01-07 22:01:19','2024-01-07 22:01:19'),(106,'icon','[\"icons\\/creation.png\"]',5,'Botble\\BusinessService\\Models\\ServiceCategory','2024-01-07 22:01:19','2024-01-07 22:01:19'),(107,'icon','[\"business-services\\/free.png\"]',1,'Botble\\BusinessService\\Models\\Package','2024-01-07 22:01:19','2024-01-07 22:01:19'),(108,'icon','[\"business-services\\/standard.png\"]',2,'Botble\\BusinessService\\Models\\Package','2024-01-07 22:01:19','2024-01-07 22:01:19'),(109,'icon','[\"business-services\\/business.png\"]',3,'Botble\\BusinessService\\Models\\Package','2024-01-07 22:01:19','2024-01-07 22:01:19'),(110,'icon','[\"business-services\\/enterprise.png\"]',4,'Botble\\BusinessService\\Models\\Package','2024-01-07 22:01:19','2024-01-07 22:01:19'),(111,'child_style','[\"two_col\"]',1,'Botble\\Menu\\Models\\MenuNode','2024-01-07 22:01:19','2024-01-07 22:01:19'),(112,'child_style','[\"hr_per_2_child\"]',14,'Botble\\Menu\\Models\\MenuNode','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2016_06_10_230148_create_acl_tables',1),(6,'2016_06_14_230857_create_menus_table',1),(7,'2016_06_28_221418_create_pages_table',1),(8,'2016_10_05_074239_create_setting_table',1),(9,'2016_11_28_032840_create_dashboard_widget_tables',1),(10,'2016_12_16_084601_create_widgets_table',1),(11,'2017_05_09_070343_create_media_tables',1),(12,'2017_11_03_070450_create_slug_table',1),(13,'2019_01_05_053554_create_jobs_table',1),(14,'2019_08_19_000000_create_failed_jobs_table',1),(15,'2019_12_14_000001_create_personal_access_tokens_table',1),(16,'2022_04_20_100851_add_index_to_media_table',1),(17,'2022_04_20_101046_add_index_to_menu_table',1),(18,'2022_07_10_034813_move_lang_folder_to_root',1),(19,'2022_08_04_051940_add_missing_column_expires_at',1),(20,'2022_09_01_000001_create_admin_notifications_tables',1),(21,'2022_10_14_024629_drop_column_is_featured',1),(22,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(23,'2022_12_02_093615_update_slug_index_columns',1),(24,'2023_01_30_024431_add_alt_to_media_table',1),(25,'2023_02_16_042611_drop_table_password_resets',1),(26,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(27,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(28,'2023_08_03_041207_remove_unused_plugins',1),(29,'2023_08_06_070140_fix_shortcode_name',1),(30,'2019_06_24_211801_create_career_table',2),(31,'2021_12_04_095357_create_careers_translations_table',2),(32,'2023_09_20_050420_add_missing_translation_column',2),(33,'2023_07_25_072632_create_business_services_tables',3),(34,'2023_08_09_035520_activate_business_services_plugin',1),(35,'2023_08_10_030324_migrate_old_shortcodes',1),(36,'2023_08_21_090810_make_page_content_nullable',1),(37,'2023_09_14_021936_update_index_for_slugs_table',1),(38,'2023_12_06_100448_change_random_hash_for_media',1),(39,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(40,'2023_12_17_162208_make_sure_column_color_in_media_folders_nullable',1),(41,'2024_01_07_072057_update_theme_option_for_login_page',1),(42,'2023_08_11_060908_create_announcements_table',4),(43,'2015_06_29_025744_create_audit_history',5),(44,'2023_11_14_033417_change_request_column_in_table_audit_histories',5),(45,'2015_06_18_033822_create_blog_table',6),(46,'2021_02_16_092633_remove_default_value_for_author_type',6),(47,'2021_12_03_030600_create_blog_translations',6),(48,'2022_04_19_113923_add_index_to_table_posts',6),(49,'2023_08_29_074620_make_column_author_id_nullable',6),(50,'2016_06_17_091537_create_contacts_table',7),(51,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',7),(52,'2020_03_05_041139_create_ecommerce_tables',8),(53,'2021_01_01_044147_ecommerce_create_flash_sale_table',8),(54,'2021_01_17_082713_add_column_is_featured_to_product_collections_table',8),(55,'2021_01_18_024333_add_zip_code_into_table_customer_addresses',8),(56,'2021_02_18_073505_update_table_ec_reviews',8),(57,'2021_03_10_024419_add_column_confirmed_at_to_table_ec_customers',8),(58,'2021_03_10_025153_change_column_tax_amount',8),(59,'2021_03_20_033103_add_column_availability_to_table_ec_products',8),(60,'2021_04_28_074008_ecommerce_create_product_label_table',8),(61,'2021_05_31_173037_ecommerce_create_ec_products_translations',8),(62,'2021_08_17_105016_remove_column_currency_id_in_some_tables',8),(63,'2021_08_30_142128_add_images_column_to_ec_reviews_table',8),(64,'2021_10_04_030050_add_column_created_by_to_table_ec_products',8),(65,'2021_10_05_122616_add_status_column_to_ec_customers_table',8),(66,'2021_11_03_025806_nullable_phone_number_in_ec_customer_addresses',8),(67,'2021_11_23_071403_correct_languages_for_product_variations',8),(68,'2021_11_28_031808_add_product_tags_translations',8),(69,'2021_12_01_031123_add_featured_image_to_ec_products',8),(70,'2022_01_01_033107_update_table_ec_shipments',8),(71,'2022_02_16_042457_improve_product_attribute_sets',8),(72,'2022_03_22_075758_correct_product_name',8),(73,'2022_04_19_113334_add_index_to_ec_products',8),(74,'2022_04_28_144405_remove_unused_table',8),(75,'2022_05_05_115015_create_ec_customer_recently_viewed_products_table',8),(76,'2022_05_18_143720_add_index_to_table_ec_product_categories',8),(77,'2022_06_16_095633_add_index_to_some_tables',8),(78,'2022_06_30_035148_create_order_referrals_table',8),(79,'2022_07_24_153815_add_completed_at_to_ec_orders_table',8),(80,'2022_08_14_032836_create_ec_order_returns_table',8),(81,'2022_08_14_033554_create_ec_order_return_items_table',8),(82,'2022_08_15_040324_add_billing_address',8),(83,'2022_08_30_091114_support_digital_products_table',8),(84,'2022_09_13_095744_create_options_table',8),(85,'2022_09_13_104347_create_option_value_table',8),(86,'2022_10_05_163518_alter_table_ec_order_product',8),(87,'2022_10_12_041517_create_invoices_table',8),(88,'2022_10_12_142226_update_orders_table',8),(89,'2022_10_13_024916_update_table_order_returns',8),(90,'2022_10_21_030830_update_columns_in_ec_shipments_table',8),(91,'2022_10_28_021046_update_columns_in_ec_shipments_table',8),(92,'2022_11_16_034522_update_type_column_in_ec_shipping_rules_table',8),(93,'2022_11_19_041643_add_ec_tax_product_table',8),(94,'2022_12_12_063830_update_tax_defadult_in_ec_tax_products_table',8),(95,'2022_12_17_041532_fix_address_in_order_invoice',8),(96,'2022_12_26_070329_create_ec_product_views_table',8),(97,'2023_01_04_033051_fix_product_categories',8),(98,'2023_01_09_050400_add_ec_global_options_translations_table',8),(99,'2023_01_10_093754_add_missing_option_value_id',8),(100,'2023_01_17_082713_add_column_barcode_and_cost_per_item_to_product_table',8),(101,'2023_01_26_021854_add_ec_customer_used_coupons_table',8),(102,'2023_02_08_015900_update_options_column_in_ec_order_product_table',8),(103,'2023_02_27_095752_remove_duplicate_reviews',8),(104,'2023_03_20_115757_add_user_type_column_to_ec_shipment_histories_table',8),(105,'2023_04_21_082427_create_ec_product_categorizables_table',8),(106,'2023_05_03_011331_add_missing_column_price_into_invoice_items_table',8),(107,'2023_05_17_025812_fix_invoice_issue',8),(108,'2023_05_26_073140_move_option_make_phone_field_optional_at_checkout_page_to_mandatory_fields',8),(109,'2023_05_27_144611_fix_exchange_rate_setting',8),(110,'2023_06_22_084331_add_generate_license_code_to_ec_products_table',8),(111,'2023_06_30_042512_create_ec_order_tax_information_table',8),(112,'2023_07_14_022724_remove_column_id_from_ec_product_collection_products',8),(113,'2023_08_09_012940_remove_column_status_in_ec_product_attributes',8),(114,'2023_08_15_064505_create_ec_tax_rules_table',8),(115,'2023_08_21_021819_make_column_address_in_ec_customer_addresses_nullable',8),(116,'2023_08_22_094114_drop_unique_for_barcode',8),(117,'2023_08_30_031811_add_apply_via_url_column_to_ec_discounts_table',8),(118,'2023_09_07_094312_add_index_to_product_sku_and_translations',8),(119,'2023_09_19_024955_create_discount_product_categories_table',8),(120,'2023_10_17_070728_add_icon_and_icon_image_to_product_categories_table',8),(121,'2023_11_22_154643_add_unique_in_table_ec_products_variations',8),(122,'2023_11_27_032313_add_price_columns_to_ec_product_cross_sale_relations_table',8),(123,'2023_12_06_023945_add_display_on_checkout_column_to_ec_discounts_table',8),(124,'2023_12_25_040604_ec_create_review_replies_table',8),(125,'2023_12_26_090340_add_private_notes_column_to_ec_customers_table',8),(126,'2018_07_09_221238_create_faq_table',9),(127,'2021_12_03_082134_create_faq_translations',9),(128,'2023_11_17_063408_add_description_column_to_faq_categories_table',9),(129,'2016_10_03_032336_create_languages_table',10),(130,'2023_09_14_022423_add_index_for_language_table',10),(131,'2021_10_25_021023_fix-priority-load-for-language-advanced',11),(132,'2021_12_03_075608_create_page_translations',11),(133,'2023_07_06_011444_create_slug_translations_table',11),(134,'2019_11_18_061011_create_country_table',12),(135,'2021_12_03_084118_create_location_translations',12),(136,'2021_12_03_094518_migrate_old_location_data',12),(137,'2021_12_10_034440_switch_plugin_location_to_use_language_advanced',12),(138,'2022_01_16_085908_improve_plugin_location',12),(139,'2022_08_04_052122_delete_location_backup_tables',12),(140,'2023_04_23_061847_increase_state_translations_abbreviation_column',12),(141,'2023_07_26_041451_add_more_columns_to_location_table',12),(142,'2023_07_27_041451_add_more_columns_to_location_translation_table',12),(143,'2023_08_15_073307_drop_unique_in_states_cities_translations',12),(144,'2023_10_21_065016_make_state_id_in_table_cities_nullable',12),(145,'2017_10_24_154832_create_newsletter_table',13),(146,'2017_05_18_080441_create_payment_tables',14),(147,'2021_03_27_144913_add_customer_type_into_table_payments',14),(148,'2021_05_24_034720_make_column_currency_nullable',14),(149,'2021_08_09_161302_add_metadata_column_to_payments_table',14),(150,'2021_10_19_020859_update_metadata_field',14),(151,'2022_06_28_151901_activate_paypal_stripe_plugin',14),(152,'2022_07_07_153354_update_charge_id_in_table_payments',14),(153,'2022_11_02_092723_team_create_team_table',15),(154,'2023_08_11_094574_update_team_table',15),(155,'2023_11_30_085354_add_missing_description_to_team',15),(156,'2018_07_09_214610_create_testimonial_table',16),(157,'2021_12_03_083642_create_testimonials_translations',16),(158,'2016_10_07_193005_create_translations_table',17),(159,'2023_12_12_105220_drop_translations_table',17);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Homepage 1','<div>[hero-banner title=\"The data layer between your {{ business }} and its potential.\" subtitle=\"Optimize write performance with a document data model that maps to your application’s access patterns. Meet a wide range of query requirements via a single query API that supports everything from simple lookups to complex processing pipelines for data analytics and transformations.\" banner_primary=\"general/hero-banner.png\" button_primary_label=\"Download App\" button_primary_url=\"/app\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\"][/hero-banner]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories. Join them. Elevate your testing.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-1\"][/featured-brands]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" button_secondary_label=\"Learn more\" service_ids=\"1,2,3,4,5,6\" style=\"style-1\"][/services]</div><div>[intro-video title=\"Integrate with over 1,000 project management apps\" image=\"general/intro-video.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=oRI37cOPBQQ\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"pricing\" style=\"style-1\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" button_primary_label=\"Contact Us\" button_primary_url=\"contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"contact\" image=\"general/bg-faqs.png\" faq_category_ids=\"1,2,3,4\"][/faqs]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend\" image=\"general/plants-1.png\" limit=\"4\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"blog\" type=\"featured\" limit=\"5\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(2,'Homepage 2','<div>[hero-banner title=\"Iori dashboard will help your payments fast and secure\" subtitle=\"Social media networks are open to all. Social media is typically used for social interaction and access to news and information, and decision making.\" banner_primary=\"general/banner.png\" button_secondary_label=\"Learn more\" platform_google_play_logo=\"general/appstore-btn.png\" platform_apple_store_logo=\"general/google-play-btn.png\" style=\"style-2\"][/hero-banner]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-2\"][/featured-brands]</div><div>[why-choose-us title=\"See why we are trusted the world over\" subtitle=\"Why choose us?\" description=\"Necessary to deliver white glove, fully managed campaigns that surpass industry benchmarks.Take your career to next level. Apply to our team and see what we can do together. You’re good enough. Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature Id pro doctus mediocrem erroribus, diam nostro sed cu. Ea pri graeco tritani partiendo. Omittantur No tale choro fastidii his, pri cu epicuri perpetua. Enim dictas omittantur et duo, vocent lucilius quaestio mea ex. Ex illum officiis id\" button_primary_label=\"Download App\" button_primary_url=\"/app\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469k\" title_2=\" Happy Clients\" data_2=\"5000+\" color_2=\"bg-brand-2\" title_3=\" Project Done\" data_3=\"756+\" color_3=\"bg-2\" title_4=\"Client Satisfaction\" data_4=\"100%\" color_4=\"bg-4\"][/why-choose-us]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"logo/finger.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"/pricing\" style=\"style-1\" package_ids=\"1,2,4\"][/pricing-plan]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend\" image=\"general/customer.png\" limit=\"4\" style=\"style-2\"][/testimonials]</div><div>[get-in-touch title=\"Want to talk to a marketing expert?\" subtitle=\"Get In Touch\" description=\"You need to create an account to find the best and preferred job. lorem Ipsum is simply dummy text of the printing and typesetting industry the standard dummy text ever took.\" image=\"general/img-marketing.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aeneas velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div><div>[how-to-start title=\"Bring your target users together on social media\" subtitle=\"How to start ?\" image=\"general/banner-how-to-start.png\" image_icon_primary=\"icons/certify.png\" image_icon_secondary=\"icons/fly.png\" quantity=\"3\" title_1=\"Create an account\" description_1=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_2=\"Build your founding team\" description_2=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_3=\"Launch and Scale\" description_3=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\"][/how-to-start]</div><div>[marketing-features title=\"Take your social media marketing prowess to the next level\" quantity=\"6\" title_1=\"Cross-Platform\" icon_image_1=\"icons/cross-platform.png\" description_1=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_1=\"Learn More\" url_1=\"/contact\" type_1=\"enterprise\" title_2=\"Social Media\" icon_image_2=\"icons/cross-platform.png\" description_2=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe\" label_2=\"Learn More\" url_2=\"/contact\" type_2=\"personal\" title_3=\"Brand Identity\" icon_image_3=\"icons/social-media.png\" description_3=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_3=\"Learn More\" url_3=\"/contact\" type_3=\"enterprise\" title_4=\"Customer Service\" icon_image_4=\"icons/trial-plan.png\" description_4=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_4=\"Learn More\" url_4=\"/contact\" type_4=\"personal\" title_5=\"Social advertising\" icon_image_5=\"icons/standard.png\" description_5=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_5=\"Learn More\" url_5=\"/contact\" type_5=\"personal\" title_6=\"Content creation\" icon_image_6=\"icons/business.png\" description_6=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_6=\"Learn More\" url_6=\"/contact\" type_6=\"enterprise\"][/marketing-features]</div><div>[what-we-do title=\"We facilitate the creation of strategy and design\" subtitle=\"What We Do, What You Get\" button_primary_label=\"Download App\" button_primary_url=\"/contact\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"5\" title_1=\"Smart Installation Tools\" icon_image_1=\"icons/we-do.png\" description_1=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_1=\"Learn More\" url_1=\"/contact\" title_2=\"Manage budgets and resources\" icon_image_2=\"icons/case-study.png\" description_2=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_2=\"Learn More\" url_2=\"/contact\" title_3=\" Employee Assessments\" icon_image_3=\"icons/write.png\" description_3=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_3=\"Learn More\" url_3=\"/contact\" title_4=\" Collaborative to the core.\" icon_image_4=\"icons/user.png\" description_4=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_4=\"Learn More\" url_4=\"/contact\" title_5=\" Unlimited ways to work\" icon_image_5=\"icons/unlimited.png\" description_5=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_5=\"Learn More\" url_5=\"/contact\"][/what-we-do]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(3,'Homepage 3','<div>[hero-banner title=\"Grow your online business now\" subtitle=\"Get Started\" banner_primary=\"general/banner-homepage-3.png\" banner_image_1=\"general/chart2.png\" banner_image_2=\"general/chart1.png\" banner_image_3=\"general/chart.png\" button_primary_label=\"Play Video\" button_primary_url=\"contact\" style=\"style-3\"][/hero-banner]</div><div>[featured-brands quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-3\"][/featured-brands]</div><div>[what-we-do title=\"We facilitate the creation of strategy and design\" subtitle=\"What We Do, What You Get\" button_primary_label=\"Download App\" button_primary_url=\"/contact\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"5\" title_1=\"Smart Installation Tools\" icon_image_1=\"icons/we-do.png\" description_1=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_1=\"Learn More\" url_1=\"/contact\" title_2=\"Manage budgets and resources\" icon_image_2=\"icons/case-study.png\" description_2=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_2=\"Learn More\" url_2=\"/contact\" title_3=\" Employee Assessments\" icon_image_3=\"icons/write.png\" description_3=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_3=\"Learn More\" url_3=\"/contact\" title_4=\" Collaborative to the core.\" icon_image_4=\"icons/user.png\" description_4=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_4=\"Learn More\" url_4=\"/contact\" title_5=\" Unlimited ways to work\" icon_image_5=\"icons/unlimited.png\" description_5=\"Your site is not complete with only landings. Get essential inner pages using our ready demos.\" label_5=\"Learn More\" url_5=\"/contact\"][/what-we-do]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"255\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"756\" unit_3=\"K\" title_4=\"Global branch\" data_4=\"120\"][/site-statistics]</div><div>[how-it-work title=\"Grow your online business now\" subtitle=\"How it work\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go. \" button_primary_label=\"Download App\" button_primary_url=\"/app\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"8\" title_1=\"Cross-Platform\" description_1=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" icon_image_1=\"icons/cross-platform.png\" label_1=\"Learn More\" url_1=\"/contact\" display_1=\"show_full\" title_2=\"Social Media\" description_2=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" icon_image_2=\"icons/social-media.png\" label_2=\"Learn More\" url_2=\"/contact\" display_2=\"show_full\" title_3=\"Certification\" icon_image_3=\"icons/certification.png\" url_3=\"/contact\" display_3=\"show_title\" title_4=\"Conference\" icon_image_4=\"icons/conference.png\" url_4=\"/contact\" display_4=\"show_title\" title_5=\"Research\" icon_image_5=\"icons/research.png\" url_5=\"/contact\" display_5=\"show_title\" title_6=\"Dispersal\" icon_image_6=\"icons/cross-platform.png\" url_6=\"/contact\" display_6=\"show_title\" title_7=\"Enterprise\" icon_image_7=\"icons/research.png\" url_7=\"/contact\" display_7=\"show_title\" title_8=\"Team Building\" icon_image_8=\"general/img-marketing.png\" url_8=\"/contact\" display_8=\"show_title\"][/how-it-work]</div><div>[testimonials title=\"What our clients say about us\" subtitle=\"Testimonials\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" limit=\"4\" style=\"style-3\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(4,'Homepage 4','<div>[hero-banner title=\"Start for free Pay as you Grow\" subtitle=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" platform_google_play_logo=\"general/google.png\" platform_google_play_url=\"https://play.google.com/store/games\" platform_apple_store_logo=\"general/apple.png\" platform_apple_store_url=\"https://www.apple.com/vn/app-store/\" style=\"style-5\"][/hero-banner]</div><div>[featured-brands title=\"Loved By Developers Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-4\"][/featured-brands]</div><div>[branding-block title=\"Build your brand and reach out to social followers\" subtitle=\"Branding\" description=\"Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally, what you create, share or react to feeds into this public narrative. How you conduct yourself online is now just as important as your behavior offline especially when it comes to your digital marketing career.\" image=\"general/follower.png\" logo=\"icons/certify.png\" button_primary_label=\"Download App\" button_primary_url=\"https://www.apple.com/sg/app-store/\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"6\" title_1=\"Send & Schedule Posts\" title_2=\"Push Notification\" title_3=\"Online Visitors\" title_4=\"Live Chat Request\" title_5=\"Create fully integrated campaigns\" title_6=\"Directly send or schedule posts\"][/branding-block]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"255\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"756\" unit_3=\"K\" title_4=\"Global branch\" data_4=\"120\"][/site-statistics]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" button_primary_label=\"Download App\" button_primary_url=\"https://www.apple.com/sg/app-store/\" button_secondary_label=\"Learn more\" button_secondary_url=\"contact\" service_ids=\"1,2,3,4,5,6\" style=\"style-2\"][/services]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"pricing\" style=\"style-1\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" button_primary_label=\"Contact Us\" button_primary_url=\"contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"contact\" image=\"general/bg-faqs.png\" faq_category_ids=\"1,2,3,4\"][/faqs]</div><div>[intro-video title=\"Integrate with over 1,000 project management apps\" subtitle=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. \" image=\"general/img-video-2.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=oRI37cOPBQQ\" icon_image=\"icons/bg-plan.png\" style=\"style-2\"][/intro-video]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend\" image=\"general/customer.png\" limit=\"4\" style=\"style-2\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(5,'Homepage 5','<div>[hero-banner title=\"#1 Intelligence Software to Accelerate Your SaaS Sales\" subtitle=\"Great sales platform\" description=\"We’re lively, not corporate. We have the energy and boldness of a startup and the expertise and pragmatism of a scale-up. All in one place.\" top_description=\"Discover powerful features to boost your productivit. You are always welcome to visit our little den. Professional in teir craft! All products were super amazing with strong attension to details, comps and overall vibe.\" banner_primary=\"general/banner-homepage-5.png\" quantity=\"2\" title_1=\"Connected\" url_1=\"/contact\" image_1=\"icons/free.png\" description_1=\"We come together wherever we are – across time zones, regions, offices and screens. You will receive support from your teammates anytime and anywhere.\" title_2=\"Flexible\" url_2=\"/contact\" image_2=\"icons/identity.png\" description_2=\"We believe in your freedom to work when and how you work best, to help us all thrive. Only freedom and independent work can bring out the best in you.\" style=\"style-6\"][/hero-banner]</div><div>[featured-brands quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-5\"][/featured-brands]</div><div>[marketing-features title=\"Take your social media marketing prowess to the next level\" style=\"style-2\" quantity=\"6\" title_1=\"Cross-Platform\" icon_image_1=\"icons/cross-platform.png\" description_1=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_1=\"Learn More\" url_1=\"/contact\" type_1=\"enterprise\" title_2=\"Social Media\" icon_image_2=\"icons/cross-platform.png\" description_2=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe\" label_2=\"Learn More\" url_2=\"/contact\" type_2=\"personal\" title_3=\"Brand Identity\" icon_image_3=\"icons/social-media.png\" description_3=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_3=\"Learn More\" url_3=\"/contact\" type_3=\"enterprise\" title_4=\"Customer Service\" icon_image_4=\"icons/trial-plan.png\" description_4=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_4=\"Learn More\" url_4=\"/contact\" type_4=\"personal\" title_5=\"Social advertising\" icon_image_5=\"icons/standard.png\" description_5=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_5=\"Learn More\" url_5=\"/contact\" type_5=\"personal\" title_6=\"Content creation\" icon_image_6=\"icons/business.png\" description_6=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_6=\"Learn More\" url_6=\"/contact\" type_6=\"enterprise\"][/marketing-features]</div><div>[business-strategy title=\"Integrate with over 1,000 project management apps\" subtitle=\"Business\" image=\"general/img-project.png\" icon_image=\"general/chart-homepage-5.png\" description=\"Business\" quantity=\"6\" title_1=\"Happy Clients\" title_2=\"Project Done\" title_3=\"Global branch\" title_4=\"Create task dependencies\" title_5=\"hare files, discuss\" title_6=\"Track time spent on each project\" counter_number_1=\"17\" counter_label_1=\"Happy Clients\" counter_number_2=\"516\" counter_label_2=\"Project Done\" counter_number_3=\"68\" counter_label_3=\"Global branch\"][/business-strategy]</div><div>[grow-business title=\"Grow your online business now\" subtitle=\"Business\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go\" image=\"general/img-project2.png\" icon_image=\"logo/finger.png\" button_primary_label=\"Download App\" button_primary_url=\"/app\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\"][/grow-business]</div><div>[site-statistics title=\"See why we are trusted the world over\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"255\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"756\" unit_3=\"K\" title_4=\"Global branch\" data_4=\"120\"][/site-statistics]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"general/icons/bg-plan.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"/pricing\" style=\"style-2\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"blog\" type=\"featured\" limit=\"5\"][/from-our-blog]</div><div>[featured-services quantity=\"3\" title_1=\"Knowledge Base\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/document.png\" action_1=\"/contact\" label_1=\"Get Started\" title_2=\"Community Forums\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/forums.png\" action_2=\"/contact\" label_2=\"Get Started\" title_3=\"Documentation\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/knowledge.png\" action_3=\"/contact\" label_3=\"Get Started\"][/featured-services]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(6,'Homepage 6','<div>[hero-banner title=\"Innovative Solution to Move Your Business Forward\" subtitle=\"Think. Creative. Solve\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" banner_primary=\"general/banner-homepage-6.png\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" platform_google_play_logo=\"general/google.png\" platform_google_play_url=\"https://play.google.com/store\" platform_apple_store_logo=\"general/apple.png\" platform_apple_store_url=\"https://www.apple.com/store\" quantity=\"2\" image_1=\"general/testimonial.png\" image_2=\"general/testimonial1.png\" style=\"style-7\"][/hero-banner]</div><div>[featured-brands quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"yes\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\" style=\"style-5\"][/featured-brands]</div><div>[connect-with-us title=\"Crafting human connection through digital experience\" description=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" button_label=\"Contact Us\" button_url=\"/contact\" quantity=\"3\" title_1=\"Cross Platform\" image_1=\"general/connect-with-us-1.png\" description_1=\"Aut architecto consequatur sit error nemo sed dolorum suscipit 33 impedit dignissimos ut velit blanditiis qui quos magni id dolore dignissimos. Sit ipsa consectetur et sint harum et dicta consequuntur id cupiditate perferendis qui quisquam enim. Vel autem illo id error excepturi est dolorum voluptas qui maxime consequatur et culpa quibusdam in iusto vero sit amet Quis.\" title_2=\"Cross Platform\" image_2=\"general/connect-with-us-2.png\" description_2=\"Vel tenetur officiis ab reiciendis dolor aut quae doloremque est ipsum natus et consequatur animi aut sunt dolores ut quasi rerum. Aut velit velit id quasi velit eum reiciendis laudantium quo galisum incidunt aut velit animi hic temporibus blanditiis sit odit iure. Eum laborum dolores ea molestias fuga qui temporibus accusantium qui soluta aliquid ab vero soluta.\" title_3=\"Cross Platform\" image_3=\"general/connect-with-us-3.png\" description_3=\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature Id pro doctus mediocrem erroribus, diam nostro sed cu. Ea pri graeco tritani partiendo. Omittantur No tale choro fastidii his, pri cu epicuri perpetua. Enim dictas omittantur et duo, vocent lucilius quaestio mea ex. Ex illum officiis id.\"][/connect-with-us]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" button_primary_label=\"Download App\" button_primary_url=\"https://www.apple.com/sg/app-store/\" button_secondary_label=\"Learn more\" button_secondary_url=\"contact\" service_ids=\"1,2,3,4,5,6\" style=\"style-3\"][/services]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"pricing\" style=\"style-1\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[get-in-touch title=\"Want to talk to a marketing expert?\" subtitle=\"Get In Touch\" description=\"You need to create an account to find the best and preferred job. lorem Ipsum is simply dummy text of the printing and typesetting industry the standard dummy text ever took.\" image=\"general/img-marketing.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" faq_category_ids=\"1,2,3,4\" style=\"style-2\" quantity=\"3\" image_1=\"accounts/author.png\" image_2=\"accounts/author2.png\" image_3=\"accounts/author3.png\"][/faqs]</div><div>[featured-services quantity=\"3\" title_1=\"Knowledge Base\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/knowledge.png\" action_1=\"/contact\" label_1=\"Get Started\" title_2=\"Community Forums\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/forums.png\" action_2=\"/contact\" label_2=\"Get Started\" title_3=\"Documentation\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/document.png\" action_3=\"/contact\" label_3=\"Get Started\"][/featured-services]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(7,'Homepage 7','<div>[hero-banner title=\"We take care of your business to grow\" subtitle=\"Think. Creative. Solve\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" customer_ids=\"2,5\" customer_description=\"Join thousands of users in using the iori platform!\" quantity=\"6\" image_1=\"general/banner-homepage-7-1.png\" image_2=\"general/banner-homepage-7-2.png\" image_3=\"general/banner-homepage-7-3.png\" image_4=\"general/banner-homepage-7-4.png\" image_5=\"general/banner-homepage-7-5.png\" image_6=\"general/banner-homepage-7-6.png\" style=\"style-8\"][/hero-banner]</div><div>[featured-brands-with-counter title=\"See why we are trusted the world over\" quantity=\"6,6\" number_1=\"753\" name_1=\"Project Done\" number_2=\"100\" name_2=\"Global branch\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/4.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/6.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"yes\" title_5=\"Reedelsevier\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"yes\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"yes\"][/featured-brands-with-counter]</div><div>[technology-block block_left_title=\"Financial Management\" block_left_description=\"Track, manage, and control your expenses. The only financial management tool you’ll ever need.\" google_play_logo=\"general/google.png\" google_play_url=\"https://play.google.com/store\" apple_store_logo=\"general/apple.png\" apple_store_url=\"https://www.apple.com/store\" block_left_image=\"general/img-financial.png\" block_right_title=\"Automated Platform\" block_right_description=\"Synchronize and automate all your business in the cloud. Save time and effort, enjoy great vacations.\" button_label=\"Get Started Now\" button_url=\"/contact\" block_right_image=\"general/automated.png\"][/technology-block]</div><div>[how-to-start title=\"Bring your target users together on social media\" subtitle=\"IORI Business Platform\" image=\"general/banner-how-to-start.png\" image_icon_primary=\"icons/certify.png\" image_icon_secondary=\"icons/fly.png\" style=\"style-2\" quantity=\"3\" title_1=\"Create an account\" description_1=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_2=\"Build your founding team\" description_2=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_3=\"Launch and Scale\" description_3=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\"][/how-to-start]</div><div>[branding-block title=\"Business can also be simple\" subtitle=\"Automatic Tools\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" image=\"general/branding-image.png\" logo=\"general/testimonial1.png\" button_primary_label=\"Download App\" button_primary_url=\"https://play.google.com/store\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" counter_title=\"Happy Clients\" counter_data=\"25\" counter_unit=\"K+\" quantity=\"6\" title_1=\"Task tracking\" title_2=\"Task visualization\" title_3=\"Meet deadlines faster\" title_4=\"Create task dependencies\" title_5=\"hare files, discuss\" title_6=\"Track time spent on each project\" style=\"style-2\"][/branding-block]</div><div>[featured-services quantity=\"3\" title_1=\"Payment\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/payment.png\" action_1=\"/contact\" label_1=\"Learn More\" title_2=\"Save money\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/money.png\" action_2=\"/contact\" label_2=\"Learn More\" title_3=\"Quick support\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/support.png\" action_3=\"/contact\" label_3=\"Learn More\" style=\"style-2\"][/featured-services]</div><div>[teams title=\"Meet the amazing team behind Iori\" subtitle=\"Our leadership team\" team_ids=\"1,2,3,5\"][/teams]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"/pricing\" style=\"style-2\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[testimonials title=\"What our loving users are saying about us\" limit=\"5\" style=\"style-5\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(8,'Homepage 8','<div>[banner-hero-with-teams title=\"Think. Creative. Solve\" subtitle=\"Innovative Solution to Move Your Business Forward\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" google_play_logo=\"general/google.png\" google_play_url=\"https://play.google.com/store\" apple_store_logo=\"general/apple.png\" apple_store_url=\"https://www.apple.com/store\" team_ids=\"1,2,3,4,5\"][/banner-hero-with-teams]</div><div>[why-using-your-app title=\"Our app is great for individuals, startups and enterprises. It have never been easier to manage your finances\" subtitle=\"Why using our app\" description=\"Eos eveniet nesciunt et accusamus suscipit est magnam consequatur aut quisquam perferendis a reprehenderit quis aut voluptatem repellat est beatae reiciendis? Cum omnis corrupti cum incidunt veritatis vel libero provident aut reiciendis animi ut quod quaerat et velit animi et omnis illo. Sit quae harum eos incidunt sequi eum iste fugit ex omnis aliquam a explicabo quam.\" image_1=\"general/phone1.png\" image_2=\"general/phone2.png\" testimonial_id=\"1\"][/why-using-your-app]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-2\"][/featured-brands]</div><div>[business-statistics title=\"Our app is great for individuals, startups and enterprises. It have never been easier to manage your finances\" subtitle=\"Why using our app\" description=\"Eos eveniet nesciunt et accusamus suscipit est magnam consequatur aut quisquam perferendis a reprehenderit quis aut voluptatem repellat est beatae reiciendis? Cum omnis corrupti cum incidunt veritatis vel libero provident aut reiciendis animi ut quod quaerat et velit animi et omnis illo. Sit quae harum eos incidunt sequi eum iste fugit ex omnis aliquam a explicabo quam.\" image_1=\"general/chart.png\" image_2=\"general/chart1.png\" image_3=\"general/chart2.png\" testimonial_ids=\"1,3\" quantity=\"3\" title_1=\"Project Done\" data_1=\"592\" unit_1=\"+\" title_2=\"Social followers\" data_2=\"242\" unit_2=\"K\" title_3=\"Happy Clients\" data_3=\"12\" unit_3=\"K+\"][/business-statistics]</div><div>[everything-will-become-one title=\"Everything will become One\" subtitle=\"Iori Platformlets you take control of your money, balance your income and expenses, and understand where your money goes.\" image=\"general/phone-app.png\" quantity=\"8\" title_1=\"Total control\" image_1=\"icons/icon1.png\" description_1=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_2=\"Rapid experimentation\" image_2=\"icons/icon2.png\" description_2=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_3=\"Secure transfer\" image_3=\"icons/icon3.png\" description_3=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_4=\"Activity statistics\" image_4=\"icons/icon4.png\" description_4=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_5=\"Track your spending\" image_5=\"icons/icon5.png\" description_5=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_6=\"Fast Response\" image_6=\"icons/icon6.png\" description_6=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_7=\"AI automation\" image_7=\"icons/icon7.png\" description_7=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\" title_8=\"Budget that works\" image_8=\"icons/icon8.png\" description_8=\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus malesuada felis eget finibus placerat. Aliquam sit amet vestibulum felis, sit amet porta neque\"][/everything-will-become-one]</div><div>[featured-services title=\"Why You Should Consider Installing\" subtitle=\"We’re lively, not corporate. We have the energy and boldness of a startup and the expertise and pragmatism of a scale-up. All in one place.\" quantity=\"4\" title_1=\"Connected\" description_1=\"We come together wherever we are – across time zones, regions, offices and screens. You will receive support from your teammates anytime and anywhere.\" image_1=\"icons/free.png\" action_1=\"/contact\" title_2=\"Inclusive\" description_2=\"Our teams reflect the rich diversity of our world, with equitable access to opportunity for everyone. No matter where you come from\" image_2=\"icons/cross-platform.png\" action_2=\"/contact\" title_3=\"Flexible\" description_3=\"We believe in your freedom to work when and how you work best, to help us all thrive. Only freedom and independent work can bring out the best in you.\" image_3=\"icons/identity.png\" action_3=\"/contact\" title_4=\"Persuasion\" description_4=\"Knowing that there is real value to be gained from helping people to simplify whatever it is that they do and bring.\" image_4=\"icons/persuasion.png\" action_4=\"/contact\" style=\"style-3\"][/featured-services]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend.\" limit=\"5\" style=\"style-6\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(9,'Homepage 9','<div>[hero-banner title=\"Promotes your business no matter what you do\" subtitle=\"Get Started\" youtube_video_url=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss. banner_primary=\"general/banner-homepage-9.png\" button_youtube_label=\"Play video\" customer_ids=\"2,4,5,7,9\" customer_description=\"Join thousands of users in using the iori platform!\" quantity=\"3\" title_1=\"Unlimited design & dev requests\" title_2=\"No Card. No Contract. Cancel anytime\" title_3=\"Monthly flat-rate. Support 24/7\" style=\"style-9\"][/hero-banner]</div><div>[technology-block title=\"Crafting human connection through digital experience\" description=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" block_left_title=\"Social Media Platform\" block_left_description=\"Manage your media channels professionally and efficiently. Real-time and automatic reporting system.\" google_play_logo=\"general/google.png\" google_play_url=\"https://play.google.com/store\" apple_store_logo=\"general/apple.png\" apple_store_url=\"https://www.apple.com/vn/app-store/\" block_left_image=\"general/social-homepage.png\" block_right_title=\"Automated Platform\" block_right_description=\"Synchronize and automate all your business in the cloud. Save time and effort, enjoy great vacations.\" button_label=\"Get Started Now\" button_url=\"/contact\" block_right_image=\"general/platform-social.png\"][/technology-block]</div><div>[branding-block title=\"Business can also be simple\" subtitle=\"Automatic Tools\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" image=\"general/image-branding.png\" logo=\"general/testimonial.png\" button_primary_label=\"Help Center\" button_primary_url=\"/contact\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" counter_title=\"Happy Clients\" counter_data=\"25\" counter_unit=\"K+\" quantity=\"6\" title_1=\"Task tracking\" title_2=\"Task visualization\" title_3=\"Meet deadlines faster\" title_4=\"Create task dependencies\" title_5=\"hare files, discuss\" title_6=\"Track time spent on each project\" style=\"style-3\"][/branding-block]</div><div>[marketing-features title=\"Take your social media marketing prowess to the next level\" quantity=\"6\" title_1=\"Cross-Platform\" icon_image_1=\"icons/cross-platform.png\" description_1=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_1=\"Learn More\" url_1=\"/contact\" type_1=\"enterprise\" title_2=\"Social Media\" icon_image_2=\"icons/cross-platform.png\" description_2=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe\" label_2=\"Learn More\" url_2=\"/contact\" type_2=\"personal\" title_3=\"Brand Identity\" icon_image_3=\"icons/social-media.png\" description_3=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_3=\"Learn More\" url_3=\"/contact\" type_3=\"enterprise\" title_4=\"Customer Service\" icon_image_4=\"icons/trial-plan.png\" description_4=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_4=\"Learn More\" url_4=\"/contact\" type_4=\"personal\" title_5=\"Social advertising\" icon_image_5=\"icons/standard.png\" description_5=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_5=\"Learn More\" url_5=\"/contact\" type_5=\"personal\" title_6=\"Content creation\" icon_image_6=\"icons/business.png\" description_6=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" label_6=\"Learn More\" url_6=\"/contact\" type_6=\"enterprise\"][/marketing-features]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories. Join them. Elevate your testing.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-6\"][/featured-brands]</div><div>[banner-with-newsletter-form title=\"Start for free Pay as you Grow\" subtitle=\"Get Started\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" show_newsletter_form=\"0,1\" subtitle_platform=\"Available on\" google_play_logo=\"general/google.png\" google_play_url=\"https://play.google.com/store\" apple_store_logo=\"general/apple.png\" apple_store_url=\"https://www.apple.com/store\" button_url=\"/contact\" button_label=\"Learn more\"][/banner-with-newsletter-form]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" faq_category_ids=\"1,2,3,4\" style=\"style-3\" quantity=\"1\"][/faqs]</div><div>[featured-services quantity=\"3\" title_1=\"Knowledge Base\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/knowledge.png\" action_1=\"/contact\" label_1=\"Get Started\" title_2=\"Community Forums\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/forums.png\" action_2=\"/contact\" label_2=\"Get Started\" title_3=\"Documentation\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/document.png\" action_3=\"/contact\" label_3=\"Get Started\"][/featured-services]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(10,'Homepage 10','<div>[hero-banner-with-site-statistics title=\"We Are Leading Digital University\" description=\"Enable highly motivating non-cash micropayments and offer in-demand prepaid solutions – with a single connection.\" banner_image=\"general/banner-homepage-10.png\" button_primary_url=\"https://play.google.com/store\" button_primary_label=\"Download App\" button_secondary_url=\"/contact\" button_secondary_label=\"Lean More\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"25\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"756\" unit_3=\"+\" title_4=\"Global branch\" data_4=\"100\" unit_4=\"+\"][/hero-banner-with-site-statistics]</div><div>[explore-network title=\"Ready to capture every wonderful moment\" subtitle=\"EXPLORE NETWORK\" quantity=\"4\" key_1=\"Digital Cameras\" title_1=\" Integrate with over 1,000 project management apps\" subtitle_1=\"Business\" description_1=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book\" image_1=\"general/img-tab-1.png\" checklists_1=\"Task tracking,Create task dependencies,Task visualization,hare files, discuss\" key_2=\"Mirrorless Camera\" title_2=\"Integrate with over 1,000 project management apps\" subtitle_2=\"Business\" description_2=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book\" image_2=\"general/img-tab-2.png\" checklists_2=\"Task tracking,Create task dependencies,Task visualization\" key_3=\"Travel Camera\" title_3=\"Integrate with over 1,000 project management apps\" subtitle_3=\"Business\" description_3=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book\" image_3=\"general/img-tab-3.png\" checklists_3=\"Task tracking,Create task dependencies,Task visualization\" key_4=\"Camera Flashes\" title_4=\"Integrate with over 1,000 project management apps\" subtitle_4=\"Business\" description_4=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book\" image_4=\"general/img-tab-4.png\" checklists_4=\"Task tracking,Create task dependencies,Task visualization\"][/explore-network]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories. Join them. Elevate your testing.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-5\"][/featured-brands]</div><div>[branding-block title=\"Build your brand and reach out to social followers\" subtitle=\"Branding\" description=\"Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally, what you create, share or react to feeds into this public narrative. How you conduct yourself online is now just as important as your behavior offline especially when it comes to your digital marketing career.\" image=\"general/branding-img-1.png\" logo=\"general/branding-img-2.png\" button_primary_label=\"Download App\" button_primary_url=\"https://play.google.com/store\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" quantity=\"6\" title_1=\"Send & Schedule Posts\" title_2=\"Send & Schedule Posts\" title_3=\"Create fully integrated campaigns\" title_4=\"Push Notification\" title_5=\"Online Visitors\" title_6=\"Directly send or schedule posts\" style=\"style-4\"][/branding-block]</div><div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"pricing\" style=\"style-1\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend\" image=\"general/customer.png\" limit=\"4\" style=\"style-2\"][/testimonials]</div><div>[intro-video title=\"Integrate with over 1,000 project management apps\" image=\"general/intro-video.png\" tag=\"Business\" youtube_video_url=\"https://www.youtube.com/watch?v=oRI37cOPBQQ\" icon_image=\"icons/bg-plan.png\"][/intro-video]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(11,'Homepage 11','<div>[banner-slider google_play_logo=\"general/google.png\" google_play_url=\"https://play.google.com/store\" apple_store_logo=\"general/apple.png\" apple_store_url=\"https://www.apple.com/store\" quantity=\"3\" title_1=\"Bring your target users together on social media\" description_1=\"Duis justo nulla, pulvinar at dolor dapibus, finibus cursus massa. Praesent quam diam, faucibus tristique enim in, rhoncus aliquam lorem. Vestibulum vestibulum pellentesque nunc sit amet ullamcorper. Praesent ligula felis\" image_1=\"general/hero-1.png\" title_2=\"Let’s make something great together.\" description_2=\"Duis justo nulla, pulvinar at dolor dapibus, finibus cursus massa. Praesent quam diam, faucibus tristique enim in, rhoncus aliquam lorem. Vestibulum vestibulum pellentesque nunc sit amet ullamcorper. Praesent ligula felis\" image_2=\"general/hero-2.png\" title_3=\"Use flexible components to build an app quickly\" description_3=\"Duis justo nulla, pulvinar at dolor dapibus, finibus cursus massa. Praesent quam diam, faucibus tristique enim in, rhoncus aliquam lorem. Vestibulum vestibulum pellentesque nunc sit amet ullamcorper. Praesent ligula felis\" image_3=\"general/hero-3.png\"][/banner-slider]</div><div>[site-statistics title=\"See why we are trusted the world over\" description=\"Et quaerat deserunt et numquam voluptatem et laborum consectetur non consequatur temporibus ea repellat nihil vel consectetur dolores et rerum voluptas. Nam voluptas reiciendis non laborum perspiciatis eum omnis cumque ab impedit earum ex quos porro sit dolorem cupiditate ut ducimus autem.\" quantity=\"4\" title_1=\"Social followers\" data_1=\"469\" unit_1=\"K\" title_2=\"Happy Clients\" data_2=\"255\" unit_2=\"K+\" title_3=\"Project Done\" data_3=\"756\" unit_3=\"K\" title_4=\"Global branch\" data_4=\"120\" style=\"style-2\"][/site-statistics]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" service_ids=\"1,2,3,4,5,6\" style=\"style-4\"][/services]</div><div>[dual-intro-video quantity=\"2\" title_1=\" Integrate with over 1,000 project management apps\" subtitle_1=\"Business\" description_1=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.\" image_1=\"general/intro-video.png\" youtube_video_url_1=\"https://www.youtube.com/watch?v=yCh9OVLI0SU\" button_label_1=\"Play video\" title_2=\"Integrate with over 1,000 project management apps\" subtitle_2=\"Business\" description_2=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.\" image_2=\"general/intro-video.png\" youtube_video_url_2=\"https://www.youtube.com/watch?v=yCh9OVLI0SU\" button_label_2=\"Play video\"][/dual-intro-video]</div><div>[testimonials title=\"What our loving users are saying about us\" limit=\"5\" style=\"style-5\"][/testimonials]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" faq_category_ids=\"1,2,3,4\" style=\"style-3\" quantity=\"1\"][/faqs]</div><div>[featured-services quantity=\"3\" title_1=\"Payment\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/payment.png\" action_1=\"/contact\" label_1=\"Learn More\" title_2=\"Save money\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/money.png\" action_2=\"/contact\" label_2=\"Learn More\" title_3=\"Quick support\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/support.png\" action_3=\"/contact\" label_3=\"Learn More\" style=\"style-2\"][/featured-services]</div><div>[teams title=\"Meet the amazing team behind Iori\" subtitle=\"Our leadership team\" team_ids=\"1,2,3,5\"][/teams]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(12,'Homepage 12','<div>[hero-banner title=\" Think. Creative. Solve Innovative Solution to Move Your Business Forward\" subtitle=\"Think. Creative. Solve\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" banner_primary=\"general/members.png\" quantity=\"6\" style=\"style-10\"][/hero-banner]</div><div>[featured-brands title=\"Loved By Developers, Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories. Join them. Elevate your testing.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-7\"][/featured-brands]</div><div>[connect-with-us title=\"Crafting human connection through digital experience\" description=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den. Professional in their craft! All products were super amazing with strong attention to details, comps and overall vibe.\" button_label=\"Contact us\" button_url=\"/contact\" quantity=\"3\" title_1=\"Cross Platform\" image_1=\"general/human1.png\" description_1=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den\" title_2=\"Cross Platform\" image_2=\"general/human2.png\" description_2=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den.\" title_3=\"Cross Platform\" image_3=\"general/human3.png\" description_3=\"Discover powerful features to boost your productivity. You are always welcome to visit our little den.\"][/connect-with-us]</div><div>[how-to-start title=\"Bring your target users together on social media\" subtitle=\"IORI Business Platform\" image=\"general/banner-how-to-start.png\" image_icon_primary=\"icons/certify.png\" image_icon_secondary=\"icons/fly.png\" style=\"style-2\" quantity=\"3\" title_1=\"Create an account\" description_1=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_2=\"Build your founding team\" description_2=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" title_3=\"Launch and Scale\" description_3=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\"][/how-to-start]</div><div>[take-the-control title=\"Create a free account today.\" subtitle=\"Take the control\" image=\"general/account.png\" title_counter=\"Social followers\" data_counter=\"469\" unit_counter=\"K\" quantity=\"2\" title_1=\"Personal\" image_1=\"icons/personal.png\" description_1=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.\" title_2=\"Personal\" image_2=\"icons/building.png\" description_2=\"Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.\"][/take-the-control]</div><div>[step-block title=\"Core values\" subtitle=\"We break down barriers so teams can focus on what matters – working together to create products their customers love.\" button_label=\"Get Started Now\" button_url=\"/contact\" quantity=\"6\" title_1=\"Customers First\" description_1=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers\" title_2=\"Act With Integrity\" description_2=\"We’re honest, transparent and committed to doing what’s best for our customers and our company. We openly collaborate in pursuit of the truth. We have no tolerance for politics, hidden agendas or passive-aggressive behavior.\" title_3=\"Make a Difference Every Day\" description_3=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers.\" title_4=\"Think Big\" description_4=\"Being the world’s leading commerce platform requires unrivaled vision, innovation and execution. We never settle. We challenge our ideas of what’s possible in order to better meet the needs of our customers.\" title_5=\" Do the right thing\" description_5=\"Integrity is the foundation for everything we do. We are admired and respected for our commitment to honesty, trust, and transparency.\" title_6=\"Stronger united\" description_6=\"We’ve created a positive and inclusive culture that fosters open, honest, and meaningful relationships.\"][/step-block]</div><div>[get-in-touch title=\"Want to talk to a marketing expert?\" subtitle=\"Get In Touch\" description=\"You need to create an account to find the best and preferred job. lorem Ipsum is simply dummy text of the printing and typesetting industry the standard dummy text ever took.\" image=\"general/img-marketing.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[featured-services quantity=\"3\" title_1=\"Daily Updates\" description_1=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_1=\"icons/sync.png\" action_1=\"/contact\" label_1=\"Learn more\" title_2=\"24/7 Support\" description_2=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_2=\"icons/boat-circle.jpg\" action_2=\"/contact\" label_2=\"Learn more\" title_3=\"Weekly Reports\" description_3=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_3=\"icons/report.png\" action_3=\"/contact\" label_3=\"Learn more\" style=\"style-4\"][/featured-services]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(13,'About Us','<div>[who-are-you title=\"We are a digital agency that tackles all your online challenges.\" subtitle=\"Who we are\" description=\"Social media networks are open to all. Social media is typically used for social interation and access to news and information, and decision making.\" quantity=\"5\" title_1=\"Social followers\" image_1=\"icons/identity.png\" data_1=\"469\" unit_1=\"K+\" title_2=\"Happy Clients\" image_2=\"icons/cross-platform.png\" data_2=\"25\" unit_2=\"K+\" title_3=\"Project Done\" image_3=\"icons/conference.png\" data_3=\"756\" unit_3=\"+\" title_4=\"Global branch\" image_4=\"icons/certification.png\" data_4=\"100\" unit_4=\"+\" title_5=\"Conference\" image_5=\"icons/dispersal.png\" data_5=\"240\" unit_5=\"+\"][/who-are-you]</div><div>[testimonials limit=\"2\" style=\"style-4\"][/testimonials]</div><div>[information title=\" Core values\" subtitle=\"We break down barriers so teams can focus on what matters – working together to create products their customers love.\" quantity=\"6\" title_1=\"Customers First\" description_1=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers.\" title_2=\"Act With Integrity\" description_2=\"We’re honest, transparent and committed to doing what’s best for our customers and our company. We openly collaborate in pursuit of the truth. We have no tolerance for politics, hidden agendas or passive-aggressive behavior.\" title_3=\" Make a Difference Every Day\" description_3=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers.\" title_4=\"Think Big\" description_4=\"Being the world leading commerce platform requires unrivaled vision, innovation and execution. We never settle. We challenge our ideas of what’s possible in order to better meet the needs of our customers.\" title_5=\"Do the right thing\" description_5=\"Integrity is the foundation for everything we do. We are admired and respected for our commitment to honesty, trust, and transparency.\" title_6=\" Stronger united\" description_6=\"We’ve created a positive and inclusive culture that fosters open, honest, and meaningful relationships.\"][/information]</div><div>[box-story quantity=\"2\" title_1=\"Behind every brand is aninteresting story\" subtitle_1=\"OUR STORY\" description_1=\"Ea nostrum temporibus ex nulla totam qui galisum quae a adipisci modi. In exercitationem culpa sed blanditiis corrupti sit doloremque maxime eos iusto molestiae ex laborum nulla in quas dignissimos 33 dolorum quis.\" image_1=\"general/box-image-1.png\" title_2=\"We have a mission to help businesses grow the best with existing conditions\" subtitle_2=\"OUR MISSION\" description_2=\"Ea nostrum temporibus ex nulla totam qui galisum quae a adipisci modi. In exercitationem culpa sed blanditiis corrupti sit doloremque maxime eos iusto molestiae ex laborum nulla in quas dignissimos 33 dolorum quis. Est dolor autem et voluptate autem id enim optio vel incidunt alias.\" image_2=\"general/box-image-2.png\"][/box-story]</div><div>[teams team_ids=\"1,2,3,4,6\"][/teams]</div><div>[get-in-touch title=\"Want to talk to a marketing expert?\" subtitle=\"Get In Touch\" description=\"You need to create an account to find the best and preferred job. lorem Ipsum is simply dummy text of the printing and typesetting industry the standard dummy text ever took.\" image=\"general/img-marketing.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[testimonials title=\"What our clients say about us\" subtitle=\"Testimonials\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" limit=\"3\" style=\"style-3\"][/testimonials]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(14,'Blog','<div>[hero-banner title=\"All the important insights, guidance and news you need to know.\" subtitle=\"Keep up-to-date with all our latest company news and business content. The latest news, tips and advice to help you run your business with less fuss\" banner_primary=\"general/banner-blog.png\" style=\"style-4\"][/hero-banner]</div><div>[featured-post title=\"Latest Articles\" category_ids=\"1,2,3,4,5,6\"][/featured-post]</div><div>[post-category title=\"E-Commerce\" category_id=\"1\" limit=\"5\"][/post-category]</div><div>[post-category title=\"Industry Use Cases\" category_id=\"6\" limit=\"5\" style=\"style-2\"][/post-category]</div><div>[post-category title=\"Marketing Strategy\" category_id=\"7\" limit=\"5\"][/post-category]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(15,'Contact','<div>[contact-page-banner title=\"We’d love to hear from you\" subtitle=\"Get in Touch\" description=\"Request a demo, ask a question, or get in touch here. If you’re interested in working at Iori Corporation, check out our {{careers page}}.\" button_label=\"Learn More\" button_url=\"/about-us\" banner=\"general/contact-banner.png\" quantity=\"2\" title_1=\"Appstore\" image_1=\"general/apple.png\" title_2=\"Googleplay\" image_2=\"general/google.png\"][/contact-page-banner]</div><div>[contact-information quantity=\"4\" title_1=\"Help & support\" email_1=\"support@archielite.com\" description_1=\"For help with a current product or service or refer to FAQs and developer tools\" image_1=\"icons/headphone.png\" title_2=\"Call Us\" phone_2=\"(+01) 234 567 89, (+01) 456 789 21\" description_2=\"Call us to speak to a member of our team.\" image_2=\"icons/phone.png\" title_3=\"Business Department\" phone_3=\"(+01) 789 456 23\" description_3=\"Contact the sales department about cooperation projects\" image_3=\"icons/chart-1.png\" title_4=\"Global branch\" phone_4=\"(+01) 456 789 23, (+01) 456 789 23\" description_4=\"Contact us to open our branches globally.\" image_4=\"icons/earth.png\"][/contact-information]</div><div>[contact-form title=\"Get in touch\" subtitle=\"Do you want to know more or contact our sales department?\" title_button=\"Send Message\" quantity=\"3\" heading_1=\"Visit the Knowledge Base\" description_1=\"Browse customer support articles and step-by-step instructions for specific features.\" icon_1=\"icons/img1.png\" heading_2=\"Watch Product Videos\" description_2=\"Watch our video tutorials for visual walkthrough on how to use our features.\" icon_2=\"icons/img2.png\" heading_3=\"Get in touch with Sales\" description_3=\"Let us talk about how we can help your enterprise.\" icon_3=\"icons/img3.png\"][/contact-form]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" button_label=\"Contact Us\" button_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"contact\" faq_category_ids=\"1,2,3,4\" style=\"style-1\" quantity=\"1\"][/faqs]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(16,'Coming Soon','<div>[coming-soon title=\"We are coming soon\" subtitle=\"Under Construction\" description=\"Our design projects are fresh and simple and will benefit your business greatly. Learn more about our work!\" time=\"2025-05-19\" enable_snow_effect=\"0\" background_image=\"icons/coming-soon.png\"][/coming-soon]</div><div>[contact-information quantity=\"4\" title_1=\"Help & support\" email_1=\"support@archielite.com\" description_1=\"For help with a current product or service or refer to FAQs and developer tools\" image_1=\"icons/headphone.png\" title_2=\"Call Us\" phone_2=\"(+01) 234 567 89, (+01) 456 789 21\" description_2=\"Call us to speak to a member of our team.\" image_2=\"icons/phone.png\" title_3=\"Business Department\" phone_3=\"(+01) 789 456 23\" description_3=\"Contact the sales department about cooperation projects\" image_3=\"icons/chart-1.png\" title_4=\"Global branch\" phone_4=\"(+01) 456 789 23, (+01) 456 789 23\" description_4=\"Contact us to open our branches globally.\" image_4=\"icons/earth.png\"][/contact-information]</div>',1,NULL,'default',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(17,'Services','<div>[hero-banner title=\"Advanced analytics to grow your business\" subtitle=\"Available on\" description=\"Collaborate, plan projects and manage resources with powerful features that your whole team can use. The latest news, tips and advice to help you run your business with less fuss.\" banner_primary=\"general/banner-services.png\" platform_google_play_logo=\"general/google.png\" platform_google_play_url=\"https://play.google.com/store/\" platform_apple_store_logo=\"general/apple.png\" platform_apple_store_url=\"https://apps.apple.com/vn/app/apple-store\" quantity=\"6\" style=\"style-11\"][/hero-banner]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" button_primary_label=\"Download App\" button_primary_url=\"https://www.apple.com/sg/app-store/\" button_secondary_label=\"Learn more\" button_secondary_url=\"contact\" service_ids=\"1,2,3,4,5,6\" style=\"style-3\"][/services]</div><div>[branding-block title=\"Business can also be simple\" subtitle=\"Automatic Tools\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" image=\"general/brand-services-1.png\" image_1=\"general/brand-services-2.png\" image_2=\"general/brand-services-3.png\" logo=\"general/testimonial1.png\" button_primary_label=\"Download App\" button_primary_url=\"https://play.google.com/store\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\" counter_title=\"Happy Clients\" counter_data=\"25\" counter_unit=\"K+\" counter_title_1=\"Social followers\" counter_data_1=\"125\" counter_unit_1=\"K\" quantity=\"6\" title_1=\"Task tracking\" title_2=\"Task visualization\" title_3=\"Meet deadlines faster\" title_4=\"Create task dependencies\" title_5=\"hare files, discuss\" title_6=\"Track time spent on each project\" style=\"style-5\"][/branding-block]</div><div>[pricing-plan title=\"Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"/pricing\" style=\"style-2\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(18,'Help Center','<div>[banner-hero-with-search title=\"How can we help you?\" subtitle=\"Support Center\" suggested=\"guest users, create account, invoice, security\" description=\"Search here to get answers to your questions\" image_1=\"general/banner-help-center-1.png\" image_2=\"general/banner-help-center-2.png\"][/banner-hero-with-search]</div><div>[featured-services quantity=\"3\" title_1=\"Knowledge Base\" description_1=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_1=\"icons/document.png\" action_1=\"/contact\" label_1=\"Get Started\" title_2=\"Community Forums\" description_2=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_2=\"icons/forums.png\" action_2=\"/contact\" label_2=\"Get Started\" title_3=\"Documentation\" description_3=\"Aliquam a augue suscipit, luctus neque purus ipsum neque dolor primis a libero tempus\" image_3=\"icons/knowledge.png\" action_3=\"/contact\" label_3=\"Get Started\"][/featured-services]</div><div>[services title=\"What We Offer\" subtitle=\"What makes us different from others? We give holistic solutions with strategy, design & technology.\" button_primary_label=\"Download App\" button_primary_url=\"https://www.apple.com/sg/app-store/\" button_secondary_label=\"Learn more\" button_secondary_url=\"contact\" service_ids=\"1,2,3,4,5,6\" style=\"style-3\"][/services]</div><div>[from-community-forums title=\"From Community Forums\" subtitle=\"Updated on September 24, 2023\" quantity=\"6\" title_1=\" Announcements\" description_1=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_1=\"icons/cross-platform.png\" topics_1=\"3\" comments_1=\"16\" account_1=\"1\" title_2=\"iori User Feedback\" description_2=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_2=\"icons/creation.png\" topics_2=\"3\" comments_2=\"19\" account_2=\"3\" title_3=\"Technology support center\" description_3=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_3=\"icons/cross-platform.png\" topics_3=\"5\" comments_3=\"9\" account_3=\"1\" title_4=\" Product Support\" description_4=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_4=\"icons/cross-platform.png\" topics_4=\"5\" comments_4=\"7\" account_4=\"3\" title_5=\" Cognitive Solution\" description_5=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_5=\"icons/cross-platform.png\" topics_5=\"6\" comments_5=\"2\" account_5=\"4\" title_6=\"Market research\" description_6=\"Seamless importing and round-tripping of Microsoft Project plans, Excel files & CSV files.\" image_6=\"icons/certification.png\" topics_6=\"2\" comments_6=\"1\" account_6=\"5\"][/from-community-forums]</div><div>[get-in-touch title=\"Can’t find an answer?\" subtitle=\"More help\" description=\"Make use of a qualified tutor to get the answer\" image=\"general/answer.png\" button_primary_label=\"Asked a Question\" button_primary_url=\"/help-center\" button_secondary_label=\"Contact Us\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(19,'Pricing','<div>[pricing-plan title=\"Finger Choose The Best Plan\" subtitle=\"Pick your plan. Change whenever you want. No switching fees between packages\" icon_image=\"icons/bg-plan.png\" button_secondary_label=\"Compare Plans\" button_secondary_url=\"pricing\" style=\"style-1\" package_ids=\"1,2,3,4\"][/pricing-plan]</div><div>[compare-plans quantity=\"6\" title_1=\"Requests Quota\" free_1=\"50k Requests/Day\" standard_1=\"100k Requests/Day\" business_1=\"500k Requests/Day\" enterprise_1=\"Unlimited\" title_2=\"Account Acess\" free_2=\"35\" standard_2=\"85\" business_2=\"120\" enterprise_2=\"Unlimited\" title_3=\"Service Analystic\" business_3=\"true\" enterprise_3=\"true\" title_4=\"Achive Nodes\" business_4=\"true\" enterprise_4=\"true\" title_5=\"Enriched APIs\" business_5=\"true\" title_6=\"Rosetta APIs\" business_6=\"true\" enterprise_6=\"true\"][/compare-plans]</div><div>[featured-services quantity=\"3\" title_1=\"Daily Updates\" description_1=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_1=\"icons/sync.png\" action_1=\"/contact\" label_1=\"Learn more\" title_2=\"24/7 Support\" description_2=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_2=\"icons/boat-circle.jpg\" action_2=\"/contact\" label_2=\"Learn more\" title_3=\"Weekly Reports\" description_3=\"Share updates instantly within our project management software, and get the entire team collaborating\" image_3=\"icons/report.png\" action_3=\"/contact\" label_3=\"Learn more\" style=\"style-4\"][/featured-services]</div><div>[faqs title=\"Frequently asked questions\" subtitle=\"Feeling inquisitive? Have a read through some of our FAQs or contact our supporters for help\" button_primary_label=\"Contact Us\" button_primary_url=\"contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"contact\" image=\"general/bg-faqs.png\" faq_category_ids=\"1,2,3,4\"][/faqs]</div><div>[testimonials title=\"What our customers are saying\" subtitle=\"Hear from our users who have saved thousands on their Startup and SaaS solution spend.\" limit=\"5\" style=\"style-6\"][/testimonials]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(20,'Teams','<div>[banner-hero-with-teams title=\"Customers Love Our Creative Team, and So Will You\" description=\"“Highly recommend Iori Agency! They guide us on marketing initiatives and develop great strategies to increase our return on investment. The agency is excellent at being cooperative and responding quickly.”\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\" team_ids=\"1,2,3,4,5\" style=\"style-2\"][/banner-hero-with-teams]</div><div>[featured-brands quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-3\"][/featured-brands]</div><div>[teams title=\"Meet the amazing team behind Iori\" subtitle=\"Our leadership team\" team_ids=\"1,2,3,5\"][/teams]</div><div>[board-members title=\"Together we are strong\" subtitle=\"Board members\" team_ids=\"6,7,8,9\"][/board-members]</div><div>[have-a-question title=\"Have a question? Our team is happy to help you\" description=\"Access advanced order types including limit, market, stop limit and dollar cost averaging. Track your total asset holdings, values and equity over time. Monitor markets, manage your portfolio, and trade crypto on the go.\" image_1=\"general/question1.png\" image_2=\"general/question2.png\" image_3=\"general/question3.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Learn more\" button_secondary_url=\"/contact\"][/have-a-question]</div><div>[step-block title=\"Core values\" subtitle=\"We break down barriers so teams can focus on what matters – working together to create products their customers love.\" button_label=\"JOIN OUR TEAM TODAY\" button_url=\"/contact\" quantity=\"6\" title_1=\"Customers First\" description_1=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers\" title_2=\"Act With Integrity\" description_2=\"We’re honest, transparent and committed to doing what’s best for our customers and our company. We openly collaborate in pursuit of the truth. We have no tolerance for politics, hidden agendas or passive-aggressive behavior.\" title_3=\"Make a Difference Every Day\" description_3=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers.\" title_4=\"Think Big\" description_4=\"Being the world’s leading commerce platform requires unrivaled vision, innovation and execution. We never settle. We challenge our ideas of what’s possible in order to better meet the needs of our customers.\" title_5=\" Do the right thing\" description_5=\"Integrity is the foundation for everything we do. We are admired and respected for our commitment to honesty, trust, and transparency.\" title_6=\"Stronger united\" description_6=\"We’ve created a positive and inclusive culture that fosters open, honest, and meaningful relationships.\"][/step-block]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(21,'Term and Conditions','<div>[term-and-conditions title=\"Terms and Conditions\" subtitle=\"Amet nulla facilisi morbi tempus iaculis urna\" image=\"general/banner-term-and-conditions.png\" quantity=\"10\" title_1=\"Limitation of Liability\" description_1=\"Under no circumstances shall Archi Elite be liable for any direct, indirect, special, incidental or consequential damages, including, but not limited to, loss of data or profit, arising out of the use, or the inability to use, the materials on this site, even if Archi Elite or an authorized representative has been advised of the possibility of such damages. If your use of materials from this site results in the need for servicing, repair or correction of equipment or data, you assume any costs thereof.\" title_2=\"Licensing Policy\" description_2=\"Archi e WordPress plugins and themes are released under the GNU General Public License v2 or later. Please refer to licensing policy page for licensing details.\" title_3=\"Product Compatibility\" description_3=\"The products are developed to be compatible with the latest version of WordPress because we always strive to stay up-to-date with the latest version of WordPress. You might experience certain performance or functionality glitches with the products if you use any version prior to that.\" title_4=\"Delivery\" description_4=\"Your purchased product(s) information will be emailed to the email address (that you will provide) once we receive your payment. Even though this usually takes a few minutes, it may also take up to 24 hours. You can contact us through our contact page if you do not receive your email after waiting for this time period. You will also have access to your purchased products from your account in Archi Elite after logging in.\" title_5=\"Ownership\" description_5=\"All the products are the property of Archi Elite. So you may not claim ownership (intellectual or exclusive) over any of our products, modified or unmodified. Our products come ‘as is’, without any kind of warranty, either expressed or implied. Under no circumstances can our juridical person be accountable for any damages including, but not limited to, direct, indirect, special, incidental or consequential damages or other losses originating from the employment of or incapacity to use our products.\" title_6=\"Browser Compatibility\" description_6=\"We consider it our duty to offer a great experience across most major browsers, which is why our products support the latest modern web browsers including (but not limited to) Firefox, Safari, Chrome & Internet Explorer 9+. However, the performance may vary between different browsers, versions, and operating systems.\" title_7=\"Updates\" description_7=\"Our themes are constantly updated to be compatible with the latest stable version of WordPress. Please ensure that you always use the most current version of our themes.\" title_8=\"Theme Support\" description_8=\"Please refer to Help and Support Policy page for details.\" title_9=\"Price Changes\" description_9=\"Reserves the right to modify or suspend (temporarily or permanently) a subscription at any point of time and from time to time with or without any notice.\" title_10=\"Refund Policy\" description_10=\"Please refer to Refund Policy page for details.\"][/term-and-conditions]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(22,'Cookie Policy','<h3>EU Cookie Consent</h3><p>To use this website we are using Cookies and collecting some Data. To be compliant with the EU GDPR we give you to choose if you allow us to use certain Cookies and to collect some Data.</p><h4>Essential Data</h4><p>The Essential Data is needed to run the Site you are visiting technically. You can not deactivate them.</p><p>- Session Cookie: PHP uses a Cookie to identify user sessions. Without this Cookie the Website is not working.</p><p>- XSRF-Token Cookie: Laravel automatically generates a CSRF \"token\" for each active user session managed by the application. This token is used to verify that the authenticated user is the one actually making the requests to the application.</p>',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(23,'Privacy policy','<h3>EU Privacy policy</h3><p>To use this website we are using Cookies and collecting some Data. To be compliant with the EU GDPR we give you to choose if you allow us to use certain Cookies and to collect some Data.</p><h4>Essential Data</h4><p>The Essential Data is needed to run the Site you are visiting technically. You can not deactivate them.</p><p>- Session Cookie: PHP uses a Cookie to identify user sessions. Without this Cookie the Website is not working.</p><p>- XSRF-Token Cookie: Laravel automatically generates a CSRF \"token\" for each active user session managed by the application. This token is used to verify that the authenticated user is the one actually making the requests to the application.</p>',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(24,'Career Listing','<div>[career-banner title=&quot;We&rsquo;re Always Searching For &lt;br&gt; Amazing People to Join Our Team.&quot; subtitle=&quot;Take a look at our current openings&quot; image=&quot;general/banner-career.png&quot; logo=&quot;general/certify.png&quot;][/career-banner]</div><div>[featured-services title=\"Why You Should Consider Applying\" subtitle=\"We`re lively, not corporate. We have the energy and boldness of a startup and the expertise and pragmatism of a scale-up. All in one place.\" quantity=\"4\" title_1=\"Connected\" description_1=\"We come together wherever we are – across time zones, regions, offices and screens. You will receive support from your teammates anytime and anywhere.\" image_1=\"icons/free.png\" action_1=\"/contact\" title_2=\"Inclusive\" description_2=\"Our teams reflect the rich diversity of our world, with equitable access to opportunity for everyone. No matter where you come from\" image_2=\"icons/cross-platform.png\" action_2=\"/contact\" title_3=\"Flexible\" description_3=\"We believe in your freedom to work when and how you work best, to help us all thrive. Only freedom and independent work can bring out the best in you.\" image_3=\"icons/identity.png\" action_3=\"/contact\" title_4=\"Persuasion\" description_4=\"Knowing that there is real value to be gained from helping people to simplify whatever it is that they do and bring.\" image_4=\"icons/persuasion.png\" action_4=\"/contact\" style=\"style-3\"][/featured-services]</div><div>[career-list title=&quot;Career Opportunities&quot; subtitle=&quot;Explore our open roles for working totally remotely, from the &lt;br&gt; office or somewhere in between.&quot; button_primary_label=&quot;Contact Us&quot; button_primary_url=&quot;/contact&quot; button_secondary_label=&quot;Learn More&quot; button_secondary_url=&quot;/job-listing&quot; career_ids=&quot;1,2,3,4,5,6&quot;][/career-list]</div><div>[step-block title=\"Core values\" subtitle=\"We break down barriers so teams can focus on what matters – working together to create products their customers love.\" button_label=\"Get Started Now\" button_url=\"/contact\" quantity=\"6\" title_1=\"Customers First\" description_1=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers\" title_2=\"Act With Integrity\" description_2=\"We’re honest, transparent and committed to doing what’s best for our customers and our company. We openly collaborate in pursuit of the truth. We have no tolerance for politics, hidden agendas or passive-aggressive behavior.\" title_3=\"Make a Difference Every Day\" description_3=\"Our company exists to help merchants sell more. We make every decision and measure every outcome based on how well it serves our customers.\" title_4=\"Think Big\" description_4=\"Being the world’s leading commerce platform requires unrivaled vision, innovation and execution. We never settle. We challenge our ideas of what’s possible in order to better meet the needs of our customers.\" title_5=\" Do the right thing\" description_5=\"Integrity is the foundation for everything we do. We are admired and respected for our commitment to honesty, trust, and transparency.\" title_6=\"Stronger united\" description_6=\"We’ve created a positive and inclusive culture that fosters open, honest, and meaningful relationships.\"][/step-block]</div><div>[featured-brands title=\"Loved By Developers Trusted By Enterprises\" subtitle=\"We helped these brands turn online assessments into success stories.\" quantity=\"6\" title_1=\"Cuebia\" image_1=\"product-categories/2.png\" url_1=\"https://www.cuebiq.com/\" is_open_new_tab_1=\"yes\" title_2=\"Factual\" image_2=\"product-categories/3.png\" url_2=\"http://factual.com\" is_open_new_tab_2=\"yes\" title_3=\"Kippa\" image_3=\"product-categories/5.png\" url_3=\"https://kippa.africa/\" is_open_new_tab_3=\"no\" title_4=\"PlaceIQ\" image_4=\"product-categories/8.png\" url_4=\"https://www.placeiq.com/\" is_open_new_tab_4=\"no\" image_5=\"product-categories/10.png\" url_5=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_5=\"no\" title_6=\"Versed\" image_6=\"product-categories/12.png\" url_6=\"https://www.reedelsevier.com.ph/\" is_open_new_tab_6=\"no\" style=\"style-4\"][/featured-brands]</div><div>[get-in-touch title=\"Want to talk to a marketing expert?\" subtitle=\"Get In Touch\" description=\"You need to create an account to find the best and preferred job. lorem Ipsum is simply dummy text of the printing and typesetting industry the standard dummy text ever took.\" image=\"general/img-marketing.png\" button_primary_label=\"Contact Us\" button_primary_url=\"/contact\" button_secondary_label=\"Support Center\" button_secondary_url=\"/contact\"][/get-in-touch]</div><div>[from-our-blog title=\"From our blog\" subtitle=\"Aenean velit nisl, aliquam eget diam eu, rhoncus tristique dolor. Aenean vulputate sodales urna ut vestibulum\" button_label=\"View all\" button_url=\"/blog\" type=\"featured\" limit=\"4\" style=\"style-2\"][/from-our-blog]</div>',1,NULL,'full-width',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(25,'Press &amp; Media','<section>\n    <h4>Latest News</h4>\n    <p><strong>November 15, 2023:</strong> Our Company Expands to New Markets</p>\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed ac ligula sit amet velit bibendum volutpat. Nullam faucibus justo ac neque molestie, a ullamcorper dolor consequat.</p>\n</section>\n\n<section>\n    <h4>Press Releases</h4>\n    <p><strong>FOR IMMEDIATE RELEASE</strong></p>\n    <p><strong>November 10, 2023:</strong> Our Company Announces Groundbreaking Innovation</p>\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed ac ligula sit amet velit bibendum volutpat. Nullam faucibus justo ac neque molestie, a ullamcorper dolor consequat.</p>\n</section>\n\n<section>\n    <h4>Media Coverage</h4>\n    <p><strong>Featured in Tech Today Magazine</strong></p>\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed ac ligula sit amet velit bibendum volutpat. Nullam faucibus justo ac neque molestie, a ullamcorper dolor consequat.</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(26,'Advertising','<section>\n    <h4>Advertise with Us</h4>\n    <p>Reach a wide audience by advertising with us. Whether you are promoting a product, service, or event, our platform provides an excellent opportunity to connect with potential customers.</p>\n    <p>Contact us to discuss customized advertising solutions that suit your needs and budget.</p>\n    <p>Email: <a href=\"mailto:advertising@example.com\">advertising@example.com</a></p>\n    <p>Phone: 0123456789</p>\n</section>\n\n<section>\n    <h4>Advertising Options</h4>\n    <p>We offer a variety of advertising options to cater to different goals and preferences:</p>\n    <ul>\n        <li><strong>Display Ads:</strong> Prominently showcase your brand with visually appealing display advertisements.</li>\n        <li><strong>Sponsored Content:</strong> Feature your content seamlessly within our platform to engage our audience.</li>\n        <li><strong>Event Sponsorship:</strong> Associate your brand with our events and maximize visibility among our community.</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Ad Guidelines</h4>\n    <p>Before submitting your advertisement, please review our advertising guidelines to ensure compliance with our policies and standards. We reserve the right to reject or modify ads that do not meet our criteria.</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(27,'Testimonials','<section>\n    <h4>What Our Clients Say</h4>\n\n    <div class=\"testimonial\">\n        <blockquote>\n            <p>\"Working with Your Company has been an absolute pleasure. They exceeded our expectations and delivered outstanding results. Highly recommended!\"</p>\n        </blockquote>\n        <p>- John Doe, CEO of XYZ Company</p>\n    </div>\n\n    <div class=\"testimonial\">\n        <blockquote>\n            <p>\"The team at Your Company is truly professional and dedicated. Their attention to detail and commitment to excellence set them apart. We look forward to future collaborations.\"</p>\n        </blockquote>\n        <p>- Jane Smith, Marketing Director</p>\n    </div>\n</section>\n\n<section>\n    <h4>Share Your Experience</h4>\n    <p>We value feedback from our clients. If you have worked with us, we would love to hear about your experience. Please share your testimonial with us by contacting <a href=\"mailto:feedback@example.com\">feedback@example.com</a>.</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(28,'Project management','<section>\n    <h4>Our Approach to Project Management</h4>\n    <p>At Your Company, we prioritize effective project management to ensure successful and timely delivery of every project. Our approach includes:</p>\n    <ul>\n        <li><strong>Project Planning:</strong> Thoroughly plan each project, defining goals, timelines, and milestones.</li>\n        <li><strong>Team Collaboration:</strong> Foster open communication and collaboration among team members for optimal efficiency.</li>\n        <li><strong>Progress Tracking:</strong> Regularly monitor and track project progress to identify and address potential issues early on.</li>\n        <li><strong>Client Involvement:</strong> Involve clients in the project process to ensure alignment with their expectations and requirements.</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Current Projects</h4>\n    <p>Explore our ongoing projects and learn more about the exciting initiatives we are currently working on:</p>\n    <ul>\n        <li><strong>Project Alpha:</strong> A groundbreaking technology implementation to enhance user experience.</li>\n        <li><strong>Project Beta:</strong> Development of a new product line to meet evolving market demands.</li>\n        <li><strong>Project Gamma:</strong> Collaboration with industry leaders to drive innovation in sustainability.</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Project Success Stories</h4>\n    <p>Discover the success stories of some of our completed projects:</p>\n    <ul>\n        <li><strong>Project Delta:</strong> Increased customer satisfaction by 30% through the implementation of a streamlined support system.</li>\n        <li><strong>Project Epsilon:</strong> Successfully launched a mobile app, reaching one million downloads within the first month.</li>\n    </ul>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(29,'Solutions','<section>\n    <h4>Customized Solutions for Your Needs</h4>\n    <p>At Your Company, we understand that every business is unique. That\'s why we offer tailored solutions to address your specific challenges and opportunities. Our range of solutions includes:</p>\n    <ul>\n        <li><strong>Technology Solutions:</strong> Leverage cutting-edge technology to enhance efficiency and innovation.</li>\n        <li><strong>Marketing Solutions:</strong> Drive your brand forward with strategic marketing and branding solutions.</li>\n        <li><strong>Consulting Services:</strong> Benefit from our expertise through personalized consulting services.</li>\n        <li><strong>Financial Solutions:</strong> Optimize your financial strategies for sustainable growth.</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Industries We Serve</h4>\n    <p>We cater to a diverse range of industries, providing solutions that align with industry-specific needs and trends:</p>\n    <ul>\n        <li>Technology and IT</li>\n        <li>Healthcare</li>\n        <li>Finance and Banking</li>\n        <li>Manufacturing</li>\n        <li>Retail</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Client Success Stories</h4>\n    <p>Explore how our solutions have made a positive impact on our clients\' businesses:</p>\n    <ul>\n        <li><strong>Client A:</strong> Achieved a 20% increase in revenue through our marketing solutions.</li>\n        <li><strong>Client B:</strong> Streamlined operations and reduced costs with our customized technology solutions.</li>\n    </ul>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(30,'Project Software','<section>\n    <h4>Our Project Management Software</h4>\n    <p>Empower your team and streamline your projects with our advanced project management software. Our software offers:</p>\n    <ul>\n        <li><strong>Intuitive Interface:</strong> User-friendly interface for easy navigation and quick adoption.</li>\n        <li><strong>Task Management:</strong> Efficiently organize and track tasks to keep your projects on schedule.</li>\n        <li><strong>Collaboration Tools:</strong> Foster teamwork with real-time collaboration features and communication tools.</li>\n        <li><strong>Customizable Workflows:</strong> Tailor workflows to match your unique project requirements.</li>\n    </ul>\n    <p>Experience the next level of project management efficiency with our software solution.</p>\n</section>\n\n<section>\n    <h4>Key Features</h4>\n    <p>Our project software is packed with features designed to enhance project planning and execution:</p>\n    <ul>\n        <li>Task Assignment and Tracking</li>\n        <li>Gantt Chart Visualization</li>\n        <li>File Sharing and Document Management</li>\n        <li>Team Collaboration Spaces</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Get Started Today</h4>\n    <p>Ready to elevate your project management experience? Contact us today to get started with our powerful project software.</p>\n    <p>Email: <a href=\"mailto:info@example.com\">info@example.com</a></p>\n    <p>Phone: +1 (555) 123-4567</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(31,'Resource Software','<section>\n    <h4>Optimize Your Resources with Our Software</h4>\n    <p>Unlock the full potential of your resources and enhance organizational efficiency with our resource management software. Our solution provides:</p>\n    <ul>\n        <li><strong>Resource Allocation:</strong> Effectively allocate and manage resources based on project requirements.</li>\n        <li><strong>Capacity Planning:</strong> Plan and optimize resource capacity to ensure projects are well-supported.</li>\n        <li><strong>Real-time Monitoring:</strong> Monitor resource usage and availability in real-time for proactive decision-making.</li>\n        <li><strong>Reporting and Analytics:</strong> Gain insights into resource utilization and performance through detailed reports and analytics.</li>\n    </ul>\n    <p>Experience seamless resource management with our software solution.</p>\n</section>\n\n<section>\n    <h4>Key Features</h4>\n    <p>Our resource management software is equipped with features designed to streamline your resource-related processes:</p>\n    <ul>\n        <li>Resource Forecasting</li>\n        <li>Time Tracking and Attendance</li>\n        <li>Collaborative Scheduling</li>\n        <li>Automated Notifications</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Get Started Today</h4>\n    <p>Ready to optimize your resource management? Contact us today to get started with our powerful resource management software.</p>\n    <p>Email: <a href=\"mailto:info@example.com\">info@example.com</a></p>\n    <p>Phone: +1 (555) 123-4567</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(32,'Workflow Automation','<section>\n    <h4>Streamline Your Processes with Workflow Automation</h4>\n    <p>Transform your business operations and increase efficiency with our advanced workflow automation solutions. Our platform offers:</p>\n    <ul>\n        <li><strong>Process Automation:</strong> Automate repetitive tasks and streamline complex workflows for increased productivity.</li>\n        <li><strong>Integration Capabilities:</strong> Seamlessly integrate with your existing systems and tools for a unified business environment.</li>\n        <li><strong>Customizable Workflows:</strong> Tailor workflows to match your unique business processes and requirements.</li>\n        <li><strong>Real-time Monitoring:</strong> Monitor and analyze workflow performance in real-time for informed decision-making.</li>\n    </ul>\n    <p>Experience the power of automation with our workflow automation solutions.</p>\n</section>\n\n<section>\n    <h4>Key Features</h4>\n    <p>Our workflow automation platform is packed with features designed to enhance your business processes:</p>\n    <ul>\n        <li>Drag-and-Drop Workflow Builder</li>\n        <li>Automated Notifications and Alerts</li>\n        <li>Data Security and Compliance</li>\n        <li>Reporting and Analytics Dashboard</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Get Started Today</h4>\n    <p>Ready to revolutionize your workflows? Contact us today to explore the possibilities of our workflow automation solutions.</p>\n    <p>Email: <a href=\"mailto:info@example.com\">info@example.com</a></p>\n    <p>Phone: 0123456789</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01'),(33,'Gantt chart makers','<section>\n    <h4>Create and Visualize Projects with Gantt Charts</h4>\n    <p>Efficient project planning is crucial for success. Discover powerful Gantt chart makers that help you visualize and manage your projects effectively. Our Gantt chart makers offer:</p>\n    <ul>\n        <li><strong>Intuitive Interface:</strong> User-friendly design for easy project planning and tracking.</li>\n        <li><strong>Drag-and-Drop Functionality:</strong> Easily rearrange tasks and milestones with a simple drag-and-drop interface.</li>\n        <li><strong>Collaboration Features:</strong> Facilitate teamwork by allowing team members to collaborate and update project progress.</li>\n        <li><strong>Customization Options:</strong> Tailor Gantt charts to match your project\'s unique requirements and timelines.</li>\n    </ul>\n    <p>Explore the best Gantt chart makers to streamline your project management.</p>\n</section>\n\n<section>\n    <h4>Key Features</h4>\n    <p>Discover the key features offered by Gantt chart makers:</p>\n    <ul>\n        <li>Task and Subtask Management</li>\n        <li>Dependency Tracking</li>\n        <li>Timeline View and Zoom Functionality</li>\n        <li>Export and Sharing Options</li>\n    </ul>\n</section>\n\n<section>\n    <h4>Get Started Today</h4>\n    <p>Ready to visualize your projects with Gantt charts? Explore our featured Gantt chart makers and start planning your projects more efficiently.</p>\n    <p>Email: <a href=\"mailto:info@example.com\">info@example.com</a></p>\n    <p>Phone: 123456789</p>\n</section>\n',1,NULL,'page-detail',NULL,'published','2024-01-07 22:01:01','2024-01-07 22:01:01');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `currency` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `charge_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_channel` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'pending',
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'confirm',
  `customer_id` bigint unsigned DEFAULT NULL,
  `refunded_amount` decimal(15,2) unsigned DEFAULT NULL,
  `refund_note` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (1,1),(5,1),(2,2),(5,2),(4,3),(5,3),(4,4),(7,4),(3,5),(5,5),(1,6),(5,6),(3,7),(6,7),(3,8),(7,8),(4,9),(5,9),(1,10),(6,10),(2,11),(5,11),(4,12),(7,12),(3,13),(5,13),(3,14),(6,14),(2,15),(6,15),(4,16),(5,16);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (1,1),(2,1),(3,1),(4,1),(5,1),(1,2),(2,2),(3,2),(4,2),(5,2),(1,3),(2,3),(3,3),(4,3),(5,3),(1,4),(2,4),(3,4),(4,4),(5,4),(1,5),(2,5),(3,5),(4,5),(5,5),(1,6),(2,6),(3,6),(4,6),(5,6),(1,7),(2,7),(3,7),(4,7),(5,7),(1,8),(2,8),(3,8),(4,8),(5,8),(1,9),(2,9),(3,9),(4,9),(5,9),(1,10),(2,10),(3,10),(4,10),(5,10),(1,11),(2,11),(3,11),(4,11),(5,11),(1,12),(2,12),(3,12),(4,12),(5,12),(1,13),(2,13),(3,13),(4,13),(5,13),(1,14),(2,14),(3,14),(4,14),(5,14),(1,15),(2,15),(3,15),(4,15),(5,15),(1,16),(2,16),(3,16),(4,16),(5,16);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'The Top 2020 Handbag Trends to Know','Eos quam dolorem architecto qui accusantium aperiam. Et ipsa minima vel pariatur. Iure rerum maiores quae est ea iusto error.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/1.jpg',452,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(2,'Top Search Engine Optimization Strategies!','Quos dolor suscipit exercitationem eos aperiam. Amet sed cumque maiores saepe illo. Aut est accusantium sit.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/2.jpg',650,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(3,'Which Company Would You Choose?','Non harum vel est ab eaque nam quam quidem. Et ipsum molestiae omnis accusamus assumenda quibusdam quidem. A laborum vel eum et et quasi magni.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/3.jpg',2254,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(4,'Used Car Dealer Sales Tricks Exposed','Quia reprehenderit eaque cupiditate quasi doloremque nisi. Atque porro ducimus qui quia quae. Consequatur officiis sapiente explicabo a qui.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/4.jpg',1105,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(5,'20 Ways To Sell Your Product Faster','Fugit quam sed nesciunt laborum quae cum eos. In corrupti odit sed quia consectetur sunt rerum. Aliquid illum eum qui.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/5.jpg',2040,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(6,'The Secrets Of Rich And Famous Writers','Ut placeat distinctio debitis dolores sequi qui repellat. Dolorem est fuga eligendi doloribus eligendi facere. Magni aut accusamus aut modi nihil fuga. Vitae cumque iusto et temporibus.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/6.jpg',2483,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(7,'Imagine Losing 20 Pounds In 14 Days!','Veniam dolor repellat a et pariatur quis. Aut aut quia porro tempore molestiae.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/7.jpg',1904,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(8,'Are You Still Using That Slow, Old Typewriter?','Necessitatibus necessitatibus voluptatem sequi iure repellat. Provident fugit non sit eum id consequatur. Odit ab et quo nesciunt modi nesciunt.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/8.jpg',959,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(9,'A Skin Cream That’s Proven To Work','Debitis ab id doloremque velit omnis quasi sapiente. Sint inventore possimus ipsa id. Aperiam nobis sint et eum. Aut quia sequi sapiente beatae laborum.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/9.jpg',1653,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(10,'10 Reasons To Start Your Own, Profitable Website!','Molestiae debitis possimus non quo aut esse. Quos quos cupiditate quis temporibus ut. Numquam assumenda eaque eligendi incidunt voluptatem quo commodi.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/10.jpg',622,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(11,'Simple Ways To Reduce Your Unwanted Wrinkles!','Facere eum molestias ea quisquam libero porro. Non ut autem tenetur blanditiis. Ea soluta quam sunt.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/11.jpg',2460,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(12,'Apple iMac with Retina 5K display review','Non et in nihil et officia. Repellat voluptates recusandae suscipit pariatur. Quidem vel reprehenderit excepturi dolore. Sint nam enim est iusto inventore odio nisi.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/12.jpg',1290,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(13,'10,000 Web Site Visitors In One Month:Guaranteed','Soluta quae id quae sed quas. Officiis modi magnam sed ut consequatur nesciunt. Velit autem hic cum velit sunt sit.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/13.jpg',2152,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(14,'Unlock The Secrets Of Selling High Ticket Items','Optio culpa autem incidunt et repudiandae. Tempora voluptatem excepturi totam rerum enim. Exercitationem ullam impedit sapiente consequatur quae qui. Modi vel est et sed hic eveniet sapiente.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/14.jpg',874,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(15,'4 Expert Tips On How To Choose The Right Men’s Wallet','Commodi aliquam qui ad ratione mollitia. Repudiandae commodi quisquam non in quod expedita. Iusto id dolorem ea suscipit in est adipisci quod. Mollitia sed omnis blanditiis aut vitae.','<div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/15.jpg',1620,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18'),(16,'Sexy Clutches: How to Buy &amp; Wear a Designer Clutch Bag','Voluptatem veniam harum eum aspernatur pariatur aut non. Facere atque omnis ipsa provident asperiores et eveniet. Tenetur consectetur ipsam et alias quia. Qui molestiae unde delectus est in.','<p>[youtube-video]https://www.youtube.com/watch?v=SlPhMPnQ58k[/youtube-video]</p><div class=\'content-detail\'>\n    <div class=\'mb-40\'><img alt=\'iori\'\n                            class=\'bd-rd8\'\n                            src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img.png\'></div>\n    <p class=\'color-grey-900 font-lg-bold mb-25\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <p class=\'font-md color-grey-500\'>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ornare\n        pellentesque sollicitudin. Suspendisse potenti. Fusce ex risus, iaculis sit amet sapien nec, finibus malesuada\n        mi. Proin at turpis eget sapien pulvinar luctus. Vestibulum bibendum pharetra lorem eu aliquam. In feugiat\n        placerat risus, sed rutrum neque mattis sit amet. Nullam vestibulum ante ac quam tempor, id venenatis velit\n        eleifend. Duis id iaculis risus, quis ullamcorper augue. Nunc tristique venenatis ipsum at euismod. Pellentesque\n        id arcu est. </p>\n    <h4 class=\'color-brand-1\'>Freelance invoices: your legal requirements</h4>\n    <ul>\n        <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n        <li>5+ years of industry experience in interactive design and / or visual design</li>\n        <li>Excellent interpersonal skills</li>\n        <li>Aware of trends inmobile, communications, and collaboration</li>\n        <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n        <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n        <li>History of impacting shipping products with your work</li>\n        <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n        <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n    </ul>\n    <p>Phasellus enim magna, varius et commodo ut, ultricies vitae velit. Ut nulla tellus, eleifend euismod pellentesque\n        vel, sagittis vel justo. In libero urna, venenatis sit amet ornare non, suscipit nec risus. Sed consequat justo\n        non mauris pretium at tempor justo sodales. Quisque tincidunt laoreet malesuada. Cum sociis natoque penatibus et\n        magnis dis parturient montes, nascetur ridiculus mus. Integer vitae ante enim. Fusce sed elit est. Suspendisse\n        sit amet mauris in quam pretium faucibus et aliquam odio. </p>\n    <h4>Different ways to issue your invoices as a freelancer</h4>\n    <div class=\'row align-items-start\'>\n        <div class=\'col-xl-4 col-lg-12 col-md-5\'>\n            <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img2.png\'></p>\n        </div>\n        <div class=\'col-xl-8 col-lg-12 col-md-7\'>\n            <p>Qui laboriosam ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores\n                exercitationem ut ipsam velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem\n                officiis id harum facere aut minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia\n                reiciendis in ducimus fugit qui dolores aspernatur aut quis error et aspernatur pariatur? Ut dolor quas\n                cum beatae explicabo ex velit voluptatum ut temporibus illum. Vel voluptate galisum qui cupiditate nobis\n                a perferendis sunt ut deserunt omnis eum dolor aperiam? Et voluptatem velit et voluptatem cumque vel\n                voluptatem nemo ex ipsum voluptatem non distinctio rerum ut neque ipsum non aspernatur corporis. Et\n                perspiciatis laboriosam a sint iste et quis minus aut aspernatur voluptatibus aut velit omnis aut\n                excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut aliquam aperiam et atque Quis\n                qui delectus illum cum atque officiis 33 cumque error. Ut vero provident eum minus pariatur ab\n                consequuntur galisum rem internos ipsum. Qui labore libero qui vero ipsum ut voluptas consequatur in\n                nihil similique aut exercitationem adipisci sed totam quia. Est cumque galisum ut nihil eveniet et\n                consequatur quae qui enim earum ad voluptatem modi in explicabo recusandae. Et autem sint est placeat\n                veritatis et animi facilis est beatae assumenda non recusandae fugiat.</p>\n        </div>\n    </div>\n    <h4>Invoicing as a freelancer</h4>\n    <p class=\'column-2\'>\n        Lorem ipsum dolor sit amet. Sit veniam dolorum est minus nisi et adipisci sequi. Non velit quia non nisi esse\n        non rerum voluptate. Et doloribus atque qui corporis aliquam et quia harum. Sit voluptas illo quo tenetur dolore\n        ut ipsum eaque et autem tenetur sit debitis nisi et quae dolorem et quos vero?<br><br>Et dolorem aliquid non\n        rerum culpa sit quia pariatur quo unde ratione vel quia ipsa et corrupti rerum. Et optio officia aut explicabo\n        odio ea ratione voluptatem eos aliquam tempora qui impedit ipsam. Sit officia eius ut quas adipisci aut\n        laudantium quia.<br><br>Et temporibus fuga aut perferendis assumenda ex odit vero ad rerum numquam. Qui dolorum\n        delectus aut maiores molestiae aut odio ratione ut itaque illum et Quis facilis aut galisum tenetur est rerum\n        recusandae. Eum sint illum eum cupiditate repellat ea culpa quaerat aut asperiores facere! <br>Qui laboriosam\n        ipsa non similique omnis id officia assumenda. Aut perspiciatis accusamus et dolores exercitationem ut ipsam\n        velit. Ut nihil dolorem eos nemo temporibus ut sunt aspernatur! Est voluptatem officiis id harum facere aut\n        minus mollitia in commodi sint sed placeat quia cum ipsum quis. Et quia reiciendis in ducimus fugit qui dolores\n        aspernatur aut quis error et aspernatur pariatur? Ut dolor quas cum beatae explicabo ex velit voluptatum ut\n        temporibus illum. Vel voluptate galisum qui cupiditate nobis a perferendis sunt ut deserunt omnis eum dolor\n        aperiam? Et voluptatem velit et voluptatem cumque vel voluptatem nemo ex ipsum voluptatem non distinctio rerum\n        ut neque ipsum non aspernatur corporis. Et perspiciatis laboriosam a sint iste et quis minus aut aspernatur\n        voluptatibus aut velit omnis aut excepturi sunt ut sapiente optio! Non nihil facilis ut molestiae rerum aut\n        aliquam aperiam et atque Quis qui delectus illum cum</p>\n    <p><img alt=\'iori\' src=\'http://wp.alithemes.com/html/iori/demos/assets/imgs/page/blog-detail/img3.png\'></p>\n    <h4>Different ways</h4>\n    <p>\n        Est amet nostrum non harum sunt eum quos dolorem aut esse odio. Aut similique sint est nihil quod aut provident\n        laborum aut placeat voluptates ea omnis omnis et iure voluptas qui molestiae adipisci. Et quia mollitia vel\n        optio eaque sit impedit facere et libero sapiente.Et neque dicta ea dignissimos voluptatem id fugit laboriosam\n        sed inventore explicabo et voluptatibus assumenda ut accusantium nulla in dolorem magni. Et ratione dolores et\n        adipisci similique sed culpa similique. Et iste corrupti id commodi omnis aut dolor voluptas et laboriosam\n        aspernatur vel odit officia. Est distinctio eaque rem nihil voluptatem est aspernatur rerum aut quisquam\n        obcaecati est voluptas deserunt qui voluptatem facilis.</p>\n    <p>At quisquam dolorem et nobis culpa ut laudantium quae id velit inventore! Eos omnis temporibus cum exercitationem\n        iusto eos quia quod! Hic inventore voluptas hic asperiores facere cum necessitatibus aliquam qui omnis officia.\n        Eos voluptatibus iste eum iusto nobis sit aspernatur iusto ab atque animi ut voluptas dolorem.</p>\n</div>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/16.jpg',1007,NULL,'2024-01-07 22:01:18','2024-01-07 22:01:18');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.manage.license\":true,\"extensions.index\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.cronjob\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"announcements.index\":true,\"announcements.create\":true,\"announcements.edit\":true,\"announcements.destroy\":true,\"announcements.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"plugins.business-services\":true,\"business-services.service-categories.index\":true,\"business-services.service-categories.create\":true,\"business-services.service-categories.edit\":true,\"business-services.service-categories.destroy\":true,\"business-services.services.index\":true,\"business-services.services.create\":true,\"business-services.services.edit\":true,\"business-services.services.destroy\":true,\"business-services.packages.index\":true,\"business-services.packages.create\":true,\"business-services.packages.edit\":true,\"business-services.packages.destroy\":true,\"plugins.captcha\":true,\"captcha.settings\":true,\"careers.index\":true,\"careers.create\":true,\"careers.edit\":true,\"careers.destroy\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugins.ecommerce\":true,\"ecommerce.settings\":true,\"ecommerce.report.index\":true,\"products.index\":true,\"products.create\":true,\"products.edit\":true,\"products.destroy\":true,\"products.duplicate\":true,\"product-categories.index\":true,\"product-categories.create\":true,\"product-categories.edit\":true,\"product-categories.destroy\":true,\"product-tag.index\":true,\"product-tag.create\":true,\"product-tag.edit\":true,\"product-tag.destroy\":true,\"brands.index\":true,\"brands.create\":true,\"brands.edit\":true,\"brands.destroy\":true,\"product-collections.index\":true,\"product-collections.create\":true,\"product-collections.edit\":true,\"product-collections.destroy\":true,\"product-attribute-sets.index\":true,\"product-attribute-sets.create\":true,\"product-attribute-sets.edit\":true,\"product-attribute-sets.destroy\":true,\"product-attributes.index\":true,\"product-attributes.create\":true,\"product-attributes.edit\":true,\"product-attributes.destroy\":true,\"tax.index\":true,\"tax.create\":true,\"tax.edit\":true,\"tax.destroy\":true,\"reviews.index\":true,\"reviews.create\":true,\"reviews.destroy\":true,\"reviews.publish\":true,\"reviews.reply\":true,\"shipping_methods.index\":true,\"ecommerce.shipping-rule-items.index\":true,\"ecommerce.shipping-rule-items.create\":true,\"ecommerce.shipping-rule-items.edit\":true,\"ecommerce.shipping-rule-items.destroy\":true,\"ecommerce.shipping-rule-items.bulk-import\":true,\"ecommerce.shipments.index\":true,\"ecommerce.shipments.create\":true,\"ecommerce.shipments.edit\":true,\"ecommerce.shipments.destroy\":true,\"orders.index\":true,\"orders.create\":true,\"orders.edit\":true,\"orders.destroy\":true,\"discounts.index\":true,\"discounts.create\":true,\"discounts.edit\":true,\"discounts.destroy\":true,\"customers.index\":true,\"customers.create\":true,\"customers.edit\":true,\"customers.destroy\":true,\"flash-sale.index\":true,\"flash-sale.create\":true,\"flash-sale.edit\":true,\"flash-sale.destroy\":true,\"product-label.index\":true,\"product-label.create\":true,\"product-label.edit\":true,\"product-label.destroy\":true,\"ecommerce.import.products.index\":true,\"ecommerce.export.products.index\":true,\"order_returns.index\":true,\"order_returns.edit\":true,\"order_returns.destroy\":true,\"global-option.index\":true,\"global-option.create\":true,\"global-option.edit\":true,\"global-option.destroy\":true,\"ecommerce.invoice.index\":true,\"ecommerce.invoice.edit\":true,\"ecommerce.invoice.destroy\":true,\"ecommerce.invoice-template.index\":true,\"ecommerce.settings.general\":true,\"ecommerce.settings.currencies\":true,\"ecommerce.settings.products\":true,\"ecommerce.settings.product-search\":true,\"ecommerce.settings.digital-products\":true,\"ecommerce.settings.store-locators\":true,\"ecommerce.settings.invoices\":true,\"ecommerce.settings.product-reviews\":true,\"ecommerce.settings.customers\":true,\"ecommerce.settings.shopping\":true,\"ecommerce.settings.taxes\":true,\"ecommerce.settings.shipping\":true,\"ecommerce.settings.tracking\":true,\"ecommerce.settings.standard-and-format\":true,\"ecommerce.settings.checkout\":true,\"ecommerce.settings.return\":true,\"ecommerce.settings.flash-sale\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"plugin.location\":true,\"country.index\":true,\"country.create\":true,\"country.edit\":true,\"country.destroy\":true,\"state.index\":true,\"state.create\":true,\"state.edit\":true,\"state.destroy\":true,\"city.index\":true,\"city.create\":true,\"city.edit\":true,\"city.destroy\":true,\"location.bulk-import.index\":true,\"location.export.index\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"payment.index\":true,\"payments.settings\":true,\"payment.destroy\":true,\"social-login.settings\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true}','Admin users role',1,2,2,'2024-01-07 22:00:51','2024-01-07 22:00:51');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','23017dc10607c985401877e97c7acc18',NULL,'2024-01-07 22:01:22'),(2,'api_enabled','0',NULL,'2024-01-07 22:01:22'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"ai-writer\",\"analytics\",\"announcement\",\"audit-log\",\"backup\",\"blog\",\"business-services\",\"captcha\",\"career\",\"contact\",\"cookie-consent\",\"ecommerce\",\"faq\",\"location\",\"newsletter\",\"payment\",\"paypal\",\"paystack\",\"razorpay\",\"rss-feed\",\"shippo\",\"social-login\",\"sslcommerz\",\"stripe\",\"team\",\"testimonial\",\"translation\"]',NULL,'2024-01-07 22:01:22'),(4,'ai_writer_proxy_enable','0',NULL,'2024-01-07 22:01:22'),(5,'ai_writer_proxy_protocol',NULL,NULL,NULL),(6,'ai_writer_proxy_ip',NULL,NULL,NULL),(7,'ai_writer_proxy_port',NULL,NULL,NULL),(8,'ai_writer_proxy_username',NULL,NULL,NULL),(9,'ai_writer_proxy_password',NULL,NULL,NULL),(10,'ai_writer_prompt_template','[{\"title\":\"Product Content\",\"content\":\"You will be a marketer. I will give the information of the product, you will write an introductory article about that product, the article requires google seo standards and is highly persuasive to increase the rate of users closing orders.\\nParameters product:\"},{\"title\":\"Post Content\",\"content\":\"You will be a marketer. Articles about:\"}]',NULL,'2024-01-07 22:01:22'),(11,'ai_writer_openai_key',NULL,NULL,NULL),(12,'ai_writer_openai_temperature','1',NULL,'2024-01-07 22:01:22'),(13,'ai_writer_openai_max_tokens','2000',NULL,'2024-01-07 22:01:22'),(14,'ai_writer_openai_frequency_penalty','0',NULL,'2024-01-07 22:01:22'),(15,'ai_writer_openai_presence_penalty','0',NULL,'2024-01-07 22:01:22'),(16,'ai_writer_openai_models','[\"gpt-3.5-turbo\"]',NULL,'2024-01-07 22:01:22'),(17,'ai_writer_openai_default_model','gpt-3.5-turbo',NULL,'2024-01-07 22:01:22'),(18,'ai_writer_spin_template','[]',NULL,'2024-01-07 22:01:22'),(21,'theme','iori',NULL,'2024-01-07 22:01:22'),(22,'show_admin_bar','1',NULL,'2024-01-07 22:01:22'),(23,'language_hide_default','1',NULL,'2024-01-07 22:01:22'),(25,'language_display','all',NULL,'2024-01-07 22:01:22'),(26,'language_hide_languages','[]',NULL,'2024-01-07 22:01:22'),(27,'payment_cod_status','1',NULL,'2024-01-07 22:01:22'),(28,'payment_bank_transfer_status','1',NULL,'2024-01-07 22:01:22'),(29,'language_switcher_display','dropdown',NULL,'2024-01-07 22:01:22'),(30,'admin_favicon','logo/favicon.png',NULL,'2024-01-07 22:01:22'),(31,'admin_logo','logo/logo-white.png',NULL,'2024-01-07 22:01:22'),(32,'permalink-botble-blog-models-post','blog',NULL,'2024-01-07 22:01:22'),(33,'permalink-botble-blog-models-category','blog',NULL,'2024-01-07 22:01:22'),(34,'payment_cod_description','Please pay money directly to the postman, if you choose cash on delivery method (COD).',NULL,'2024-01-07 22:01:22'),(35,'payment_bank_transfer_description','Please send money to our bank account: ACB - 69270 213 19.',NULL,'2024-01-07 22:01:22'),(36,'payment_stripe_payment_type','stripe_checkout',NULL,'2024-01-07 22:01:22'),(37,'plugins_ecommerce_customer_new_order_status','0',NULL,'2024-01-07 22:01:22'),(38,'plugins_ecommerce_admin_new_order_status','0',NULL,'2024-01-07 22:01:22'),(39,'ecommerce_is_enabled_support_digital_products','1',NULL,'2024-01-07 22:01:22'),(40,'ecommerce_load_countries_states_cities_from_location_plugin','0',NULL,'2024-01-07 22:01:22'),(41,'payment_bank_transfer_display_bank_info_at_the_checkout_success_page','1',NULL,'2024-01-07 22:01:22'),(42,'ecommerce_product_sku_format','IO-2443-[%S]',NULL,'2024-01-07 22:01:22'),(43,'theme-iori-site_name','Iori',NULL,'2024-01-07 22:01:22'),(44,'theme-iori-site_title','Multipurpose Startup Laravel Script.',NULL,'2024-01-07 22:01:22'),(45,'theme-iori-site_description','Iori is a Multipurpose Agency Laravel Script. It is a powerful, clean, modern, and fully responsive template. It is designed for agency, business, corporate, creative, freelancer, portfolio, photography, personal, resume, and any kind of creative fields.',NULL,'2024-01-07 22:01:22'),(46,'theme-iori-copyright','©2024 Archi Elite JSC. All right reserved.',NULL,'2024-01-07 22:01:22'),(47,'theme-iori-favicon','logo/favicon.png',NULL,'2024-01-07 22:01:22'),(48,'theme-iori-logo','logo/logo.png',NULL,'2024-01-07 22:01:22'),(49,'theme-iori-primary_font','Manrope',NULL,'2024-01-07 22:01:22'),(50,'theme-iori-primary_color','#024430',NULL,'2024-01-07 22:01:22'),(51,'theme-iori-success_color','#06D6A0',NULL,'2024-01-07 22:01:22'),(52,'theme-iori-danger_color','#EF476F',NULL,'2024-01-07 22:01:22'),(53,'theme-iori-warning_color','#FFD166',NULL,'2024-01-07 22:01:22'),(54,'theme-iori-secondary_color','#066a4c',NULL,'2024-01-07 22:01:22'),(55,'theme-iori-homepage_id','1',NULL,'2024-01-07 22:01:22'),(56,'theme-iori-login_background','general/banner-authentication.png',NULL,'2024-01-07 22:01:22'),(57,'theme-iori-hotline','0123456789',NULL,'2024-01-07 22:01:22'),(58,'theme-iori-action_button_text','Get Started',NULL,'2024-01-07 22:01:22'),(59,'theme-iori-action_button_url','/register',NULL,'2024-01-07 22:01:22'),(60,'theme-iori-header_top_enabled','1',NULL,'2024-01-07 22:01:22'),(61,'theme-iori-cookie_consent_message','Your experience on this site will be improved by allowing cookies',NULL,'2024-01-07 22:01:22'),(62,'theme-iori-cookie_consent_learn_more_url','/cookie-policy',NULL,'2024-01-07 22:01:22'),(63,'theme-iori-cookie_consent_learn_more_text','Cookie Policy',NULL,'2024-01-07 22:01:22'),(64,'theme-iori-social_links','[[{\"key\":\"social-name\",\"value\":\"Facebook\"},{\"key\":\"social-icon\",\"value\":\"icons\\/facebook.png\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.facebook.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Twitter\"},{\"key\":\"social-icon\",\"value\":\"icons\\/twitter.png\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.twitter.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Instagram\"},{\"key\":\"social-icon\",\"value\":\"icons\\/instagram.png\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.instagram.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Linkedin\"},{\"key\":\"social-icon\",\"value\":\"icons\\/linkedin.png\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.linkedin.com\\/\"}]]',NULL,'2024-01-07 22:01:22'),(65,'theme-iori-404_page_image','icons/404.png',NULL,'2024-01-07 22:01:22'),(66,'announcement_max_width','1390',NULL,NULL),(67,'announcement_text_color','#024430',NULL,NULL),(68,'announcement_background_color','#FFE7BB',NULL,NULL),(69,'announcement_text_alignment','start',NULL,NULL),(70,'announcement_dismissible','1',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=335 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'homepage-1',1,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(2,'homepage-2',2,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(3,'homepage-3',3,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(4,'homepage-4',4,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(5,'homepage-5',5,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(6,'homepage-6',6,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(7,'homepage-7',7,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(8,'homepage-8',8,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(9,'homepage-9',9,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(10,'homepage-10',10,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(11,'homepage-11',11,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(12,'homepage-12',12,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(13,'about-us',13,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(14,'blog',14,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(15,'contact',15,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(16,'coming-soon',16,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(17,'services',17,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(18,'help-center',18,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(19,'pricing',19,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(20,'teams',20,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(21,'term-and-conditions',21,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(22,'cookie-policy',22,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(23,'privacy-policy',23,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(24,'career-listing',24,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(25,'press-media',25,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(26,'advertising',26,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(27,'testimonials',27,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(28,'project-management',28,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(29,'solutions',29,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(30,'project-software',30,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(31,'resource-software',31,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(32,'workflow-automation',32,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(33,'gantt-chart-makers',33,'Botble\\Page\\Models\\Page','','2024-01-07 22:01:01','2024-01-07 22:01:01'),(34,'desktop-pc',1,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(35,'headphone',2,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(36,'laptop',3,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(37,'mobile-phone',4,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(38,'printer',5,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(39,'books',6,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(40,'tablet',7,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(41,'usb-flash',8,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(42,'game-mouse',9,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(43,'security',10,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(44,'watch',11,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(45,'scanner',12,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-01-07 22:01:02','2024-01-07 22:01:02'),(46,'foodpound',1,'Botble\\Ecommerce\\Models\\Brand','brands','2024-01-07 22:01:02','2024-01-07 22:01:02'),(47,'itea-jsc',2,'Botble\\Ecommerce\\Models\\Brand','brands','2024-01-07 22:01:02','2024-01-07 22:01:02'),(48,'soda-brand',3,'Botble\\Ecommerce\\Models\\Brand','brands','2024-01-07 22:01:02','2024-01-07 22:01:02'),(49,'farmart',4,'Botble\\Ecommerce\\Models\\Brand','brands','2024-01-07 22:01:02','2024-01-07 22:01:02'),(50,'dual-camera-20mp-digital',1,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(51,'smart-watches',2,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(52,'beat-headphone',3,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(53,'red-black-headphone',4,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(54,'smart-watch-external-digital',5,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(55,'nikon-hd-camera',6,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(56,'audio-equipment',7,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(57,'smart-televisions',8,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(58,'samsung-smart-phone-digital',9,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(59,'herschel-leather-duffle-bag-in-brown-color',10,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(60,'xbox-one-wireless-controller-black-color',11,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(61,'epsion-plaster-printer',12,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(62,'sound-intone-i65-earphone-white-version-digital',13,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(63,'bo-play-mini-bluetooth-speaker',14,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(64,'apple-macbook-air-retina-133-inch-laptop',15,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(65,'apple-macbook-air-retina-12-inch-laptop',16,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(66,'samsung-gear-vr-virtual-reality-headset-digital',17,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(67,'aveeno-moisturizing-body-shower-450ml',18,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(68,'nyx-beauty-couton-pallete-makeup-12',19,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(69,'nyx-beauty-couton-pallete-makeup-12',20,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(70,'mvmth-classical-leather-watch-in-black-digital',21,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(71,'baxter-care-hair-kit-for-bearded-mens',22,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(72,'ciate-palemore-lipstick-bold-red-color',23,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(73,'vimto-squash-remix-apple-15-litres',24,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(74,'crock-pot-slow-cooker-digital',25,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(75,'taylors-of-harrogate-yorkshire-coffee',26,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(76,'soft-mochi-galeto-ice-cream',27,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(77,'naked-noodle-egg-noodles-singapore',28,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(78,'saute-pan-silver-digital',29,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(79,'bar-s-classic-bun-length-franks',30,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(80,'broccoli-crowns',31,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(81,'slimming-world-vegan-mac-greens',32,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(82,'haagen-dazs-salted-caramel-digital',33,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(83,'iceland-3-solo-exotic-burst',34,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(84,'extreme-budweiser-light-can',35,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(85,'iceland-macaroni-cheese-traybake',36,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(86,'dolmio-bolognese-pasta-sauce-digital',37,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(87,'sitema-bakeit-plastic-box',38,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(88,'wayfair-basics-dinner-plate-storage',39,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(89,'miko-the-panda-water-bottle',40,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(90,'sesame-seed-bread-digital',41,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(91,'morrisons-the-best-beef',42,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(92,'avocado-hass-large',43,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(93,'italia-beef-lasagne',44,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(94,'maxwell-house-classic-roast-mocha-digital',45,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(95,'bottled-pure-water-500ml',46,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(96,'famart-farmhouse-soft-white',47,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(97,'coca-cola-original-taste',48,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(98,'casillero-diablo-cabernet-sauvignon-digital',49,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(99,'arla-organic-free-range-milk',50,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(100,'aptamil-follow-on-baby-milk',51,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:12','2024-01-07 22:01:12'),(101,'cuisinart-chefs-classic-hard-anodized',52,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(102,'corn-yellow-sweet-digital',53,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(103,'hobnobs-the-nobbly-biscuit',54,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(104,'honest-organic-still-lemonade',55,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(105,'ice-becks-beer-350ml-x-24-pieces',56,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(106,'iceland-6-hot-cross-buns-digital',57,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(107,'iceland-luxury-4-panini-rolls',58,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(108,'iceland-soft-scoop-vanilla',59,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(109,'iceland-spaghetti-bolognese',60,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(110,'kelloggs-coco-pops-cereal-digital',61,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(111,'kit-kat-chunky-milk-chocolate',62,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(112,'large-green-bell-pepper',63,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(113,'pice-94w-beasley-journal',64,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(114,'province-piece-glass-drinking-glass-digital',65,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:13','2024-01-07 22:01:13'),(115,'electronic',1,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(116,'mobile',2,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(117,'iphone',3,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(118,'printer',4,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(119,'office',5,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(120,'it',6,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-01-07 22:01:17','2024-01-07 22:01:17'),(121,'design',1,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(122,'lifestyle',2,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(123,'travel-tips',3,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(124,'healthy',4,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(125,'travel-tips',5,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(126,'hotel',6,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(127,'nature',7,'Botble\\Blog\\Models\\Category','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(128,'general',1,'Botble\\Blog\\Models\\Tag','tag','2024-01-07 22:01:18','2024-01-07 22:01:18'),(129,'design',2,'Botble\\Blog\\Models\\Tag','tag','2024-01-07 22:01:18','2024-01-07 22:01:18'),(130,'fashion',3,'Botble\\Blog\\Models\\Tag','tag','2024-01-07 22:01:18','2024-01-07 22:01:18'),(131,'branding',4,'Botble\\Blog\\Models\\Tag','tag','2024-01-07 22:01:18','2024-01-07 22:01:18'),(132,'modern',5,'Botble\\Blog\\Models\\Tag','tag','2024-01-07 22:01:18','2024-01-07 22:01:18'),(133,'the-top-2020-handbag-trends-to-know',1,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(134,'top-search-engine-optimization-strategies',2,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(135,'which-company-would-you-choose',3,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(136,'used-car-dealer-sales-tricks-exposed',4,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(137,'20-ways-to-sell-your-product-faster',5,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(138,'the-secrets-of-rich-and-famous-writers',6,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(139,'imagine-losing-20-pounds-in-14-days',7,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(140,'are-you-still-using-that-slow-old-typewriter',8,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(141,'a-skin-cream-thats-proven-to-work',9,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(142,'10-reasons-to-start-your-own-profitable-website',10,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(143,'simple-ways-to-reduce-your-unwanted-wrinkles',11,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(144,'apple-imac-with-retina-5k-display-review',12,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(145,'10000-web-site-visitors-in-one-monthguaranteed',13,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(146,'unlock-the-secrets-of-selling-high-ticket-items',14,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(147,'4-expert-tips-on-how-to-choose-the-right-mens-wallet',15,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(148,'sexy-clutches-how-to-buy-wear-a-designer-clutch-bag',16,'Botble\\Blog\\Models\\Post','blog','2024-01-07 22:01:18','2024-01-07 22:01:18'),(149,'senior-full-stack-engineer-creator-success-full-time',1,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:18','2024-01-07 22:01:18'),(150,'data-science-specialist-analytics-division',2,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:18','2024-01-07 22:01:18'),(151,'product-marketing-manager-growth-team',3,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:18','2024-01-07 22:01:18'),(152,'uxui-designer-user-experience-team',4,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:19','2024-01-07 22:01:19'),(153,'operations-manager-supply-chain-division',5,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:19','2024-01-07 22:01:19'),(154,'financial-analyst-investment-group',6,'ArchiElite\\Career\\Models\\Career','careers','2024-01-07 22:01:19','2024-01-07 22:01:19'),(155,'techboost-solutions',1,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(156,'ecogreen-landscaping',2,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(157,'precision-financial-advisors',3,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(158,'healthhub-wellness-programs',4,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(159,'swiftdelivery-logistics',5,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(160,'in-house-logistics-services',6,'Botble\\BusinessService\\Models\\Service','services','2024-01-07 22:01:19','2024-01-07 22:01:19'),(161,'trial-plan',1,'Botble\\BusinessService\\Models\\Package','packages','2024-01-07 22:01:19','2024-01-07 22:01:19'),(162,'standard',2,'Botble\\BusinessService\\Models\\Package','packages','2024-01-07 22:01:19','2024-01-07 22:01:19'),(163,'business',3,'Botble\\BusinessService\\Models\\Package','packages','2024-01-07 22:01:19','2024-01-07 22:01:19'),(164,'enterprise',4,'Botble\\BusinessService\\Models\\Package','packages','2024-01-07 22:01:19','2024-01-07 22:01:19'),(165,'dual-camera-20mp-digital',66,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(166,'smart-watches',67,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(167,'smart-watches',68,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(168,'beat-headphone',69,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(169,'red-black-headphone',70,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(170,'red-black-headphone',71,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(171,'red-black-headphone',72,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(172,'smart-watch-external-digital',73,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(173,'nikon-hd-camera',74,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(174,'nikon-hd-camera',75,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(175,'audio-equipment',76,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(176,'audio-equipment',77,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(177,'audio-equipment',78,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(178,'audio-equipment',79,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(179,'smart-televisions',80,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(180,'smart-televisions',81,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(181,'samsung-smart-phone-digital',82,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(182,'samsung-smart-phone-digital',83,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(183,'herschel-leather-duffle-bag-in-brown-color',84,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(184,'herschel-leather-duffle-bag-in-brown-color',85,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(185,'herschel-leather-duffle-bag-in-brown-color',86,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(186,'herschel-leather-duffle-bag-in-brown-color',87,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(187,'xbox-one-wireless-controller-black-color',88,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(188,'xbox-one-wireless-controller-black-color',89,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(189,'epsion-plaster-printer',90,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(190,'epsion-plaster-printer',91,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(191,'sound-intone-i65-earphone-white-version-digital',92,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:22','2024-01-07 22:01:22'),(192,'sound-intone-i65-earphone-white-version-digital',93,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(193,'bo-play-mini-bluetooth-speaker',94,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(194,'bo-play-mini-bluetooth-speaker',95,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(195,'bo-play-mini-bluetooth-speaker',96,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(196,'apple-macbook-air-retina-133-inch-laptop',97,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(197,'apple-macbook-air-retina-133-inch-laptop',98,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(198,'apple-macbook-air-retina-12-inch-laptop',99,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(199,'apple-macbook-air-retina-12-inch-laptop',100,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(200,'samsung-gear-vr-virtual-reality-headset-digital',101,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(201,'aveeno-moisturizing-body-shower-450ml',102,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(202,'aveeno-moisturizing-body-shower-450ml',103,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(203,'aveeno-moisturizing-body-shower-450ml',104,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(204,'nyx-beauty-couton-pallete-makeup-12',105,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(205,'nyx-beauty-couton-pallete-makeup-12',106,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(206,'nyx-beauty-couton-pallete-makeup-12',107,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(207,'nyx-beauty-couton-pallete-makeup-12',108,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(208,'nyx-beauty-couton-pallete-makeup-12',109,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(209,'mvmth-classical-leather-watch-in-black-digital',110,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(210,'mvmth-classical-leather-watch-in-black-digital',111,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(211,'baxter-care-hair-kit-for-bearded-mens',112,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(212,'baxter-care-hair-kit-for-bearded-mens',113,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(213,'ciate-palemore-lipstick-bold-red-color',114,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(214,'vimto-squash-remix-apple-15-litres',115,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(215,'vimto-squash-remix-apple-15-litres',116,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(216,'crock-pot-slow-cooker-digital',117,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(217,'crock-pot-slow-cooker-digital',118,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(218,'crock-pot-slow-cooker-digital',119,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(219,'crock-pot-slow-cooker-digital',120,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(220,'taylors-of-harrogate-yorkshire-coffee',121,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(221,'taylors-of-harrogate-yorkshire-coffee',122,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(222,'taylors-of-harrogate-yorkshire-coffee',123,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(223,'taylors-of-harrogate-yorkshire-coffee',124,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(224,'taylors-of-harrogate-yorkshire-coffee',125,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(225,'soft-mochi-galeto-ice-cream',126,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(226,'soft-mochi-galeto-ice-cream',127,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(227,'naked-noodle-egg-noodles-singapore',128,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(228,'naked-noodle-egg-noodles-singapore',129,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(229,'naked-noodle-egg-noodles-singapore',130,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(230,'saute-pan-silver-digital',131,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(231,'saute-pan-silver-digital',132,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(232,'saute-pan-silver-digital',133,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(233,'bar-s-classic-bun-length-franks',134,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(234,'bar-s-classic-bun-length-franks',135,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(235,'bar-s-classic-bun-length-franks',136,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(236,'bar-s-classic-bun-length-franks',137,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(237,'broccoli-crowns',138,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(238,'broccoli-crowns',139,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(239,'broccoli-crowns',140,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(240,'broccoli-crowns',141,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(241,'slimming-world-vegan-mac-greens',142,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(242,'slimming-world-vegan-mac-greens',143,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(243,'slimming-world-vegan-mac-greens',144,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(244,'haagen-dazs-salted-caramel-digital',145,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(245,'haagen-dazs-salted-caramel-digital',146,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(246,'iceland-3-solo-exotic-burst',147,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(247,'iceland-3-solo-exotic-burst',148,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(248,'iceland-3-solo-exotic-burst',149,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(249,'extreme-budweiser-light-can',150,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(250,'extreme-budweiser-light-can',151,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(251,'extreme-budweiser-light-can',152,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(252,'extreme-budweiser-light-can',153,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(253,'iceland-macaroni-cheese-traybake',154,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(254,'iceland-macaroni-cheese-traybake',155,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(255,'iceland-macaroni-cheese-traybake',156,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(256,'dolmio-bolognese-pasta-sauce-digital',157,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(257,'dolmio-bolognese-pasta-sauce-digital',158,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(258,'dolmio-bolognese-pasta-sauce-digital',159,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(259,'dolmio-bolognese-pasta-sauce-digital',160,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(260,'dolmio-bolognese-pasta-sauce-digital',161,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(261,'sitema-bakeit-plastic-box',162,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(262,'wayfair-basics-dinner-plate-storage',163,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(263,'wayfair-basics-dinner-plate-storage',164,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(264,'miko-the-panda-water-bottle',165,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(265,'miko-the-panda-water-bottle',166,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(266,'miko-the-panda-water-bottle',167,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(267,'miko-the-panda-water-bottle',168,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(268,'sesame-seed-bread-digital',169,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(269,'sesame-seed-bread-digital',170,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(270,'sesame-seed-bread-digital',171,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(271,'sesame-seed-bread-digital',172,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(272,'morrisons-the-best-beef',173,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(273,'morrisons-the-best-beef',174,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(274,'morrisons-the-best-beef',175,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(275,'avocado-hass-large',176,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(276,'italia-beef-lasagne',177,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(277,'italia-beef-lasagne',178,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(278,'maxwell-house-classic-roast-mocha-digital',179,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(279,'maxwell-house-classic-roast-mocha-digital',180,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(280,'bottled-pure-water-500ml',181,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(281,'famart-farmhouse-soft-white',182,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(282,'famart-farmhouse-soft-white',183,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(283,'coca-cola-original-taste',184,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(284,'coca-cola-original-taste',185,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(285,'coca-cola-original-taste',186,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(286,'casillero-diablo-cabernet-sauvignon-digital',187,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(287,'casillero-diablo-cabernet-sauvignon-digital',188,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(288,'casillero-diablo-cabernet-sauvignon-digital',189,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(289,'arla-organic-free-range-milk',190,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(290,'arla-organic-free-range-milk',191,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(291,'arla-organic-free-range-milk',192,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(292,'aptamil-follow-on-baby-milk',193,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(293,'aptamil-follow-on-baby-milk',194,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(294,'aptamil-follow-on-baby-milk',195,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(295,'aptamil-follow-on-baby-milk',196,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(296,'cuisinart-chefs-classic-hard-anodized',197,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(297,'cuisinart-chefs-classic-hard-anodized',198,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(298,'corn-yellow-sweet-digital',199,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(299,'corn-yellow-sweet-digital',200,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(300,'corn-yellow-sweet-digital',201,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(301,'corn-yellow-sweet-digital',202,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(302,'hobnobs-the-nobbly-biscuit',203,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(303,'hobnobs-the-nobbly-biscuit',204,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(304,'hobnobs-the-nobbly-biscuit',205,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(305,'hobnobs-the-nobbly-biscuit',206,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(306,'honest-organic-still-lemonade',207,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(307,'honest-organic-still-lemonade',208,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(308,'honest-organic-still-lemonade',209,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(309,'honest-organic-still-lemonade',210,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(310,'honest-organic-still-lemonade',211,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(311,'ice-becks-beer-350ml-x-24-pieces',212,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(312,'ice-becks-beer-350ml-x-24-pieces',213,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(313,'iceland-6-hot-cross-buns-digital',214,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(314,'iceland-6-hot-cross-buns-digital',215,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(315,'iceland-6-hot-cross-buns-digital',216,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(316,'iceland-6-hot-cross-buns-digital',217,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(317,'iceland-luxury-4-panini-rolls',218,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(318,'iceland-luxury-4-panini-rolls',219,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(319,'iceland-luxury-4-panini-rolls',220,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(320,'iceland-soft-scoop-vanilla',221,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(321,'iceland-soft-scoop-vanilla',222,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(322,'iceland-soft-scoop-vanilla',223,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(323,'iceland-spaghetti-bolognese',224,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(324,'kelloggs-coco-pops-cereal-digital',225,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(325,'kit-kat-chunky-milk-chocolate',226,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(326,'kit-kat-chunky-milk-chocolate',227,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(327,'large-green-bell-pepper',228,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(328,'large-green-bell-pepper',229,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(329,'large-green-bell-pepper',230,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(330,'pice-94w-beasley-journal',231,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(331,'pice-94w-beasley-journal',232,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(332,'province-piece-glass-drinking-glass-digital',233,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(333,'province-piece-glass-drinking-glass-digital',234,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23'),(334,'province-piece-glass-drinking-glass-digital',235,'Botble\\Ecommerce\\Models\\Product','products','2024-01-07 22:01:23','2024-01-07 22:01:23');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `states_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states_translations`
--

DROP TABLE IF EXISTS `states_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `states_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`states_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states_translations`
--

LOCK TABLES `states_translations` WRITE;
/*!40000 ALTER TABLE `states_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `states_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'General',NULL,'Botble\\ACL\\Models\\User','','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(2,'Design',NULL,'Botble\\ACL\\Models\\User','','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(3,'Fashion',NULL,'Botble\\ACL\\Models\\User','','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(4,'Branding',NULL,'Botble\\ACL\\Models\\User','','published','2024-01-07 22:01:18','2024-01-07 22:01:18'),(5,'Modern',NULL,'Botble\\ACL\\Models\\User','','published','2024-01-07 22:01:18','2024-01-07 22:01:18');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Devon Lane','teams/1.png','CEO','USA','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(2,'Jennie Tho','teams/2.png','Finance Manager','Qatar','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(3,'Symon Lesin','teams/3.png','Technology Manager','India','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(4,'Xao Shin','teams/4.png','Developer Fullstack','China','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(5,'Peter Cop','teams/5.png','Designer','Russia','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(6,'Darrell Steward','teams/3.png','Product Designer','USA','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(7,'Guy Hawkins','teams/4.png','Computer Programmer','Denmark','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(8,'Ronald Richards','teams/4.png','Data scientist','Sweden','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(9,'Kathryn Murphy','teams/4.png','Network administrator','Finland','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(10,'Floyd Miles','teams/3.png','Computer analyst','Latvia','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(11,'Devon Lane','teams/2.png','Computer scientist','Iceland','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL),(12,'Cameron Williamson','teams/5.png','Product Designer','Estonia','\"{\\\"facebook\\\":\\\"fb.com\\\",\\\"twitter\\\":\\\"twitter.com\\\",\\\"instagram\\\":\\\"instagram.com\\\"}\"','published','2024-01-07 22:01:18','2024-01-07 22:01:18',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Wade Warren','Even factoring differences in body weight between children and adults into account.','testimonials/1.png','Louis Vuitton','published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(2,'Brooklyn Simmons','So yes, the alcohol (ethanol) in hand sanitizers can be absorbed through the skin, but no, it would not cause intoxication.','testimonials/2.png','Nintendo','published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(3,'Jenny Wilson','Their blood alcohol levels rose to 0.007 to 0.02 o/oo (parts per thousand), or 0.7 to 2.0 mg/L.','testimonials/3.png','Starbucks','published','2024-01-07 22:01:17','2024-01-07 22:01:17'),(4,'Albert Flores','So yes, the alcohol (ethanol) in hand sanitizers can be absorbed through the skin, but no, it would not cause intoxication.','testimonials/4.png','Bank of America','published','2024-01-07 22:01:17','2024-01-07 22:01:17');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'wondricka@sanford.org',NULL,'$2y$12$4QtenHCkDASK9AqwNlTp0OMCjHa6T5OeJiteUK5HZRiuM5hG7Dfwy',NULL,'2024-01-07 22:00:51','2024-01-07 22:00:51','Grayce','Sipes','botble',NULL,1,1,NULL,NULL),(2,'pearline.torp@hartmann.com',NULL,'$2y$12$YMMft5bCeQmmZZGKpAnvLuI0SjvYj3wzlTTtXYJDimIOZggd9lunS',NULL,'2024-01-07 22:00:51','2024-01-07 22:00:51','Sadie','Bosco','admin',NULL,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'NewsletterWidget','pre_footer_sidebar','iori',0,'{\"name\":\"Subscribe to Newsletter.\",\"description\":\"Subscribe to get latest updates and information.\",\"title\":\"Subscribe our newsletter\",\"subtitle\":\"By clicking the button, you are agreeing with our Term & Conditions\",\"image\":\"general\\/newsletter-image.png\",\"icon_primary\":\"logo\\/logo-circle.png\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(2,'SiteInformationWidget','footer_menu','iori',1,'{\"logo\":\"logo\\/logo.png\",\"url\":\"#\",\"address\":\"4517 Washington Ave.Manchester, Kentucky 39495\",\"working_hours\":\"08:00 - 17:00\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(3,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_menu','iori',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"About Us\",\"items\":[[{\"key\":\"label\",\"value\":\"Mission & Vision\"},{\"key\":\"url\",\"value\":\"\\/about-us\"}],[{\"key\":\"label\",\"value\":\"Our Team\"},{\"key\":\"url\",\"value\":\"\\/teams\"}],[{\"key\":\"label\",\"value\":\"Press & Media\"},{\"key\":\"url\",\"value\":\"\\/press-media\"}],[{\"key\":\"label\",\"value\":\"Advertising\"},{\"key\":\"url\",\"value\":\"\\/advertising\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/testimonials\"}]]}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(4,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_menu','iori',3,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Resources\",\"items\":[[{\"key\":\"label\",\"value\":\"Project management\"},{\"key\":\"url\",\"value\":\"\\/project-management\"}],[{\"key\":\"label\",\"value\":\"Solutions\"},{\"key\":\"url\",\"value\":\"\\/solutions\"}],[{\"key\":\"label\",\"value\":\"Customers\"},{\"key\":\"url\",\"value\":\"\\/teams\"}],[{\"key\":\"label\",\"value\":\"News & Events\"},{\"key\":\"url\",\"value\":\"\\/blog\"}],[{\"key\":\"label\",\"value\":\"Careers\"},{\"key\":\"url\",\"value\":\"\\/career-listing\"}],[{\"key\":\"label\",\"value\":\"Support\"},{\"key\":\"url\",\"value\":\"\\/help-center\"}]]}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_menu','iori',4,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"We offer\",\"items\":[[{\"key\":\"label\",\"value\":\"Project software\"},{\"key\":\"url\",\"value\":\"\\/project-software\"}],[{\"key\":\"label\",\"value\":\"Resource software\"},{\"key\":\"url\",\"value\":\"\\/resource-software\"}],[{\"key\":\"label\",\"value\":\"Workflow automation\"},{\"key\":\"url\",\"value\":\"\\/workflow-automation\"}],[{\"key\":\"label\",\"value\":\"Gantt chart makers\"},{\"key\":\"url\",\"value\":\"\\/gantt-chart-makers\"}],[{\"key\":\"label\",\"value\":\"Project dashboards\"},{\"key\":\"url\",\"value\":\"\\/project-software\"}],[{\"key\":\"label\",\"value\":\"Task software\"},{\"key\":\"url\",\"value\":\"\\/resource-software\"}]]}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(6,'AppsDownloadWidget','footer_menu','iori',5,'{\"id\":\"AppsDownloadWidget\",\"title\":\"App & Payment\",\"subtitle\":\"Download our Apps and get extra 15% Discount on your first Order.\",\"platform_google_play_logo\":\"general\\/google.png\",\"platform_google_play_url\":\"https:\\/\\/play.google.com\\/store\",\"platform_apple_store_logo\":\"general\\/apple.png\",\"platform_apple_store_url\":\"https:\\/\\/www.apple.com\\/store\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(7,'BlogSearchWidget','blog_sidebar','iori',1,'{\"id\":\"BlogSearchWidget\",\"name\":\"Blog Search\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(8,'BlogCategoriesWidget','blog_sidebar','iori',2,'{\"id\":\"BlogCategoriesWidget\",\"name\":\"Blog Categories\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(9,'BlogPostsWidget','blog_sidebar','iori',3,'{\"id\":\"BlogPostsWidget\",\"name\":\"Blog Posts\",\"type\":\"popular\",\"limit\":5,\"style\":\"sidebar\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(10,'BlogTagsWidget','blog_sidebar','iori',4,'{\"id\":\"BlogTagsWidget\",\"name\":\"Blog Tags\"}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(11,'FeaturedProductCategoryWidget','product_sidebar','iori',1,'{\"id\":\"FeaturedProductCategoryWidget\",\"title\":\"Ready to capture every wonderful moment\",\"subtitle\":\"CAMERA COLLECTION\",\"image_primary\":\"general\\/banner-product.png\",\"image_secondary\":\"general\\/bg-banner-secondary.png\",\"category_ids\":[\"2\",\"3\",\"4\",\"5\"]}','2024-01-07 22:01:19','2024-01-07 22:01:19'),(12,'ProductsWidget','product_list_sidebar','iori',1,'{\"id\":\"ProductsWidget\",\"title\":\"Popular Items\",\"number_of_display\":6}','2024-01-07 22:01:19','2024-01-07 22:01:19');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-01-08 12:01:23
